CREATE DATABASE  IF NOT EXISTS `cproot_red_jus_personal` /*!40100 DEFAULT CHARACTER SET utf8mb3 */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `cproot_red_jus_personal`;
-- MySQL dump 10.13  Distrib 8.0.38, for Win64 (x86_64)
--
-- Host: localhost    Database: cproot_red_jus_personal
-- ------------------------------------------------------
-- Server version	8.0.31

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `area`
--

DROP TABLE IF EXISTS `area`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `area` (
  `area_id` int NOT NULL AUTO_INCREMENT,
  `area_descripcion` varchar(200) NOT NULL,
  `dependencia_id` int NOT NULL,
  PRIMARY KEY (`area_id`),
  KEY `fk_area_dependencia1_idx` (`dependencia_id`),
  CONSTRAINT `fk_area_dependencia1` FOREIGN KEY (`dependencia_id`) REFERENCES `dependencia` (`dependencia_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `area`
--

LOCK TABLES `area` WRITE;
/*!40000 ALTER TABLE `area` DISABLE KEYS */;
/*!40000 ALTER TABLE `area` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cargo`
--

DROP TABLE IF EXISTS `cargo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cargo` (
  `cargo_id` int NOT NULL AUTO_INCREMENT,
  `cargo_descripcion` varchar(200) NOT NULL,
  `cargo_comentario` varchar(200) NOT NULL,
  PRIMARY KEY (`cargo_id`)
) ENGINE=InnoDB AUTO_INCREMENT=171 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cargo`
--

LOCK TABLES `cargo` WRITE;
/*!40000 ALTER TABLE `cargo` DISABLE KEYS */;
/*!40000 ALTER TABLE `cargo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categoria`
--

DROP TABLE IF EXISTS `categoria`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categoria` (
  `categoria_id` int NOT NULL AUTO_INCREMENT,
  `categoria_descripcion` varchar(100) NOT NULL,
  `categoria_comentario` varchar(200) NOT NULL,
  PRIMARY KEY (`categoria_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categoria`
--

LOCK TABLES `categoria` WRITE;
/*!40000 ALTER TABLE `categoria` DISABLE KEYS */;
/*!40000 ALTER TABLE `categoria` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependencia`
--

DROP TABLE IF EXISTS `dependencia`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dependencia` (
  `dependencia_id` int NOT NULL AUTO_INCREMENT,
  `dependencia_descripcion` varchar(200) NOT NULL,
  PRIMARY KEY (`dependencia_id`)
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dependencia`
--

LOCK TABLES `dependencia` WRITE;
/*!40000 ALTER TABLE `dependencia` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependencia` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dispositivo`
--

DROP TABLE IF EXISTS `dispositivo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dispositivo` (
  `dispositivo_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `token` text NOT NULL,
  `lat_long` varchar(100) NOT NULL,
  `modelo_disp` varchar(100) NOT NULL,
  `disp_fecha_registro` datetime NOT NULL,
  PRIMARY KEY (`dispositivo_id`),
  KEY `fk_dispositivo_usuario1_idx` (`usuario_id`),
  CONSTRAINT `fk_dispositivo_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dispositivo`
--

LOCK TABLES `dispositivo` WRITE;
/*!40000 ALTER TABLE `dispositivo` DISABLE KEYS */;
/*!40000 ALTER TABLE `dispositivo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `documento_form`
--

DROP TABLE IF EXISTS `documento_form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `documento_form` (
  `documento_id` int NOT NULL AUTO_INCREMENT,
  `formulario_id` int DEFAULT NULL,
  `fecha_hora_creacion` datetime DEFAULT NULL,
  `tipo_documento_id` int DEFAULT NULL,
  `contenido_documento` text,
  `protocolo` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`documento_id`),
  KEY `fk_documento_form_formulario1_idx` (`formulario_id`),
  KEY `fk_documento_form_tipo documento1_idx` (`tipo_documento_id`),
  CONSTRAINT `fk_documento_form_formulario1` FOREIGN KEY (`formulario_id`) REFERENCES `formulario` (`formulario_id`),
  CONSTRAINT `fk_documento_form_tipo documento1` FOREIGN KEY (`tipo_documento_id`) REFERENCES `tipo documento` (`tipo documento_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `documento_form`
--

LOCK TABLES `documento_form` WRITE;
/*!40000 ALTER TABLE `documento_form` DISABLE KEYS */;
/*!40000 ALTER TABLE `documento_form` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `encargados`
--

DROP TABLE IF EXISTS `encargados`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `encargados` (
  `encargado_id` int NOT NULL AUTO_INCREMENT,
  `id_area` int NOT NULL,
  `id_encargado_area` int NOT NULL,
  `activo` tinyint DEFAULT NULL,
  PRIMARY KEY (`encargado_id`),
  KEY `fk_encargados_usuario1_idx` (`id_encargado_area`) /*!80000 INVISIBLE */,
  KEY `fk_encargados_area1_idx` (`id_area`),
  CONSTRAINT `fk_encargados_area1` FOREIGN KEY (`id_area`) REFERENCES `area` (`area_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `fk_encargados_usuario1` FOREIGN KEY (`id_encargado_area`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `encargados`
--

LOCK TABLES `encargados` WRITE;
/*!40000 ALTER TABLE `encargados` DISABLE KEYS */;
/*!40000 ALTER TABLE `encargados` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `encuesta`
--

DROP TABLE IF EXISTS `encuesta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `encuesta` (
  `encuesta_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `encuesta_respuestas` text NOT NULL,
  PRIMARY KEY (`encuesta_id`),
  KEY `fk_encuesta_usuario1_idx` (`usuario_id`),
  CONSTRAINT `fk_encuesta_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `encuesta`
--

LOCK TABLES `encuesta` WRITE;
/*!40000 ALTER TABLE `encuesta` DISABLE KEYS */;
/*!40000 ALTER TABLE `encuesta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entidad`
--

DROP TABLE IF EXISTS `entidad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `entidad` (
  `entidad_id` int NOT NULL AUTO_INCREMENT,
  `entidad_descripcion` varchar(200) NOT NULL,
  PRIMARY KEY (`entidad_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entidad`
--

LOCK TABLES `entidad` WRITE;
/*!40000 ALTER TABLE `entidad` DISABLE KEYS */;
/*!40000 ALTER TABLE `entidad` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `estado`
--

DROP TABLE IF EXISTS `estado`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `estado` (
  `estado_id` int NOT NULL AUTO_INCREMENT,
  `estado_nombre` varchar(100) NOT NULL,
  `estado_descripcion` varchar(100) NOT NULL,
  PRIMARY KEY (`estado_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `estado`
--

LOCK TABLES `estado` WRITE;
/*!40000 ALTER TABLE `estado` DISABLE KEYS */;
/*!40000 ALTER TABLE `estado` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `formulario`
--

DROP TABLE IF EXISTS `formulario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `formulario` (
  `formulario_id` int NOT NULL AUTO_INCREMENT,
  `tipo_licencia_id` int NOT NULL,
  `formulario_dia_desde` date NOT NULL,
  `formulario_dia_hasta` date NOT NULL,
  `formulario_explicacion` text NOT NULL,
  `usuario_id` int NOT NULL,
  `formulario_fecha_hora_registro` datetime NOT NULL,
  `formulario_afectacion` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`formulario_id`),
  KEY `fk_formulario_usuario_idx` (`usuario_id`) /*!80000 INVISIBLE */,
  KEY `fk_formulario_licencia_idx` (`tipo_licencia_id`),
  CONSTRAINT `fk_formulario_licencia` FOREIGN KEY (`tipo_licencia_id`) REFERENCES `tipo_licencias` (`tipo_licencia_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `fk_formulario_usuario` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `formulario`
--

LOCK TABLES `formulario` WRITE;
/*!40000 ALTER TABLE `formulario` DISABLE KEYS */;
/*!40000 ALTER TABLE `formulario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `formulario_adjunto`
--

DROP TABLE IF EXISTS `formulario_adjunto`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `formulario_adjunto` (
  `formulario_adjunto_id` int NOT NULL AUTO_INCREMENT,
  `formulario_id` int NOT NULL,
  `url_adjunto` varchar(500) NOT NULL,
  PRIMARY KEY (`formulario_adjunto_id`),
  KEY `fk_formulario_img_formulario_idx` (`formulario_id`) /*!80000 INVISIBLE */,
  CONSTRAINT `fk_formulario_img_formulario` FOREIGN KEY (`formulario_id`) REFERENCES `formulario` (`formulario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `formulario_adjunto`
--

LOCK TABLES `formulario_adjunto` WRITE;
/*!40000 ALTER TABLE `formulario_adjunto` DISABLE KEYS */;
/*!40000 ALTER TABLE `formulario_adjunto` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `formulario_firmas`
--

DROP TABLE IF EXISTS `formulario_firmas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `formulario_firmas` (
  `formulario_firma_id` int NOT NULL,
  `formulario_id` int NOT NULL,
  `jefe_id` int NOT NULL,
  `url_firma` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`formulario_firma_id`),
  KEY `fk_formulario_firmas_formulario1_idx` (`formulario_id`),
  CONSTRAINT `fk_formulario_firmas_formulario1` FOREIGN KEY (`formulario_id`) REFERENCES `formulario` (`formulario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `formulario_firmas`
--

LOCK TABLES `formulario_firmas` WRITE;
/*!40000 ALTER TABLE `formulario_firmas` DISABLE KEYS */;
/*!40000 ALTER TABLE `formulario_firmas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `foto_perfil_usuario`
--

DROP TABLE IF EXISTS `foto_perfil_usuario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `foto_perfil_usuario` (
  `foto_perfil_usuario_id` int NOT NULL AUTO_INCREMENT,
  `foto_perfil_usuario_url` varchar(500) NOT NULL,
  `usuario_id` int NOT NULL,
  `fecha_cambio_perfil` datetime NOT NULL,
  PRIMARY KEY (`foto_perfil_usuario_id`),
  KEY `fk_foto_perfil_usuario_usuario1_idx` (`usuario_id`),
  CONSTRAINT `fk_foto_perfil_usuario_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `foto_perfil_usuario`
--

LOCK TABLES `foto_perfil_usuario` WRITE;
/*!40000 ALTER TABLE `foto_perfil_usuario` DISABLE KEYS */;
/*!40000 ALTER TABLE `foto_perfil_usuario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `historial_documento`
--

DROP TABLE IF EXISTS `historial_documento`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `historial_documento` (
  `hostorial_id` int NOT NULL AUTO_INCREMENT,
  `documento_id` int DEFAULT NULL,
  `estado_documento_id` int DEFAULT NULL,
  `usuario_id_pos` int DEFAULT NULL,
  `area_actual_id` int DEFAULT NULL,
  `observacion` text,
  `fecha_hora_movimiento_documento` datetime DEFAULT NULL,
  `url_firma_documento` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`hostorial_id`),
  KEY `fk_historial_documento_documento_form1_idx` (`documento_id`),
  KEY `fk_historial_documento_estado1_idx` (`estado_documento_id`),
  KEY `fk_historial_documento_usuario1_idx` (`usuario_id_pos`),
  KEY `fk_historial_documento_area1_idx` (`area_actual_id`),
  CONSTRAINT `fk_historial_documento_area1` FOREIGN KEY (`area_actual_id`) REFERENCES `area` (`area_id`),
  CONSTRAINT `fk_historial_documento_documento_form1` FOREIGN KEY (`documento_id`) REFERENCES `documento_form` (`documento_id`),
  CONSTRAINT `fk_historial_documento_estado1` FOREIGN KEY (`estado_documento_id`) REFERENCES `estado` (`estado_id`),
  CONSTRAINT `fk_historial_documento_usuario1` FOREIGN KEY (`usuario_id_pos`) REFERENCES `usuario` (`usuario_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `historial_documento`
--

LOCK TABLES `historial_documento` WRITE;
/*!40000 ALTER TABLE `historial_documento` DISABLE KEYS */;
/*!40000 ALTER TABLE `historial_documento` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `historial_estados_formulario`
--

DROP TABLE IF EXISTS `historial_estados_formulario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `historial_estados_formulario` (
  `id_historial_formulario` int NOT NULL AUTO_INCREMENT,
  `formulario_id` int DEFAULT NULL,
  `estado_id_formulario` int DEFAULT NULL,
  `usuario_pos_id_formulario` int DEFAULT NULL,
  `area_actual_id_formulario` int DEFAULT NULL,
  `url_firma_firmulario` varchar(100) DEFAULT NULL,
  `fecha_hora_estado_formulario` datetime DEFAULT NULL,
  PRIMARY KEY (`id_historial_formulario`),
  KEY `fk_historial_estados_formulario_formulario1_idx` (`formulario_id`),
  KEY `fk_historial_estados_formulario_estado1_idx` (`estado_id_formulario`),
  KEY `fk_historial_estados_formulario_usuario1_idx` (`usuario_pos_id_formulario`),
  KEY `fk_historial_estados_formulario_area1_idx` (`area_actual_id_formulario`),
  CONSTRAINT `fk_historial_estados_formulario_area1` FOREIGN KEY (`area_actual_id_formulario`) REFERENCES `area` (`area_id`),
  CONSTRAINT `fk_historial_estados_formulario_estado1` FOREIGN KEY (`estado_id_formulario`) REFERENCES `estado` (`estado_id`),
  CONSTRAINT `fk_historial_estados_formulario_formulario1` FOREIGN KEY (`formulario_id`) REFERENCES `formulario` (`formulario_id`),
  CONSTRAINT `fk_historial_estados_formulario_usuario1` FOREIGN KEY (`usuario_pos_id_formulario`) REFERENCES `usuario` (`usuario_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `historial_estados_formulario`
--

LOCK TABLES `historial_estados_formulario` WRITE;
/*!40000 ALTER TABLE `historial_estados_formulario` DISABLE KEYS */;
/*!40000 ALTER TABLE `historial_estados_formulario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `licencias`
--

DROP TABLE IF EXISTS `licencias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `licencias` (
  `licencia_id` int NOT NULL AUTO_INCREMENT,
  `fomulario_id` int DEFAULT NULL,
  `documento_id` int DEFAULT NULL,
  `usuario_id` int DEFAULT NULL,
  `tipo_licencia_id` int DEFAULT NULL,
  `cantidad_dias` int DEFAULT NULL,
  `otorgado` tinyint(1) DEFAULT NULL,
  `haberes` int DEFAULT NULL,
  `desde` datetime DEFAULT NULL,
  `hasta` datetime DEFAULT NULL,
  `dias_disponibles` int DEFAULT NULL,
  PRIMARY KEY (`licencia_id`),
  KEY `fk_licencias_formulario1_idx` (`fomulario_id`),
  KEY `fk_licencias_documento_form1_idx` (`documento_id`),
  KEY `fk_licencias_usuario1_idx` (`usuario_id`),
  KEY `fk_licencias_tipo_licencias1_idx` (`tipo_licencia_id`),
  CONSTRAINT `fk_licencias_documento_form1` FOREIGN KEY (`documento_id`) REFERENCES `documento_form` (`documento_id`),
  CONSTRAINT `fk_licencias_formulario1` FOREIGN KEY (`fomulario_id`) REFERENCES `formulario` (`formulario_id`),
  CONSTRAINT `fk_licencias_tipo_licencias1` FOREIGN KEY (`tipo_licencia_id`) REFERENCES `tipo_licencias` (`tipo_licencia_id`),
  CONSTRAINT `fk_licencias_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `licencias`
--

LOCK TABLES `licencias` WRITE;
/*!40000 ALTER TABLE `licencias` DISABLE KEYS */;
/*!40000 ALTER TABLE `licencias` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `noticias`
--

DROP TABLE IF EXISTS `noticias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `noticias` (
  `noticia_id` int NOT NULL AUTO_INCREMENT,
  `imagen` varchar(500) DEFAULT NULL,
  `descripcion` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `usuario_id` int NOT NULL,
  `noticia_fecha` datetime DEFAULT NULL,
  `noticia_hora` time DEFAULT NULL,
  `estado_id` int NOT NULL,
  PRIMARY KEY (`noticia_id`),
  KEY `fk_noticias_usuario1_idx` (`usuario_id`),
  CONSTRAINT `fk_noticias_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `noticias`
--

LOCK TABLES `noticias` WRITE;
/*!40000 ALTER TABLE `noticias` DISABLE KEYS */;
/*!40000 ALTER TABLE `noticias` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `per_noti_form`
--

DROP TABLE IF EXISTS `per_noti_form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `per_noti_form` (
  `per_noti_form_id` int NOT NULL AUTO_INCREMENT,
  `formulario_id` int NOT NULL,
  `fecha_recepcion` datetime NOT NULL,
  `form_recibido_por_id` int NOT NULL,
  `form_notificado_por` int DEFAULT NULL,
  `fecha_notificacion` datetime DEFAULT NULL,
  `descripcion_decreto` text,
  `url_img_decreto` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`per_noti_form_id`),
  KEY `fk_per_noti_form_formulario1_idx` (`formulario_id`),
  CONSTRAINT `fk_per_noti_form_formulario1` FOREIGN KEY (`formulario_id`) REFERENCES `formulario` (`formulario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `per_noti_form`
--

LOCK TABLES `per_noti_form` WRITE;
/*!40000 ALTER TABLE `per_noti_form` DISABLE KEYS */;
/*!40000 ALTER TABLE `per_noti_form` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `per_print_for`
--

DROP TABLE IF EXISTS `per_print_for`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `per_print_for` (
  `print_for_id` int NOT NULL AUTO_INCREMENT,
  `formulario_id` int NOT NULL,
  `usuario_id` int NOT NULL,
  `print_for_date` datetime NOT NULL,
  PRIMARY KEY (`print_for_id`),
  KEY `fk_per_print_for_usuario1_idx` (`usuario_id`),
  KEY `fk_per_print_for_formulario1_idx` (`formulario_id`),
  CONSTRAINT `fk_per_print_for_formulario1` FOREIGN KEY (`formulario_id`) REFERENCES `formulario` (`formulario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `fk_per_print_for_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `per_print_for`
--

LOCK TABLES `per_print_for` WRITE;
/*!40000 ALTER TABLE `per_print_for` DISABLE KEYS */;
/*!40000 ALTER TABLE `per_print_for` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reacciones`
--

DROP TABLE IF EXISTS `reacciones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `reacciones` (
  `reaccion_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `noticia_id` int NOT NULL,
  PRIMARY KEY (`reaccion_id`),
  KEY `fk_reacciones_usuario1_idx` (`usuario_id`),
  CONSTRAINT `fk_reacciones_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reacciones`
--

LOCK TABLES `reacciones` WRITE;
/*!40000 ALTER TABLE `reacciones` DISABLE KEYS */;
/*!40000 ALTER TABLE `reacciones` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `recibo`
--

DROP TABLE IF EXISTS `recibo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recibo` (
  `recibo_id` int NOT NULL AUTO_INCREMENT,
  `pdf` varchar(500) NOT NULL,
  `descripcion_pdf` varchar(150) NOT NULL,
  `usuario_id` int NOT NULL,
  PRIMARY KEY (`recibo_id`),
  KEY `fk_recibo_usuario1_idx` (`usuario_id`),
  CONSTRAINT `fk_recibo_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `recibo`
--

LOCK TABLES `recibo` WRITE;
/*!40000 ALTER TABLE `recibo` DISABLE KEYS */;
/*!40000 ALTER TABLE `recibo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `recuperacion_clave_user`
--

DROP TABLE IF EXISTS `recuperacion_clave_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recuperacion_clave_user` (
  `recuperacion_clave_user_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `fecha_hora_recuperacion` datetime NOT NULL,
  `codigo_recuperacion` varchar(100) NOT NULL,
  `valido` varchar(2) NOT NULL,
  PRIMARY KEY (`recuperacion_clave_user_id`),
  KEY `fk_recuperacion_clave_user_usuario1_idx` (`usuario_id`),
  CONSTRAINT `fk_recuperacion_clave_user_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `recuperacion_clave_user`
--

LOCK TABLES `recuperacion_clave_user` WRITE;
/*!40000 ALTER TABLE `recuperacion_clave_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `recuperacion_clave_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rol_en_personal`
--

DROP TABLE IF EXISTS `rol_en_personal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rol_en_personal` (
  `rol_en_personal_id` int NOT NULL AUTO_INCREMENT,
  `rol_en_personal_descripcion` varchar(300) NOT NULL,
  PRIMARY KEY (`rol_en_personal_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rol_en_personal`
--

LOCK TABLES `rol_en_personal` WRITE;
/*!40000 ALTER TABLE `rol_en_personal` DISABLE KEYS */;
/*!40000 ALTER TABLE `rol_en_personal` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sesion_biometrica`
--

DROP TABLE IF EXISTS `sesion_biometrica`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sesion_biometrica` (
  `sesion_biometrica_id` int NOT NULL AUTO_INCREMENT,
  `token_dispositivo` text NOT NULL,
  `usuario_id` int NOT NULL,
  `biometria_activada` int NOT NULL,
  PRIMARY KEY (`sesion_biometrica_id`),
  KEY `fk_sesion_biometrica_usuario1_idx` (`usuario_id`),
  CONSTRAINT `fk_sesion_biometrica_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sesion_biometrica`
--

LOCK TABLES `sesion_biometrica` WRITE;
/*!40000 ALTER TABLE `sesion_biometrica` DISABLE KEYS */;
/*!40000 ALTER TABLE `sesion_biometrica` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sesiones`
--

DROP TABLE IF EXISTS `sesiones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sesiones` (
  `sesiones_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `fecha_hora_sesion` datetime NOT NULL,
  `sesiones_ubicacion` varchar(100) NOT NULL,
  `dispositivo_sesion` text NOT NULL,
  PRIMARY KEY (`sesiones_id`),
  KEY `fk_sesiones_usuario1_idx` (`usuario_id`),
  CONSTRAINT `fk_sesiones_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=96 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sesiones`
--

LOCK TABLES `sesiones` WRITE;
/*!40000 ALTER TABLE `sesiones` DISABLE KEYS */;
/*!40000 ALTER TABLE `sesiones` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tipo documento`
--

DROP TABLE IF EXISTS `tipo documento`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tipo documento` (
  `tipo documento_id` int NOT NULL AUTO_INCREMENT,
  `nombre` varchar(45) DEFAULT NULL,
  `descripcion` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`tipo documento_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tipo documento`
--

LOCK TABLES `tipo documento` WRITE;
/*!40000 ALTER TABLE `tipo documento` DISABLE KEYS */;
/*!40000 ALTER TABLE `tipo documento` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tipo_licencias`
--

DROP TABLE IF EXISTS `tipo_licencias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tipo_licencias` (
  `tipo_licencia_id` int NOT NULL AUTO_INCREMENT,
  `nombre_licencia` varchar(50) NOT NULL,
  `descripcion_licencia` varchar(100) DEFAULT NULL,
  `total_dias_anual` int DEFAULT NULL,
  PRIMARY KEY (`tipo_licencia_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tipo_licencias`
--

LOCK TABLES `tipo_licencias` WRITE;
/*!40000 ALTER TABLE `tipo_licencias` DISABLE KEYS */;
/*!40000 ALTER TABLE `tipo_licencias` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tipo_usuario`
--

DROP TABLE IF EXISTS `tipo_usuario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tipo_usuario` (
  `tipo_usuario_id` int NOT NULL AUTO_INCREMENT,
  `tipo_usuario_descripcion` varchar(200) NOT NULL,
  `tipo_usuario_funcion` varchar(100) NOT NULL,
  PRIMARY KEY (`tipo_usuario_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tipo_usuario`
--

LOCK TABLES `tipo_usuario` WRITE;
/*!40000 ALTER TABLE `tipo_usuario` DISABLE KEYS */;
/*!40000 ALTER TABLE `tipo_usuario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_sis_personal`
--

DROP TABLE IF EXISTS `user_sis_personal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_sis_personal` (
  `user_per_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `rol_en_personal_id` int NOT NULL,
  `estado_id` int DEFAULT NULL,
  PRIMARY KEY (`user_per_id`),
  KEY `fk_user_sis_personal_usuario1_idx` (`usuario_id`),
  KEY `fk_user_sis_personal_rol_en_personal1_idx` (`rol_en_personal_id`),
  CONSTRAINT `fk_user_sis_personal_rol_en_personal1` FOREIGN KEY (`rol_en_personal_id`) REFERENCES `rol_en_personal` (`rol_en_personal_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `fk_user_sis_personal_usuario1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_sis_personal`
--

LOCK TABLES `user_sis_personal` WRITE;
/*!40000 ALTER TABLE `user_sis_personal` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_sis_personal` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuario`
--

DROP TABLE IF EXISTS `usuario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `usuario` (
  `usuario_id` int NOT NULL AUTO_INCREMENT,
  `usuario_nombre` varchar(100) NOT NULL,
  `usuario_apellido` varchar(100) NOT NULL,
  `usuario_dni` int NOT NULL,
  `usuario_cuil` bigint NOT NULL,
  `usuario_legajo` text NOT NULL,
  `usuario_provincia` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_depto` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_calle` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_casa_numero` bigint DEFAULT NULL,
  `usuario_fecha_nacimiento` date DEFAULT NULL,
  `usuario_email` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_biografia` text CHARACTER SET latin1 COLLATE latin1_swedish_ci,
  `usuario_telefono` varchar(30) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_profesion` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_clave` varchar(50) NOT NULL,
  `usuario_foto_perfil` varchar(500) DEFAULT NULL,
  `usuario_facebook` varchar(100) DEFAULT NULL,
  `usuario_instagram` varchar(100) DEFAULT NULL,
  `cargo_id` int DEFAULT NULL,
  `tipo_usuario_id` int DEFAULT NULL,
  `estado_id` int DEFAULT NULL,
  `entidad_id` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `categoria_id` int DEFAULT NULL,
  `editado_el` date DEFAULT NULL,
  PRIMARY KEY (`usuario_id`),
  KEY `fk_usuario_area1_idx` (`area_id`),
  KEY `fk_usuario_cargo1_idx` (`cargo_id`),
  KEY `fk_usuario_tipo_usuario1_idx` (`tipo_usuario_id`),
  KEY `fk_usuario_estado1_idx` (`estado_id`),
  KEY `fk_usuario_entidad1_idx` (`entidad_id`),
  KEY `fk_usuario_categoria1_idx` (`categoria_id`),
  CONSTRAINT `fk_usuario_area1` FOREIGN KEY (`area_id`) REFERENCES `area` (`area_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `fk_usuario_cargo1` FOREIGN KEY (`cargo_id`) REFERENCES `cargo` (`cargo_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `fk_usuario_categoria1` FOREIGN KEY (`categoria_id`) REFERENCES `categoria` (`categoria_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `fk_usuario_entidad1` FOREIGN KEY (`entidad_id`) REFERENCES `entidad` (`entidad_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `fk_usuario_estado1` FOREIGN KEY (`estado_id`) REFERENCES `estado` (`estado_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `fk_usuario_tipo_usuario1` FOREIGN KEY (`tipo_usuario_id`) REFERENCES `tipo_usuario` (`tipo_usuario_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=2160 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuario`
--

LOCK TABLES `usuario` WRITE;
/*!40000 ALTER TABLE `usuario` DISABLE KEYS */;
/*!40000 ALTER TABLE `usuario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `version`
--

DROP TABLE IF EXISTS `version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `version` (
  `version_id` int NOT NULL AUTO_INCREMENT,
  `version_descripcion` int NOT NULL,
  `version_fecha_lanzamiento` datetime NOT NULL,
  PRIMARY KEY (`version_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `version`
--

LOCK TABLES `version` WRITE;
/*!40000 ALTER TABLE `version` DISABLE KEYS */;
/*!40000 ALTER TABLE `version` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-10-18  7:36:54
