<?php

class FormularioController extends GxController {

public function filters() {
	return array(
			'accessControl', 
			);
}

public function accessRules() {
	return array(
			array('allow', 
				'actions'=>array('view', 'create', 'admin', 'EncargadosArea'),
				'users'=>array('@'),
				),
			array('allow', 
				'actions'=>array('index', 'minicreate', 'update', 'delete'),
				'users'=>array('administrador'),
				),
			array('deny', 
				'users'=>array('*'),
				),
			);
}

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Formulario'),
		));
	}

	public function actionCreate() {
		$model = new Formulario;

		$id_login_user	= Yii::app()->user->getId();
		$usuario_model	= $this->loadModel($id_login_user, 'Usuario');

		if (isset($_POST['Formulario'])) {
			$model->setAttributes($_POST['Formulario']);

			$model->usuario_id						 = $id_login_user;
			$model->formulario_fecha_hora_registro 	 = date("Y-m-d H:i:s");
			$model->formulario_afectacion			 = "SIN DEFINIR";
			$model->usuario_id_destino				 = $_POST['usuario_id_destino'];
			$model->necesita_reemplazo				 = $_POST['necesita_reemplazo'];

			if ($model->save()) {
				// Agregar 1er reg. a Historial Estados Formularios
				$model_estados_frm = new HistorialEstadosFormulario;
				$model_estados_frm->formulario_id				 = $model->formulario_id;
				$model_estados_frm->estado_id_formulario		 = 6; // Estado solicitud creada
				$model_estados_frm->usuario_pos_id_formulario	 = $id_login_user;
				$model_estados_frm->area_actual_id_formulario	 = $this->AreaDestinoUsuario( $id_login_user );
				$model_estados_frm->url_firma_firmulario		 = "IMG_FIRMA.jpg";
				$model_estados_frm->fecha_hora_estado_formulario = date("Y-m-d H:i:s");
				$model_estados_frm->save();

				// Agregar 2do reg. a Historial Estados Formularios
				$model_estados_frm = new HistorialEstadosFormulario;
				$model_estados_frm->formulario_id				 = $model->formulario_id;
				$model_estados_frm->usuario_pos_id_formulario	 = $model->usuario_id_destino;
				$model_estados_frm->area_actual_id_formulario	 = $this->AreaDestinoUsuario( $model->usuario_id_destino );
				$model_estados_frm->url_firma_firmulario		 = "";
				$model_estados_frm->fecha_hora_estado_formulario = date("Y-m-d H:i:s");
				
				if($_POST['necesita_reemplazo']) {
					// Necesita reemplazo
					$model_estados_frm->estado_id_formulario = 7; // En espera de reemplazo
	
				}elseif($model->usuario_id_destino == Yii::app()->params['ID_USR_SEC_PERSONAL']) {
					// Secretaria de Personal
					$model_estados_frm->estado_id_formulario = 15; // Espera de recepción en Sec. Personal
					
				}else{
					// Secretario o Primer Jefe
					$model_estados_frm->estado_id_formulario = 9; // Espera por firma de Secretario o Primer Jefe
				}

				$model_estados_frm->save();


				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->formulario_id));
			}
		}

		$this->render('create', array( 'model' => $model, 'jefesArea' => $this->ListaDestinatariosTramite($model->necesita_reemplazo, $usuario_model->area_id)));
	}

	public function ListaDestinatariosTramite( $necesita_reemplazo, $id_area_usr ) {
		// Obtener listado de Jefes de area del usuario
		if(!$necesita_reemplazo) {
			$data = array();
			$cmd = Yii::app()->db->createCommand();
			$cmd->select('encargados.id_encargado_area, usuario.usuario_apellido, usuario.usuario_nombre');
			$cmd->from('encargados');
			$cmd->join('usuario', 'encargados.id_encargado_area = usuario.usuario_id');
			$cmd->where('encargados.id_area = '.$id_area_usr);
			$result = $cmd->query();

			$data[Yii::app()->params['ID_USR_SEC_PERSONAL']] = 'Sec.Personal';
			foreach ($result as $row) {
				// Use $row['column_name'] et al.
				$data[$row['id_encargado_area']] = $row['usuario_apellido'] . " " . $row['usuario_nombre'];
			}
			return $data;
		}

		// Obtener listado Empleados del area del usuario para reemplazo
		if($necesita_reemplazo) {
			$data = array();
			$result = Usuario::model()->resetScope()->findAll(array("condition"=>"area_id=".$id_area_usr." and usuario_id<>".Yii::app()->user->getId(), 
					  "order"=>"usuario_apellido"));
			foreach ($result as $row) {
				$data[$row['usuario_id']] = $row['usuario_apellido'] . " " . $row['usuario_nombre'];
			}
			return $data;
		}
	}

	private function AreaDestinoUsuario( $id_usuario ) {
		$usr_model = Usuario::model()->resetScope()->findByPk( $id_usuario );
		return $usr_model->area_id;
	}




	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Formulario');


		if (isset($_POST['Formulario'])) {
			$model->setAttributes($_POST['Formulario']);

			if ($model->save()) {
				$this->redirect(array('view', 'id' => $model->formulario_id));
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Formulario')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Formulario');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Formulario('search');
		$model->unsetAttributes();

		if (isset($_GET['Formulario']))
			$model->setAttributes($_GET['Formulario']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

	public function actionEncargadosArea($necesita_reemplazo) {
		$idAreaUsr = Usuario::model()->findByPk( Yii::app()->user->getId() )->area_id;
		if($necesita_reemplazo) {
			// Obtener empleados del area para reemplazo
			$result = Usuario::model()->resetScope()->findAll(array("condition"=>"area_id=".$idAreaUsr." and usuario_id<>".Yii::app()->user->getId(), "order"=>"usuario_apellido"));
			$html = "";
			foreach ($result as $row) {
				$html = $html."<option value=".$row['usuario_id'].">".$row['usuario_apellido'] . " " . $row['usuario_nombre']."</option>";
			}
			echo $html;
			return;
		}else{
			// Obtener jefes encargados del area
			$cmd = Yii::app()->db->createCommand();
			$cmd->select('encargados.id_encargado_area, usuario.usuario_apellido, usuario.usuario_nombre');
			$cmd->from('encargados');
			$cmd->join('usuario', 'encargados.id_encargado_area = usuario.usuario_id');
			$cmd->where('encargados.id_area = '.$idAreaUsr);
			$result = $cmd->query();

			$html = "<option value=".Yii::app()->params['ID_USR_SEC_PERSONAL'].">Sec.Personal</option>";
			foreach ($result as $row) {
				$html = $html."<option value=".$row['id_encargado_area'].">".$row['usuario_apellido'] . " " . $row['usuario_nombre']."</option>";
			}
			echo $html;
			return;
		}

	}

}