<?php

/**
 * This is the model base class for the table "documento_form".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "DocumentoForm".
 *
 * Columns in table "documento_form" available as properties of the model,
 * followed by relations of table "documento_form" available as properties of the model.
 *
 * @property integer $documento_id
 * @property integer $formulario_id
 * @property string $fecha_hora_creacion
 * @property integer $tipo_documento_id
 * @property string $contenido_documento
 * @property string $protocolo
 *
 * @property Formulario $formulario
 * @property HistorialDocumento[] $historialDocumentos
 * @property Licencias[] $licenciases
 */
abstract class BaseDocumentoForm extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'documento_form';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'DocumentoForm|DocumentoForms', $n);
	}

	public static function representingColumn() {
		return 'fecha_hora_creacion';
	}

	public function rules() {
		return array(
			array('formulario_id, tipo_documento_id', 'numerical', 'integerOnly'=>true),
			array('protocolo', 'length', 'max'=>50),
			array('fecha_hora_creacion, contenido_documento', 'safe'),
			array('formulario_id, fecha_hora_creacion, tipo_documento_id, contenido_documento, protocolo', 'default', 'setOnEmpty' => true, 'value' => null),
			array('documento_id, formulario_id, fecha_hora_creacion, tipo_documento_id, contenido_documento, protocolo', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'formulario' => array(self::BELONGS_TO, 'Formulario', 'formulario_id'),
			'historialDocumentos' => array(self::HAS_MANY, 'HistorialDocumento', 'documento_id'),
			'licenciases' => array(self::HAS_MANY, 'Licencias', 'documento_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'documento_id' => Yii::t('app', 'Documento'),
			'formulario_id' => null,
			'fecha_hora_creacion' => Yii::t('app', 'Fecha Hora Creacion'),
			'tipo_documento_id' => Yii::t('app', 'Tipo Documento'),
			'contenido_documento' => Yii::t('app', 'Contenido Documento'),
			'protocolo' => Yii::t('app', 'Protocolo'),
			'formulario' => null,
			'historialDocumentos' => null,
			'licenciases' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('documento_id', $this->documento_id);
		$criteria->compare('formulario_id', $this->formulario_id);
		$criteria->compare('fecha_hora_creacion', $this->fecha_hora_creacion, true);
		$criteria->compare('tipo_documento_id', $this->tipo_documento_id);
		$criteria->compare('contenido_documento', $this->contenido_documento, true);
		$criteria->compare('protocolo', $this->protocolo, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}