<?php

/**
 * This is the model base class for the table "estado".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Estado".
 *
 * Columns in table "estado" available as properties of the model,
 * followed by relations of table "estado" available as properties of the model.
 *
 * @property integer $estado_id
 * @property string $estado_nombre
 * @property string $estado_descripcion
 *
 * @property HistorialDocumento[] $historialDocumentos
 * @property HistorialEstadosFormulario[] $historialEstadosFormularios
 * @property Usuario[] $usuarios
 */
abstract class BaseEstado extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'estado';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Estado|Estados', $n);
	}

	public static function representingColumn() {
		return 'estado_nombre';
	}

	public function rules() {
		return array(
			array('estado_nombre, estado_descripcion', 'required'),
			array('estado_nombre, estado_descripcion', 'length', 'max'=>100),
			array('estado_id, estado_nombre, estado_descripcion', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'historialDocumentos' => array(self::HAS_MANY, 'HistorialDocumento', 'estado_documento_id'),
			'historialEstadosFormularios' => array(self::HAS_MANY, 'HistorialEstadosFormulario', 'estado_id_formulario'),
			'usuarios' => array(self::HAS_MANY, 'Usuario', 'estado_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'estado_id' => Yii::t('app', 'Estado'),
			'estado_nombre' => Yii::t('app', 'Estado Nombre'),
			'estado_descripcion' => Yii::t('app', 'Estado Descripcion'),
			'historialDocumentos' => null,
			'historialEstadosFormularios' => null,
			'usuarios' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('estado_id', $this->estado_id);
		$criteria->compare('estado_nombre', $this->estado_nombre, true);
		$criteria->compare('estado_descripcion', $this->estado_descripcion, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}