<?php

/**
 * This is the model base class for the table "formulario".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Formulario".
 *
 * Columns in table "formulario" available as properties of the model,
 * followed by relations of table "formulario" available as properties of the model.
 *
 * @property integer $formulario_id
 * @property integer $tipo_licencia_id
 * @property string $formulario_dia_desde
 * @property string $formulario_dia_hasta
 * @property string $formulario_explicacion
 * @property integer $usuario_id
 * @property string $formulario_fecha_hora_registro
 * @property string $formulario_afectacion
 *
 * @property DocumentoForm[] $documentoForms
 * @property TipoLicencias $tipoLicencia
 * @property Usuario $usuario
 * @property FormularioAdjunto[] $formularioAdjuntos
 * @property HistorialEstadosFormulario[] $historialEstadosFormularios
 * @property Licencias[] $licenciases
 * @property PerNotiForm[] $perNotiForms
 * @property PerPrintFor[] $perPrintFors
 */
abstract class BaseFormulario extends GxActiveRecord {

	public $usuario_id_destino;
	public $necesita_reemplazo = 0;

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'formulario';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Formulario|Formularios', $n);
	}

	public static function representingColumn() {
		return 'formulario_dia_desde';
	}

	public function rules() {
		return array(
			array('tipo_licencia_id, formulario_dia_desde, formulario_dia_hasta, usuario_id, formulario_fecha_hora_registro, usuario_id_destino, necesita_reemplazo', 'required'),
			array('tipo_licencia_id, usuario_id', 'numerical', 'integerOnly'=>true),
			array('formulario_afectacion', 'length', 'max'=>100),
			array('formulario_afectacion', 'default', 'setOnEmpty' => true, 'value' => null),
			array('formulario_id, tipo_licencia_id, formulario_dia_desde, formulario_dia_hasta, formulario_explicacion, usuario_id, formulario_fecha_hora_registro, formulario_afectacion, necesita_reemplazo', 'safe', 'on'=>'search'),
			array('usuario_id_destino, necesita_reemplazo', 'safe', 'on'=>'search'),

			array('formulario_dia_desde', 'ChkDate'),
			array('formulario_dia_hasta', 'ChkDate'),
			array('formulario_dia_desde', 'ChkFechaMayorQue'),

			array('tipo_licencia_id'	, 'ChkSolicitudFinesSemana'),
			array('tipo_licencia_id'	, 'ChkHorarioLaboral'),
			array('formulario_dia_desde', 'Chk48hsAntes'),

			array('formulario_dia_desde', 'ChkfechaEsSabadoDomingo'),
			array('formulario_dia_hasta', 'ChkfechaEsSabadoDomingo'),
			
		);
	}


	public function ChkDate($attribute,$params) {
		//Yii::log( "this->$attribute=".$this->$attribute, 'warning', 'application');
				$test_arr  = explode('-', $this->$attribute);
				if(count($test_arr)!=3) {
					$this->addError($attribute, "El formato de ".$attribute." no es válido.");
					return false;
				}
				
				$day   = $test_arr[2];
				$month = $test_arr[1];
				$year  = $test_arr[0];
		
				if(!(is_numeric($day)&&is_numeric($month)&&is_numeric($year))) {
					$this->addError($attribute, "El formato de ".$attribute." no es válido.");
					return false;
				}
				
				if(checkdate($month, $day, $year)) {
					return true;
				}else{
					$this->addError($attribute, "El formato de ".$attribute." no es válido.");
					return false;
				}
	}
	
	public function ChkSolicitudFinesSemana($attribute,$params) {
		$fecha_hora_actual = date('Y-m-d H:i:s');

 		if(!$this->EsSabadoDomingo($fecha_hora_actual)){
			return true;
		}else{
			$this->addError($attribute, "No se puede solicitar licencias los fines de samana.");
			return false;
		}
 	}

	public function ChkfechaEsSabadoDomingo($attribute,$params) {
		if(!$this->EsSabadoDomingo($this->$attribute)) {
			return true;
		}else{
			$this->addError($attribute, "No se puede solicitar licencia los sábados o domingos.");
			return false;
		}
	}

	public function EsSabadoDomingo($fecha){
		$fechaEnSegundos = strtotime($fecha);
		$dia_semana = date('N',$fechaEnSegundos);
		if($dia_semana==6 or $dia_semana==7) {
			return true;
		}else{
			return false;
		}	
	}

	public function ChkFechaMayorQue($attribute,$params) {
		if($this->formulario_dia_desde <= $this->formulario_dia_hasta){
			return true;
		}else{
			$this->addError($attribute, "Fecha desde debe ser menor a Fecha hasta");
			return false;
		}
	}

	public function ChkHorarioLaboral($attribute,$params) {
		$hora_actual = strtotime(date('H:i:s'));

		if(strtotime("07:00:00") <= $hora_actual And $hora_actual <= strtotime("20:00:00")){
			return true;
		}else{
			$this->addError($attribute, "El horario para solicitar licencias es de 7hs. a 20hs.");
			return false;
		}
	}

	public function Chk48hsAntes($attribute,$params) {
		$fecha_actual	= date('Y-m-d H:i:s');
		$fecha_licencia = $this->$attribute;
		
		if($this->tipo_licencia_id == Yii::app()->params['ID_RAZONES_PARTICULARES']){
			if($this->get_total_days($fecha_actual, $fecha_licencia) > 2){
				return true;
			}else{
				$this->addError($attribute, "La licencia debe solicitarse 48 horas antes.");
				return false;
			}
		}
	}
//die($this->formulario_dia_desde ." - ". $this->formulario_dia_hasta);

	function get_total_days($start, $end, $holidays = []){
		$weekends = ['Sat', 'Sun'];

		$start = new DateTime($start);
		$end   = new DateTime($end);
		$end->modify('+1 day');
	
		$total_days = $end->diff($start)->days;
		$period = new DatePeriod($start, new DateInterval('P1D'), $end);
	
		foreach($period as $dt) {
			if (in_array($dt->format('D'),  $weekends) || in_array($dt->format('Y-m-d'), $holidays)){
				$total_days--;
			}
		}
		return $total_days;
	}



	public function relations() {
		return array(
			'documentoForms'	 		  => array(self::HAS_MANY  , 'DocumentoForm'		   , 'formulario_id'),
			'tipoLicencia'		 		  => array(self::BELONGS_TO, 'TipoLicencias'		   , 'tipo_licencia_id'),
			'usuario'			 		  => array(self::BELONGS_TO, 'Usuario'				   , 'usuario_id'),
			'formularioAdjuntos' 		  => array(self::HAS_MANY, 'FormularioAdjunto'		   , 'formulario_id'),
			'historialEstadosFormularios' => array(self::HAS_MANY, 'HistorialEstadosFormulario', 'formulario_id'),
			'licenciases'				  => array(self::HAS_MANY, 'Licencias'	, 'fomulario_id'),
			'perNotiForms'				  => array(self::HAS_MANY, 'PerNotiForm', 'formulario_id'),
			'perPrintFors'				  => array(self::HAS_MANY, 'PerPrintFor', 'formulario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'formulario_id'			 => Yii::t('app', 'Formulario'),
			'tipo_licencia_id'		 => Yii::t('app', 'Tipo Licencia'),
			'formulario_dia_desde'	 => Yii::t('app', 'Fecha Desde'),
			'formulario_dia_hasta'	 => Yii::t('app', 'Fecha Hasta'),
			'formulario_explicacion' => Yii::t('app', 'Explicacion'),
			'usuario_id'			 => null,
			'formulario_fecha_hora_registro' => Yii::t('app', 'Fecha Registro'),
			'formulario_afectacion'  => Yii::t('app', 'Formulario Afectacion'),
			'documentoForms' 		 => null,
			'tipoLicencia'			 => null,
			'usuario'				 => null,
			'formularioAdjuntos'	 => null,
			'historialEstadosFormularios' => null,
			'licenciases'			 => null,
			'perNotiForms'			 => null,
			'perPrintFors'			 => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('formulario_id', $this->formulario_id);
		$criteria->compare('tipo_licencia_id', $this->tipo_licencia_id);
		$criteria->compare('formulario_dia_desde', $this->formulario_dia_desde, true);
		$criteria->compare('formulario_dia_hasta', $this->formulario_dia_hasta, true);
		$criteria->compare('formulario_explicacion', $this->formulario_explicacion, true);
		$criteria->compare('usuario_id', $this->usuario_id);
		$criteria->compare('formulario_fecha_hora_registro', $this->formulario_fecha_hora_registro, true);
		$criteria->compare('formulario_afectacion', $this->formulario_afectacion, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
			'pagination'=>array('pageSize'=>10),
			'sort'=>array("defaultOrder"=>"formulario_fecha_hora_registro DESC"),
		));
	}
}