<?php

/**
 * This is the model base class for the table "historial_documento".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "HistorialDocumento".
 *
 * Columns in table "historial_documento" available as properties of the model,
 * followed by relations of table "historial_documento" available as properties of the model.
 *
 * @property integer $hostorial_id
 * @property integer $documento_id
 * @property integer $estado_documento_id
 * @property integer $usuario_id_pos
 * @property integer $area_actual_id
 * @property string $observacion
 * @property string $fecha_hora_movimiento_documento
 * @property string $url_firma_documento
 *
 * @property Area $areaActual
 * @property DocumentoForm $documento
 * @property Estado $estadoDocumento
 * @property Usuario $usuarioIdPos
 */
abstract class BaseHistorialDocumento extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'historial_documento';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'HistorialDocumento|HistorialDocumentos', $n);
	}

	public static function representingColumn() {
		return 'observacion';
	}

	public function rules() {
		return array(
			array('documento_id, estado_documento_id, usuario_id_pos, area_actual_id', 'numerical', 'integerOnly'=>true),
			array('url_firma_documento', 'length', 'max'=>100),
			array('observacion, fecha_hora_movimiento_documento', 'safe'),
			array('documento_id, estado_documento_id, usuario_id_pos, area_actual_id, observacion, fecha_hora_movimiento_documento, url_firma_documento', 'default', 'setOnEmpty' => true, 'value' => null),
			array('hostorial_id, documento_id, estado_documento_id, usuario_id_pos, area_actual_id, observacion, fecha_hora_movimiento_documento, url_firma_documento', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'areaActual' => array(self::BELONGS_TO, 'Area', 'area_actual_id'),
			'documento' => array(self::BELONGS_TO, 'DocumentoForm', 'documento_id'),
			'estadoDocumento' => array(self::BELONGS_TO, 'Estado', 'estado_documento_id'),
			'usuarioIdPos' => array(self::BELONGS_TO, 'Usuario', 'usuario_id_pos'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'hostorial_id' => Yii::t('app', 'Hostorial'),
			'documento_id' => null,
			'estado_documento_id' => null,
			'usuario_id_pos' => null,
			'area_actual_id' => null,
			'observacion' => Yii::t('app', 'Observacion'),
			'fecha_hora_movimiento_documento' => Yii::t('app', 'Fecha Hora Movimiento Documento'),
			'url_firma_documento' => Yii::t('app', 'Url Firma Documento'),
			'areaActual' => null,
			'documento' => null,
			'estadoDocumento' => null,
			'usuarioIdPos' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('hostorial_id', $this->hostorial_id);
		$criteria->compare('documento_id', $this->documento_id);
		$criteria->compare('estado_documento_id', $this->estado_documento_id);
		$criteria->compare('usuario_id_pos', $this->usuario_id_pos);
		$criteria->compare('area_actual_id', $this->area_actual_id);
		$criteria->compare('observacion', $this->observacion, true);
		$criteria->compare('fecha_hora_movimiento_documento', $this->fecha_hora_movimiento_documento, true);
		$criteria->compare('url_firma_documento', $this->url_firma_documento, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}