<?php

/**
 * This is the model base class for the table "historial_estados_formulario".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "HistorialEstadosFormulario".
 *
 * Columns in table "historial_estados_formulario" available as properties of the model,
 * followed by relations of table "historial_estados_formulario" available as properties of the model.
 *
 * @property integer $id_historial_formulario
 * @property integer $formulario_id
 * @property integer $estado_id_formulario
 * @property integer $usuario_pos_id_formulario
 * @property integer $area_actual_id_formulario
 * @property string $url_firma_firmulario
 * @property string $fecha_hora_estado_formulario
 *
 * @property Area $areaActualIdFormulario
 * @property Estado $estadoIdFormulario
 * @property Formulario $formulario
 * @property Usuario $usuarioPosIdFormulario
 */
abstract class BaseHistorialEstadosFormulario extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'historial_estados_formulario';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'HistorialEstadosFormulario|HistorialEstadosFormularios', $n);
	}

	public static function representingColumn() {
		return 'url_firma_firmulario';
	}

	public function rules() {
		return array(
			array('formulario_id, estado_id_formulario, usuario_pos_id_formulario, area_actual_id_formulario', 'numerical', 'integerOnly'=>true),
			array('url_firma_firmulario', 'length', 'max'=>100),
			array('fecha_hora_estado_formulario', 'safe'),
			array('formulario_id, estado_id_formulario, usuario_pos_id_formulario, area_actual_id_formulario, url_firma_firmulario, fecha_hora_estado_formulario', 'default', 'setOnEmpty' => true, 'value' => null),
			array('id_historial_formulario, formulario_id, estado_id_formulario, usuario_pos_id_formulario, area_actual_id_formulario, url_firma_firmulario, fecha_hora_estado_formulario', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'areaActualIdFormulario' => array(self::BELONGS_TO, 'Area', 'area_actual_id_formulario'),
			'estadoIdFormulario' => array(self::BELONGS_TO, 'Estado', 'estado_id_formulario'),
			'formulario' => array(self::BELONGS_TO, 'Formulario', 'formulario_id'),
			'usuarioPosIdFormulario' => array(self::BELONGS_TO, 'Usuario', 'usuario_pos_id_formulario'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'id_historial_formulario' => Yii::t('app', 'Id Historial Formulario'),
			'formulario_id' => null,
			'estado_id_formulario' => null,
			'usuario_pos_id_formulario' => null,
			'area_actual_id_formulario' => null,
			'url_firma_firmulario' => Yii::t('app', 'Url Firma Firmulario'),
			'fecha_hora_estado_formulario' => Yii::t('app', 'Fecha Hora Estado Formulario'),
			'areaActualIdFormulario' => null,
			'estadoIdFormulario' => null,
			'formulario' => null,
			'usuarioPosIdFormulario' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('id_historial_formulario', $this->id_historial_formulario);
		$criteria->compare('formulario_id', $this->formulario_id);
		$criteria->compare('estado_id_formulario', $this->estado_id_formulario);
		$criteria->compare('usuario_pos_id_formulario', $this->usuario_pos_id_formulario);
		$criteria->compare('area_actual_id_formulario', $this->area_actual_id_formulario);
		$criteria->compare('url_firma_firmulario', $this->url_firma_firmulario, true);
		$criteria->compare('fecha_hora_estado_formulario', $this->fecha_hora_estado_formulario, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}