<?php

/**
 * This is the model base class for the table "licencias".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Licencias".
 *
 * Columns in table "licencias" available as properties of the model,
 * followed by relations of table "licencias" available as properties of the model.
 *
 * @property integer $licencia_id
 * @property integer $fomulario_id
 * @property integer $documento_id
 * @property integer $usuario_id
 * @property integer $tipo_licencia_id
 * @property integer $cantidad_dias
 * @property integer $otorgado
 * @property integer $haberes
 * @property string $desde
 * @property string $hasta
 * @property integer $dias_disponibles
 *
 * @property DocumentoForm $documento
 * @property Formulario $fomulario
 * @property TipoLicencias $tipoLicencia
 * @property Usuario $usuario
 */
abstract class BaseLicencias extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'licencias';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Licencias|Licenciases', $n);
	}

	public static function representingColumn() {
		return 'desde';
	}

	public function rules() {
		return array(
			array('fomulario_id, documento_id, usuario_id, tipo_licencia_id, cantidad_dias, otorgado, haberes, dias_disponibles', 'numerical', 'integerOnly'=>true),
			array('desde, hasta', 'safe'),
			array('fomulario_id, documento_id, usuario_id, tipo_licencia_id, cantidad_dias, otorgado, haberes, desde, hasta, dias_disponibles', 'default', 'setOnEmpty' => true, 'value' => null),
			array('licencia_id, fomulario_id, documento_id, usuario_id, tipo_licencia_id, cantidad_dias, otorgado, haberes, desde, hasta, dias_disponibles', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'documento' => array(self::BELONGS_TO, 'DocumentoForm', 'documento_id'),
			'fomulario' => array(self::BELONGS_TO, 'Formulario', 'fomulario_id'),
			'tipoLicencia' => array(self::BELONGS_TO, 'TipoLicencias', 'tipo_licencia_id'),
			'usuario' => array(self::BELONGS_TO, 'Usuario', 'usuario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'licencia_id' => Yii::t('app', 'Licencia'),
			'fomulario_id' => null,
			'documento_id' => null,
			'usuario_id' => null,
			'tipo_licencia_id' => null,
			'cantidad_dias' => Yii::t('app', 'Cantidad Dias'),
			'otorgado' => Yii::t('app', 'Otorgado'),
			'haberes' => Yii::t('app', 'Haberes'),
			'desde' => Yii::t('app', 'Desde'),
			'hasta' => Yii::t('app', 'Hasta'),
			'dias_disponibles' => Yii::t('app', 'Dias Disponibles'),
			'documento' => null,
			'fomulario' => null,
			'tipoLicencia' => null,
			'usuario' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('licencia_id', $this->licencia_id);
		$criteria->compare('fomulario_id', $this->fomulario_id);
		$criteria->compare('documento_id', $this->documento_id);
		$criteria->compare('usuario_id', $this->usuario_id);
		$criteria->compare('tipo_licencia_id', $this->tipo_licencia_id);
		$criteria->compare('cantidad_dias', $this->cantidad_dias);
		$criteria->compare('otorgado', $this->otorgado);
		$criteria->compare('haberes', $this->haberes);
		$criteria->compare('desde', $this->desde, true);
		$criteria->compare('hasta', $this->hasta, true);
		$criteria->compare('dias_disponibles', $this->dias_disponibles);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}