<?php

/**
 * This is the model base class for the table "per_print_for".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PerPrintFor".
 *
 * Columns in table "per_print_for" available as properties of the model,
 * followed by relations of table "per_print_for" available as properties of the model.
 *
 * @property integer $print_for_id
 * @property integer $formulario_id
 * @property integer $usuario_id
 * @property string $print_for_date
 *
 * @property Formulario $formulario
 * @property Usuario $usuario
 */
abstract class BasePerPrintFor extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'per_print_for';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'PerPrintFor|PerPrintFors', $n);
	}

	public static function representingColumn() {
		return 'print_for_date';
	}

	public function rules() {
		return array(
			array('formulario_id, usuario_id, print_for_date', 'required'),
			array('formulario_id, usuario_id', 'numerical', 'integerOnly'=>true),
			array('print_for_id, formulario_id, usuario_id, print_for_date', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'formulario' => array(self::BELONGS_TO, 'Formulario', 'formulario_id'),
			'usuario' => array(self::BELONGS_TO, 'Usuario', 'usuario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'print_for_id' => Yii::t('app', 'Print For'),
			'formulario_id' => null,
			'usuario_id' => null,
			'print_for_date' => Yii::t('app', 'Print For Date'),
			'formulario' => null,
			'usuario' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('print_for_id', $this->print_for_id);
		$criteria->compare('formulario_id', $this->formulario_id);
		$criteria->compare('usuario_id', $this->usuario_id);
		$criteria->compare('print_for_date', $this->print_for_date, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}