<?php

/**
 * This is the model base class for the table "tipo_licencias".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "TipoLicencias".
 *
 * Columns in table "tipo_licencias" available as properties of the model,
 * followed by relations of table "tipo_licencias" available as properties of the model.
 *
 * @property integer $tipo_licencia_id
 * @property string $nombre_licencia
 * @property string $descripcion_licencia
 * @property integer $total_dias_anual
 *
 * @property Formulario[] $formularios
 * @property Licencias[] $licenciases
 */
abstract class BaseTipoLicencias extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'tipo_licencias';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'TipoLicencias|TipoLicenciases', $n);
	}

	public static function representingColumn() {
		return 'nombre_licencia';
	}

	public function rules() {
		return array(
			array('nombre_licencia', 'required'),
			array('total_dias_anual', 'numerical', 'integerOnly'=>true),
			array('nombre_licencia', 'length', 'max'=>50),
			array('descripcion_licencia', 'length', 'max'=>100),
			array('descripcion_licencia, total_dias_anual', 'default', 'setOnEmpty' => true, 'value' => null),
			array('tipo_licencia_id, nombre_licencia, descripcion_licencia, total_dias_anual', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'formularios' => array(self::HAS_MANY, 'Formulario', 'tipo_licencia_id'),
			'licenciases' => array(self::HAS_MANY, 'Licencias', 'tipo_licencia_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'tipo_licencia_id' => Yii::t('app', 'Tipo Licencia'),
			'nombre_licencia' => Yii::t('app', 'Nombre Licencia'),
			'descripcion_licencia' => Yii::t('app', 'Descripcion Licencia'),
			'total_dias_anual' => Yii::t('app', 'Total Dias Anual'),
			'formularios' => null,
			'licenciases' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('tipo_licencia_id', $this->tipo_licencia_id);
		$criteria->compare('nombre_licencia', $this->nombre_licencia, true);
		$criteria->compare('descripcion_licencia', $this->descripcion_licencia, true);
		$criteria->compare('total_dias_anual', $this->total_dias_anual);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}