<?php

/**
 * This is the model base class for the table "user".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "User".
 *
 * Columns in table "user" available as properties of the model,
 * followed by relations of table "user" available as properties of the model.
 *
 * @property string $iduser
 * @property string $username
 * @property string $password
 * @property string $nombre
 * @property string $apellido
 * @property string $email
 * @property integer $cambiar_psw
 * @property integer $deshabilitada
 *
 * @property Recibo[] $recibos
 */
abstract class BaseUser extends GxActiveRecord {

	public $passwordCompare; // Needed for registration!
	
	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'user';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Usuario|Usuarios', $n);
	}

	public static function representingColumn() {
		return 'username';
	}

	public function rules() {
		return array(
			array('username, password, passwordCompare, nombre, apellido', 'required'),
			array('cambiar_psw, deshabilitada', 'numerical', 'integerOnly'=>true),
			array('username, nombre, apellido, email', 'length', 'max'=>128),
			array('password, passwordCompare', 'length', 'min'=>8, 'max'=>20),
			array('password', 'compare', 'compareAttribute'=>'passwordCompare'),
			array('password','ChkRepeatedPassword'),
			array('email, cambiar_psw, deshabilitada', 'default', 'setOnEmpty' => true, 'value' => null),
			array('iduser, username, password, passwordCompare, nombre, apellido, email, cambiar_psw, deshabilitada', 'safe', 'on'=>'search'),
		);
	}

	public function ChkRepeatedPassword($attribute, $params)
	{
		$user = User::model()->findByPk( Yii::app()->user->getId() );
		if ($user->password == $this->hashPassword( $this->password, $user->username ))
			$this->addError($attribute, 'La contraseña debe ser distinta a la anterior.');
//Yii::log( '* * * PASSWORD RULES = '.$this->EncryptPassword, 'warning', 'application');
	}

	public function relations() {
		return array(
			'recibos' => array(self::HAS_MANY, 'Recibo', 'iduser'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'iduser'					=> Yii::t('app', 'Iduser'),
			'username'				=> Yii::t('app', 'Username'),
			'password'				=> Yii::t('app', 'Password'),
			'passwordCompare' => Yii::t('app', 'passwordCompare'),
			'nombre'					=> Yii::t('app', 'Nombre'),
			'apellido'				=> Yii::t('app', 'Apellido'),
			'email'						=> Yii::t('app', 'Email'),
			'cambiar_psw' 		=> Yii::t('app', 'Cambiar Psw'),
			'deshabilitada' 	=> Yii::t('app', 'Deshabilitada'),
			'recibos' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('iduser'				, $this->iduser	 , true);
		$criteria->compare('username'			, $this->username, true);
		$criteria->compare('password'			, $this->password, true);
		$criteria->compare('nombre'				, $this->nombre	 , true);
		$criteria->compare('apellido'			, $this->apellido, true);
		$criteria->compare('email'				, $this->email	 , true);
		$criteria->compare('cambiar_psw'	, $this->cambiar_psw);
		$criteria->compare('deshabilitada', $this->deshabilitada);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}