<?php

/**
 * This is the model base class for the table "usuario".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Usuario".
 *
 * Columns in table "usuario" available as properties of the model,
 * followed by relations of table "usuario" available as properties of the model.
 *
 * @property integer $usuario_id
 * @property string $usuario_nombre
 * @property string $usuario_apellido
 * @property string $usuario_dni
 * @property string $usuario_cuil
 * @property string $usuario_legajo
 * @property string $usuario_provincia
 * @property string $usuario_depto
 * @property string $usuario_calle
 * @property string $usuario_casa_numero
 * @property string $usuario_fecha_nacimiento
 * @property string $usuario_email
 * @property string $usuario_biografia
 * @property string $usuario_telefono
 * @property string $usuario_profesion
 * @property string $usuario_clave
 * @property string $usuario_foto_perfil
 * @property string $usuario_facebook
 * @property string $usuario_instagram
 * @property integer $cargo_id
 * @property integer $tipo_usuario_id
 * @property integer $estado_id
 * @property integer $entidad_id
 * @property integer $area_id
 * @property integer $categoria_id
 * @property string $editado_el
 *
 * @property Encargados[] $encargadoses
 * @property Formulario[] $formularios
 * @property Area $area
 */
abstract class BaseUsuario extends GxActiveRecord {

	public $passwordCompare; // Needed for registration!

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'usuario';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Usuario|Usuarios', $n);
	}

	public static function representingColumn() {
		return 'usuario_nombre';
	}

	public function rules() {
		return array(
			array('usuario_nombre, usuario_apellido, usuario_dni, usuario_cuil, usuario_legajo, usuario_clave, passwordCompare', 'required'),
			array('cargo_id, tipo_usuario_id, estado_id, entidad_id, area_id, categoria_id', 'numerical', 'integerOnly'=>true),
			array('usuario_clave, passwordCompare', 'length', 'min'=>8, 'max'=>20),
			array('usuario_clave', 'compare', 'compareAttribute'=>'passwordCompare'),
			array('usuario_clave','ChkRepeatedPassword'),
			array('usuario_dni, usuario_casa_numero', 'length', 'max'=>8),
			array('usuario_cuil', 'length', 'max'=>13),
			array('usuario_provincia, usuario_depto, usuario_calle, usuario_profesion', 'length', 'max'=>100),
			array('usuario_fecha_nacimiento', 'length', 'max'=>10),
			array('usuario_telefono', 'length', 'max'=>30),
			array('usuario_email, usuario_biografia, usuario_foto_perfil, usuario_facebook, usuario_instagram, editado_el', 'safe'),
			array('usuario_provincia, usuario_depto, usuario_calle, usuario_casa_numero, usuario_fecha_nacimiento, usuario_email, usuario_biografia, usuario_telefono, usuario_profesion, usuario_foto_perfil, usuario_facebook, usuario_instagram, cargo_id, tipo_usuario_id, estado_id, entidad_id, area_id, categoria_id, editado_el', 'default', 'setOnEmpty' => true, 'value' => null),
			array('usuario_id, usuario_nombre, usuario_apellido, usuario_dni, usuario_cuil, usuario_legajo, usuario_provincia, usuario_depto, usuario_calle, usuario_casa_numero, usuario_fecha_nacimiento, usuario_email, usuario_biografia, usuario_telefono, usuario_profesion, usuario_clave, passwordCompare, usuario_foto_perfil, usuario_facebook, usuario_instagram, cargo_id, tipo_usuario_id, estado_id, entidad_id, area_id, categoria_id, editado_el', 'safe', 'on'=>'search'),
		);
	}

	public function ChkRepeatedPassword($attribute, $params)
	{
		$user = Usuario::model()->findByPk( Yii::app()->user->getId() );
		if ($user->usuario_clave == $this->usuario_clave )
			$this->addError($attribute, 'La contraseña debe ser distinta a la anterior.');
//Yii::log( '* * * PASSWORD RULES = '.$this->EncryptPassword, 'warning', 'application');
	}

	public function relations() {
		return array(
			'encargadoses' => array(self::HAS_MANY, 'Encargados', 'id_encargado_area'),
			'formularios' => array(self::HAS_MANY, 'Formulario', 'usuario_id'),
			'rel_area' => array(self::BELONGS_TO, 'Area', 'area_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'usuario_id' => Yii::t('app', 'Usuario'),
			'usuario_nombre' => Yii::t('app', 'Usuario Nombre'),
			'usuario_apellido' => Yii::t('app', 'Usuario Apellido'),
			'usuario_dni' => Yii::t('app', 'Usuario Dni'),
			'usuario_cuil' => Yii::t('app', 'Usuario Cuil'),
			'usuario_legajo' => Yii::t('app', 'Usuario Legajo'),
			'usuario_provincia' => Yii::t('app', 'Usuario Provincia'),
			'usuario_depto' => Yii::t('app', 'Usuario Depto'),
			'usuario_calle' => Yii::t('app', 'Usuario Calle'),
			'usuario_casa_numero' => Yii::t('app', 'Usuario Casa Numero'),
			'usuario_fecha_nacimiento' => Yii::t('app', 'Usuario Fecha Nacimiento'),
			'usuario_email' => Yii::t('app', 'Usuario Email'),
			'usuario_biografia' => Yii::t('app', 'Usuario Biografia'),
			'usuario_telefono' => Yii::t('app', 'Usuario Telefono'),
			'usuario_profesion' => Yii::t('app', 'Usuario Profesion'),
			'usuario_clave' => Yii::t('app', 'Usuario Clave'),
			'usuario_foto_perfil' => Yii::t('app', 'Usuario Foto Perfil'),
			'usuario_facebook' => Yii::t('app', 'Usuario Facebook'),
			'usuario_instagram' => Yii::t('app', 'Usuario Instagram'),
			'cargo_id' => Yii::t('app', 'Cargo'),
			'tipo_usuario_id' => Yii::t('app', 'Tipo Usuario'),
			'estado_id' => Yii::t('app', 'Estado'),
			'entidad_id' => Yii::t('app', 'Entidad'),
			'area_id' => null,
			'categoria_id' => Yii::t('app', 'Categoria'),
			'editado_el' => Yii::t('app', 'Editado El'),
			'encargadoses' => null,
			'formularios' => null,
			'area' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('usuario_id', $this->usuario_id);
		$criteria->compare('usuario_nombre', $this->usuario_nombre, true);
		$criteria->compare('usuario_apellido', $this->usuario_apellido, true);
		$criteria->compare('usuario_dni', $this->usuario_dni, true);
		$criteria->compare('usuario_cuil', $this->usuario_cuil, true);
		$criteria->compare('usuario_legajo', $this->usuario_legajo, true);
		$criteria->compare('usuario_provincia', $this->usuario_provincia, true);
		$criteria->compare('usuario_depto', $this->usuario_depto, true);
		$criteria->compare('usuario_calle', $this->usuario_calle, true);
		$criteria->compare('usuario_casa_numero', $this->usuario_casa_numero, true);
		$criteria->compare('usuario_fecha_nacimiento', $this->usuario_fecha_nacimiento, true);
		$criteria->compare('usuario_email', $this->usuario_email, true);
		$criteria->compare('usuario_biografia', $this->usuario_biografia, true);
		$criteria->compare('usuario_telefono', $this->usuario_telefono, true);
		$criteria->compare('usuario_profesion', $this->usuario_profesion, true);
		$criteria->compare('usuario_clave', $this->usuario_clave, true);
		$criteria->compare('usuario_foto_perfil', $this->usuario_foto_perfil, true);
		$criteria->compare('usuario_facebook', $this->usuario_facebook, true);
		$criteria->compare('usuario_instagram', $this->usuario_instagram, true);
		$criteria->compare('cargo_id', $this->cargo_id);
		$criteria->compare('tipo_usuario_id', $this->tipo_usuario_id);
		$criteria->compare('estado_id', $this->estado_id);
		$criteria->compare('entidad_id', $this->entidad_id);
		$criteria->compare('area_id', $this->area_id);
		$criteria->compare('categoria_id', $this->categoria_id);
		$criteria->compare('editado_el', $this->editado_el, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}