<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	Yii::t('app', 'Manage'),
);

$this->menu = array(
		array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
		array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('historial-documento-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1><?php echo Yii::t('app', 'Manage') . ' ' . GxHtml::encode($model->label(2)); ?></h1>

<p>
You may optionally enter a comparison operator (&lt;, &lt;=, &gt;, &gt;=, &lt;&gt; or =) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo GxHtml::link(Yii::t('app', 'Advanced Search'), '#', array('class' => 'search-button')); ?>
<div class="search-form">
<?php $this->renderPartial('_search', array(
	'model' => $model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id' => 'historial-documento-grid',
	'dataProvider' => $model->search(),
	'filter' => $model,
	'columns' => array(
		'hostorial_id',
		array(
				'name'=>'documento_id',
				'value'=>'GxHtml::valueEx($data->documento)',
				'filter'=>GxHtml::listDataEx(DocumentoForm::model()->findAllAttributes(null, true)),
				),
		array(
				'name'=>'estado_documento_id',
				'value'=>'GxHtml::valueEx($data->estadoDocumento)',
				'filter'=>GxHtml::listDataEx(Estado::model()->findAllAttributes(null, true)),
				),
		array(
				'name'=>'usuario_id_pos',
				'value'=>'GxHtml::valueEx($data->usuarioIdPos)',
				'filter'=>GxHtml::listDataEx(Usuario::model()->findAllAttributes(null, true)),
				),
		array(
				'name'=>'area_actual_id',
				'value'=>'GxHtml::valueEx($data->areaActual)',
				'filter'=>GxHtml::listDataEx(Area::model()->findAllAttributes(null, true)),
				),
		'observacion',
		/*
		'fecha_hora_movimiento_documento',
		'url_firma_documento',
		*/
		array(
			'class' => 'CButtonColumn',
		),
	),
)); ?>