CREATE DATABASE  IF NOT EXISTS `cproot_red_jus_personal` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `cproot_red_jus_personal`;
-- MySQL dump 10.13  Distrib 8.0.34, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: cproot_red_jus_personal
-- ------------------------------------------------------
-- Server version	8.3.0

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `area`
--

DROP TABLE IF EXISTS `area`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `area` (
  `area_id` int NOT NULL AUTO_INCREMENT,
  `area_descripcion` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL,
  PRIMARY KEY (`area_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `area`
--

LOCK TABLES `area` WRITE;
/*!40000 ALTER TABLE `area` DISABLE KEYS */;
INSERT INTO `area` VALUES (1,'SECRETARIA DE PERSONAL'),(2,'INFORMATICA JURIDICA'),(3,'INFORMATICA JUVENIL'),(4,'DESARROLLADORES');
/*!40000 ALTER TABLE `area` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cargo`
--

DROP TABLE IF EXISTS `cargo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cargo` (
  `cargo_id` int NOT NULL AUTO_INCREMENT,
  `cargo_descripcion` varchar(200) NOT NULL,
  `cargo_comentario` text NOT NULL,
  PRIMARY KEY (`cargo_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cargo`
--

LOCK TABLES `cargo` WRITE;
/*!40000 ALTER TABLE `cargo` DISABLE KEYS */;
INSERT INTO `cargo` VALUES (1,'JEFE DE AREA','SIN COMENTARIOS POR EL MOMENTO'),(2,'AUXILIAR','SIN DESCRIPCION'),(3,'OFICIAL SUPERIOR','SIN COMENTRIOS');
/*!40000 ALTER TABLE `cargo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categoria`
--

DROP TABLE IF EXISTS `categoria`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categoria` (
  `categoria_id` int NOT NULL AUTO_INCREMENT,
  `categoria_descripcion` varchar(100) NOT NULL,
  `categoria_comentario` text NOT NULL,
  PRIMARY KEY (`categoria_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categoria`
--

LOCK TABLES `categoria` WRITE;
/*!40000 ALTER TABLE `categoria` DISABLE KEYS */;
INSERT INTO `categoria` VALUES (1,'ADMINISTRATIVO','ADMINISTRATIVO'),(2,'OFICIAL','OFICIAL');
/*!40000 ALTER TABLE `categoria` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dispositivo`
--

DROP TABLE IF EXISTS `dispositivo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dispositivo` (
  `dispositivo_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `token` text NOT NULL,
  `lat_long` text NOT NULL,
  `modelo_disp` text NOT NULL,
  `disp_fecha_registro` text NOT NULL,
  PRIMARY KEY (`dispositivo_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dispositivo`
--

LOCK TABLES `dispositivo` WRITE;
/*!40000 ALTER TABLE `dispositivo` DISABLE KEYS */;
INSERT INTO `dispositivo` VALUES (1,2141,'fafx0Rv2QBy1Px1ZGDDOzR:APA91bHJWCWQwf0VvOwh53GwUuA-B-W1FIJ4NZvPU5xuFOsGvBPGwznsI5RtPDEbK7tvbb3D930Y1PkmHwSSI0BRhsxY0cb0LjUA9ButRx_jWbhpfRXp-gdXgrOwUFDpbruBcDcoUULW','LAT: -28.4690334 - LON: -65.7810274','samsung SM-G9650','2024-06-27 11:01:11'),(2,1880,'ck1A_pM8SP20dMVKBDQYkm:APA91bG4R5uPonOrCqPKUK3ZWEoXrKAQ0sqvrS7NbKHhamSP9RBdYNGeARnfmVlKyQLIe-sSVQ4JOIjGP-7HCSm8Cc9JXUqhnAkohjd9OxL0vCPOLppbUHBT6OO820SGNGI2MC3enrXO','LAT: -28.4682986 - LON: -65.7807666','motorola moto g13','2024-06-27 11:02:49'),(3,1266,'esz1wkQTTf6OGVs6xy9mW6:APA91bGjdvUXi-d761ek6QGx1XjGUKiG8j2kgYRj4-FwtoU1ZzQb0erF1bom2Pz2u_uF-aY6aZPX_FjJACHQ_89xCajqdork44WKQeVWHHqvkfC9dtiuUqubcb58KaIXaz6OXA9ECjtl','','samsung SM-G780F','2024-06-27 11:03:04'),(4,1693,'eVuG4P6-S5W7oxfXGrbn9N:APA91bFWMIFIdYq0Oyqyk6rOcJIzklwA7ZDK841e5SrRV_wfOkqeGV_PThoZEpnjS0cVtUqgZRisjIj716_hQUhnnNCZeAz4rVBVESjYaBCrIrwy09cZxtEp-lwwf6er7fjhNGRiPWrN','','samsung SM-A536E','2024-06-27 11:05:03'),(5,1074,'exVElPKYQ06Nm7UL0sp58a:APA91bE7-eJDxtN0iN-pYXO_2pnAq9R2pKGDBNF3oe_sRByPTFkgxJLjzaBjWY2UFUbSxV_-aEl75cIWZH8dSFZvh9xh_5jd9QyZpB14tfMP4DnwvR6nwEuln-htzF2QpIj9bepEpnwr','','motorola moto g41','2024-06-27 11:05:10'),(6,1212,'cRhn1w3dTw2ygd6MUymiiK:APA91bEwHyuOWhBk1LvXOERSN6DGedaf5VvX2P9517G2BruApFGLLathRHkBCM6GDuJ5O27Tm1G-EWeaaDKp_r6BpQaNvqHKWEX96vRbFKk6cY-sswUlZfSDpTWiY_DWbyyJSLU8ry9e','','motorola moto g31','2024-06-27 11:09:52'),(7,240,'dEwoxXu6RhGbz7nQUWrM7u:APA91bHKe3EIMixQxIzOnCxU_8sXxj64Srv5ixqpAjjRK3zA7_LonjzrA0l658Jw6B5Ed9FzMO_y_XokneO5-Iahum02m513Z0pbZknNaU9rEts5_zgRDbLbGnfow5czItd-2XnGB7TC','','samsung SM-M236B','2024-06-27 11:10:32'),(8,1482,'d3pR2C66Tu2xGOE2IkNq3y:APA91bE6ndcJ-IdqsAqOXDiOtOpk7zMGbgEnwIvnXF1ndoZ_pVpoU7iHqWVIcUp_Ey611e7a5tmmgXW9ejd3qjoF45-xseGBcNa7E20NWBHhFhB44IwBroZH33sQboWn3pMZFjuNg3a3','LAT: -28.4690245 - LON: -65.7810712','samsung SM-S711B','2024-06-27 12:51:10');
/*!40000 ALTER TABLE `dispositivo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `encargados`
--

DROP TABLE IF EXISTS `encargados`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `encargados` (
  `encargado_id` int NOT NULL AUTO_INCREMENT,
  `id_area` int NOT NULL,
  `id_encargado_area` int NOT NULL,
  PRIMARY KEY (`encargado_id`),
  KEY `fk_encargados_usuario1_idx` (`id_encargado_area`),
  KEY `fk_encargados_area1_idx` (`id_area`),
  CONSTRAINT `fk_encargados_area1` FOREIGN KEY (`id_area`) REFERENCES `area` (`area_id`),
  CONSTRAINT `fk_encargados_usuario1` FOREIGN KEY (`id_encargado_area`) REFERENCES `usuario` (`usuario_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `encargados`
--

LOCK TABLES `encargados` WRITE;
/*!40000 ALTER TABLE `encargados` DISABLE KEYS */;
INSERT INTO `encargados` VALUES (1,2,1212),(2,3,1880),(3,4,240);
/*!40000 ALTER TABLE `encargados` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `encuesta`
--

DROP TABLE IF EXISTS `encuesta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `encuesta` (
  `encuesta_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `encuesta_respuestas` text NOT NULL,
  PRIMARY KEY (`encuesta_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `encuesta`
--

LOCK TABLES `encuesta` WRITE;
/*!40000 ALTER TABLE `encuesta` DISABLE KEYS */;
INSERT INTO `encuesta` VALUES (1,3,'COMENTARIO:  GUSTO APP:Si'),(2,5,'COMENTARIO: Buena GUSTO APP:Si'),(3,1,'COMENTARIO: Hsjd GUSTO APP:'),(4,1880,'COMENTARIO:  GUSTO APP:Si'),(5,1074,'COMENTARIO: abcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\r\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\r\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\r\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\r\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\r\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\r\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk GUSTO APP:Si');
/*!40000 ALTER TABLE `encuesta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entidad`
--

DROP TABLE IF EXISTS `entidad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `entidad` (
  `entidad_id` int NOT NULL AUTO_INCREMENT,
  `entidad_descripcion` varchar(200) NOT NULL,
  PRIMARY KEY (`entidad_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entidad`
--

LOCK TABLES `entidad` WRITE;
/*!40000 ALTER TABLE `entidad` DISABLE KEYS */;
INSERT INTO `entidad` VALUES (1,'Poder Judicial de Catamarca');
/*!40000 ALTER TABLE `entidad` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `estado`
--

DROP TABLE IF EXISTS `estado`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `estado` (
  `estado_id` int NOT NULL AUTO_INCREMENT,
  `estado_descripcion` varchar(100) NOT NULL,
  `estado_funcion` varchar(100) NOT NULL,
  PRIMARY KEY (`estado_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `estado`
--

LOCK TABLES `estado` WRITE;
/*!40000 ALTER TABLE `estado` DISABLE KEYS */;
INSERT INTO `estado` VALUES (1,'ACTIVO','usuario habilitado para el uso de la app'),(2,'INACTIVO','USUARIO NO HABILITADO PARA USO DE LA APP'),(3,'NOTICIA ACTIVA','NOTICIA PUBLICADA'),(4,'NOTICIA INACTIVA','NOTICIA NO PUBLICADA');
/*!40000 ALTER TABLE `estado` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `formulario`
--

DROP TABLE IF EXISTS `formulario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `formulario` (
  `formulario_id` int NOT NULL AUTO_INCREMENT,
  `formulario_licencias` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `formulario_dia_desde` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `formulario_dia_hasta` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `formulario_explicacion` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `usuario_id` int NOT NULL,
  `formulario_fecha_hora_registro` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `apr_des_por` int NOT NULL,
  `formulario_fecha_hora_aprobacion` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `formulario_estado` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `area_origen` int NOT NULL,
  `area_destino` int NOT NULL,
  `formulario_afectacion` text CHARACTER SET latin1 COLLATE latin1_swedish_ci,
  `url_firma_jefe` text CHARACTER SET latin1 COLLATE latin1_swedish_ci,
  `url_firma_agente` text CHARACTER SET latin1 COLLATE latin1_swedish_ci,
  `control_alertweb` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`formulario_id`),
  KEY `fk_formulario_usuario_idx` (`usuario_id`),
  CONSTRAINT `fk_formulario_usuario` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usuario_id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `formulario`
--

LOCK TABLES `formulario` WRITE;
/*!40000 ALTER TABLE `formulario` DISABLE KEYS */;
INSERT INTO `formulario` VALUES (1,'EXÁMENES','27/5/2024','27/5/2024','',1693,'2024-06-27 11:06:11',1880,'2024-06-27 12:08:02','NOTIFICADO POR SECRETARIA DE PERSONAL',3,2,'NO AFECTA EL NORMAL FUNCIONAMIENTO DEL AREA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_jefes/firmaTramite1.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm1.jpg',1),(2,'FERIA DE JULIO','27/5/2024','27/5/2024','Solicito 10 días de feria \n',2141,'2024-06-27 11:09:02',240,'2024-06-27 11:11:37','NOTIFICADO POR SECRETARIA DE PERSONAL',4,2,'NO AFECTA EL NORMAL FUNCIONAMIENTO DEL AREA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_jefes/firmaTramite2.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/',1),(3,'RAZONES PARTICULARES','27/5/2024','27/5/2024','',1880,'2024-06-27 11:09:14',1880,'2024-06-27 11:09:14','NOTIFICADO POR SECRETARIA DE PERSONAL',3,1,'ES JEFE DE AREA, AFECTA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm3.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm3.jpg',NULL),(4,'FERIA DE JULIO','01/08/2024','19/08/2024','bla bla bla ',1693,'2024-06-27 11:19:24',1880,'2024-06-27 11:47:12','NOTIFICADO POR SECRETARIA DE PERSONAL',3,2,'NO AFECTA EL NORMAL FUNCIONAMIENTO DEL AREA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_jefes/firmaTramite4.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm4.jpg',1),(5,'RAZONES PARTICULARES','27/06/2024','28/06/2024','asuntos personales ',1212,'2024-06-27 11:25:22',1212,'2024-06-27 11:25:22','NOTIFICADO POR SECRETARIA DE PERSONAL',2,1,'ES JEFE DE AREA, AFECTA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firmaForm5_2.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firmaForm5_2.jpg',NULL),(6,'RAZONES PARTICULARES','30/06/2024','01/07/2024','ahijkabcdefghijkabcdefdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkaefghijk',1074,'2024-06-27 11:26:49',240,'2024-06-27 11:28:18','NOTIFICADO POR SECRETARIA DE PERSONAL',4,2,'NO AFECTA EL NORMAL FUNCIONAMIENTO DEL AREA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_jefes/firmaTramite6.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm6.jpg',1),(7,'RETIRO DEL TRABAJO','27/5/2024','27/5/2024','me voy a la mierda ',240,'2024-06-27 11:29:05',240,'2024-06-27 11:29:05','NOTIFICADO POR SECRETARIA DE PERSONAL',4,1,'ES JEFE DE AREA, AFECTA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firmaForm7_2.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firmaForm7_2.jpg',NULL),(8,'MATRIMONIO','10/07/2024','29/08/2024','me está apurando la bruja y ya pague la luna de miel la caribe  así q no se pongan la gorra y aceptamela ',1212,'2024-06-27 11:34:23',1212,'2024-06-27 11:34:23','NOTIFICADO POR SECRETARIA DE PERSONAL',2,1,'ES JEFE DE AREA, AFECTA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm8.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm8.jpg',NULL),(9,'PROBLEMAS CON EL RELOJ','27/5/2024','27/5/2024','',240,'2024-06-27 11:38:58',240,'2024-06-27 11:38:58','NOTIFICADO POR SECRETARIA DE PERSONAL',4,1,'ES JEFE DE AREA, AFECTA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firmaForm9_2.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firmaForm9_2.jpg',NULL),(10,'EXÁMENES','27/5/2024','27/5/2024','',1693,'2024-06-27 11:48:49',1880,'2024-06-27 11:49:42','NOTIFICADO POR SECRETARIA DE PERSONAL',3,2,'NO AFECTA EL NORMAL FUNCIONAMIENTO DEL AREA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_jefes/firmaTramite10.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm10.jpg',1),(11,'RAZONES ESPECIALES','27/5/2024','27/5/2024','',240,'2024-06-27 11:49:51',240,'2024-06-27 11:49:51','NOTIFICADO POR SECRETARIA DE PERSONAL',4,1,'ES JEFE DE AREA, AFECTA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firmaForm11_2.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firmaForm11_2.jpg',NULL),(12,'MATRIMONIO','27/5/2024','27/5/2024','jakskskszklzlslsalallzzkzk',1693,'2024-06-27 11:57:23',1880,'2024-06-27 12:06:04','NOTIFICADO POR SECRETARIA DE PERSONAL',3,2,'SI AFECTA EL NORMAL FUNCIONAMIENTO DEL AREA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_jefes/firmaTramite12.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm12.jpg',1),(13,'FERIA DE JULIO','27/5/2024','27/5/2024','motivo de prueba\n\n',2141,'2024-06-27 12:00:21',240,'2024-06-27 12:05:45','NOTIFICADO POR SECRETARIA DE PERSONAL',4,2,'NO AFECTA EL NORMAL FUNCIONAMIENTO DEL AREA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_jefes/firmaTramite13.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/',1),(14,'CASAMIENTO DE HIJO','27/5/2024','27/5/2024','',1693,'2024-06-27 12:06:47',1880,'2024-06-27 12:07:09','NOTIFICADO POR SECRETARIA DE PERSONAL',3,2,'NO AFECTA EL NORMAL FUNCIONAMIENTO DEL AREA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_jefes/firmaTramite14.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm14.jpg',1),(15,'PARTICIPACIÓN EN COMiCIOS ELECTORALES','08/08/2024','27/06/2024','ahshshshshsjs hdjejeuududududuudddnd d djdjdjejudjdjdjdjdjjddjdjdbdd hdjdjdjdjdjjdjjdjduduudd jdjdjdjjdjdjjdjdjjdd jdjdjjdjdjdjdjdjjdjdjd dbdbdbdbbffbfbfbdbdbd ngngngngngngngngnng ngkgkgngknjg nkggiruuryebwyvsyavsjsiwkw jdkdjjsidbdkdbdjdududbdudb d',1212,'2024-06-27 12:07:42',1212,'2024-06-27 12:07:42','NOTIFICADO POR SECRETARIA DE PERSONAL',2,1,'ES JEFE DE AREA, AFECTA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm15.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firm15.jpg',NULL),(16,'RETIRO DEL TRABAJO','27/06/2024','27/06/2024','abcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk',1074,'2024-06-27 12:15:22',0,'SIN DEFINIR','EN ESPERA DE CONFIRMACION POR JEFE DE AREA',4,4,'SIN DEFINIR','NO FIRMA AUN','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firmaForm16_2.jpg',NULL),(17,'COMISIÓN DE SERVICIO','17/08/2024','25/07/2024','',1212,'2024-06-27 12:25:51',1212,'2024-06-27 12:25:51','NOTIFICADO POR SECRETARIA DE PERSONAL',2,1,'ES JEFE DE AREA, AFECTA','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firmaForm17_2.jpg','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_firma_agente/firmaForm17_2.jpg',NULL),(19,'FERIA DE JULIO','a','a','a',1,'*',1880,'*','*',3,2,'*','*','*',1),(20,'FERIA DE JULIO','a','a','a',1,'*',1880,'*','*',3,2,'*','*','*',1),(21,'FERIA DE JULIO','a','a','a',1,'*',1880,'*','*',3,2,'*','*','*',1),(25,'ADOPCIÓN','aaa','aaa','aaa',1693,'2024-07-21 23:23:33',1880,'*','*',3,2,'*','*','*',1);
/*!40000 ALTER TABLE `formulario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `formulario_img`
--

DROP TABLE IF EXISTS `formulario_img`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `formulario_img` (
  `formulario_img_id` int NOT NULL AUTO_INCREMENT,
  `formulario_id` int NOT NULL,
  `url_img` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`formulario_img_id`),
  KEY `fk_formulario_img_formulario_idx` (`formulario_id`),
  CONSTRAINT `fk_formulario_img_formulario` FOREIGN KEY (`formulario_id`) REFERENCES `formulario` (`formulario_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `formulario_img`
--

LOCK TABLES `formulario_img` WRITE;
/*!40000 ALTER TABLE `formulario_img` DISABLE KEYS */;
INSERT INTO `formulario_img` VALUES (1,5,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_tramite/form5_1.jpg'),(2,7,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_tramite/form7_1.jpg'),(3,9,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_tramite/form9_1.jpg'),(4,11,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_tramite/form11_1.jpg'),(5,16,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_tramite/form16_1.jpg'),(6,17,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_tramite/form17_1.jpg');
/*!40000 ALTER TABLE `formulario_img` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `foto_perfil_usuario`
--

DROP TABLE IF EXISTS `foto_perfil_usuario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `foto_perfil_usuario` (
  `foto_perfil_usuario_id` int NOT NULL AUTO_INCREMENT,
  `foto_perfil_usuario_url` text COLLATE utf8mb4_general_ci NOT NULL,
  `usuario_id` int NOT NULL,
  `fecha_cambio_perfil` text COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`foto_perfil_usuario_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `foto_perfil_usuario`
--

LOCK TABLES `foto_perfil_usuario` WRITE;
/*!40000 ALTER TABLE `foto_perfil_usuario` DISABLE KEYS */;
INSERT INTO `foto_perfil_usuario` VALUES (1,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/user1_1.jpg',1,'2024-06-19 12:45:57'),(2,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/user4_2.jpg',4,'2024-06-19 13:17:25'),(3,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/user1_3.jpg',1,'2024-06-26 12:58:38'),(4,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/user1_4.jpg',1,'2024-06-27 10:45:33'),(5,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/user240_5.jpg',240,'2024-06-27 11:18:50');
/*!40000 ALTER TABLE `foto_perfil_usuario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `noticias`
--

DROP TABLE IF EXISTS `noticias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `noticias` (
  `noticia_id` int NOT NULL AUTO_INCREMENT,
  `imagen` text,
  `descripcion` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `usuario_id` int NOT NULL,
  `noticia_fecha` datetime DEFAULT NULL,
  `noticia_hora` time DEFAULT NULL,
  `estado_id` int NOT NULL,
  PRIMARY KEY (`noticia_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `noticias`
--

LOCK TABLES `noticias` WRITE;
/*!40000 ALTER TABLE `noticias` DISABLE KEYS */;
INSERT INTO `noticias` VALUES (1,NULL,'holis????',1880,'2024-06-27 11:05:31','11:05:31',3),(2,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_noticia/noti2.jpg','',1880,'2024-06-27 11:05:51','11:05:51',3),(3,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_noticia/noti3.jpg','hola',1266,'2024-06-27 11:06:25','11:06:25',3),(4,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_noticia/noti4.jpg','hugo kpo\n',2141,'2024-06-27 11:07:32','11:07:32',3),(5,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_noticia/noti5.jpg','Los de QA',1693,'2024-06-27 11:11:27','11:11:27',3),(6,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_noticia/noti6.jpg','',240,'2024-06-27 11:36:56','11:36:56',3),(7,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_noticia/noti7.jpg','abcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk\nabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijkabcdefghijk abcdefghijkabcdefghijkabcdefghijk',1074,'2024-06-27 12:17:07','12:17:07',3),(8,NULL,'holis',1482,'2024-06-27 12:52:08','12:52:08',3),(9,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_noticia/noti9.jpg','alo',1482,'2024-06-27 12:52:51','12:52:51',3),(10,'https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_noticia/noti10.jpg','alo',1482,'2024-06-27 12:52:54','12:52:54',3);
/*!40000 ALTER TABLE `noticias` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `per_noti_form`
--

DROP TABLE IF EXISTS `per_noti_form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `per_noti_form` (
  `per_noti_form_id` int NOT NULL AUTO_INCREMENT,
  `formulario_id` int NOT NULL,
  `fecha_recepcion` text NOT NULL,
  `form_recibido_por_id` int NOT NULL,
  `form_notificado_por` int DEFAULT NULL,
  `fecha_notificacion` text,
  `descripcion_decreto` text,
  PRIMARY KEY (`per_noti_form_id`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `per_noti_form`
--

LOCK TABLES `per_noti_form` WRITE;
/*!40000 ALTER TABLE `per_noti_form` DISABLE KEYS */;
INSERT INTO `per_noti_form` VALUES (1,1,'2024-06-14 13:57:33',1,2141,'2024-06-27 12:26:26','decreto que esta licencia esta aprobada'),(2,1,'2024-06-14 14:04:20',1,2141,'2024-06-27 12:26:26','decreto que esta licencia esta aprobada'),(3,2,'2024-06-14 15:00:08',1,2141,'2024-06-27 11:51:44','<?php\r\n\r\ninclude \'../../backend/fpdf/fpdf.php\';\r\ninclude \'../../backend/config/Conexion.php\';\r\n\r\n$formulario_id = $_GET[\"id\"];\r\n\r\nclass PDF extends FPDF {\r\n    function Header() {\r\n        // ... tu código de encabezado\r\n    }\r\n\r\n    function Footer() {\r\n        // ... tu código de pie de página\r\n    }\r\n\r\n    function drawCheck($x, $y, $size = 2) {\r\n        $currentLineWidth = $this->LineWidth;\r\n\r\n        $this->SetLineWidth(0.5);\r\n        $this->Line($x, $y, $x + $size, $y + $size);\r\n        $this->Line($x + $size, $y, $x, $y + $size);\r\n\r\n        // Restablecer el ancho de línea al valor original\r\n        $this->SetLineWidth($currentLineWidth);\r\n    }\r\n}\r\n\r\n// Función para descargar la imagen temporalmente\r\nfunction downloadImage($url, $path) {\r\n    $imageContent = @file_get_contents($url);\r\n    if ($imageContent === FALSE) {\r\n        throw new Exception(\'Error al descargar la imagen desde \' . $url);\r\n    }\r\n    file_put_contents($path, $imageContent);\r\n}\r\n\r\n// Iniciar almacenamiento en búfer de salida\r\nob_start();\r\n\r\n// Crea una instancia de la clase FPDF con formato A4\r\n$pdf = new PDF(\'P\', \'mm\', \'A4\');\r\n// Agrega una página al PDF\r\n$pdf->AddPage();\r\n\r\n// Ejecuto query de referencia del formulario\r\n$query1 = \"SELECT formulario.`formulario_id`, formulario.`formulario_licencias`, formulario.`formulario_dia_desde`, formulario.`formulario_dia_hasta`, \r\nformulario.`formulario_explicacion`, formulario.`usuario_id`, formulario.`formulario_fecha_hora_registro`, formulario.`apr_des_por`, \r\nformulario.`formulario_fecha_hora_aprobacion`, formulario.`formulario_estado`, formulario.`area_origen`, formulario.`area_destino`, \r\nformulario.`formulario_afectacion`, formulario.`url_firma_jefe`, formulario.`url_firma_agente`,\r\n\r\nusuario.usuario_id AS EmpleadoId, CONCAT(usuario.usuario_apellido, \' \',usuario.usuario_nombre) AS EmpleadoNombre, usuario.usuario_dni as EmpleadoDni, usuario.usuario_legajo as EmpleadoLegajo,\r\narea.area_descripcion AS EmpleadoArea,\r\n\r\nJEFES.usuario_id as JefeID,CONCAT(JEFES.usuario_apellido,\' \', JEFES.usuario_nombre) as JefeNombre, JEFES.usuario_dni as JefeDni, \r\n\r\ncargo.cargo_descripcion as CargoEmpleado, \r\nCARGO_JEFE.cargo_id as cargoId_Jefe, CARGO_JEFE.cargo_descripcion as CargoJefe,\r\n\r\nformulario_img.`formulario_img_id`, formulario_img.`url_img`\r\n\r\nFROM `formulario`\r\nINNER JOIN usuario ON formulario.usuario_id = usuario.usuario_id\r\nINNER JOIN area on usuario.area_id=area.area_id\r\nINNER JOIN usuario JEFES ON formulario.apr_des_por = JEFES.usuario_id\r\nINNER JOIN cargo  on usuario.cargo_id = cargo.cargo_id\r\nINNER JOIN cargo CARGO_JEFE on JEFES.cargo_id = CARGO_JEFE.cargo_id\r\nLEFT JOIN formulario_img ON formulario.formulario_id= formulario_img.formulario_id\r\n\r\nWHERE formulario.formulario_id = $formulario_id\";\r\n\r\nif ($resultado = $connect->query($query1)) {\r\n    while ($fila = $resultado->fetch(PDO::FETCH_ASSOC)) {\r\n        $formulario_id = $fila[\'formulario_id\'];\r\n        $formulario_licencias = $fila[\'formulario_licencias\'];\r\n        $formulario_dia_desde = $fila[\'formulario_dia_desde\'];\r\n        $formulario_dia_hasta = $fila[\'formulario_dia_hasta\'];\r\n        $formulario_explicacion = $fila[\'formulario_explicacion\'];\r\n        $usuario_id = $fila[\'usuario_id\'];\r\n        $formulario_fecha_hora_registro= $fila[\'formulario_fecha_hora_registro\'];\r\n        $apr_des_por = $fila[\'apr_des_por\'];\r\n        $formulario_fecha_hora_aprobacion = $fila[\'formulario_fecha_hora_aprobacion\'];\r\n        $formulario_estado = $fila[\'formulario_estado\'];\r\n        $area_origen = $fila[\'area_origen\'];\r\n        $area_destino = $fila[\'area_destino\'];\r\n        $formulario_afectacion = $fila[\'formulario_afectacion\'];\r\n        $url_firma_jefe = $fila[\'url_firma_jefe\'];\r\n        $url_firma_agente  = $fila[\'url_firma_agente\'];\r\n\r\n        $formulario_img_id= $fila[\'formulario_img_id\']; \r\n        $url_img = $fila[\'url_img\'];\r\n\r\n        $EmpleadoId = $fila[\'EmpleadoId\'];\r\n        $EmpleadoNombre= $fila[\'EmpleadoNombre\'];\r\n        $EmpleadoDni= $fila[\'EmpleadoDni\'];\r\n        $EmpleadoLegajo = $fila[\'EmpleadoLegajo\'];\r\n        $EmpleadoArea = $fila[\'EmpleadoArea\'];\r\n\r\n        $JefeID= $fila[\'JefeID\'];\r\n        $JefeNombre= $fila[\'JefeNombre\'];\r\n        $JefeDni= $fila[\'JefeDni\'];\r\n\r\n        $CargoEmpleado= $fila[\'CargoEmpleado\'];\r\n        $CargoJefe= $fila[\'CargoJefe\'];\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n//Parte inicial\r\n\r\n// Establece la fuente y tamaño de la fuente para el título\r\n$pdf->SetFont(\'Arial\', \'B\', 12);\r\n\r\n// Título en el centro dentro de un recuadro\r\n$pdf->Cell(40, 20, \'Legajo: \'.$EmpleadoLegajo, 1, 0, \'C\');\r\n\r\n// Obtiene la posición Y antes de agregar el texto\r\n$posYTexto = $pdf->GetY();\r\n\r\n// Texto para la celda con salto de línea\r\n$textoCelda = \"FORMULARIO DE SOLICITUD DE TRAMITES\\nSecretaria de Personal\";\r\n\r\n// Celda para el título con un recuadro\r\n$pdf->MultiCell(130, 10, $textoCelda, 1, \'C\');\r\n\r\n// Restaura la posición Y antes de agregar la imagen\r\n$pdf->SetY($posYTexto);\r\n\r\n// Logo a la derecha dentro de un recuadro\r\n$logoPath = \'../../backend/img/logo_poder.png\';  // Reemplaza con la ruta correcta de tu logo\r\n\r\n// Calcula la posición X para alinear la imagen a la derecha dentro del recuadro\r\n$logoX = $pdf->GetPageWidth() - 30;\r\n$logoY = $pdf->GetY() + 1;\r\n\r\n// Celda para la imagen dentro del recuadro\r\n$pdf->SetX($logoX);\r\n$pdf->Cell(20, 20, \'\', 1);\r\n$pdf->Image($logoPath, $logoX + 2, $logoY + 2, 15);\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte del nombre, fecha y dni\r\n$pdf->Ln(20); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(140, 10, \'APELLIDO Y NOMBRE:         \'.mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"FECHA:       \".$formulario_fecha_hora_registro.\"\\nDNI:      \".$EmpleadoDni;\r\n$pdf->MultiCell(50, 5, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de dependencia laboral  y cargo\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(115, 7, \'DEPENDENCIA LABORAL:    \'.mb_convert_encoding(mb_strtoupper($EmpleadoArea), \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"CARGO:     \".mb_convert_encoding($CargoEmpleado, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->Cell(75, 7, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte DEL TRAMITE\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, mb_convert_encoding(\'DESCRIPCIÓN DEL TRAMITE:\', \'ISO-8859-1\', \'UTF-8\').\'      [X] \'.mb_convert_encoding($formulario_licencias, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'C\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de los dias\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, \'DETALLE DE LOS DIAS:        \'.$formulario_dia_desde.\'      hasta    \'.$formulario_dia_hasta, 1, 0, \'A\');\r\n\r\n$pdf->Ln(7); // si o si un salto de linea \r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = \"MOTIVO/CAUSA/RAZON/EXPLICACION:\\n\".\"                                                                              \".mb_convert_encoding(mb_strtoupper($formulario_explicacion), \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = mb_convert_encoding(\'AFECTACIÓN: \', \'ISO-8859-1\', \'UTF-8\').\"\\n\".\"                             \".mb_convert_encoding($formulario_afectacion, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n\r\n$RespuestaFormularioIMG = \"\";\r\n\r\nif($formulario_img_id == null || $formulario_img_id == 0){\r\n    $RespuestaFormularioIMG = \"NO\";\r\n}else{\r\n    $RespuestaFormularioIMG = \"SI\";\r\n}\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->MultiCell(190, 5, mb_convert_encoding(\"DOCUMENTACIÓN RESPALDATORIA:    \", \'ISO-8859-1\', \'UTF-8\').$RespuestaFormularioIMG, 1, \'A\');\r\n\r\n// Espacio entre el texto y la imagen\r\n$pdf->Ln(3);\r\n\r\n// Posición actual para alinear la imagen\r\n$posX = $pdf->GetX();\r\n$posY = $pdf->GetY();\r\n// URL de la imagen\r\n$imageUrl = $url_img;\r\n\r\nif (!empty($imageUrl)) {\r\n    // Ruta temporal para guardar la imagen\r\n    $tempImagePath = \'/tmp/temp_image.jpg\';\r\n\r\n    try {\r\n        // Descargar la imagen\r\n        downloadImage($imageUrl, $tempImagePath);\r\n\r\n        // Intenta obtener información sobre la imagen\r\n        $imageInfo = @getimagesize($tempImagePath);\r\n\r\n        // Verifica si la función getimagesize() devolvió información válida\r\n        if ($imageInfo !== false) {\r\n            // Ancho y alto de la imagen\r\n            $imageWidth = 50;\r\n            $imageHeight = 60;\r\n\r\n            // Calcula la posición X para centrar la imagen\r\n            $centerX = ($pdf->GetPageWidth() - $imageWidth) / 2;\r\n\r\n            // Añade la imagen centrada\r\n            $pdf->Image($tempImagePath, $centerX, null, $imageWidth, $imageHeight);\r\n\r\n            // Restaura la posición Y después de la imagen\r\n            $pdf->SetY($pdf->GetY() + 20);\r\n\r\n            // Eliminar la imagen temporal después de usarla\r\n            unlink($tempImagePath);\r\n        }\r\n    } catch (Exception $e) {\r\n        // Manejo de errores\r\n        $pdf->SetFont(\'Times\', \'B\', 8);\r\n        $pdf->MultiCell(190, 5, \'Error al cargar la imagen de documentación: \' . $e->getMessage(), 1, \'A\');\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de las firmas\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 9);\r\n\r\n// Firma 1\r\n$x1 = 20;         \r\n$y = 210;          \r\n$width = 80;      \r\n$height = 40;     \r\n\r\ntry {\r\n    // Descargar la firma del jefe temporalmente\r\n    $tempFirmaJefePath = \'/tmp/temp_firma_jefe.jpg\';\r\n    downloadImage($url_firma_jefe, $tempFirmaJefePath);\r\n    $imageInfo = @getimagesize($tempFirmaJefePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaJefePath, $x1, $y, $width, $height); // Ajusta $x1, $y, $width, $height según tus necesidades\r\n        $texto1 = \"Superior: \".mb_convert_encoding($JefeNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x1, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto1, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del jefe: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Firma 2\r\n$x2 = $x1 + $width + 20;\r\n\r\ntry {\r\n    // Descargar la firma del agente temporalmente\r\n    $tempFirmaAgentePath = \'/tmp/temp_firma_agente.jpg\';\r\n    downloadImage($url_firma_agente, $tempFirmaAgentePath);\r\n    $imageInfo = @getimagesize($tempFirmaAgentePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaAgentePath, $x2, $y, $width, $height); // Ajusta $x2 según tus necesidades\r\n        $texto2 = \"Agente: \".mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x2, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto2, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del agente: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Eliminar las firmas temporales después de usarlas\r\nif (file_exists($tempFirmaJefePath)) {\r\n    unlink($tempFirmaJefePath);\r\n}\r\n\r\nif (file_exists($tempFirmaAgentePath)) {\r\n    unlink($tempFirmaAgentePath);\r\n}\r\n\r\n// Limpiar el búfer de salida y enviar el PDF al navegador\r\nob_end_clean();\r\n$pdf->Output(\'I\', \'ejemplo.pdf\');\r\n\r\n?>\r\n'),(4,2,'2024-06-14 15:04:13',1,2141,'2024-06-27 11:51:44','<?php\r\n\r\ninclude \'../../backend/fpdf/fpdf.php\';\r\ninclude \'../../backend/config/Conexion.php\';\r\n\r\n$formulario_id = $_GET[\"id\"];\r\n\r\nclass PDF extends FPDF {\r\n    function Header() {\r\n        // ... tu código de encabezado\r\n    }\r\n\r\n    function Footer() {\r\n        // ... tu código de pie de página\r\n    }\r\n\r\n    function drawCheck($x, $y, $size = 2) {\r\n        $currentLineWidth = $this->LineWidth;\r\n\r\n        $this->SetLineWidth(0.5);\r\n        $this->Line($x, $y, $x + $size, $y + $size);\r\n        $this->Line($x + $size, $y, $x, $y + $size);\r\n\r\n        // Restablecer el ancho de línea al valor original\r\n        $this->SetLineWidth($currentLineWidth);\r\n    }\r\n}\r\n\r\n// Función para descargar la imagen temporalmente\r\nfunction downloadImage($url, $path) {\r\n    $imageContent = @file_get_contents($url);\r\n    if ($imageContent === FALSE) {\r\n        throw new Exception(\'Error al descargar la imagen desde \' . $url);\r\n    }\r\n    file_put_contents($path, $imageContent);\r\n}\r\n\r\n// Iniciar almacenamiento en búfer de salida\r\nob_start();\r\n\r\n// Crea una instancia de la clase FPDF con formato A4\r\n$pdf = new PDF(\'P\', \'mm\', \'A4\');\r\n// Agrega una página al PDF\r\n$pdf->AddPage();\r\n\r\n// Ejecuto query de referencia del formulario\r\n$query1 = \"SELECT formulario.`formulario_id`, formulario.`formulario_licencias`, formulario.`formulario_dia_desde`, formulario.`formulario_dia_hasta`, \r\nformulario.`formulario_explicacion`, formulario.`usuario_id`, formulario.`formulario_fecha_hora_registro`, formulario.`apr_des_por`, \r\nformulario.`formulario_fecha_hora_aprobacion`, formulario.`formulario_estado`, formulario.`area_origen`, formulario.`area_destino`, \r\nformulario.`formulario_afectacion`, formulario.`url_firma_jefe`, formulario.`url_firma_agente`,\r\n\r\nusuario.usuario_id AS EmpleadoId, CONCAT(usuario.usuario_apellido, \' \',usuario.usuario_nombre) AS EmpleadoNombre, usuario.usuario_dni as EmpleadoDni, usuario.usuario_legajo as EmpleadoLegajo,\r\narea.area_descripcion AS EmpleadoArea,\r\n\r\nJEFES.usuario_id as JefeID,CONCAT(JEFES.usuario_apellido,\' \', JEFES.usuario_nombre) as JefeNombre, JEFES.usuario_dni as JefeDni, \r\n\r\ncargo.cargo_descripcion as CargoEmpleado, \r\nCARGO_JEFE.cargo_id as cargoId_Jefe, CARGO_JEFE.cargo_descripcion as CargoJefe,\r\n\r\nformulario_img.`formulario_img_id`, formulario_img.`url_img`\r\n\r\nFROM `formulario`\r\nINNER JOIN usuario ON formulario.usuario_id = usuario.usuario_id\r\nINNER JOIN area on usuario.area_id=area.area_id\r\nINNER JOIN usuario JEFES ON formulario.apr_des_por = JEFES.usuario_id\r\nINNER JOIN cargo  on usuario.cargo_id = cargo.cargo_id\r\nINNER JOIN cargo CARGO_JEFE on JEFES.cargo_id = CARGO_JEFE.cargo_id\r\nLEFT JOIN formulario_img ON formulario.formulario_id= formulario_img.formulario_id\r\n\r\nWHERE formulario.formulario_id = $formulario_id\";\r\n\r\nif ($resultado = $connect->query($query1)) {\r\n    while ($fila = $resultado->fetch(PDO::FETCH_ASSOC)) {\r\n        $formulario_id = $fila[\'formulario_id\'];\r\n        $formulario_licencias = $fila[\'formulario_licencias\'];\r\n        $formulario_dia_desde = $fila[\'formulario_dia_desde\'];\r\n        $formulario_dia_hasta = $fila[\'formulario_dia_hasta\'];\r\n        $formulario_explicacion = $fila[\'formulario_explicacion\'];\r\n        $usuario_id = $fila[\'usuario_id\'];\r\n        $formulario_fecha_hora_registro= $fila[\'formulario_fecha_hora_registro\'];\r\n        $apr_des_por = $fila[\'apr_des_por\'];\r\n        $formulario_fecha_hora_aprobacion = $fila[\'formulario_fecha_hora_aprobacion\'];\r\n        $formulario_estado = $fila[\'formulario_estado\'];\r\n        $area_origen = $fila[\'area_origen\'];\r\n        $area_destino = $fila[\'area_destino\'];\r\n        $formulario_afectacion = $fila[\'formulario_afectacion\'];\r\n        $url_firma_jefe = $fila[\'url_firma_jefe\'];\r\n        $url_firma_agente  = $fila[\'url_firma_agente\'];\r\n\r\n        $formulario_img_id= $fila[\'formulario_img_id\']; \r\n        $url_img = $fila[\'url_img\'];\r\n\r\n        $EmpleadoId = $fila[\'EmpleadoId\'];\r\n        $EmpleadoNombre= $fila[\'EmpleadoNombre\'];\r\n        $EmpleadoDni= $fila[\'EmpleadoDni\'];\r\n        $EmpleadoLegajo = $fila[\'EmpleadoLegajo\'];\r\n        $EmpleadoArea = $fila[\'EmpleadoArea\'];\r\n\r\n        $JefeID= $fila[\'JefeID\'];\r\n        $JefeNombre= $fila[\'JefeNombre\'];\r\n        $JefeDni= $fila[\'JefeDni\'];\r\n\r\n        $CargoEmpleado= $fila[\'CargoEmpleado\'];\r\n        $CargoJefe= $fila[\'CargoJefe\'];\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n//Parte inicial\r\n\r\n// Establece la fuente y tamaño de la fuente para el título\r\n$pdf->SetFont(\'Arial\', \'B\', 12);\r\n\r\n// Título en el centro dentro de un recuadro\r\n$pdf->Cell(40, 20, \'Legajo: \'.$EmpleadoLegajo, 1, 0, \'C\');\r\n\r\n// Obtiene la posición Y antes de agregar el texto\r\n$posYTexto = $pdf->GetY();\r\n\r\n// Texto para la celda con salto de línea\r\n$textoCelda = \"FORMULARIO DE SOLICITUD DE TRAMITES\\nSecretaria de Personal\";\r\n\r\n// Celda para el título con un recuadro\r\n$pdf->MultiCell(130, 10, $textoCelda, 1, \'C\');\r\n\r\n// Restaura la posición Y antes de agregar la imagen\r\n$pdf->SetY($posYTexto);\r\n\r\n// Logo a la derecha dentro de un recuadro\r\n$logoPath = \'../../backend/img/logo_poder.png\';  // Reemplaza con la ruta correcta de tu logo\r\n\r\n// Calcula la posición X para alinear la imagen a la derecha dentro del recuadro\r\n$logoX = $pdf->GetPageWidth() - 30;\r\n$logoY = $pdf->GetY() + 1;\r\n\r\n// Celda para la imagen dentro del recuadro\r\n$pdf->SetX($logoX);\r\n$pdf->Cell(20, 20, \'\', 1);\r\n$pdf->Image($logoPath, $logoX + 2, $logoY + 2, 15);\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte del nombre, fecha y dni\r\n$pdf->Ln(20); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(140, 10, \'APELLIDO Y NOMBRE:         \'.mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"FECHA:       \".$formulario_fecha_hora_registro.\"\\nDNI:      \".$EmpleadoDni;\r\n$pdf->MultiCell(50, 5, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de dependencia laboral  y cargo\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(115, 7, \'DEPENDENCIA LABORAL:    \'.mb_convert_encoding(mb_strtoupper($EmpleadoArea), \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"CARGO:     \".mb_convert_encoding($CargoEmpleado, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->Cell(75, 7, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte DEL TRAMITE\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, mb_convert_encoding(\'DESCRIPCIÓN DEL TRAMITE:\', \'ISO-8859-1\', \'UTF-8\').\'      [X] \'.mb_convert_encoding($formulario_licencias, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'C\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de los dias\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, \'DETALLE DE LOS DIAS:        \'.$formulario_dia_desde.\'      hasta    \'.$formulario_dia_hasta, 1, 0, \'A\');\r\n\r\n$pdf->Ln(7); // si o si un salto de linea \r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = \"MOTIVO/CAUSA/RAZON/EXPLICACION:\\n\".\"                                                                              \".mb_convert_encoding(mb_strtoupper($formulario_explicacion), \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = mb_convert_encoding(\'AFECTACIÓN: \', \'ISO-8859-1\', \'UTF-8\').\"\\n\".\"                             \".mb_convert_encoding($formulario_afectacion, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n\r\n$RespuestaFormularioIMG = \"\";\r\n\r\nif($formulario_img_id == null || $formulario_img_id == 0){\r\n    $RespuestaFormularioIMG = \"NO\";\r\n}else{\r\n    $RespuestaFormularioIMG = \"SI\";\r\n}\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->MultiCell(190, 5, mb_convert_encoding(\"DOCUMENTACIÓN RESPALDATORIA:    \", \'ISO-8859-1\', \'UTF-8\').$RespuestaFormularioIMG, 1, \'A\');\r\n\r\n// Espacio entre el texto y la imagen\r\n$pdf->Ln(3);\r\n\r\n// Posición actual para alinear la imagen\r\n$posX = $pdf->GetX();\r\n$posY = $pdf->GetY();\r\n// URL de la imagen\r\n$imageUrl = $url_img;\r\n\r\nif (!empty($imageUrl)) {\r\n    // Ruta temporal para guardar la imagen\r\n    $tempImagePath = \'/tmp/temp_image.jpg\';\r\n\r\n    try {\r\n        // Descargar la imagen\r\n        downloadImage($imageUrl, $tempImagePath);\r\n\r\n        // Intenta obtener información sobre la imagen\r\n        $imageInfo = @getimagesize($tempImagePath);\r\n\r\n        // Verifica si la función getimagesize() devolvió información válida\r\n        if ($imageInfo !== false) {\r\n            // Ancho y alto de la imagen\r\n            $imageWidth = 50;\r\n            $imageHeight = 60;\r\n\r\n            // Calcula la posición X para centrar la imagen\r\n            $centerX = ($pdf->GetPageWidth() - $imageWidth) / 2;\r\n\r\n            // Añade la imagen centrada\r\n            $pdf->Image($tempImagePath, $centerX, null, $imageWidth, $imageHeight);\r\n\r\n            // Restaura la posición Y después de la imagen\r\n            $pdf->SetY($pdf->GetY() + 20);\r\n\r\n            // Eliminar la imagen temporal después de usarla\r\n            unlink($tempImagePath);\r\n        }\r\n    } catch (Exception $e) {\r\n        // Manejo de errores\r\n        $pdf->SetFont(\'Times\', \'B\', 8);\r\n        $pdf->MultiCell(190, 5, \'Error al cargar la imagen de documentación: \' . $e->getMessage(), 1, \'A\');\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de las firmas\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 9);\r\n\r\n// Firma 1\r\n$x1 = 20;         \r\n$y = 210;          \r\n$width = 80;      \r\n$height = 40;     \r\n\r\ntry {\r\n    // Descargar la firma del jefe temporalmente\r\n    $tempFirmaJefePath = \'/tmp/temp_firma_jefe.jpg\';\r\n    downloadImage($url_firma_jefe, $tempFirmaJefePath);\r\n    $imageInfo = @getimagesize($tempFirmaJefePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaJefePath, $x1, $y, $width, $height); // Ajusta $x1, $y, $width, $height según tus necesidades\r\n        $texto1 = \"Superior: \".mb_convert_encoding($JefeNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x1, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto1, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del jefe: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Firma 2\r\n$x2 = $x1 + $width + 20;\r\n\r\ntry {\r\n    // Descargar la firma del agente temporalmente\r\n    $tempFirmaAgentePath = \'/tmp/temp_firma_agente.jpg\';\r\n    downloadImage($url_firma_agente, $tempFirmaAgentePath);\r\n    $imageInfo = @getimagesize($tempFirmaAgentePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaAgentePath, $x2, $y, $width, $height); // Ajusta $x2 según tus necesidades\r\n        $texto2 = \"Agente: \".mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x2, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto2, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del agente: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Eliminar las firmas temporales después de usarlas\r\nif (file_exists($tempFirmaJefePath)) {\r\n    unlink($tempFirmaJefePath);\r\n}\r\n\r\nif (file_exists($tempFirmaAgentePath)) {\r\n    unlink($tempFirmaAgentePath);\r\n}\r\n\r\n// Limpiar el búfer de salida y enviar el PDF al navegador\r\nob_end_clean();\r\n$pdf->Output(\'I\', \'ejemplo.pdf\');\r\n\r\n?>\r\n'),(5,2,'2024-06-14 15:07:38',1,2141,'2024-06-27 11:51:44','<?php\r\n\r\ninclude \'../../backend/fpdf/fpdf.php\';\r\ninclude \'../../backend/config/Conexion.php\';\r\n\r\n$formulario_id = $_GET[\"id\"];\r\n\r\nclass PDF extends FPDF {\r\n    function Header() {\r\n        // ... tu código de encabezado\r\n    }\r\n\r\n    function Footer() {\r\n        // ... tu código de pie de página\r\n    }\r\n\r\n    function drawCheck($x, $y, $size = 2) {\r\n        $currentLineWidth = $this->LineWidth;\r\n\r\n        $this->SetLineWidth(0.5);\r\n        $this->Line($x, $y, $x + $size, $y + $size);\r\n        $this->Line($x + $size, $y, $x, $y + $size);\r\n\r\n        // Restablecer el ancho de línea al valor original\r\n        $this->SetLineWidth($currentLineWidth);\r\n    }\r\n}\r\n\r\n// Función para descargar la imagen temporalmente\r\nfunction downloadImage($url, $path) {\r\n    $imageContent = @file_get_contents($url);\r\n    if ($imageContent === FALSE) {\r\n        throw new Exception(\'Error al descargar la imagen desde \' . $url);\r\n    }\r\n    file_put_contents($path, $imageContent);\r\n}\r\n\r\n// Iniciar almacenamiento en búfer de salida\r\nob_start();\r\n\r\n// Crea una instancia de la clase FPDF con formato A4\r\n$pdf = new PDF(\'P\', \'mm\', \'A4\');\r\n// Agrega una página al PDF\r\n$pdf->AddPage();\r\n\r\n// Ejecuto query de referencia del formulario\r\n$query1 = \"SELECT formulario.`formulario_id`, formulario.`formulario_licencias`, formulario.`formulario_dia_desde`, formulario.`formulario_dia_hasta`, \r\nformulario.`formulario_explicacion`, formulario.`usuario_id`, formulario.`formulario_fecha_hora_registro`, formulario.`apr_des_por`, \r\nformulario.`formulario_fecha_hora_aprobacion`, formulario.`formulario_estado`, formulario.`area_origen`, formulario.`area_destino`, \r\nformulario.`formulario_afectacion`, formulario.`url_firma_jefe`, formulario.`url_firma_agente`,\r\n\r\nusuario.usuario_id AS EmpleadoId, CONCAT(usuario.usuario_apellido, \' \',usuario.usuario_nombre) AS EmpleadoNombre, usuario.usuario_dni as EmpleadoDni, usuario.usuario_legajo as EmpleadoLegajo,\r\narea.area_descripcion AS EmpleadoArea,\r\n\r\nJEFES.usuario_id as JefeID,CONCAT(JEFES.usuario_apellido,\' \', JEFES.usuario_nombre) as JefeNombre, JEFES.usuario_dni as JefeDni, \r\n\r\ncargo.cargo_descripcion as CargoEmpleado, \r\nCARGO_JEFE.cargo_id as cargoId_Jefe, CARGO_JEFE.cargo_descripcion as CargoJefe,\r\n\r\nformulario_img.`formulario_img_id`, formulario_img.`url_img`\r\n\r\nFROM `formulario`\r\nINNER JOIN usuario ON formulario.usuario_id = usuario.usuario_id\r\nINNER JOIN area on usuario.area_id=area.area_id\r\nINNER JOIN usuario JEFES ON formulario.apr_des_por = JEFES.usuario_id\r\nINNER JOIN cargo  on usuario.cargo_id = cargo.cargo_id\r\nINNER JOIN cargo CARGO_JEFE on JEFES.cargo_id = CARGO_JEFE.cargo_id\r\nLEFT JOIN formulario_img ON formulario.formulario_id= formulario_img.formulario_id\r\n\r\nWHERE formulario.formulario_id = $formulario_id\";\r\n\r\nif ($resultado = $connect->query($query1)) {\r\n    while ($fila = $resultado->fetch(PDO::FETCH_ASSOC)) {\r\n        $formulario_id = $fila[\'formulario_id\'];\r\n        $formulario_licencias = $fila[\'formulario_licencias\'];\r\n        $formulario_dia_desde = $fila[\'formulario_dia_desde\'];\r\n        $formulario_dia_hasta = $fila[\'formulario_dia_hasta\'];\r\n        $formulario_explicacion = $fila[\'formulario_explicacion\'];\r\n        $usuario_id = $fila[\'usuario_id\'];\r\n        $formulario_fecha_hora_registro= $fila[\'formulario_fecha_hora_registro\'];\r\n        $apr_des_por = $fila[\'apr_des_por\'];\r\n        $formulario_fecha_hora_aprobacion = $fila[\'formulario_fecha_hora_aprobacion\'];\r\n        $formulario_estado = $fila[\'formulario_estado\'];\r\n        $area_origen = $fila[\'area_origen\'];\r\n        $area_destino = $fila[\'area_destino\'];\r\n        $formulario_afectacion = $fila[\'formulario_afectacion\'];\r\n        $url_firma_jefe = $fila[\'url_firma_jefe\'];\r\n        $url_firma_agente  = $fila[\'url_firma_agente\'];\r\n\r\n        $formulario_img_id= $fila[\'formulario_img_id\']; \r\n        $url_img = $fila[\'url_img\'];\r\n\r\n        $EmpleadoId = $fila[\'EmpleadoId\'];\r\n        $EmpleadoNombre= $fila[\'EmpleadoNombre\'];\r\n        $EmpleadoDni= $fila[\'EmpleadoDni\'];\r\n        $EmpleadoLegajo = $fila[\'EmpleadoLegajo\'];\r\n        $EmpleadoArea = $fila[\'EmpleadoArea\'];\r\n\r\n        $JefeID= $fila[\'JefeID\'];\r\n        $JefeNombre= $fila[\'JefeNombre\'];\r\n        $JefeDni= $fila[\'JefeDni\'];\r\n\r\n        $CargoEmpleado= $fila[\'CargoEmpleado\'];\r\n        $CargoJefe= $fila[\'CargoJefe\'];\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n//Parte inicial\r\n\r\n// Establece la fuente y tamaño de la fuente para el título\r\n$pdf->SetFont(\'Arial\', \'B\', 12);\r\n\r\n// Título en el centro dentro de un recuadro\r\n$pdf->Cell(40, 20, \'Legajo: \'.$EmpleadoLegajo, 1, 0, \'C\');\r\n\r\n// Obtiene la posición Y antes de agregar el texto\r\n$posYTexto = $pdf->GetY();\r\n\r\n// Texto para la celda con salto de línea\r\n$textoCelda = \"FORMULARIO DE SOLICITUD DE TRAMITES\\nSecretaria de Personal\";\r\n\r\n// Celda para el título con un recuadro\r\n$pdf->MultiCell(130, 10, $textoCelda, 1, \'C\');\r\n\r\n// Restaura la posición Y antes de agregar la imagen\r\n$pdf->SetY($posYTexto);\r\n\r\n// Logo a la derecha dentro de un recuadro\r\n$logoPath = \'../../backend/img/logo_poder.png\';  // Reemplaza con la ruta correcta de tu logo\r\n\r\n// Calcula la posición X para alinear la imagen a la derecha dentro del recuadro\r\n$logoX = $pdf->GetPageWidth() - 30;\r\n$logoY = $pdf->GetY() + 1;\r\n\r\n// Celda para la imagen dentro del recuadro\r\n$pdf->SetX($logoX);\r\n$pdf->Cell(20, 20, \'\', 1);\r\n$pdf->Image($logoPath, $logoX + 2, $logoY + 2, 15);\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte del nombre, fecha y dni\r\n$pdf->Ln(20); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(140, 10, \'APELLIDO Y NOMBRE:         \'.mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"FECHA:       \".$formulario_fecha_hora_registro.\"\\nDNI:      \".$EmpleadoDni;\r\n$pdf->MultiCell(50, 5, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de dependencia laboral  y cargo\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(115, 7, \'DEPENDENCIA LABORAL:    \'.mb_convert_encoding(mb_strtoupper($EmpleadoArea), \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"CARGO:     \".mb_convert_encoding($CargoEmpleado, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->Cell(75, 7, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte DEL TRAMITE\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, mb_convert_encoding(\'DESCRIPCIÓN DEL TRAMITE:\', \'ISO-8859-1\', \'UTF-8\').\'      [X] \'.mb_convert_encoding($formulario_licencias, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'C\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de los dias\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, \'DETALLE DE LOS DIAS:        \'.$formulario_dia_desde.\'      hasta    \'.$formulario_dia_hasta, 1, 0, \'A\');\r\n\r\n$pdf->Ln(7); // si o si un salto de linea \r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = \"MOTIVO/CAUSA/RAZON/EXPLICACION:\\n\".\"                                                                              \".mb_convert_encoding(mb_strtoupper($formulario_explicacion), \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = mb_convert_encoding(\'AFECTACIÓN: \', \'ISO-8859-1\', \'UTF-8\').\"\\n\".\"                             \".mb_convert_encoding($formulario_afectacion, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n\r\n$RespuestaFormularioIMG = \"\";\r\n\r\nif($formulario_img_id == null || $formulario_img_id == 0){\r\n    $RespuestaFormularioIMG = \"NO\";\r\n}else{\r\n    $RespuestaFormularioIMG = \"SI\";\r\n}\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->MultiCell(190, 5, mb_convert_encoding(\"DOCUMENTACIÓN RESPALDATORIA:    \", \'ISO-8859-1\', \'UTF-8\').$RespuestaFormularioIMG, 1, \'A\');\r\n\r\n// Espacio entre el texto y la imagen\r\n$pdf->Ln(3);\r\n\r\n// Posición actual para alinear la imagen\r\n$posX = $pdf->GetX();\r\n$posY = $pdf->GetY();\r\n// URL de la imagen\r\n$imageUrl = $url_img;\r\n\r\nif (!empty($imageUrl)) {\r\n    // Ruta temporal para guardar la imagen\r\n    $tempImagePath = \'/tmp/temp_image.jpg\';\r\n\r\n    try {\r\n        // Descargar la imagen\r\n        downloadImage($imageUrl, $tempImagePath);\r\n\r\n        // Intenta obtener información sobre la imagen\r\n        $imageInfo = @getimagesize($tempImagePath);\r\n\r\n        // Verifica si la función getimagesize() devolvió información válida\r\n        if ($imageInfo !== false) {\r\n            // Ancho y alto de la imagen\r\n            $imageWidth = 50;\r\n            $imageHeight = 60;\r\n\r\n            // Calcula la posición X para centrar la imagen\r\n            $centerX = ($pdf->GetPageWidth() - $imageWidth) / 2;\r\n\r\n            // Añade la imagen centrada\r\n            $pdf->Image($tempImagePath, $centerX, null, $imageWidth, $imageHeight);\r\n\r\n            // Restaura la posición Y después de la imagen\r\n            $pdf->SetY($pdf->GetY() + 20);\r\n\r\n            // Eliminar la imagen temporal después de usarla\r\n            unlink($tempImagePath);\r\n        }\r\n    } catch (Exception $e) {\r\n        // Manejo de errores\r\n        $pdf->SetFont(\'Times\', \'B\', 8);\r\n        $pdf->MultiCell(190, 5, \'Error al cargar la imagen de documentación: \' . $e->getMessage(), 1, \'A\');\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de las firmas\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 9);\r\n\r\n// Firma 1\r\n$x1 = 20;         \r\n$y = 210;          \r\n$width = 80;      \r\n$height = 40;     \r\n\r\ntry {\r\n    // Descargar la firma del jefe temporalmente\r\n    $tempFirmaJefePath = \'/tmp/temp_firma_jefe.jpg\';\r\n    downloadImage($url_firma_jefe, $tempFirmaJefePath);\r\n    $imageInfo = @getimagesize($tempFirmaJefePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaJefePath, $x1, $y, $width, $height); // Ajusta $x1, $y, $width, $height según tus necesidades\r\n        $texto1 = \"Superior: \".mb_convert_encoding($JefeNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x1, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto1, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del jefe: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Firma 2\r\n$x2 = $x1 + $width + 20;\r\n\r\ntry {\r\n    // Descargar la firma del agente temporalmente\r\n    $tempFirmaAgentePath = \'/tmp/temp_firma_agente.jpg\';\r\n    downloadImage($url_firma_agente, $tempFirmaAgentePath);\r\n    $imageInfo = @getimagesize($tempFirmaAgentePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaAgentePath, $x2, $y, $width, $height); // Ajusta $x2 según tus necesidades\r\n        $texto2 = \"Agente: \".mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x2, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto2, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del agente: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Eliminar las firmas temporales después de usarlas\r\nif (file_exists($tempFirmaJefePath)) {\r\n    unlink($tempFirmaJefePath);\r\n}\r\n\r\nif (file_exists($tempFirmaAgentePath)) {\r\n    unlink($tempFirmaAgentePath);\r\n}\r\n\r\n// Limpiar el búfer de salida y enviar el PDF al navegador\r\nob_end_clean();\r\n$pdf->Output(\'I\', \'ejemplo.pdf\');\r\n\r\n?>\r\n'),(6,2,'2024-06-14 15:08:45',1,2141,'2024-06-27 11:51:44','<?php\r\n\r\ninclude \'../../backend/fpdf/fpdf.php\';\r\ninclude \'../../backend/config/Conexion.php\';\r\n\r\n$formulario_id = $_GET[\"id\"];\r\n\r\nclass PDF extends FPDF {\r\n    function Header() {\r\n        // ... tu código de encabezado\r\n    }\r\n\r\n    function Footer() {\r\n        // ... tu código de pie de página\r\n    }\r\n\r\n    function drawCheck($x, $y, $size = 2) {\r\n        $currentLineWidth = $this->LineWidth;\r\n\r\n        $this->SetLineWidth(0.5);\r\n        $this->Line($x, $y, $x + $size, $y + $size);\r\n        $this->Line($x + $size, $y, $x, $y + $size);\r\n\r\n        // Restablecer el ancho de línea al valor original\r\n        $this->SetLineWidth($currentLineWidth);\r\n    }\r\n}\r\n\r\n// Función para descargar la imagen temporalmente\r\nfunction downloadImage($url, $path) {\r\n    $imageContent = @file_get_contents($url);\r\n    if ($imageContent === FALSE) {\r\n        throw new Exception(\'Error al descargar la imagen desde \' . $url);\r\n    }\r\n    file_put_contents($path, $imageContent);\r\n}\r\n\r\n// Iniciar almacenamiento en búfer de salida\r\nob_start();\r\n\r\n// Crea una instancia de la clase FPDF con formato A4\r\n$pdf = new PDF(\'P\', \'mm\', \'A4\');\r\n// Agrega una página al PDF\r\n$pdf->AddPage();\r\n\r\n// Ejecuto query de referencia del formulario\r\n$query1 = \"SELECT formulario.`formulario_id`, formulario.`formulario_licencias`, formulario.`formulario_dia_desde`, formulario.`formulario_dia_hasta`, \r\nformulario.`formulario_explicacion`, formulario.`usuario_id`, formulario.`formulario_fecha_hora_registro`, formulario.`apr_des_por`, \r\nformulario.`formulario_fecha_hora_aprobacion`, formulario.`formulario_estado`, formulario.`area_origen`, formulario.`area_destino`, \r\nformulario.`formulario_afectacion`, formulario.`url_firma_jefe`, formulario.`url_firma_agente`,\r\n\r\nusuario.usuario_id AS EmpleadoId, CONCAT(usuario.usuario_apellido, \' \',usuario.usuario_nombre) AS EmpleadoNombre, usuario.usuario_dni as EmpleadoDni, usuario.usuario_legajo as EmpleadoLegajo,\r\narea.area_descripcion AS EmpleadoArea,\r\n\r\nJEFES.usuario_id as JefeID,CONCAT(JEFES.usuario_apellido,\' \', JEFES.usuario_nombre) as JefeNombre, JEFES.usuario_dni as JefeDni, \r\n\r\ncargo.cargo_descripcion as CargoEmpleado, \r\nCARGO_JEFE.cargo_id as cargoId_Jefe, CARGO_JEFE.cargo_descripcion as CargoJefe,\r\n\r\nformulario_img.`formulario_img_id`, formulario_img.`url_img`\r\n\r\nFROM `formulario`\r\nINNER JOIN usuario ON formulario.usuario_id = usuario.usuario_id\r\nINNER JOIN area on usuario.area_id=area.area_id\r\nINNER JOIN usuario JEFES ON formulario.apr_des_por = JEFES.usuario_id\r\nINNER JOIN cargo  on usuario.cargo_id = cargo.cargo_id\r\nINNER JOIN cargo CARGO_JEFE on JEFES.cargo_id = CARGO_JEFE.cargo_id\r\nLEFT JOIN formulario_img ON formulario.formulario_id= formulario_img.formulario_id\r\n\r\nWHERE formulario.formulario_id = $formulario_id\";\r\n\r\nif ($resultado = $connect->query($query1)) {\r\n    while ($fila = $resultado->fetch(PDO::FETCH_ASSOC)) {\r\n        $formulario_id = $fila[\'formulario_id\'];\r\n        $formulario_licencias = $fila[\'formulario_licencias\'];\r\n        $formulario_dia_desde = $fila[\'formulario_dia_desde\'];\r\n        $formulario_dia_hasta = $fila[\'formulario_dia_hasta\'];\r\n        $formulario_explicacion = $fila[\'formulario_explicacion\'];\r\n        $usuario_id = $fila[\'usuario_id\'];\r\n        $formulario_fecha_hora_registro= $fila[\'formulario_fecha_hora_registro\'];\r\n        $apr_des_por = $fila[\'apr_des_por\'];\r\n        $formulario_fecha_hora_aprobacion = $fila[\'formulario_fecha_hora_aprobacion\'];\r\n        $formulario_estado = $fila[\'formulario_estado\'];\r\n        $area_origen = $fila[\'area_origen\'];\r\n        $area_destino = $fila[\'area_destino\'];\r\n        $formulario_afectacion = $fila[\'formulario_afectacion\'];\r\n        $url_firma_jefe = $fila[\'url_firma_jefe\'];\r\n        $url_firma_agente  = $fila[\'url_firma_agente\'];\r\n\r\n        $formulario_img_id= $fila[\'formulario_img_id\']; \r\n        $url_img = $fila[\'url_img\'];\r\n\r\n        $EmpleadoId = $fila[\'EmpleadoId\'];\r\n        $EmpleadoNombre= $fila[\'EmpleadoNombre\'];\r\n        $EmpleadoDni= $fila[\'EmpleadoDni\'];\r\n        $EmpleadoLegajo = $fila[\'EmpleadoLegajo\'];\r\n        $EmpleadoArea = $fila[\'EmpleadoArea\'];\r\n\r\n        $JefeID= $fila[\'JefeID\'];\r\n        $JefeNombre= $fila[\'JefeNombre\'];\r\n        $JefeDni= $fila[\'JefeDni\'];\r\n\r\n        $CargoEmpleado= $fila[\'CargoEmpleado\'];\r\n        $CargoJefe= $fila[\'CargoJefe\'];\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n//Parte inicial\r\n\r\n// Establece la fuente y tamaño de la fuente para el título\r\n$pdf->SetFont(\'Arial\', \'B\', 12);\r\n\r\n// Título en el centro dentro de un recuadro\r\n$pdf->Cell(40, 20, \'Legajo: \'.$EmpleadoLegajo, 1, 0, \'C\');\r\n\r\n// Obtiene la posición Y antes de agregar el texto\r\n$posYTexto = $pdf->GetY();\r\n\r\n// Texto para la celda con salto de línea\r\n$textoCelda = \"FORMULARIO DE SOLICITUD DE TRAMITES\\nSecretaria de Personal\";\r\n\r\n// Celda para el título con un recuadro\r\n$pdf->MultiCell(130, 10, $textoCelda, 1, \'C\');\r\n\r\n// Restaura la posición Y antes de agregar la imagen\r\n$pdf->SetY($posYTexto);\r\n\r\n// Logo a la derecha dentro de un recuadro\r\n$logoPath = \'../../backend/img/logo_poder.png\';  // Reemplaza con la ruta correcta de tu logo\r\n\r\n// Calcula la posición X para alinear la imagen a la derecha dentro del recuadro\r\n$logoX = $pdf->GetPageWidth() - 30;\r\n$logoY = $pdf->GetY() + 1;\r\n\r\n// Celda para la imagen dentro del recuadro\r\n$pdf->SetX($logoX);\r\n$pdf->Cell(20, 20, \'\', 1);\r\n$pdf->Image($logoPath, $logoX + 2, $logoY + 2, 15);\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte del nombre, fecha y dni\r\n$pdf->Ln(20); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(140, 10, \'APELLIDO Y NOMBRE:         \'.mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"FECHA:       \".$formulario_fecha_hora_registro.\"\\nDNI:      \".$EmpleadoDni;\r\n$pdf->MultiCell(50, 5, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de dependencia laboral  y cargo\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(115, 7, \'DEPENDENCIA LABORAL:    \'.mb_convert_encoding(mb_strtoupper($EmpleadoArea), \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"CARGO:     \".mb_convert_encoding($CargoEmpleado, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->Cell(75, 7, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte DEL TRAMITE\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, mb_convert_encoding(\'DESCRIPCIÓN DEL TRAMITE:\', \'ISO-8859-1\', \'UTF-8\').\'      [X] \'.mb_convert_encoding($formulario_licencias, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'C\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de los dias\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, \'DETALLE DE LOS DIAS:        \'.$formulario_dia_desde.\'      hasta    \'.$formulario_dia_hasta, 1, 0, \'A\');\r\n\r\n$pdf->Ln(7); // si o si un salto de linea \r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = \"MOTIVO/CAUSA/RAZON/EXPLICACION:\\n\".\"                                                                              \".mb_convert_encoding(mb_strtoupper($formulario_explicacion), \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = mb_convert_encoding(\'AFECTACIÓN: \', \'ISO-8859-1\', \'UTF-8\').\"\\n\".\"                             \".mb_convert_encoding($formulario_afectacion, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n\r\n$RespuestaFormularioIMG = \"\";\r\n\r\nif($formulario_img_id == null || $formulario_img_id == 0){\r\n    $RespuestaFormularioIMG = \"NO\";\r\n}else{\r\n    $RespuestaFormularioIMG = \"SI\";\r\n}\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->MultiCell(190, 5, mb_convert_encoding(\"DOCUMENTACIÓN RESPALDATORIA:    \", \'ISO-8859-1\', \'UTF-8\').$RespuestaFormularioIMG, 1, \'A\');\r\n\r\n// Espacio entre el texto y la imagen\r\n$pdf->Ln(3);\r\n\r\n// Posición actual para alinear la imagen\r\n$posX = $pdf->GetX();\r\n$posY = $pdf->GetY();\r\n// URL de la imagen\r\n$imageUrl = $url_img;\r\n\r\nif (!empty($imageUrl)) {\r\n    // Ruta temporal para guardar la imagen\r\n    $tempImagePath = \'/tmp/temp_image.jpg\';\r\n\r\n    try {\r\n        // Descargar la imagen\r\n        downloadImage($imageUrl, $tempImagePath);\r\n\r\n        // Intenta obtener información sobre la imagen\r\n        $imageInfo = @getimagesize($tempImagePath);\r\n\r\n        // Verifica si la función getimagesize() devolvió información válida\r\n        if ($imageInfo !== false) {\r\n            // Ancho y alto de la imagen\r\n            $imageWidth = 50;\r\n            $imageHeight = 60;\r\n\r\n            // Calcula la posición X para centrar la imagen\r\n            $centerX = ($pdf->GetPageWidth() - $imageWidth) / 2;\r\n\r\n            // Añade la imagen centrada\r\n            $pdf->Image($tempImagePath, $centerX, null, $imageWidth, $imageHeight);\r\n\r\n            // Restaura la posición Y después de la imagen\r\n            $pdf->SetY($pdf->GetY() + 20);\r\n\r\n            // Eliminar la imagen temporal después de usarla\r\n            unlink($tempImagePath);\r\n        }\r\n    } catch (Exception $e) {\r\n        // Manejo de errores\r\n        $pdf->SetFont(\'Times\', \'B\', 8);\r\n        $pdf->MultiCell(190, 5, \'Error al cargar la imagen de documentación: \' . $e->getMessage(), 1, \'A\');\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de las firmas\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 9);\r\n\r\n// Firma 1\r\n$x1 = 20;         \r\n$y = 210;          \r\n$width = 80;      \r\n$height = 40;     \r\n\r\ntry {\r\n    // Descargar la firma del jefe temporalmente\r\n    $tempFirmaJefePath = \'/tmp/temp_firma_jefe.jpg\';\r\n    downloadImage($url_firma_jefe, $tempFirmaJefePath);\r\n    $imageInfo = @getimagesize($tempFirmaJefePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaJefePath, $x1, $y, $width, $height); // Ajusta $x1, $y, $width, $height según tus necesidades\r\n        $texto1 = \"Superior: \".mb_convert_encoding($JefeNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x1, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto1, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del jefe: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Firma 2\r\n$x2 = $x1 + $width + 20;\r\n\r\ntry {\r\n    // Descargar la firma del agente temporalmente\r\n    $tempFirmaAgentePath = \'/tmp/temp_firma_agente.jpg\';\r\n    downloadImage($url_firma_agente, $tempFirmaAgentePath);\r\n    $imageInfo = @getimagesize($tempFirmaAgentePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaAgentePath, $x2, $y, $width, $height); // Ajusta $x2 según tus necesidades\r\n        $texto2 = \"Agente: \".mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x2, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto2, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del agente: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Eliminar las firmas temporales después de usarlas\r\nif (file_exists($tempFirmaJefePath)) {\r\n    unlink($tempFirmaJefePath);\r\n}\r\n\r\nif (file_exists($tempFirmaAgentePath)) {\r\n    unlink($tempFirmaAgentePath);\r\n}\r\n\r\n// Limpiar el búfer de salida y enviar el PDF al navegador\r\nob_end_clean();\r\n$pdf->Output(\'I\', \'ejemplo.pdf\');\r\n\r\n?>\r\n'),(7,6,'2024-06-14 15:46:12',1,2141,'2024-06-27 11:32:39','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. MARCHIOLI FERNANDO RUBEN 2 dias de licencia por RAZONES PARTICULARES en presente año.\r\n\r\nSecretaria de Superintendencia, 21 de Mayo de 2024.\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(8,1,'2024-06-18 11:40:25',1,2141,'2024-06-27 12:26:26','decreto que esta licencia esta aprobada'),(9,1,'2024-06-18 12:10:08',1,2141,'2024-06-27 12:26:26','decreto que esta licencia esta aprobada'),(10,2,'2024-06-18 12:56:50',1,2141,'2024-06-27 11:51:44','<?php\r\n\r\ninclude \'../../backend/fpdf/fpdf.php\';\r\ninclude \'../../backend/config/Conexion.php\';\r\n\r\n$formulario_id = $_GET[\"id\"];\r\n\r\nclass PDF extends FPDF {\r\n    function Header() {\r\n        // ... tu código de encabezado\r\n    }\r\n\r\n    function Footer() {\r\n        // ... tu código de pie de página\r\n    }\r\n\r\n    function drawCheck($x, $y, $size = 2) {\r\n        $currentLineWidth = $this->LineWidth;\r\n\r\n        $this->SetLineWidth(0.5);\r\n        $this->Line($x, $y, $x + $size, $y + $size);\r\n        $this->Line($x + $size, $y, $x, $y + $size);\r\n\r\n        // Restablecer el ancho de línea al valor original\r\n        $this->SetLineWidth($currentLineWidth);\r\n    }\r\n}\r\n\r\n// Función para descargar la imagen temporalmente\r\nfunction downloadImage($url, $path) {\r\n    $imageContent = @file_get_contents($url);\r\n    if ($imageContent === FALSE) {\r\n        throw new Exception(\'Error al descargar la imagen desde \' . $url);\r\n    }\r\n    file_put_contents($path, $imageContent);\r\n}\r\n\r\n// Iniciar almacenamiento en búfer de salida\r\nob_start();\r\n\r\n// Crea una instancia de la clase FPDF con formato A4\r\n$pdf = new PDF(\'P\', \'mm\', \'A4\');\r\n// Agrega una página al PDF\r\n$pdf->AddPage();\r\n\r\n// Ejecuto query de referencia del formulario\r\n$query1 = \"SELECT formulario.`formulario_id`, formulario.`formulario_licencias`, formulario.`formulario_dia_desde`, formulario.`formulario_dia_hasta`, \r\nformulario.`formulario_explicacion`, formulario.`usuario_id`, formulario.`formulario_fecha_hora_registro`, formulario.`apr_des_por`, \r\nformulario.`formulario_fecha_hora_aprobacion`, formulario.`formulario_estado`, formulario.`area_origen`, formulario.`area_destino`, \r\nformulario.`formulario_afectacion`, formulario.`url_firma_jefe`, formulario.`url_firma_agente`,\r\n\r\nusuario.usuario_id AS EmpleadoId, CONCAT(usuario.usuario_apellido, \' \',usuario.usuario_nombre) AS EmpleadoNombre, usuario.usuario_dni as EmpleadoDni, usuario.usuario_legajo as EmpleadoLegajo,\r\narea.area_descripcion AS EmpleadoArea,\r\n\r\nJEFES.usuario_id as JefeID,CONCAT(JEFES.usuario_apellido,\' \', JEFES.usuario_nombre) as JefeNombre, JEFES.usuario_dni as JefeDni, \r\n\r\ncargo.cargo_descripcion as CargoEmpleado, \r\nCARGO_JEFE.cargo_id as cargoId_Jefe, CARGO_JEFE.cargo_descripcion as CargoJefe,\r\n\r\nformulario_img.`formulario_img_id`, formulario_img.`url_img`\r\n\r\nFROM `formulario`\r\nINNER JOIN usuario ON formulario.usuario_id = usuario.usuario_id\r\nINNER JOIN area on usuario.area_id=area.area_id\r\nINNER JOIN usuario JEFES ON formulario.apr_des_por = JEFES.usuario_id\r\nINNER JOIN cargo  on usuario.cargo_id = cargo.cargo_id\r\nINNER JOIN cargo CARGO_JEFE on JEFES.cargo_id = CARGO_JEFE.cargo_id\r\nLEFT JOIN formulario_img ON formulario.formulario_id= formulario_img.formulario_id\r\n\r\nWHERE formulario.formulario_id = $formulario_id\";\r\n\r\nif ($resultado = $connect->query($query1)) {\r\n    while ($fila = $resultado->fetch(PDO::FETCH_ASSOC)) {\r\n        $formulario_id = $fila[\'formulario_id\'];\r\n        $formulario_licencias = $fila[\'formulario_licencias\'];\r\n        $formulario_dia_desde = $fila[\'formulario_dia_desde\'];\r\n        $formulario_dia_hasta = $fila[\'formulario_dia_hasta\'];\r\n        $formulario_explicacion = $fila[\'formulario_explicacion\'];\r\n        $usuario_id = $fila[\'usuario_id\'];\r\n        $formulario_fecha_hora_registro= $fila[\'formulario_fecha_hora_registro\'];\r\n        $apr_des_por = $fila[\'apr_des_por\'];\r\n        $formulario_fecha_hora_aprobacion = $fila[\'formulario_fecha_hora_aprobacion\'];\r\n        $formulario_estado = $fila[\'formulario_estado\'];\r\n        $area_origen = $fila[\'area_origen\'];\r\n        $area_destino = $fila[\'area_destino\'];\r\n        $formulario_afectacion = $fila[\'formulario_afectacion\'];\r\n        $url_firma_jefe = $fila[\'url_firma_jefe\'];\r\n        $url_firma_agente  = $fila[\'url_firma_agente\'];\r\n\r\n        $formulario_img_id= $fila[\'formulario_img_id\']; \r\n        $url_img = $fila[\'url_img\'];\r\n\r\n        $EmpleadoId = $fila[\'EmpleadoId\'];\r\n        $EmpleadoNombre= $fila[\'EmpleadoNombre\'];\r\n        $EmpleadoDni= $fila[\'EmpleadoDni\'];\r\n        $EmpleadoLegajo = $fila[\'EmpleadoLegajo\'];\r\n        $EmpleadoArea = $fila[\'EmpleadoArea\'];\r\n\r\n        $JefeID= $fila[\'JefeID\'];\r\n        $JefeNombre= $fila[\'JefeNombre\'];\r\n        $JefeDni= $fila[\'JefeDni\'];\r\n\r\n        $CargoEmpleado= $fila[\'CargoEmpleado\'];\r\n        $CargoJefe= $fila[\'CargoJefe\'];\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n//Parte inicial\r\n\r\n// Establece la fuente y tamaño de la fuente para el título\r\n$pdf->SetFont(\'Arial\', \'B\', 12);\r\n\r\n// Título en el centro dentro de un recuadro\r\n$pdf->Cell(40, 20, \'Legajo: \'.$EmpleadoLegajo, 1, 0, \'C\');\r\n\r\n// Obtiene la posición Y antes de agregar el texto\r\n$posYTexto = $pdf->GetY();\r\n\r\n// Texto para la celda con salto de línea\r\n$textoCelda = \"FORMULARIO DE SOLICITUD DE TRAMITES\\nSecretaria de Personal\";\r\n\r\n// Celda para el título con un recuadro\r\n$pdf->MultiCell(130, 10, $textoCelda, 1, \'C\');\r\n\r\n// Restaura la posición Y antes de agregar la imagen\r\n$pdf->SetY($posYTexto);\r\n\r\n// Logo a la derecha dentro de un recuadro\r\n$logoPath = \'../../backend/img/logo_poder.png\';  // Reemplaza con la ruta correcta de tu logo\r\n\r\n// Calcula la posición X para alinear la imagen a la derecha dentro del recuadro\r\n$logoX = $pdf->GetPageWidth() - 30;\r\n$logoY = $pdf->GetY() + 1;\r\n\r\n// Celda para la imagen dentro del recuadro\r\n$pdf->SetX($logoX);\r\n$pdf->Cell(20, 20, \'\', 1);\r\n$pdf->Image($logoPath, $logoX + 2, $logoY + 2, 15);\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte del nombre, fecha y dni\r\n$pdf->Ln(20); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(140, 10, \'APELLIDO Y NOMBRE:         \'.mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"FECHA:       \".$formulario_fecha_hora_registro.\"\\nDNI:      \".$EmpleadoDni;\r\n$pdf->MultiCell(50, 5, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de dependencia laboral  y cargo\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(115, 7, \'DEPENDENCIA LABORAL:    \'.mb_convert_encoding(mb_strtoupper($EmpleadoArea), \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"CARGO:     \".mb_convert_encoding($CargoEmpleado, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->Cell(75, 7, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte DEL TRAMITE\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, mb_convert_encoding(\'DESCRIPCIÓN DEL TRAMITE:\', \'ISO-8859-1\', \'UTF-8\').\'      [X] \'.mb_convert_encoding($formulario_licencias, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'C\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de los dias\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, \'DETALLE DE LOS DIAS:        \'.$formulario_dia_desde.\'      hasta    \'.$formulario_dia_hasta, 1, 0, \'A\');\r\n\r\n$pdf->Ln(7); // si o si un salto de linea \r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = \"MOTIVO/CAUSA/RAZON/EXPLICACION:\\n\".\"                                                                              \".mb_convert_encoding(mb_strtoupper($formulario_explicacion), \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = mb_convert_encoding(\'AFECTACIÓN: \', \'ISO-8859-1\', \'UTF-8\').\"\\n\".\"                             \".mb_convert_encoding($formulario_afectacion, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n\r\n$RespuestaFormularioIMG = \"\";\r\n\r\nif($formulario_img_id == null || $formulario_img_id == 0){\r\n    $RespuestaFormularioIMG = \"NO\";\r\n}else{\r\n    $RespuestaFormularioIMG = \"SI\";\r\n}\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->MultiCell(190, 5, mb_convert_encoding(\"DOCUMENTACIÓN RESPALDATORIA:    \", \'ISO-8859-1\', \'UTF-8\').$RespuestaFormularioIMG, 1, \'A\');\r\n\r\n// Espacio entre el texto y la imagen\r\n$pdf->Ln(3);\r\n\r\n// Posición actual para alinear la imagen\r\n$posX = $pdf->GetX();\r\n$posY = $pdf->GetY();\r\n// URL de la imagen\r\n$imageUrl = $url_img;\r\n\r\nif (!empty($imageUrl)) {\r\n    // Ruta temporal para guardar la imagen\r\n    $tempImagePath = \'/tmp/temp_image.jpg\';\r\n\r\n    try {\r\n        // Descargar la imagen\r\n        downloadImage($imageUrl, $tempImagePath);\r\n\r\n        // Intenta obtener información sobre la imagen\r\n        $imageInfo = @getimagesize($tempImagePath);\r\n\r\n        // Verifica si la función getimagesize() devolvió información válida\r\n        if ($imageInfo !== false) {\r\n            // Ancho y alto de la imagen\r\n            $imageWidth = 50;\r\n            $imageHeight = 60;\r\n\r\n            // Calcula la posición X para centrar la imagen\r\n            $centerX = ($pdf->GetPageWidth() - $imageWidth) / 2;\r\n\r\n            // Añade la imagen centrada\r\n            $pdf->Image($tempImagePath, $centerX, null, $imageWidth, $imageHeight);\r\n\r\n            // Restaura la posición Y después de la imagen\r\n            $pdf->SetY($pdf->GetY() + 20);\r\n\r\n            // Eliminar la imagen temporal después de usarla\r\n            unlink($tempImagePath);\r\n        }\r\n    } catch (Exception $e) {\r\n        // Manejo de errores\r\n        $pdf->SetFont(\'Times\', \'B\', 8);\r\n        $pdf->MultiCell(190, 5, \'Error al cargar la imagen de documentación: \' . $e->getMessage(), 1, \'A\');\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de las firmas\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 9);\r\n\r\n// Firma 1\r\n$x1 = 20;         \r\n$y = 210;          \r\n$width = 80;      \r\n$height = 40;     \r\n\r\ntry {\r\n    // Descargar la firma del jefe temporalmente\r\n    $tempFirmaJefePath = \'/tmp/temp_firma_jefe.jpg\';\r\n    downloadImage($url_firma_jefe, $tempFirmaJefePath);\r\n    $imageInfo = @getimagesize($tempFirmaJefePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaJefePath, $x1, $y, $width, $height); // Ajusta $x1, $y, $width, $height según tus necesidades\r\n        $texto1 = \"Superior: \".mb_convert_encoding($JefeNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x1, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto1, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del jefe: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Firma 2\r\n$x2 = $x1 + $width + 20;\r\n\r\ntry {\r\n    // Descargar la firma del agente temporalmente\r\n    $tempFirmaAgentePath = \'/tmp/temp_firma_agente.jpg\';\r\n    downloadImage($url_firma_agente, $tempFirmaAgentePath);\r\n    $imageInfo = @getimagesize($tempFirmaAgentePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaAgentePath, $x2, $y, $width, $height); // Ajusta $x2 según tus necesidades\r\n        $texto2 = \"Agente: \".mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x2, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto2, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del agente: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Eliminar las firmas temporales después de usarlas\r\nif (file_exists($tempFirmaJefePath)) {\r\n    unlink($tempFirmaJefePath);\r\n}\r\n\r\nif (file_exists($tempFirmaAgentePath)) {\r\n    unlink($tempFirmaAgentePath);\r\n}\r\n\r\n// Limpiar el búfer de salida y enviar el PDF al navegador\r\nob_end_clean();\r\n$pdf->Output(\'I\', \'ejemplo.pdf\');\r\n\r\n?>\r\n'),(11,1,'2024-06-18 12:57:47',1,2141,'2024-06-27 12:26:26','decreto que esta licencia esta aprobada'),(12,1,'2024-06-18 13:02:03',1,2141,'2024-06-27 12:26:26','decreto que esta licencia esta aprobada'),(13,1,'2024-06-18 13:06:40',1,2141,'2024-06-27 12:26:26','decreto que esta licencia esta aprobada'),(14,3,'2024-06-18 13:19:07',1,2141,'2024-06-27 11:15:10','Señora Secretaria:\r\n                             Informo a Ud. que la Sra. SOSA MARIANA ANAHI registrar un DIA de licencia por RAZONES PARTICULARES presente año.\r\n\r\nSecretaria de Superintendencia, 27 DE JUNIO de 2024.\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 21 de Mayo de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(15,2,'2024-06-18 13:33:24',1,2141,'2024-06-27 11:51:44','<?php\r\n\r\ninclude \'../../backend/fpdf/fpdf.php\';\r\ninclude \'../../backend/config/Conexion.php\';\r\n\r\n$formulario_id = $_GET[\"id\"];\r\n\r\nclass PDF extends FPDF {\r\n    function Header() {\r\n        // ... tu código de encabezado\r\n    }\r\n\r\n    function Footer() {\r\n        // ... tu código de pie de página\r\n    }\r\n\r\n    function drawCheck($x, $y, $size = 2) {\r\n        $currentLineWidth = $this->LineWidth;\r\n\r\n        $this->SetLineWidth(0.5);\r\n        $this->Line($x, $y, $x + $size, $y + $size);\r\n        $this->Line($x + $size, $y, $x, $y + $size);\r\n\r\n        // Restablecer el ancho de línea al valor original\r\n        $this->SetLineWidth($currentLineWidth);\r\n    }\r\n}\r\n\r\n// Función para descargar la imagen temporalmente\r\nfunction downloadImage($url, $path) {\r\n    $imageContent = @file_get_contents($url);\r\n    if ($imageContent === FALSE) {\r\n        throw new Exception(\'Error al descargar la imagen desde \' . $url);\r\n    }\r\n    file_put_contents($path, $imageContent);\r\n}\r\n\r\n// Iniciar almacenamiento en búfer de salida\r\nob_start();\r\n\r\n// Crea una instancia de la clase FPDF con formato A4\r\n$pdf = new PDF(\'P\', \'mm\', \'A4\');\r\n// Agrega una página al PDF\r\n$pdf->AddPage();\r\n\r\n// Ejecuto query de referencia del formulario\r\n$query1 = \"SELECT formulario.`formulario_id`, formulario.`formulario_licencias`, formulario.`formulario_dia_desde`, formulario.`formulario_dia_hasta`, \r\nformulario.`formulario_explicacion`, formulario.`usuario_id`, formulario.`formulario_fecha_hora_registro`, formulario.`apr_des_por`, \r\nformulario.`formulario_fecha_hora_aprobacion`, formulario.`formulario_estado`, formulario.`area_origen`, formulario.`area_destino`, \r\nformulario.`formulario_afectacion`, formulario.`url_firma_jefe`, formulario.`url_firma_agente`,\r\n\r\nusuario.usuario_id AS EmpleadoId, CONCAT(usuario.usuario_apellido, \' \',usuario.usuario_nombre) AS EmpleadoNombre, usuario.usuario_dni as EmpleadoDni, usuario.usuario_legajo as EmpleadoLegajo,\r\narea.area_descripcion AS EmpleadoArea,\r\n\r\nJEFES.usuario_id as JefeID,CONCAT(JEFES.usuario_apellido,\' \', JEFES.usuario_nombre) as JefeNombre, JEFES.usuario_dni as JefeDni, \r\n\r\ncargo.cargo_descripcion as CargoEmpleado, \r\nCARGO_JEFE.cargo_id as cargoId_Jefe, CARGO_JEFE.cargo_descripcion as CargoJefe,\r\n\r\nformulario_img.`formulario_img_id`, formulario_img.`url_img`\r\n\r\nFROM `formulario`\r\nINNER JOIN usuario ON formulario.usuario_id = usuario.usuario_id\r\nINNER JOIN area on usuario.area_id=area.area_id\r\nINNER JOIN usuario JEFES ON formulario.apr_des_por = JEFES.usuario_id\r\nINNER JOIN cargo  on usuario.cargo_id = cargo.cargo_id\r\nINNER JOIN cargo CARGO_JEFE on JEFES.cargo_id = CARGO_JEFE.cargo_id\r\nLEFT JOIN formulario_img ON formulario.formulario_id= formulario_img.formulario_id\r\n\r\nWHERE formulario.formulario_id = $formulario_id\";\r\n\r\nif ($resultado = $connect->query($query1)) {\r\n    while ($fila = $resultado->fetch(PDO::FETCH_ASSOC)) {\r\n        $formulario_id = $fila[\'formulario_id\'];\r\n        $formulario_licencias = $fila[\'formulario_licencias\'];\r\n        $formulario_dia_desde = $fila[\'formulario_dia_desde\'];\r\n        $formulario_dia_hasta = $fila[\'formulario_dia_hasta\'];\r\n        $formulario_explicacion = $fila[\'formulario_explicacion\'];\r\n        $usuario_id = $fila[\'usuario_id\'];\r\n        $formulario_fecha_hora_registro= $fila[\'formulario_fecha_hora_registro\'];\r\n        $apr_des_por = $fila[\'apr_des_por\'];\r\n        $formulario_fecha_hora_aprobacion = $fila[\'formulario_fecha_hora_aprobacion\'];\r\n        $formulario_estado = $fila[\'formulario_estado\'];\r\n        $area_origen = $fila[\'area_origen\'];\r\n        $area_destino = $fila[\'area_destino\'];\r\n        $formulario_afectacion = $fila[\'formulario_afectacion\'];\r\n        $url_firma_jefe = $fila[\'url_firma_jefe\'];\r\n        $url_firma_agente  = $fila[\'url_firma_agente\'];\r\n\r\n        $formulario_img_id= $fila[\'formulario_img_id\']; \r\n        $url_img = $fila[\'url_img\'];\r\n\r\n        $EmpleadoId = $fila[\'EmpleadoId\'];\r\n        $EmpleadoNombre= $fila[\'EmpleadoNombre\'];\r\n        $EmpleadoDni= $fila[\'EmpleadoDni\'];\r\n        $EmpleadoLegajo = $fila[\'EmpleadoLegajo\'];\r\n        $EmpleadoArea = $fila[\'EmpleadoArea\'];\r\n\r\n        $JefeID= $fila[\'JefeID\'];\r\n        $JefeNombre= $fila[\'JefeNombre\'];\r\n        $JefeDni= $fila[\'JefeDni\'];\r\n\r\n        $CargoEmpleado= $fila[\'CargoEmpleado\'];\r\n        $CargoJefe= $fila[\'CargoJefe\'];\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n//Parte inicial\r\n\r\n// Establece la fuente y tamaño de la fuente para el título\r\n$pdf->SetFont(\'Arial\', \'B\', 12);\r\n\r\n// Título en el centro dentro de un recuadro\r\n$pdf->Cell(40, 20, \'Legajo: \'.$EmpleadoLegajo, 1, 0, \'C\');\r\n\r\n// Obtiene la posición Y antes de agregar el texto\r\n$posYTexto = $pdf->GetY();\r\n\r\n// Texto para la celda con salto de línea\r\n$textoCelda = \"FORMULARIO DE SOLICITUD DE TRAMITES\\nSecretaria de Personal\";\r\n\r\n// Celda para el título con un recuadro\r\n$pdf->MultiCell(130, 10, $textoCelda, 1, \'C\');\r\n\r\n// Restaura la posición Y antes de agregar la imagen\r\n$pdf->SetY($posYTexto);\r\n\r\n// Logo a la derecha dentro de un recuadro\r\n$logoPath = \'../../backend/img/logo_poder.png\';  // Reemplaza con la ruta correcta de tu logo\r\n\r\n// Calcula la posición X para alinear la imagen a la derecha dentro del recuadro\r\n$logoX = $pdf->GetPageWidth() - 30;\r\n$logoY = $pdf->GetY() + 1;\r\n\r\n// Celda para la imagen dentro del recuadro\r\n$pdf->SetX($logoX);\r\n$pdf->Cell(20, 20, \'\', 1);\r\n$pdf->Image($logoPath, $logoX + 2, $logoY + 2, 15);\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte del nombre, fecha y dni\r\n$pdf->Ln(20); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(140, 10, \'APELLIDO Y NOMBRE:         \'.mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"FECHA:       \".$formulario_fecha_hora_registro.\"\\nDNI:      \".$EmpleadoDni;\r\n$pdf->MultiCell(50, 5, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de dependencia laboral  y cargo\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(115, 7, \'DEPENDENCIA LABORAL:    \'.mb_convert_encoding(mb_strtoupper($EmpleadoArea), \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"CARGO:     \".mb_convert_encoding($CargoEmpleado, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->Cell(75, 7, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte DEL TRAMITE\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, mb_convert_encoding(\'DESCRIPCIÓN DEL TRAMITE:\', \'ISO-8859-1\', \'UTF-8\').\'      [X] \'.mb_convert_encoding($formulario_licencias, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'C\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de los dias\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, \'DETALLE DE LOS DIAS:        \'.$formulario_dia_desde.\'      hasta    \'.$formulario_dia_hasta, 1, 0, \'A\');\r\n\r\n$pdf->Ln(7); // si o si un salto de linea \r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = \"MOTIVO/CAUSA/RAZON/EXPLICACION:\\n\".\"                                                                              \".mb_convert_encoding(mb_strtoupper($formulario_explicacion), \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = mb_convert_encoding(\'AFECTACIÓN: \', \'ISO-8859-1\', \'UTF-8\').\"\\n\".\"                             \".mb_convert_encoding($formulario_afectacion, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n\r\n$RespuestaFormularioIMG = \"\";\r\n\r\nif($formulario_img_id == null || $formulario_img_id == 0){\r\n    $RespuestaFormularioIMG = \"NO\";\r\n}else{\r\n    $RespuestaFormularioIMG = \"SI\";\r\n}\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->MultiCell(190, 5, mb_convert_encoding(\"DOCUMENTACIÓN RESPALDATORIA:    \", \'ISO-8859-1\', \'UTF-8\').$RespuestaFormularioIMG, 1, \'A\');\r\n\r\n// Espacio entre el texto y la imagen\r\n$pdf->Ln(3);\r\n\r\n// Posición actual para alinear la imagen\r\n$posX = $pdf->GetX();\r\n$posY = $pdf->GetY();\r\n// URL de la imagen\r\n$imageUrl = $url_img;\r\n\r\nif (!empty($imageUrl)) {\r\n    // Ruta temporal para guardar la imagen\r\n    $tempImagePath = \'/tmp/temp_image.jpg\';\r\n\r\n    try {\r\n        // Descargar la imagen\r\n        downloadImage($imageUrl, $tempImagePath);\r\n\r\n        // Intenta obtener información sobre la imagen\r\n        $imageInfo = @getimagesize($tempImagePath);\r\n\r\n        // Verifica si la función getimagesize() devolvió información válida\r\n        if ($imageInfo !== false) {\r\n            // Ancho y alto de la imagen\r\n            $imageWidth = 50;\r\n            $imageHeight = 60;\r\n\r\n            // Calcula la posición X para centrar la imagen\r\n            $centerX = ($pdf->GetPageWidth() - $imageWidth) / 2;\r\n\r\n            // Añade la imagen centrada\r\n            $pdf->Image($tempImagePath, $centerX, null, $imageWidth, $imageHeight);\r\n\r\n            // Restaura la posición Y después de la imagen\r\n            $pdf->SetY($pdf->GetY() + 20);\r\n\r\n            // Eliminar la imagen temporal después de usarla\r\n            unlink($tempImagePath);\r\n        }\r\n    } catch (Exception $e) {\r\n        // Manejo de errores\r\n        $pdf->SetFont(\'Times\', \'B\', 8);\r\n        $pdf->MultiCell(190, 5, \'Error al cargar la imagen de documentación: \' . $e->getMessage(), 1, \'A\');\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de las firmas\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 9);\r\n\r\n// Firma 1\r\n$x1 = 20;         \r\n$y = 210;          \r\n$width = 80;      \r\n$height = 40;     \r\n\r\ntry {\r\n    // Descargar la firma del jefe temporalmente\r\n    $tempFirmaJefePath = \'/tmp/temp_firma_jefe.jpg\';\r\n    downloadImage($url_firma_jefe, $tempFirmaJefePath);\r\n    $imageInfo = @getimagesize($tempFirmaJefePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaJefePath, $x1, $y, $width, $height); // Ajusta $x1, $y, $width, $height según tus necesidades\r\n        $texto1 = \"Superior: \".mb_convert_encoding($JefeNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x1, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto1, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del jefe: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Firma 2\r\n$x2 = $x1 + $width + 20;\r\n\r\ntry {\r\n    // Descargar la firma del agente temporalmente\r\n    $tempFirmaAgentePath = \'/tmp/temp_firma_agente.jpg\';\r\n    downloadImage($url_firma_agente, $tempFirmaAgentePath);\r\n    $imageInfo = @getimagesize($tempFirmaAgentePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaAgentePath, $x2, $y, $width, $height); // Ajusta $x2 según tus necesidades\r\n        $texto2 = \"Agente: \".mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x2, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto2, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del agente: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Eliminar las firmas temporales después de usarlas\r\nif (file_exists($tempFirmaJefePath)) {\r\n    unlink($tempFirmaJefePath);\r\n}\r\n\r\nif (file_exists($tempFirmaAgentePath)) {\r\n    unlink($tempFirmaAgentePath);\r\n}\r\n\r\n// Limpiar el búfer de salida y enviar el PDF al navegador\r\nob_end_clean();\r\n$pdf->Output(\'I\', \'ejemplo.pdf\');\r\n\r\n?>\r\n'),(16,1,'2024-06-19 12:43:01',1,2141,'2024-06-27 12:26:26','decreto que esta licencia esta aprobada'),(17,2,'2024-06-19 12:43:24',1,2141,'2024-06-27 11:51:44','<?php\r\n\r\ninclude \'../../backend/fpdf/fpdf.php\';\r\ninclude \'../../backend/config/Conexion.php\';\r\n\r\n$formulario_id = $_GET[\"id\"];\r\n\r\nclass PDF extends FPDF {\r\n    function Header() {\r\n        // ... tu código de encabezado\r\n    }\r\n\r\n    function Footer() {\r\n        // ... tu código de pie de página\r\n    }\r\n\r\n    function drawCheck($x, $y, $size = 2) {\r\n        $currentLineWidth = $this->LineWidth;\r\n\r\n        $this->SetLineWidth(0.5);\r\n        $this->Line($x, $y, $x + $size, $y + $size);\r\n        $this->Line($x + $size, $y, $x, $y + $size);\r\n\r\n        // Restablecer el ancho de línea al valor original\r\n        $this->SetLineWidth($currentLineWidth);\r\n    }\r\n}\r\n\r\n// Función para descargar la imagen temporalmente\r\nfunction downloadImage($url, $path) {\r\n    $imageContent = @file_get_contents($url);\r\n    if ($imageContent === FALSE) {\r\n        throw new Exception(\'Error al descargar la imagen desde \' . $url);\r\n    }\r\n    file_put_contents($path, $imageContent);\r\n}\r\n\r\n// Iniciar almacenamiento en búfer de salida\r\nob_start();\r\n\r\n// Crea una instancia de la clase FPDF con formato A4\r\n$pdf = new PDF(\'P\', \'mm\', \'A4\');\r\n// Agrega una página al PDF\r\n$pdf->AddPage();\r\n\r\n// Ejecuto query de referencia del formulario\r\n$query1 = \"SELECT formulario.`formulario_id`, formulario.`formulario_licencias`, formulario.`formulario_dia_desde`, formulario.`formulario_dia_hasta`, \r\nformulario.`formulario_explicacion`, formulario.`usuario_id`, formulario.`formulario_fecha_hora_registro`, formulario.`apr_des_por`, \r\nformulario.`formulario_fecha_hora_aprobacion`, formulario.`formulario_estado`, formulario.`area_origen`, formulario.`area_destino`, \r\nformulario.`formulario_afectacion`, formulario.`url_firma_jefe`, formulario.`url_firma_agente`,\r\n\r\nusuario.usuario_id AS EmpleadoId, CONCAT(usuario.usuario_apellido, \' \',usuario.usuario_nombre) AS EmpleadoNombre, usuario.usuario_dni as EmpleadoDni, usuario.usuario_legajo as EmpleadoLegajo,\r\narea.area_descripcion AS EmpleadoArea,\r\n\r\nJEFES.usuario_id as JefeID,CONCAT(JEFES.usuario_apellido,\' \', JEFES.usuario_nombre) as JefeNombre, JEFES.usuario_dni as JefeDni, \r\n\r\ncargo.cargo_descripcion as CargoEmpleado, \r\nCARGO_JEFE.cargo_id as cargoId_Jefe, CARGO_JEFE.cargo_descripcion as CargoJefe,\r\n\r\nformulario_img.`formulario_img_id`, formulario_img.`url_img`\r\n\r\nFROM `formulario`\r\nINNER JOIN usuario ON formulario.usuario_id = usuario.usuario_id\r\nINNER JOIN area on usuario.area_id=area.area_id\r\nINNER JOIN usuario JEFES ON formulario.apr_des_por = JEFES.usuario_id\r\nINNER JOIN cargo  on usuario.cargo_id = cargo.cargo_id\r\nINNER JOIN cargo CARGO_JEFE on JEFES.cargo_id = CARGO_JEFE.cargo_id\r\nLEFT JOIN formulario_img ON formulario.formulario_id= formulario_img.formulario_id\r\n\r\nWHERE formulario.formulario_id = $formulario_id\";\r\n\r\nif ($resultado = $connect->query($query1)) {\r\n    while ($fila = $resultado->fetch(PDO::FETCH_ASSOC)) {\r\n        $formulario_id = $fila[\'formulario_id\'];\r\n        $formulario_licencias = $fila[\'formulario_licencias\'];\r\n        $formulario_dia_desde = $fila[\'formulario_dia_desde\'];\r\n        $formulario_dia_hasta = $fila[\'formulario_dia_hasta\'];\r\n        $formulario_explicacion = $fila[\'formulario_explicacion\'];\r\n        $usuario_id = $fila[\'usuario_id\'];\r\n        $formulario_fecha_hora_registro= $fila[\'formulario_fecha_hora_registro\'];\r\n        $apr_des_por = $fila[\'apr_des_por\'];\r\n        $formulario_fecha_hora_aprobacion = $fila[\'formulario_fecha_hora_aprobacion\'];\r\n        $formulario_estado = $fila[\'formulario_estado\'];\r\n        $area_origen = $fila[\'area_origen\'];\r\n        $area_destino = $fila[\'area_destino\'];\r\n        $formulario_afectacion = $fila[\'formulario_afectacion\'];\r\n        $url_firma_jefe = $fila[\'url_firma_jefe\'];\r\n        $url_firma_agente  = $fila[\'url_firma_agente\'];\r\n\r\n        $formulario_img_id= $fila[\'formulario_img_id\']; \r\n        $url_img = $fila[\'url_img\'];\r\n\r\n        $EmpleadoId = $fila[\'EmpleadoId\'];\r\n        $EmpleadoNombre= $fila[\'EmpleadoNombre\'];\r\n        $EmpleadoDni= $fila[\'EmpleadoDni\'];\r\n        $EmpleadoLegajo = $fila[\'EmpleadoLegajo\'];\r\n        $EmpleadoArea = $fila[\'EmpleadoArea\'];\r\n\r\n        $JefeID= $fila[\'JefeID\'];\r\n        $JefeNombre= $fila[\'JefeNombre\'];\r\n        $JefeDni= $fila[\'JefeDni\'];\r\n\r\n        $CargoEmpleado= $fila[\'CargoEmpleado\'];\r\n        $CargoJefe= $fila[\'CargoJefe\'];\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n//Parte inicial\r\n\r\n// Establece la fuente y tamaño de la fuente para el título\r\n$pdf->SetFont(\'Arial\', \'B\', 12);\r\n\r\n// Título en el centro dentro de un recuadro\r\n$pdf->Cell(40, 20, \'Legajo: \'.$EmpleadoLegajo, 1, 0, \'C\');\r\n\r\n// Obtiene la posición Y antes de agregar el texto\r\n$posYTexto = $pdf->GetY();\r\n\r\n// Texto para la celda con salto de línea\r\n$textoCelda = \"FORMULARIO DE SOLICITUD DE TRAMITES\\nSecretaria de Personal\";\r\n\r\n// Celda para el título con un recuadro\r\n$pdf->MultiCell(130, 10, $textoCelda, 1, \'C\');\r\n\r\n// Restaura la posición Y antes de agregar la imagen\r\n$pdf->SetY($posYTexto);\r\n\r\n// Logo a la derecha dentro de un recuadro\r\n$logoPath = \'../../backend/img/logo_poder.png\';  // Reemplaza con la ruta correcta de tu logo\r\n\r\n// Calcula la posición X para alinear la imagen a la derecha dentro del recuadro\r\n$logoX = $pdf->GetPageWidth() - 30;\r\n$logoY = $pdf->GetY() + 1;\r\n\r\n// Celda para la imagen dentro del recuadro\r\n$pdf->SetX($logoX);\r\n$pdf->Cell(20, 20, \'\', 1);\r\n$pdf->Image($logoPath, $logoX + 2, $logoY + 2, 15);\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte del nombre, fecha y dni\r\n$pdf->Ln(20); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(140, 10, \'APELLIDO Y NOMBRE:         \'.mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"FECHA:       \".$formulario_fecha_hora_registro.\"\\nDNI:      \".$EmpleadoDni;\r\n$pdf->MultiCell(50, 5, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de dependencia laboral  y cargo\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(115, 7, \'DEPENDENCIA LABORAL:    \'.mb_convert_encoding(mb_strtoupper($EmpleadoArea), \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"CARGO:     \".mb_convert_encoding($CargoEmpleado, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->Cell(75, 7, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte DEL TRAMITE\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, mb_convert_encoding(\'DESCRIPCIÓN DEL TRAMITE:\', \'ISO-8859-1\', \'UTF-8\').\'      [X] \'.mb_convert_encoding($formulario_licencias, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'C\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de los dias\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, \'DETALLE DE LOS DIAS:        \'.$formulario_dia_desde.\'      hasta    \'.$formulario_dia_hasta, 1, 0, \'A\');\r\n\r\n$pdf->Ln(7); // si o si un salto de linea \r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = \"MOTIVO/CAUSA/RAZON/EXPLICACION:\\n\".\"                                                                              \".mb_convert_encoding(mb_strtoupper($formulario_explicacion), \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = mb_convert_encoding(\'AFECTACIÓN: \', \'ISO-8859-1\', \'UTF-8\').\"\\n\".\"                             \".mb_convert_encoding($formulario_afectacion, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n\r\n$RespuestaFormularioIMG = \"\";\r\n\r\nif($formulario_img_id == null || $formulario_img_id == 0){\r\n    $RespuestaFormularioIMG = \"NO\";\r\n}else{\r\n    $RespuestaFormularioIMG = \"SI\";\r\n}\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->MultiCell(190, 5, mb_convert_encoding(\"DOCUMENTACIÓN RESPALDATORIA:    \", \'ISO-8859-1\', \'UTF-8\').$RespuestaFormularioIMG, 1, \'A\');\r\n\r\n// Espacio entre el texto y la imagen\r\n$pdf->Ln(3);\r\n\r\n// Posición actual para alinear la imagen\r\n$posX = $pdf->GetX();\r\n$posY = $pdf->GetY();\r\n// URL de la imagen\r\n$imageUrl = $url_img;\r\n\r\nif (!empty($imageUrl)) {\r\n    // Ruta temporal para guardar la imagen\r\n    $tempImagePath = \'/tmp/temp_image.jpg\';\r\n\r\n    try {\r\n        // Descargar la imagen\r\n        downloadImage($imageUrl, $tempImagePath);\r\n\r\n        // Intenta obtener información sobre la imagen\r\n        $imageInfo = @getimagesize($tempImagePath);\r\n\r\n        // Verifica si la función getimagesize() devolvió información válida\r\n        if ($imageInfo !== false) {\r\n            // Ancho y alto de la imagen\r\n            $imageWidth = 50;\r\n            $imageHeight = 60;\r\n\r\n            // Calcula la posición X para centrar la imagen\r\n            $centerX = ($pdf->GetPageWidth() - $imageWidth) / 2;\r\n\r\n            // Añade la imagen centrada\r\n            $pdf->Image($tempImagePath, $centerX, null, $imageWidth, $imageHeight);\r\n\r\n            // Restaura la posición Y después de la imagen\r\n            $pdf->SetY($pdf->GetY() + 20);\r\n\r\n            // Eliminar la imagen temporal después de usarla\r\n            unlink($tempImagePath);\r\n        }\r\n    } catch (Exception $e) {\r\n        // Manejo de errores\r\n        $pdf->SetFont(\'Times\', \'B\', 8);\r\n        $pdf->MultiCell(190, 5, \'Error al cargar la imagen de documentación: \' . $e->getMessage(), 1, \'A\');\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de las firmas\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 9);\r\n\r\n// Firma 1\r\n$x1 = 20;         \r\n$y = 210;          \r\n$width = 80;      \r\n$height = 40;     \r\n\r\ntry {\r\n    // Descargar la firma del jefe temporalmente\r\n    $tempFirmaJefePath = \'/tmp/temp_firma_jefe.jpg\';\r\n    downloadImage($url_firma_jefe, $tempFirmaJefePath);\r\n    $imageInfo = @getimagesize($tempFirmaJefePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaJefePath, $x1, $y, $width, $height); // Ajusta $x1, $y, $width, $height según tus necesidades\r\n        $texto1 = \"Superior: \".mb_convert_encoding($JefeNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x1, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto1, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del jefe: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Firma 2\r\n$x2 = $x1 + $width + 20;\r\n\r\ntry {\r\n    // Descargar la firma del agente temporalmente\r\n    $tempFirmaAgentePath = \'/tmp/temp_firma_agente.jpg\';\r\n    downloadImage($url_firma_agente, $tempFirmaAgentePath);\r\n    $imageInfo = @getimagesize($tempFirmaAgentePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaAgentePath, $x2, $y, $width, $height); // Ajusta $x2 según tus necesidades\r\n        $texto2 = \"Agente: \".mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x2, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto2, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del agente: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Eliminar las firmas temporales después de usarlas\r\nif (file_exists($tempFirmaJefePath)) {\r\n    unlink($tempFirmaJefePath);\r\n}\r\n\r\nif (file_exists($tempFirmaAgentePath)) {\r\n    unlink($tempFirmaAgentePath);\r\n}\r\n\r\n// Limpiar el búfer de salida y enviar el PDF al navegador\r\nob_end_clean();\r\n$pdf->Output(\'I\', \'ejemplo.pdf\');\r\n\r\n?>\r\n'),(18,3,'2024-06-19 12:43:31',1,2141,'2024-06-27 11:15:10','Señora Secretaria:\r\n                             Informo a Ud. que la Sra. SOSA MARIANA ANAHI registrar un DIA de licencia por RAZONES PARTICULARES presente año.\r\n\r\nSecretaria de Superintendencia, 27 DE JUNIO de 2024.\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 21 de Mayo de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(19,4,'2024-06-19 12:43:39',1,2141,'2024-06-27 11:54:00','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. ROMERO PAOLA LILIAN 18 dias de licencia por FERIA en presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n10/07/2024 hasta 29/08/2024\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-'),(20,7,'2024-06-19 12:43:59',1,2141,'2024-06-27 11:37:27','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. BARROS HUGO DANIEL SE RETIRAen presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(21,8,'2024-06-19 12:44:10',1,2141,'2024-06-27 11:52:55','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. MORALES APAZA OSWALDO WILFREDO NADIR 1 dias de licencia por RAZONES PARTICULARES en presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n10/07/2024 hasta 29/08/2024\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-'),(22,10,'2024-06-19 12:46:43',1,2141,'2024-06-27 11:56:20','Señora Secretaria:\r\n                             Informo a Ud. que el SrA. ROMERO PAOLA LILIAN 1 dias de licencia por EXAMENES en presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n10/07/2024 hasta 29/08/2024\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-'),(23,11,'2024-06-19 12:46:54',1,2141,'2024-06-27 11:57:24','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. BARROS HUGO DANIEL 1 dias de licencia por RAZONES ESPECIALES en presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(24,9,'2024-06-19 12:48:30',1,2141,'2024-06-27 11:55:08','Señora Secretaria:\r\n                             Informo a Ud. que el BARROS HUGO DANIEL1 dias de licencia por RAZONES PARTICULARES en presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n10/07/2024 hasta 29/08/2024\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-'),(25,16,'2024-06-19 12:51:10',1,1,'2024-06-19 13:08:00','\r\nSeñora Secretaria:\r\n                             Informo a Ud. que el BARROS HUGO DANIEL registrar tres (3) dias de licencia por razon de RAZONES ESPECIALES en presente año.\r\n\r\nSecretaria de Superintendencia, 19 de junio de 2024.\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 21 de Mayo de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(26,15,'2024-06-19 12:51:40',1,2141,'2024-06-27 12:26:46','decreto que esta licencia esta aprobada'),(27,5,'2024-06-19 12:53:55',1,2141,'2024-06-27 11:29:46','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. MORALES APAZA OSWALDO WILFREDO NADIR 1 dias de licencia por RAZONES PARTICULARES en presente año.\r\n\r\nSecretaria de Superintendencia, 21 de Mayo de 2024.\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(28,18,'2024-06-19 12:58:17',1,1,'2024-06-19 13:07:17','Señora Secretaria:\r\n                             Informo a Ud. que el MARCHIOLLI FERMANDO registrar tres (3) dias de licencia por razon de EXAMENES en presente año.\r\n\r\nSecretaria de Superintendencia, 19 de junio de 2024.\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 21 de Mayo de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-'),(29,20,'2024-06-27 11:34:08',1,1,'2024-06-27 11:34:45','decreto agregado'),(30,3,'2024-06-27 11:09:47',2141,2141,'2024-06-27 11:15:10','Señora Secretaria:\r\n                             Informo a Ud. que la Sra. SOSA MARIANA ANAHI registrar un DIA de licencia por RAZONES PARTICULARES presente año.\r\n\r\nSecretaria de Superintendencia, 27 DE JUNIO de 2024.\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 21 de Mayo de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(31,2,'2024-06-27 11:15:23',2141,2141,'2024-06-27 11:51:44','<?php\r\n\r\ninclude \'../../backend/fpdf/fpdf.php\';\r\ninclude \'../../backend/config/Conexion.php\';\r\n\r\n$formulario_id = $_GET[\"id\"];\r\n\r\nclass PDF extends FPDF {\r\n    function Header() {\r\n        // ... tu código de encabezado\r\n    }\r\n\r\n    function Footer() {\r\n        // ... tu código de pie de página\r\n    }\r\n\r\n    function drawCheck($x, $y, $size = 2) {\r\n        $currentLineWidth = $this->LineWidth;\r\n\r\n        $this->SetLineWidth(0.5);\r\n        $this->Line($x, $y, $x + $size, $y + $size);\r\n        $this->Line($x + $size, $y, $x, $y + $size);\r\n\r\n        // Restablecer el ancho de línea al valor original\r\n        $this->SetLineWidth($currentLineWidth);\r\n    }\r\n}\r\n\r\n// Función para descargar la imagen temporalmente\r\nfunction downloadImage($url, $path) {\r\n    $imageContent = @file_get_contents($url);\r\n    if ($imageContent === FALSE) {\r\n        throw new Exception(\'Error al descargar la imagen desde \' . $url);\r\n    }\r\n    file_put_contents($path, $imageContent);\r\n}\r\n\r\n// Iniciar almacenamiento en búfer de salida\r\nob_start();\r\n\r\n// Crea una instancia de la clase FPDF con formato A4\r\n$pdf = new PDF(\'P\', \'mm\', \'A4\');\r\n// Agrega una página al PDF\r\n$pdf->AddPage();\r\n\r\n// Ejecuto query de referencia del formulario\r\n$query1 = \"SELECT formulario.`formulario_id`, formulario.`formulario_licencias`, formulario.`formulario_dia_desde`, formulario.`formulario_dia_hasta`, \r\nformulario.`formulario_explicacion`, formulario.`usuario_id`, formulario.`formulario_fecha_hora_registro`, formulario.`apr_des_por`, \r\nformulario.`formulario_fecha_hora_aprobacion`, formulario.`formulario_estado`, formulario.`area_origen`, formulario.`area_destino`, \r\nformulario.`formulario_afectacion`, formulario.`url_firma_jefe`, formulario.`url_firma_agente`,\r\n\r\nusuario.usuario_id AS EmpleadoId, CONCAT(usuario.usuario_apellido, \' \',usuario.usuario_nombre) AS EmpleadoNombre, usuario.usuario_dni as EmpleadoDni, usuario.usuario_legajo as EmpleadoLegajo,\r\narea.area_descripcion AS EmpleadoArea,\r\n\r\nJEFES.usuario_id as JefeID,CONCAT(JEFES.usuario_apellido,\' \', JEFES.usuario_nombre) as JefeNombre, JEFES.usuario_dni as JefeDni, \r\n\r\ncargo.cargo_descripcion as CargoEmpleado, \r\nCARGO_JEFE.cargo_id as cargoId_Jefe, CARGO_JEFE.cargo_descripcion as CargoJefe,\r\n\r\nformulario_img.`formulario_img_id`, formulario_img.`url_img`\r\n\r\nFROM `formulario`\r\nINNER JOIN usuario ON formulario.usuario_id = usuario.usuario_id\r\nINNER JOIN area on usuario.area_id=area.area_id\r\nINNER JOIN usuario JEFES ON formulario.apr_des_por = JEFES.usuario_id\r\nINNER JOIN cargo  on usuario.cargo_id = cargo.cargo_id\r\nINNER JOIN cargo CARGO_JEFE on JEFES.cargo_id = CARGO_JEFE.cargo_id\r\nLEFT JOIN formulario_img ON formulario.formulario_id= formulario_img.formulario_id\r\n\r\nWHERE formulario.formulario_id = $formulario_id\";\r\n\r\nif ($resultado = $connect->query($query1)) {\r\n    while ($fila = $resultado->fetch(PDO::FETCH_ASSOC)) {\r\n        $formulario_id = $fila[\'formulario_id\'];\r\n        $formulario_licencias = $fila[\'formulario_licencias\'];\r\n        $formulario_dia_desde = $fila[\'formulario_dia_desde\'];\r\n        $formulario_dia_hasta = $fila[\'formulario_dia_hasta\'];\r\n        $formulario_explicacion = $fila[\'formulario_explicacion\'];\r\n        $usuario_id = $fila[\'usuario_id\'];\r\n        $formulario_fecha_hora_registro= $fila[\'formulario_fecha_hora_registro\'];\r\n        $apr_des_por = $fila[\'apr_des_por\'];\r\n        $formulario_fecha_hora_aprobacion = $fila[\'formulario_fecha_hora_aprobacion\'];\r\n        $formulario_estado = $fila[\'formulario_estado\'];\r\n        $area_origen = $fila[\'area_origen\'];\r\n        $area_destino = $fila[\'area_destino\'];\r\n        $formulario_afectacion = $fila[\'formulario_afectacion\'];\r\n        $url_firma_jefe = $fila[\'url_firma_jefe\'];\r\n        $url_firma_agente  = $fila[\'url_firma_agente\'];\r\n\r\n        $formulario_img_id= $fila[\'formulario_img_id\']; \r\n        $url_img = $fila[\'url_img\'];\r\n\r\n        $EmpleadoId = $fila[\'EmpleadoId\'];\r\n        $EmpleadoNombre= $fila[\'EmpleadoNombre\'];\r\n        $EmpleadoDni= $fila[\'EmpleadoDni\'];\r\n        $EmpleadoLegajo = $fila[\'EmpleadoLegajo\'];\r\n        $EmpleadoArea = $fila[\'EmpleadoArea\'];\r\n\r\n        $JefeID= $fila[\'JefeID\'];\r\n        $JefeNombre= $fila[\'JefeNombre\'];\r\n        $JefeDni= $fila[\'JefeDni\'];\r\n\r\n        $CargoEmpleado= $fila[\'CargoEmpleado\'];\r\n        $CargoJefe= $fila[\'CargoJefe\'];\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n//Parte inicial\r\n\r\n// Establece la fuente y tamaño de la fuente para el título\r\n$pdf->SetFont(\'Arial\', \'B\', 12);\r\n\r\n// Título en el centro dentro de un recuadro\r\n$pdf->Cell(40, 20, \'Legajo: \'.$EmpleadoLegajo, 1, 0, \'C\');\r\n\r\n// Obtiene la posición Y antes de agregar el texto\r\n$posYTexto = $pdf->GetY();\r\n\r\n// Texto para la celda con salto de línea\r\n$textoCelda = \"FORMULARIO DE SOLICITUD DE TRAMITES\\nSecretaria de Personal\";\r\n\r\n// Celda para el título con un recuadro\r\n$pdf->MultiCell(130, 10, $textoCelda, 1, \'C\');\r\n\r\n// Restaura la posición Y antes de agregar la imagen\r\n$pdf->SetY($posYTexto);\r\n\r\n// Logo a la derecha dentro de un recuadro\r\n$logoPath = \'../../backend/img/logo_poder.png\';  // Reemplaza con la ruta correcta de tu logo\r\n\r\n// Calcula la posición X para alinear la imagen a la derecha dentro del recuadro\r\n$logoX = $pdf->GetPageWidth() - 30;\r\n$logoY = $pdf->GetY() + 1;\r\n\r\n// Celda para la imagen dentro del recuadro\r\n$pdf->SetX($logoX);\r\n$pdf->Cell(20, 20, \'\', 1);\r\n$pdf->Image($logoPath, $logoX + 2, $logoY + 2, 15);\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte del nombre, fecha y dni\r\n$pdf->Ln(20); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(140, 10, \'APELLIDO Y NOMBRE:         \'.mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"FECHA:       \".$formulario_fecha_hora_registro.\"\\nDNI:      \".$EmpleadoDni;\r\n$pdf->MultiCell(50, 5, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de dependencia laboral  y cargo\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->Cell(115, 7, \'DEPENDENCIA LABORAL:    \'.mb_convert_encoding(mb_strtoupper($EmpleadoArea), \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'A\');\r\n$posYTexto = $pdf->GetY();\r\n$textoCelda = \"CARGO:     \".mb_convert_encoding($CargoEmpleado, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->Cell(75, 7, $textoCelda, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte DEL TRAMITE\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, mb_convert_encoding(\'DESCRIPCIÓN DEL TRAMITE:\', \'ISO-8859-1\', \'UTF-8\').\'      [X] \'.mb_convert_encoding($formulario_licencias, \'ISO-8859-1\', \'UTF-8\'), 1, 0, \'C\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de los dias\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 10);\r\n$pdf->Cell(190, 7, \'DETALLE DE LOS DIAS:        \'.$formulario_dia_desde.\'      hasta    \'.$formulario_dia_hasta, 1, 0, \'A\');\r\n\r\n$pdf->Ln(7); // si o si un salto de linea \r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n$pdf->Ln(7); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = \"MOTIVO/CAUSA/RAZON/EXPLICACION:\\n\".\"                                                                              \".mb_convert_encoding(mb_strtoupper($formulario_explicacion), \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$explicacion = mb_convert_encoding(\'AFECTACIÓN: \', \'ISO-8859-1\', \'UTF-8\').\"\\n\".\"                             \".mb_convert_encoding($formulario_afectacion, \'ISO-8859-1\', \'UTF-8\');\r\n$pdf->MultiCell(190, 5, $explicacion, 1, \'A\');\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de la explicacion\r\n\r\n$RespuestaFormularioIMG = \"\";\r\n\r\nif($formulario_img_id == null || $formulario_img_id == 0){\r\n    $RespuestaFormularioIMG = \"NO\";\r\n}else{\r\n    $RespuestaFormularioIMG = \"SI\";\r\n}\r\n\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Times\', \'B\', 8);\r\n$pdf->MultiCell(190, 5, mb_convert_encoding(\"DOCUMENTACIÓN RESPALDATORIA:    \", \'ISO-8859-1\', \'UTF-8\').$RespuestaFormularioIMG, 1, \'A\');\r\n\r\n// Espacio entre el texto y la imagen\r\n$pdf->Ln(3);\r\n\r\n// Posición actual para alinear la imagen\r\n$posX = $pdf->GetX();\r\n$posY = $pdf->GetY();\r\n// URL de la imagen\r\n$imageUrl = $url_img;\r\n\r\nif (!empty($imageUrl)) {\r\n    // Ruta temporal para guardar la imagen\r\n    $tempImagePath = \'/tmp/temp_image.jpg\';\r\n\r\n    try {\r\n        // Descargar la imagen\r\n        downloadImage($imageUrl, $tempImagePath);\r\n\r\n        // Intenta obtener información sobre la imagen\r\n        $imageInfo = @getimagesize($tempImagePath);\r\n\r\n        // Verifica si la función getimagesize() devolvió información válida\r\n        if ($imageInfo !== false) {\r\n            // Ancho y alto de la imagen\r\n            $imageWidth = 50;\r\n            $imageHeight = 60;\r\n\r\n            // Calcula la posición X para centrar la imagen\r\n            $centerX = ($pdf->GetPageWidth() - $imageWidth) / 2;\r\n\r\n            // Añade la imagen centrada\r\n            $pdf->Image($tempImagePath, $centerX, null, $imageWidth, $imageHeight);\r\n\r\n            // Restaura la posición Y después de la imagen\r\n            $pdf->SetY($pdf->GetY() + 20);\r\n\r\n            // Eliminar la imagen temporal después de usarla\r\n            unlink($tempImagePath);\r\n        }\r\n    } catch (Exception $e) {\r\n        // Manejo de errores\r\n        $pdf->SetFont(\'Times\', \'B\', 8);\r\n        $pdf->MultiCell(190, 5, \'Error al cargar la imagen de documentación: \' . $e->getMessage(), 1, \'A\');\r\n    }\r\n}\r\n\r\n/*________________________________________________________________________________________________*/\r\n// Aca para la parte de las firmas\r\n$pdf->Ln(0); // si o si un salto de linea \r\n$pdf->SetFont(\'Arial\', \'B\', 9);\r\n\r\n// Firma 1\r\n$x1 = 20;         \r\n$y = 210;          \r\n$width = 80;      \r\n$height = 40;     \r\n\r\ntry {\r\n    // Descargar la firma del jefe temporalmente\r\n    $tempFirmaJefePath = \'/tmp/temp_firma_jefe.jpg\';\r\n    downloadImage($url_firma_jefe, $tempFirmaJefePath);\r\n    $imageInfo = @getimagesize($tempFirmaJefePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaJefePath, $x1, $y, $width, $height); // Ajusta $x1, $y, $width, $height según tus necesidades\r\n        $texto1 = \"Superior: \".mb_convert_encoding($JefeNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x1, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto1, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del jefe: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Firma 2\r\n$x2 = $x1 + $width + 20;\r\n\r\ntry {\r\n    // Descargar la firma del agente temporalmente\r\n    $tempFirmaAgentePath = \'/tmp/temp_firma_agente.jpg\';\r\n    downloadImage($url_firma_agente, $tempFirmaAgentePath);\r\n    $imageInfo = @getimagesize($tempFirmaAgentePath);\r\n    if ($imageInfo !== false) {\r\n        $pdf->Image($tempFirmaAgentePath, $x2, $y, $width, $height); // Ajusta $x2 según tus necesidades\r\n        $texto2 = \"Agente: \".mb_convert_encoding($EmpleadoNombre, \'ISO-8859-1\', \'UTF-8\');\r\n        $pdf->SetXY($x2, 200 + $height + 5); // Ajusta el espacio vertical entre la imagen y el texto\r\n        $pdf->MultiCell($width, 10, $texto2, 0, \'C\');\r\n    }\r\n} catch (Exception $e) {\r\n    $pdf->SetFont(\'Times\', \'B\', 8);\r\n    $pdf->MultiCell(190, 5, \'Error al cargar la firma del agente: \' . $e->getMessage(), 1, \'A\');\r\n}\r\n\r\n// Eliminar las firmas temporales después de usarlas\r\nif (file_exists($tempFirmaJefePath)) {\r\n    unlink($tempFirmaJefePath);\r\n}\r\n\r\nif (file_exists($tempFirmaAgentePath)) {\r\n    unlink($tempFirmaAgentePath);\r\n}\r\n\r\n// Limpiar el búfer de salida y enviar el PDF al navegador\r\nob_end_clean();\r\n$pdf->Output(\'I\', \'ejemplo.pdf\');\r\n\r\n?>\r\n'),(32,5,'2024-06-27 11:26:18',2141,2141,'2024-06-27 11:29:46','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. MORALES APAZA OSWALDO WILFREDO NADIR 1 dias de licencia por RAZONES PARTICULARES en presente año.\r\n\r\nSecretaria de Superintendencia, 21 de Mayo de 2024.\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(33,6,'2024-06-27 11:29:54',2141,2141,'2024-06-27 11:32:39','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. MARCHIOLI FERNANDO RUBEN 2 dias de licencia por RAZONES PARTICULARES en presente año.\r\n\r\nSecretaria de Superintendencia, 21 de Mayo de 2024.\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(34,7,'2024-06-27 11:30:59',2141,2141,'2024-06-27 11:37:27','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. BARROS HUGO DANIEL SE RETIRAen presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(35,8,'2024-06-27 11:37:46',2141,2141,'2024-06-27 11:52:55','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. MORALES APAZA OSWALDO WILFREDO NADIR 1 dias de licencia por RAZONES PARTICULARES en presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n10/07/2024 hasta 29/08/2024\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-'),(36,9,'2024-06-27 11:44:56',2141,2141,'2024-06-27 11:55:08','Señora Secretaria:\r\n                             Informo a Ud. que el BARROS HUGO DANIEL1 dias de licencia por RAZONES PARTICULARES en presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n10/07/2024 hasta 29/08/2024\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-'),(37,4,'2024-06-27 11:48:49',2141,2141,'2024-06-27 11:54:00','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. ROMERO PAOLA LILIAN 18 dias de licencia por FERIA en presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n10/07/2024 hasta 29/08/2024\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-'),(38,10,'2024-06-27 11:50:30',2141,2141,'2024-06-27 11:56:20','Señora Secretaria:\r\n                             Informo a Ud. que el SrA. ROMERO PAOLA LILIAN 1 dias de licencia por EXAMENES en presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n10/07/2024 hasta 29/08/2024\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-'),(39,11,'2024-06-27 11:50:35',2141,2141,'2024-06-27 11:57:24','Señora Secretaria:\r\n                             Informo a Ud. que el Sr. BARROS HUGO DANIEL 1 dias de licencia por RAZONES ESPECIALES en presente año.\r\n\r\nSecretaria de Superintendencia, 27 de JUNIO de 2024.\r\n\r\n\r\n\r\n\r\n\r\nSan Fernando del Valle De Catamarca, 27 de JUNIO de 2024.\r\n                               Encontrandose cumplido lo dispuesto en el Art. 34° de la Acordada N° 3979/06, concedase al Sr.Osvaldo Morales Apaza licencia por razon de salud, para los dias 15 y 16 de mayo de 2024 (Art. 19° de la Acordada 3979/06) conforme surge visacion del Departamento de Medicina Laboral, adjunta certificado medico.\r\n                       Notifiquese y registrese.-\r\n'),(40,13,'2024-06-27 12:06:06',2141,2141,'2024-06-27 12:26:33','decreto que esta licencia esta aprobada'),(41,12,'2024-06-27 12:06:37',2141,2141,'2024-06-27 12:26:20','decreto que esta licencia esta aprobada'),(42,1,'2024-06-27 12:08:32',2141,2141,'2024-06-27 12:26:26','decreto que esta licencia esta aprobada'),(43,14,'2024-06-27 12:08:41',2141,2141,'2024-06-27 12:26:40','decreto que esta licencia esta aprobada'),(44,15,'2024-06-27 12:08:46',2141,2141,'2024-06-27 12:26:46','decreto que esta licencia esta aprobada'),(45,17,'2024-06-27 12:29:46',2141,2141,'2024-06-27 12:30:07','decreto que esta licencia esta aprobada');
/*!40000 ALTER TABLE `per_noti_form` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `per_print_for`
--

DROP TABLE IF EXISTS `per_print_for`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `per_print_for` (
  `print_for_id` int NOT NULL AUTO_INCREMENT,
  `formulario_id` int NOT NULL,
  `usuario_id` int NOT NULL,
  `print_for_date` text NOT NULL,
  PRIMARY KEY (`print_for_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `per_print_for`
--

LOCK TABLES `per_print_for` WRITE;
/*!40000 ALTER TABLE `per_print_for` DISABLE KEYS */;
/*!40000 ALTER TABLE `per_print_for` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reacciones`
--

DROP TABLE IF EXISTS `reacciones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `reacciones` (
  `reaccion_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `noticia_id` int NOT NULL,
  PRIMARY KEY (`reaccion_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reacciones`
--

LOCK TABLES `reacciones` WRITE;
/*!40000 ALTER TABLE `reacciones` DISABLE KEYS */;
INSERT INTO `reacciones` VALUES (1,240,4),(2,240,5),(3,1212,5),(4,1212,7),(5,1074,7),(6,1074,7),(7,1074,5),(8,240,7);
/*!40000 ALTER TABLE `reacciones` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `recibo`
--

DROP TABLE IF EXISTS `recibo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recibo` (
  `recibo_id` int NOT NULL AUTO_INCREMENT,
  `pdf` text NOT NULL,
  `descripcion_pdf` varchar(150) NOT NULL,
  `usuario_id` int NOT NULL,
  PRIMARY KEY (`recibo_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `recibo`
--

LOCK TABLES `recibo` WRITE;
/*!40000 ALTER TABLE `recibo` DISABLE KEYS */;
INSERT INTO `recibo` VALUES (1,'https://justabot.juscatamarca.gob.ar/PruebasMobile/pdf_recibos/SUEMUESTRA.pdf','ENERO 2024',1074),(2,'https://justabot.juscatamarca.gob.ar/PruebasMobile/pdf_recibos/SUEMUESTRA.pdf','ENERO 2024',240),(3,'https://justabot.juscatamarca.gob.ar/PruebasMobile/pdf_recibos/SUEMUESTRA.pdf','ENERO 2024',2141),(4,'https://justabot.juscatamarca.gob.ar/PruebasMobile/pdf_recibos/SUEMUESTRA.pdf','ENERO 2024',1693),(5,'https://justabot.juscatamarca.gob.ar/PruebasMobile/pdf_recibos/SUEMUESTRA.pdf','ENERO 2024',1880),(6,'https://justabot.juscatamarca.gob.ar/PruebasMobile/pdf_recibos/SUEMUESTRA.pdf','ENERO 2024',1482),(7,'https://justabot.juscatamarca.gob.ar/PruebasMobile/pdf_recibos/SUEMUESTRA.pdf','ENERO 2024',361),(8,'https://justabot.juscatamarca.gob.ar/PruebasMobile/pdf_recibos/SUEMUESTRA.pdf','ENERO 2024',1266),(9,'https://justabot.juscatamarca.gob.ar/PruebasMobile/pdf_recibos/SUEMUESTRA.pdf','ENERO 2024',1212);
/*!40000 ALTER TABLE `recibo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `recuperacion_clave_user`
--

DROP TABLE IF EXISTS `recuperacion_clave_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recuperacion_clave_user` (
  `recuperacion_clave_user_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `fecha_hora_recuperacion` text NOT NULL,
  `codigo_recuperacion` text NOT NULL,
  `valido` varchar(2) NOT NULL,
  PRIMARY KEY (`recuperacion_clave_user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `recuperacion_clave_user`
--

LOCK TABLES `recuperacion_clave_user` WRITE;
/*!40000 ALTER TABLE `recuperacion_clave_user` DISABLE KEYS */;
INSERT INTO `recuperacion_clave_user` VALUES (1,1693,'2024-06-27 11:03:41','872087','SI'),(2,1212,'2024-06-27 11:09:36','173691','SI'),(3,1482,'2024-06-27 12:47:40','439473','SI');
/*!40000 ALTER TABLE `recuperacion_clave_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rol_en_personal`
--

DROP TABLE IF EXISTS `rol_en_personal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rol_en_personal` (
  `rol_en_personal_id` int NOT NULL AUTO_INCREMENT,
  `rol_en_personal_descripcion` text NOT NULL,
  PRIMARY KEY (`rol_en_personal_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rol_en_personal`
--

LOCK TABLES `rol_en_personal` WRITE;
/*!40000 ALTER TABLE `rol_en_personal` DISABLE KEYS */;
INSERT INTO `rol_en_personal` VALUES (1,'ADMINISTRADOR GRAL'),(2,'AUXILIAR');
/*!40000 ALTER TABLE `rol_en_personal` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sesion_biometrica`
--

DROP TABLE IF EXISTS `sesion_biometrica`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sesion_biometrica` (
  `sesion_biometrica_id` int NOT NULL AUTO_INCREMENT,
  `token_dispositivo` text NOT NULL,
  `usuario_id` int NOT NULL,
  `biometria_activada` int NOT NULL,
  PRIMARY KEY (`sesion_biometrica_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sesion_biometrica`
--

LOCK TABLES `sesion_biometrica` WRITE;
/*!40000 ALTER TABLE `sesion_biometrica` DISABLE KEYS */;
INSERT INTO `sesion_biometrica` VALUES (1,'dfDPvbnwQfGEzeIKpoWsH2:APA91bFECN8mkjwwovXeuW4e7w1VDA_Z9fFqZp0X0zFNulT5Ty2ViwxDjXPJp9pa2XISnb0uPwvYsNWgDImxkdQ6uQrsislst00wfAG4zJjD1iYQw0oeLtnZ-T5oNjPvqPpzojt1g8YO',240,1),(2,'ck1A_pM8SP20dMVKBDQYkm:APA91bG4R5uPonOrCqPKUK3ZWEoXrKAQ0sqvrS7NbKHhamSP9RBdYNGeARnfmVlKyQLIe-sSVQ4JOIjGP-7HCSm8Cc9JXUqhnAkohjd9OxL0vCPOLppbUHBT6OO820SGNGI2MC3enrXO',1880,1),(3,'eVuG4P6-S5W7oxfXGrbn9N:APA91bFWMIFIdYq0Oyqyk6rOcJIzklwA7ZDK841e5SrRV_wfOkqeGV_PThoZEpnjS0cVtUqgZRisjIj716_hQUhnnNCZeAz4rVBVESjYaBCrIrwy09cZxtEp-lwwf6er7fjhNGRiPWrN',1693,1),(4,'cxGk4TAXQ9ibYytClmD2qm:APA91bE85ENbM-S5TYaQvsjBSX6gipuB35hDgdrAXqjDdKpkWpAmWMQfOxgmG57BbHmGUNh139JtMKz8nDwLHqw6XcS7QLxSwSvG5MNKnp6UKmGWP8Km4kI-qm8U7AD56vvPs6-eboWu',240,1),(5,'cRhn1w3dTw2ygd6MUymiiK:APA91bEwHyuOWhBk1LvXOERSN6DGedaf5VvX2P9517G2BruApFGLLathRHkBCM6GDuJ5O27Tm1G-EWeaaDKp_r6BpQaNvqHKWEX96vRbFKk6cY-sswUlZfSDpTWiY_DWbyyJSLU8ry9e',1212,1),(6,'dEwoxXu6RhGbz7nQUWrM7u:APA91bHKe3EIMixQxIzOnCxU_8sXxj64Srv5ixqpAjjRK3zA7_LonjzrA0l658Jw6B5Ed9FzMO_y_XokneO5-Iahum02m513Z0pbZknNaU9rEts5_zgRDbLbGnfow5czItd-2XnGB7TC',240,1),(7,'d3pR2C66Tu2xGOE2IkNq3y:APA91bE6ndcJ-IdqsAqOXDiOtOpk7zMGbgEnwIvnXF1ndoZ_pVpoU7iHqWVIcUp_Ey611e7a5tmmgXW9ejd3qjoF45-xseGBcNa7E20NWBHhFhB44IwBroZH33sQboWn3pMZFjuNg3a3',1482,1);
/*!40000 ALTER TABLE `sesion_biometrica` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sesiones`
--

DROP TABLE IF EXISTS `sesiones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sesiones` (
  `sesiones_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `fecha_hora_sesion` text NOT NULL,
  `sesiones_ubicacion` text NOT NULL,
  `dispositivo_sesion` text NOT NULL,
  PRIMARY KEY (`sesiones_id`)
) ENGINE=InnoDB AUTO_INCREMENT=68 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sesiones`
--

LOCK TABLES `sesiones` WRITE;
/*!40000 ALTER TABLE `sesiones` DISABLE KEYS */;
INSERT INTO `sesiones` VALUES (1,240,'2024-06-27 11:01:11','LAT: -28.4690334 - LON: -65.7810274','samsung SM-G9650'),(2,240,'2024-06-27 11:01:33','LAT: -28.4690361 - LON: -65.781032','samsung SM-G9650'),(3,1880,'2024-06-27 11:02:49','LAT: -28.4682986 - LON: -65.7807666','motorola moto g13'),(4,1266,'2024-06-27 11:03:04','','samsung SM-G780F'),(5,1880,'2024-06-27 11:03:13','LAT: -28.4683034 - LON: -65.7807456','motorola moto g13'),(6,1266,'2024-06-27 11:03:35','','samsung SM-G780F'),(7,240,'2024-06-27 11:04:07','LAT: -28.4690361 - LON: -65.781032','samsung SM-G9650'),(8,1693,'2024-06-27 11:05:03','','samsung SM-A536E'),(9,1266,'2024-06-27 11:05:07','','samsung SM-G780F'),(10,1074,'2024-06-27 11:05:10','','motorola moto g41'),(11,1880,'2024-06-27 11:05:10','LAT: -28.468225 - LON: -65.78073','motorola moto g13'),(12,1693,'2024-06-27 11:05:30','LAT: -28.4683196 - LON: -65.7807332','samsung SM-A536E'),(13,1074,'2024-06-27 11:05:31','LAT: -28.46846846846847 - LON: -65.77313537589028','motorola moto g41'),(14,2141,'2024-06-27 11:06:11','LAT: -28.4690361 - LON: -65.781032','samsung SM-G9650'),(15,2141,'2024-06-27 11:06:51','LAT: -28.4690326 - LON: -65.7810525','samsung SM-G9650'),(16,1693,'2024-06-27 11:07:20','LAT: -28.4682312 - LON: -65.7808861','samsung SM-A536E'),(17,1212,'2024-06-27 11:09:52','','motorola moto g31'),(18,1693,'2024-06-27 11:09:56','LAT: -28.468355 - LON: -65.7804907','samsung SM-A536E'),(19,240,'2024-06-27 11:10:32','','samsung SM-M236B'),(20,1880,'2024-06-27 11:12:43','LAT: -28.468225 - LON: -65.78073','motorola moto g13'),(21,1212,'2024-06-27 11:13:09','LAT: -28.4690329 - LON: -65.7810246','motorola moto g31'),(22,1212,'2024-06-27 11:14:02','LAT: -28.4690329 - LON: -65.7810246','motorola moto g31'),(23,1212,'2024-06-27 11:16:18','LAT: -28.4690309 - LON: -65.7810203','motorola moto g31'),(24,240,'2024-06-27 11:18:50','','samsung SM-M236B'),(25,1212,'2024-06-27 11:20:01','LAT: -28.469042 - LON: -65.7810301','motorola moto g31'),(26,1266,'2024-06-27 11:20:32','','samsung SM-G780F'),(27,240,'2024-06-27 11:24:19','','samsung SM-M236B'),(28,1074,'2024-06-27 11:25:05','','motorola moto g41'),(29,1074,'2024-06-27 11:28:53','','motorola moto g41'),(30,1212,'2024-06-27 11:30:20','LAT: -28.4690453 - LON: -65.7810236','motorola moto g31'),(31,240,'2024-06-27 11:32:07','LAT: -28.4690342 - LON: -65.7810251','samsung SM-M236B'),(32,1074,'2024-06-27 11:33:12','LAT: -28.46846846846847 - LON: -65.77313537589028','motorola moto g41'),(33,240,'2024-06-27 11:34:13','LAT: -28.4690342 - LON: -65.7810251','samsung SM-M236B'),(34,240,'2024-06-27 11:36:33','LAT: -28.4690285 - LON: -65.7810328','samsung SM-M236B'),(35,1074,'2024-06-27 11:36:46','LAT: -28.46846846846847 - LON: -65.77313537589028','motorola moto g41'),(36,1074,'2024-06-27 11:42:23','','motorola moto g41'),(37,240,'2024-06-27 11:44:33','LAT: -28.4690433 - LON: -65.7810308','samsung SM-M236B'),(38,1880,'2024-06-27 11:45:39','LAT: -28.468269 - LON: -65.7807558','motorola moto g13'),(39,2141,'2024-06-27 11:46:16','LAT: -28.4688961 - LON: -65.7812692','samsung SM-G9650'),(40,1693,'2024-06-27 11:47:17','LAT: -28.4682789 - LON: -65.7807846','samsung SM-A536E'),(41,240,'2024-06-27 11:47:30','LAT: -28.469031 - LON: -65.7810297','samsung SM-M236B'),(42,1693,'2024-06-27 11:47:50','LAT: -28.4684808 - LON: -65.7806898','samsung SM-A536E'),(43,1693,'2024-06-27 11:56:31','LAT: -28.4682688 - LON: -65.7808702','samsung SM-A536E'),(44,1266,'2024-06-27 11:58:48','','samsung SM-G780F'),(45,1212,'2024-06-27 12:00:13','LAT: -28.469033 - LON: -65.7810291','motorola moto g31'),(46,1212,'2024-06-27 12:02:05','LAT: -28.4690312 - LON: -65.781027','motorola moto g31'),(47,2141,'2024-06-27 12:04:48','','samsung SM-G9650'),(48,1880,'2024-06-27 12:05:08','LAT: -28.4681627 - LON: -65.7809174','motorola moto g13'),(49,240,'2024-06-27 12:08:12','LAT: -28.4690282 - LON: -65.7810334','samsung SM-M236B'),(50,1074,'2024-06-27 12:09:44','','motorola moto g41'),(51,1266,'2024-06-27 12:15:16','','samsung SM-G780F'),(52,240,'2024-06-27 12:15:41','','samsung SM-M236B'),(53,1266,'2024-06-27 12:17:17','','samsung SM-G780F'),(54,1212,'2024-06-27 12:20:11','LAT: -28.4690333 - LON: -65.7810293','motorola moto g31'),(55,1266,'2024-06-27 12:23:43','','samsung SM-G780F'),(56,1266,'2024-06-27 12:31:29','','samsung SM-G780F'),(57,240,'2024-06-27 12:36:03','LAT: -28.4690306 - LON: -65.7810286','samsung SM-M236B'),(58,1880,'2024-06-27 12:36:34','LAT: -28.468592 - LON: -65.7812931','motorola moto g13'),(59,1212,'2024-06-27 12:41:22','LAT: -28.4690373 - LON: -65.7810244','motorola moto g31'),(60,240,'2024-06-27 12:44:04','LAT: -28.4690287 - LON: -65.7810298','samsung SM-M236B'),(61,1212,'2024-06-27 12:45:10','LAT: -28.469036 - LON: -65.7810221','motorola moto g31'),(62,1880,'2024-06-27 12:45:13','LAT: -28.468592 - LON: -65.7812931','motorola moto g13'),(63,1482,'2024-06-27 12:51:10','LAT: -28.4690245 - LON: -65.7810712','samsung SM-S711B'),(64,240,'2024-06-27 12:51:12','LAT: -28.4690296 - LON: -65.7810256','samsung SM-M236B'),(65,1482,'2024-06-27 12:51:25','LAT: -28.4690245 - LON: -65.7810712','samsung SM-S711B'),(66,1482,'2024-06-27 12:53:09','LAT: -28.4690245 - LON: -65.7810712','samsung SM-S711B'),(67,240,'2024-06-27 12:56:20','LAT: -28.4690308 - LON: -65.7810258','samsung SM-M236B');
/*!40000 ALTER TABLE `sesiones` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tipo_usuario`
--

DROP TABLE IF EXISTS `tipo_usuario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tipo_usuario` (
  `tipo_usuario_id` int NOT NULL AUTO_INCREMENT,
  `tipo_usuario_descripcion` varchar(200) NOT NULL,
  `tipo_usuario_funcion` varchar(100) NOT NULL,
  PRIMARY KEY (`tipo_usuario_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tipo_usuario`
--

LOCK TABLES `tipo_usuario` WRITE;
/*!40000 ALTER TABLE `tipo_usuario` DISABLE KEYS */;
INSERT INTO `tipo_usuario` VALUES (1,'Administrador','Acceso a todas las funciones'),(2,'Empleado','acceso limitado a consultas'),(3,'JEFE DE AREA','Encargado de administrar determinada area'),(4,'Entidad','Para notificar cuando la entidad mande una publicacion');
/*!40000 ALTER TABLE `tipo_usuario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_sis_personal`
--

DROP TABLE IF EXISTS `user_sis_personal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_sis_personal` (
  `user_per_id` int NOT NULL AUTO_INCREMENT,
  `usuario_id` int NOT NULL,
  `rol_en_personal_id` int NOT NULL,
  `estado_id` int DEFAULT NULL,
  PRIMARY KEY (`user_per_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_sis_personal`
--

LOCK TABLES `user_sis_personal` WRITE;
/*!40000 ALTER TABLE `user_sis_personal` DISABLE KEYS */;
INSERT INTO `user_sis_personal` VALUES (1,240,1,1),(2,2141,1,1);
/*!40000 ALTER TABLE `user_sis_personal` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuario`
--

DROP TABLE IF EXISTS `usuario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `usuario` (
  `usuario_id` int NOT NULL AUTO_INCREMENT,
  `usuario_nombre` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `usuario_apellido` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `usuario_dni` varchar(8) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `usuario_cuil` varchar(13) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `usuario_legajo` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `usuario_provincia` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_depto` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_calle` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_casa_numero` varchar(8) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_fecha_nacimiento` varchar(10) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_email` text CHARACTER SET latin1 COLLATE latin1_swedish_ci,
  `usuario_biografia` text CHARACTER SET latin1 COLLATE latin1_swedish_ci,
  `usuario_telefono` varchar(30) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_profesion` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `usuario_clave` text CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `usuario_foto_perfil` text CHARACTER SET latin1 COLLATE latin1_swedish_ci,
  `usuario_facebook` text CHARACTER SET latin1 COLLATE latin1_swedish_ci,
  `usuario_instagram` text CHARACTER SET latin1 COLLATE latin1_swedish_ci,
  `cargo_id` int DEFAULT NULL,
  `tipo_usuario_id` int DEFAULT NULL,
  `estado_id` int DEFAULT NULL,
  `entidad_id` int DEFAULT NULL,
  `area_id` int DEFAULT NULL,
  `categoria_id` int DEFAULT NULL,
  `editado_el` text CHARACTER SET latin1 COLLATE latin1_swedish_ci,
  PRIMARY KEY (`usuario_id`),
  KEY `fk_usuario_area1_idx` (`area_id`),
  CONSTRAINT `fk_usuario_area1` FOREIGN KEY (`area_id`) REFERENCES `area` (`area_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2142 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuario`
--

LOCK TABLES `usuario` WRITE;
/*!40000 ALTER TABLE `usuario` DISABLE KEYS */;
INSERT INTO `usuario` VALUES (1,'ALICIA MARIEL','ABAD','32232390','27322323900','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32232390','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2,'LAFOURCADE MAXIMILIANO','ABARZA','31932391','20319323911','1705',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31932391','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(3,'TOMAS ADRIAN','ABDALA','28894082','20288940828','1634',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28894082','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(4,'CLAUDIA DEL VALLE','ABRATTE','16742974','27167429748','205',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16742974','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(5,'GUSTAVO ARIEL','ABREGU','31814074','20318140740','703',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814074','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(6,'YANINA CAROLA','ABREGU','27341458','23273414584','1652',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27341458','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(7,'CARLOS DARIO','ACEVEDO','27098865','20270988653','935',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27098865','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(8,'CORPACCI RICARDO MARTI','ACEVEDO','30375444','20303754440','889',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30375444','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(9,'DANTE ESTEBAN','ACEVEDO','32549635','20325496356','1250',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32549635','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(10,'ESTRELLA MARINA','ACEVEDO','39540703','27395407037','1754',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39540703','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(11,'HERNAN GUSTAVO','ACEVEDO','24605108','23246051089','1806',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605108','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(12,'JOSE MANUEL','ACEVEDO','26856450','20268564501','220',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26856450','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(13,'LIEDELICH SILVINA MARIA','ACEVEDO','17428409','27174284097','934',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17428409','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(14,'MARCELO EDUARDO','ACEVEDO','16934546','20169345466','589',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16934546','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(15,'MARIA PAULA','ACEVEDO','29651055','27296510551','1325',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29651055','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(16,'MARINA DELICIA','ACEVEDO','14899205','27148992059','95',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14899205','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(17,'NELIDA ITATI','ACEVEDO','23396225','27233962258','920',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23396225','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(18,'OMAR RENE','ACEVEDO','21325076','20213250761','436',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325076','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(19,'RAMONA NELLY','ACEVEDO','14239625','23142396254','649',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14239625','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(20,'RODOLFO IGNACIO','ACEVEDO','31691036','20316910360','24',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31691036','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(21,'SILVINA SOLEDAD','ACEVEDO','40432517','27404325170','505',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40432517','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(22,'VERGARA JORGE LUIS','ACEVEDO','31268886','20312688868','224',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31268886','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(23,'VERGARA JUAN MARIA','ACEVEDO','36844363','20368443639','135',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844363','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(24,'VERGARA MARIANA CONSTANZA','ACEVEDO','32282660','27322826600','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282660','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(25,'ANIBAL OSVALDO','ACOSTA','16276389','20162763890','1257',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16276389','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(26,'DIEGO EDUARDO','ACOSTA','27717545','20277175453','512',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27717545','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(27,'FABIANA INES','ACOSTA','17763082','27177630824','867',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17763082','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(28,'JULIO MANUEL','ACOSTA','17925244','23179252449','125',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17925244','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(29,'MARIA JOSE','ACOSTA','28885518','27288855183','894',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885518','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(30,'MARIA SALOME','ACOSTA','36844941','27368449410','1449',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844941','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(31,'MARIEL','ACOSTA','33565507','27335655074','150',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33565507','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(32,'MAZA JULIETA ROCIO','ACOSTA','39903917','27399039172','2014',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39903917','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(33,'RIZZARDO EXEQUIEL','ACOSTA','35286152','23352861529','234',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35286152','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(34,'EUGENIO JOAQUIN','ACS ACUÑA','30033007','20300330070','1423',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30033007','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(35,'ANA VERONICA','ACUÑA','24830352','27248303528','885',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830352','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(36,'ANDRES MARCELO','ACUÑA','23561320','20235613205','738',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561320','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(37,'AUGUSTO RENE','ACUÑA','20924955','20209249554','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20924955','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(38,'BARRIONUEVO ALICIA CAROLINA','ACUÑA','20924132','27209241329','326',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20924132','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(39,'CARLOS ADRIAN','ACUÑA','25117844','20251178446','695',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117844','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(40,'DANIEL IGNACIO','ACUÑA','33360397','20333603978','1771',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33360397','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(41,'EDGARDO JORGE','ACUÑA','29592608','20295926083','1055',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29592608','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(42,'JOAQUIN ARTURO','ACUÑA','35500729','20355007295','515',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35500729','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(43,'MARIO RENE','ACUÑA','21325298','20213252985','923',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325298','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(44,'MOLINA LEONOR MARIA','ACUÑA','17428236','27174282361','526',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17428236','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(45,'MOLINA RODRIGO','ACUÑA','23309124','20233091244','248',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309124','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(46,'NADIA NATALIA','ACUÑA','28885898','27288858980','1427',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885898','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(47,'VICTOR RAUL','ACUÑA','21682403','20216824033','945',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682403','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(48,'FERNANDO LUIS','ADET CALDELARI','23024326','20230243264','849',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024326','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(49,'ADRIAN ALBERTO','AGUERO','25302280','23253022809','604',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302280','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(50,'ANGEL ANTONIO','AGUERO','24065347','20240653479','1359',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065347','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(51,'ESTEBAN LUIS','AGUERO','27651907','20276519078','1678',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27651907','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(52,'FRANCO EMANUEL','AGUERO','39996448','20399964483','1746',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39996448','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(53,'GUILLERMO ANTONIO','AGUERO','37167980','20371679805','1870',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37167980','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(54,'HUGO JOSE','AGUERO','32282038','20322820381','1791',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282038','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(55,'LUIS SEBASTIAN','AGUERO','26685359','23266853599','1501',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26685359','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(56,'MARIA VERONICA','AGUERO','21685229','27216852295','506',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21685229','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(57,'MARTIN SEBASTIAN','AGUERO','29919065','20299190650','1316',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29919065','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(58,'MAURICIO RAMON ADOLFO','AGUERO','28607356','20286073566','932',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28607356','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(59,'SILVIA ANDREA','AGUERO','18476781','27184767819','517',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18476781','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(60,'RICARDO DANIEL','AGUERO SOLOHAGA','25117342','20251173428','768',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117342','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(61,'RICARDO ENRIQ','AGUERO SOLOHAGA','26804789','20268047892','915',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26804789','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(62,'ANA CAROLINA','AGUERO UNZAGA','22120583','27221205834','1033',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22120583','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(63,'MAURO ISMAEL','AGUIAR','43141538','20431415381','481',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43141538','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(64,'DIEGO','AGUIAR RUY','24671722','20246717223','2500',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24671722','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(65,'GONZALO RENE','AGUILAR','37553864','20375538645','592',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37553864','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(66,'EMANUEL','AGUILAR SALAS','26220855','23262208559','856',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26220855','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(67,'ADRIANA NATALIA','AGUIRRE','22515798','27225157982','684',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515798','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(68,'DAMIAN OSCAR','AGUIRRE','31450639','27314506397','276',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31450639','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(69,'DARIO MAXIMILIANO','AGUIRRE','29217565','20292175656','1566',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29217565','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(70,'ENRIQUE OMAR','AGUIRRE','16984228','20169842281','654',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16984228','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(71,'GABRIEL ALEJANDRO','AGUIRRE','35389131','20353891317','1536',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35389131','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(72,'HECTOR MARCELO','AGUIRRE','23309622','23233096229','1428',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309622','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(73,'JUAN IGNACIO','AGUIRRE','35269233','20352692337','1711',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35269233','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(74,'MELINA','AGUIRRE LOBO','36844892','27368448929','2058',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844892','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(75,'MATIAS EZEQUIEL','AGUIRRE','38753118','20387531182','1802',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38753118','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(76,'NOELIA DEL CARMEN','AGUIRRE','29943873','27299438738','1254',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29943873','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(77,'OMAR GUILLERMO','AGUIRRE','16986687','20169866873','433',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16986687','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(78,'ROBIN ARTURO','AGUIRRE','29414249','20294142496','294',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414249','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(79,'FANNY DELOS ANGELES','AHUMADA ALLES','21682978','27216829781','756',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682978','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(80,'DANIEL FRANCISCO','AHUMADA AVELLANEDA','21325511','20213255119','1880',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325511','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(81,'EDITH DEL VALLE','AHUMADA','22308782','27223087820','284',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22308782','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(82,'SERGIO GUSTAVO','AHUMADA FALCON','38753670','20387536702','103',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38753670','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(83,'JOSE SANTIAGO','AHUMADA FRANZZINI','25709954','20257099548','783',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25709954','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(84,'JOSE MARIA','AHUMADA','38627148','20386271489','1937',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38627148','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(85,'MARIA EUGENIA','AHUMADA','28456049','27284560499','1275',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28456049','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(86,'JAIME LEANDRO','AHUMADA SORIA','30375669','20303756699','1070',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30375669','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(87,'FRANCO RUBEN','AIBAR','33360847','20333608473','1367',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33360847','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(88,'LUCAS EMILIO','AIBAR','31648346','20316483462','1285',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31648346','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(89,'MARIA FLORENCIA','AIBAR','32282964','27322829642','1224',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282964','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(90,'MARINA DEL VALLE','AIBAR','18188031','27181880312','753',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18188031','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(91,'NOEMI ELIZABETH','AIBAR','24464845','27244648458','1010',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24464845','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(92,'GUILLERMO EMILIANO','AKIKE','29786977','23297869779','983',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29786977','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(93,'ANA KARINA','ALANIS LASCANO','23561627','27235616276','244',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561627','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(94,'MARÍA ALEJANDRA','ALARCON','22640477','27226404770','1071',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22640477','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(95,'ROBERTO GUSTAVO','ALBARENGA','14324256','20143242561','54',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14324256','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(96,'CESAR DAVID','ALBARRACIN','27882254','20278822541','1929',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27882254','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(97,'FRANCISCO RAMON','ALBARRACIN','21893699','20218936998','544',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21893699','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(98,'JUAN MARCELO','ALBARRACIN','30472074','20304720744','1305',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30472074','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(99,'RAMON HORACIO','ALBARRACIN','17599264','20175992643','138',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17599264','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(100,'RITA MAGALI','ALBARRACIN','31520096','27315200968','489',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31520096','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(101,'ALAN GONZALO','ALCOS DUEÑA','94697395','20946973956','107',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'94697395','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(102,'PEDRO SERGIO ANIBAL','ALDAO','24279305','20242793057','1027',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24279305','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(103,'FEDERICO MANUEL','ALDECO','27957431','20279574312','840',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27957431','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(104,'MARCOS EXEQUIEL','ALDECO','38752859','20387528599','1869',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38752859','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(105,'JOHANA SOLEDAD','ALDERETE','35087004','27350870046','1958',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35087004','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(106,'WALTER FABIAN','ALDERETE','20460809','20204608092','1992',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20460809','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(107,'ALEJANDRA ALICIA ERCILIA','ALE','26506462','27265064626','2000',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26506462','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(108,'CLAUDIO HUGO','ALESCIO','22501951','20225019518','1024',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22501951','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(109,'ALDO RODOLFO','ALESSIO','29527049','20295270498','963',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29527049','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(110,'ENZO RODOLFO','ALESSIO','14058252','20140582523','304',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14058252','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(111,'ARIEL OSCAR','ALFARO','32820168','20328201683','1564',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32820168','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(112,'ANDREA ALEJANDRA','ALMEDA','23324118','27233241186','537',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23324118','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(113,'ALDO CRISTIAN','ALMENDRA','22751949','20227519496','1759',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751949','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(114,'GERMAN ANDRES','ALMENDRA','36733968','20367339684','1621',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36733968','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(115,'PATRICIA SUSANA','ALMENDRA','20389107','27203891070','43',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20389107','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(116,'ZAIRA LUZ','ALONSO LARCHER','42141206','27421412060','1278',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42141206','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(117,'VIVIANA CARINA','ALONSO','27920762','27279207624','165',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27920762','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(118,'ANA GABRIELA','ALSINA','26433268','27264332686','1072',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433268','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(119,'ELSA MARIA','ALURRALDE','20308993','27203089932','553',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308993','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(120,'JUAN SILVESTRE','ALVARADO','28029949','23280299499','1664',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28029949','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(121,'LUCAS XAVIER','ALVAREZ CARRIZO','31479159','20314791593','1686',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31479159','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(122,'CESAR GABRIEL','ALVAREZ','25511645','20255116453','509',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511645','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(123,'EDGARDO RUBEN','ALVAREZ','12433797','20124337977','293',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'12433797','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(124,'LUIS ANGEL','ALVAREZ','24954735','20249547353','1866',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24954735','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(125,'MARIA JULIA','ALVAREZ','32834829','27328348298','1424',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32834829','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(126,'MARIA LAURA','ALVAREZ','34716990','27347169906','1135',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34716990','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(127,'ERNESTO JAVIER','ALVAREZ MORALES','29414204','20294142046','1232',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414204','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(128,'GABRIELA INES','ALVAREZ MORALES','35934334','27359343340','1928',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35934334','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(129,'MARIA BELEN','ALVAREZ MORALES','34492862','27344928628','474',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34492862','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(130,'NELIDA DEL VALLE','ALVAREZ','20389109','27203891097','650',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20389109','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(131,'DIEGO JOSE','ALVAREZ PARMA','29917106','20299171060','296',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917106','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(132,'RAMIRO','ALVAREZ','37637095','20376370950','1823',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37637095','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(133,'SILVIA LILIANA','ALVAREZ','13398390','27133983908','30',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13398390','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(134,'STELLA MARIS','ALVAREZ','22219924','27222199242','1075',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219924','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(135,'DIEGO ARMANDO','ALZABE','29104132','23291041329','888',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29104132','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(136,'ROCIO ANDREA','ALZABE','33695478','27336954784','1728',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33695478','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(137,'ANGELA NATALIA','AMADOR PERALTA','30375570','27303755700','1519',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30375570','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(138,'OLGA DEL VALLE','AMIGOT SOLOHAGA','29651483','27296514832','716',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29651483','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(139,'CAROL YAZMIN','ANDIA','42023635','27420236358','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42023635','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(140,'PAULA','ANDRADA','40598923','27405989234','204',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40598923','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(141,'SERGIO LEONARDO','ANDRADA','20588308','20205883089','1296',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588308','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(142,'SERGIO RANDOLFO','ANDRADA','30032955','20300329552','1873',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30032955','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(143,'VANESA BELEN','ANDRADA','34884733','27348847339','292',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34884733','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(144,'VANESA ROMINA','ANDRADA','26433653','27264336533','1233',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433653','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(145,'YANINA MABEL','ANDRADA','31814570','27318145704','1624',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814570','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(146,'RUTH ALEJANDRA','ANTONINO','17529893','27175298938','469',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17529893','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(147,'DIEGO VALENTIN','ANZOLINI','30805558','20308055583','611',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30805558','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(148,'MARIA ANGELA','APUD','30949739','27309497398','514',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949739','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(149,'CAROLINA ALEJANDRA','AQUINO','33061319','27330613195','593',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33061319','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(150,'CARLOS RODOLFO','ARAGON','21944001','20219440015','132',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21944001','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(151,'HECTOR JOSE','ARAGON','25483182','20254831825','930',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25483182','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(152,'CARLOS ANDRES','ARAMBURU','37740626','20377406266','1809',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37740626','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(153,'LILIANA DEL CARMEN','ARAMBURU','28076240','27280762402','2057',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076240','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(154,'CLAUDIA GABRIELA','ARANCIBIA','23561415','23235614154','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561415','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(155,'CINTIA MARINA','ARANDA','24260317','27242603171','683',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24260317','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(156,'CESAR FABIAN','ARCE','23389939','23233899399','1489',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23389939','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(157,'MARIANO ALBERTO D','ARCH QUIROGA','26685098','20266850981','804',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26685098','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(158,'STELLA MARYS','ARCH','18188309','27181883095','523',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18188309','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(159,'DARIO RUBEN ANTONIO','ARDILES','35500830','20355008305','1446',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35500830','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(160,'RUBEN ANTONIO','ARDILES','17890082','20178900820','256',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17890082','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(161,'LUCIANA BEATRIZ','AREDEZ','31127985','27311279853','1672',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31127985','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(162,'ANA CELINA','ARES','18461690','23184616904','1012',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18461690','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(163,'DIEGO SEBASTIAN','AREVALO','34029354','20340293542','1486',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34029354','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(164,'MARIA CECILIA','AREVALO','23309667','27233096674','921',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309667','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(165,'MARTIN GABRIEL','AREVALO','34777646','20347776468','1560',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34777646','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(166,'IVAN AGUSTIN','ARGAÑARAZ','27923664','20279236646','979',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27923664','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(167,'MARIA INES','ARGAÑARAZ','26433336','27264333364','1506',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433336','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(168,'MARIA JULIA','ARGAÑARAZ','34723441','27347234414','1817',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34723441','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(169,'JORGE EDUARDO','ARGAÑARAZ PONESSA','33049625','20330496259','774',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049625','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(170,'DELIA ISABEL','ARIAS','29786610','27297866104','67',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29786610','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(171,'ELADIO AUGUSTO','ARIAS','17553959','20175539590','92',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17553959','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(172,'VIRGINIA','ARMANDO','37637472','27376374721','1936',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37637472','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(173,'CRISTINA ISABEL','ARMAS','21585075','27215850752','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21585075','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(174,'GLORIA MABEL','ARPIRES','24515723','27245157237','927',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24515723','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(175,'MARCOS GABRIEL','ARPIRES','34323680','20343236809','1939',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34323680','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(176,'ARIEL ENRIQUE','ARREGUEZ','22219322','20222193223','1076',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219322','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(177,'JESSICA DAIANA','ARREGUEZ','29917404','27299174048','1874',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917404','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(178,'MARIA CECILIA','ARREGUEZ','32414089','27324140897','1820',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32414089','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(179,'WALTER GABRIEL','ARROYO','30676691','20306766911','1994',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676691','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(180,'MARIO GABRIEL','ARTERO','34777820','20347778207','1642',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34777820','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(181,'CASIM EDUARDO','ASSAD','23255983','24232559833','866',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23255983','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(182,'RAUL MIGUEL','ASSANTE','35208790','20352087905','1695',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35208790','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(183,'JORGE IVAN','ASTONDOA','27900983','20279009836','1855',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900983','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(184,'JOSÉ LUIS','AUAT','26482850','20264828504','1218',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26482850','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(185,'DANIEL DAVID','AVALO','43821600','20438216007','1867',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43821600','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(186,'ALEJANDRO CARLOS','AVELLANEDA','32027102','23320271029','269',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027102','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(187,'CARLOS MARIA','AVELLANEDA','34316719','23343167199','273',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34316719','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(188,'LUIS ALBERTO','AVELLANEDA','18060642','20180606425','964',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18060642','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(189,'MARIA DOLORES','AVELLANEDA','27155818','27271558185','1364',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27155818','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(190,'MARIA EUGENIA','AVELLANEDA','33832791','27338327914','416',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33832791','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(191,'MARIA JULIETA','AVELLANEDA','24065924','27240659242','673',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065924','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(192,'SONIA CLAUDIA DEL V','AVELLANEDA','25746149','27257461497','1337',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746149','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(193,'CARLA SOLEDAD','AVILA','31310356','27313103566','1697',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31310356','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(194,'DANIEL MARCELO','AVILA','30006148','20300061487','640',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30006148','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(195,'DELIA NOEMI','AVILA','21682705','27216827053','1000',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682705','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(196,'PATRICIA FERNANDA','AVILA','20071555','27200715557','772',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20071555','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(197,'SERGIO ANDRES','AVILA','38202960','20382029608','1574',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38202960','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(198,'TOMAS AGUSTIN','AVILA','41279354','20412793545','2029',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41279354','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(199,'CLAUDIA ROSANA','AVILEZ','21323122','27213231222','1292',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21323122','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(200,'MIGUEL ANGEL','AYBAR','22920079','20229200799','66',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22920079','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(201,'IVANNA GISELLE','AYOSA','26685483','27266854833','1611',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26685483','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(202,'HECTOR ROLANDO','AYUSA','20386631','20203866314','538',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20386631','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(203,'MAGDALENA MARIA','AZAR','35574561','27355745614','1953',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35574561','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(204,'MARIA ALEJANDRA','AZAR','16759079','27167590794','74',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16759079','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(205,'MARIA DANIELA','AZAR','35574560','24355745607','1734',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35574560','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(206,'VALERIA ANA LIA','BAEZ','21681068','27216810681','595',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21681068','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(207,'FABRIZZIO LIONEL','BAIGORRIA','35565922','20355659225','1616',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35565922','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(208,'ANA PAULA','BALDERRAMAS','24691788','23246917884','1077',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24691788','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(209,'CLAUDIO ALEJANDRO','BALMACEDA','18575556','20185755569','536',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18575556','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(210,'VANESA MARIELA','BALOCCO','24396826','27243968262','784',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24396826','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(211,'ADRIAN AMIR','BALUT','38202751','20382027516','501',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38202751','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(212,'MARCOS FLAVIO','BALVERDI','20660057','20206600579','141',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20660057','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(213,'ALEJANDRO RENE','BAMBICHA','39996540','20399965404','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39996540','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(214,'CECILIA BELEN DEL VALLE','BANEGA','36551679','27365516796','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36551679','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(215,'SANTE','BARBIERI','37643402','20376434029','1919',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37643402','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(216,'MARIA SUSANA','BARONI','25117663','27251176634','579',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117663','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(217,'OSCAR HORACIO','BARRAZA','22187530','20221875304','1025',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22187530','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(218,'MARCOS FRANCISCO','BARRERA','33695028','20336950288','252',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33695028','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(219,'WALTER MIGUEL','BARRIENTOS','20588986','20205889869','1279',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588986','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(220,'ACOSTA ALDANA','BARRIONUEVO','36844932','27368449321','1886',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844932','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(221,'ANA DANIELA','BARRIONUEVO','28404144','27284041440','1234',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28404144','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(222,'CELESTE MARIA BELEN','BARRIONUEVO','28076394','27280763948','53',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076394','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(223,'DEBORA MARIANA','BARRIONUEVO','34407192','27344071921','280',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34407192','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(224,'FRANCISCO NOÉ','BARRIONUEVO','32282839','24322828396','1263',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282839','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(225,'GABRIELA ALEJANDRA','BARRIONUEVO','41264454','27412644544','189',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41264454','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(226,'JOSE SANTIAGO','BARRIONUEVO','37306763','20373067637','1984',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37306763','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(227,'JUANA ELIZABETH','BARRIONUEVO','27256197','23272561974','1782',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27256197','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(228,'MARA ELIZABETH','BARRIONUEVO','20308970','27203089703','721',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308970','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(229,'MARA LUCIA','BARRIONUEVO','36347852','27363478528','974',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36347852','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(230,'MARIA IRENE','BARRIONUEVO','35897402','27358974029','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35897402','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(231,'MARIA LIZ','BARRIONUEVO','25302640','27253026400','899',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302640','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(232,'NELSON GABRIEL','BARRIONUEVO','33695401','20336954011','1615',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33695401','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(233,'SILVINA ANDREA','BARRIONUEVO','28503737','27285037374','190',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28503737','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(234,'VILMA GABRIELA','BARRIONUEVO','26187978','27261879781','1391',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26187978','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(235,'ADA RUTH','BARROS','22186969','27221869694','99',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22186969','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(236,'AUGUSTO','BARROS','14797848','20147978481','2013',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14797848','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(237,'DANIEL ALEXIS','BARROS','29980087','20299800874','1019',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29980087','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(238,'DIAZ MARIA JIMENA','BARROS','30949517','27309495174','1829',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949517','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(239,'GUILLERMO ARIEL','BARROS','24605822','23246058229','216',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605822','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(240,'HUGO DANIEL','BARROS','37553550','20375535506','1432',NULL,NULL,NULL,NULL,'12/06/1996','HUGUITOBARROS@GMAIL.COM','AGUANTE BOCA','3834984456','SOFTWARE  DEVELOPER','huguito12','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/user240_5.jpg','huguito_barros','huguito_barros',1,3,1,1,4,1,'2024-06-27 11:04:07'),(241,'JORRAT FACUNDO','BARROS','31814264','20318142646','431',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814264','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(242,'LENCINA ANA EMPERATRIZ A','BARROS','29259673','27292596737','747',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259673','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(243,'NOELIA NATALIA','BARROS','34716516','27347165161','1803',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34716516','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(244,'PRISHNI GISELLE','BARROS','33695119','23336951194','1797',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33695119','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(245,'LUIS JORGE DEL VALLE','BARROS RISATTI','24309086','20243090866','1040',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24309086','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(246,'MARIA MARTA','BASTOS','29259506','27292595064','1689',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259506','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(247,'DELINA ISABEL','BATALLAN','18537142','27185371420','518',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18537142','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(248,'GUSTAVO EDUARDO','BATALLAN','34187824','20341878242','1570',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187824','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(249,'OCAMPO ENRIQUE JAVIER','BATALLAN','24605185','20246051853','1508',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605185','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(250,'OCAMPO LILIANA STELLA','BATALLAN','18060585','27180605857','211',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18060585','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(251,'FACUNDO MAURICIO','BAZAN','39013325','20390133252','2050',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39013325','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(252,'FRANCO JONATHAN','BAZAN','31037693','20310376931','1470',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31037693','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(253,'JOSE CLAUDIO','BAZAN','24830799','20248307995','874',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830799','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(254,'RAMON ANDRES','BAZAN','13042018','20130420185','779',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13042018','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(255,'RAUL EDUARDO','BAZAN','21325750','20213257502','847',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325750','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(256,'RENE OSCAR','BAZAN','17790915','20177909158','709',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17790915','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(257,'SOLOHAGA LUCAS','BAZAN','42049389','20420493895','44',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42049389','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(258,'PAOLA INES','BELTRAMELLO','22681374','27226813743','1217',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22681374','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(259,'ANA LEONOR','BENEGAS','25255988','23252559884','689',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25255988','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(260,'JUAN MIGUEL','BENITEZ','31268852','20312688523','1970',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31268852','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(261,'ROMINA ESTELA','BENITEZ','34915091','27349150919','1815',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34915091','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(262,'SILVIA PAULA','BERGER','23627809','27236278099','9',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23627809','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(263,'LUCIA MARIA','BERGONSI','12367979','27123679798','191',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'12367979','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(264,'ARMANDO OSVALDO','BERNARDEZ','23561273','23235612739','1079',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561273','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(265,'ANA GUILLERMINA','BERRIER','26085144','27260851441','1408',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26085144','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(266,'ISI ROSA ELENA','BERRONDO','22219114','27222191144','701',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219114','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(267,'NADIA DESIREE','BERRONDO','34323725','27343237257','2028',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34323725','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(268,'GINAR CLAUDIO MIGUEL','BESTARD','28647137','20286471375','1497',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28647137','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(269,'ANDREA ALEJANDRA','BIANCATO','31812806','27318128060','254',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31812806','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(270,'GRACIELA ALEJANDRA','BLANCO','20230043','27202300435','1265',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20230043','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(271,'BOSCH LUIS RAÚL','BLAS','16934157','20169341576','1080',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16934157','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(272,'BOSCH MARIA DANIELA','BLAS','17763206','27177632061','1002',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17763206','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(273,'ANGULO VALERIA','BLASER','22751023','23227510234','561',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751023','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(274,'JOSE LUIS','BOFFO','31310353','20313103537','1554',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31310353','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(275,'MARÍA EUGENIA','BOLLADA','25746596','27257465964','1081',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746596','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(276,'VIVIANA ROSA','BONGIOVANNI','27053347','27270533472','931',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27053347','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(277,'AHUMADA MICHELLE','BORDON','35388381','27353883815','1589',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35388381','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(278,'LILIAN DEL CARMEN','BORDON','05950122','23059501224','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'05950122','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(279,'JESÚS ADALBERTO','BORQUEZ','21832542','20218325425','1082',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21832542','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(280,'MARIA ALEJANDRA','BOSIO','27400033','27274000339','1376',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27400033','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(281,'MARCELA SILVINA','BOSQUE','29452289','27294522897','520',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29452289','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(282,'ANGEL RICARDO','BRACAMONTE','21325402','20213254023','985',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325402','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(283,'JULIO JAIME','BRAVO','22515879','20225158798','816',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515879','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(284,'MARCOS SANTOS','BRAVO','28780785','20287807857','1495',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28780785','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(285,'PATRICIA IOVANNA','BRAVO','25834759','27258347590','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25834759','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(286,'HUGO ROLANDO','BREPPE','16934302','20169343021','803',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16934302','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(287,'LOURDES VALENTINA','BREPPE','43270565','27432705655','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43270565','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(288,'MARIELA ROSANA','BREPPE','23854383','27238543830','669',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23854383','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(289,'RODRIGUEZ HUGO JAVIER','BREPPE','38225077','20382250770','1963',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38225077','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(290,'ARTURO NICOLAS','BRIZUELA','38202604','20382026048','2020',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38202604','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(291,'CARLOS HORACIO','BRIZUELA','30676337','20306763378','1462',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676337','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(292,'CLAUDIO RENE','BRIZUELA','23024276','20230242764','567',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024276','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(293,'ILDA ADRIANA','BRIZUELA','20308512','27203085120','475',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308512','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(294,'MARCELO GABRIEL','BRIZUELA','22515372','20225153729','1083',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515372','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(295,'MARÍA SOLEDAD','BRIZUELA','24309950','27243099507','1084',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24309950','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(296,'ROCIO DE LOS MILAGROS','BRUNELLO','41015179','27410151796','1981',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41015179','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(297,'FERNANDO ANDRES','BRUNO','29786797','20297867971','482',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29786797','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(298,'RODRIGUEZ VALERIA MARINA','BUDINI','22466466','23224664664','810',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22466466','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(299,'ANIBAL MARCELO','BUENADER','23024232','20230242322','573',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024232','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(300,'JORGE MARTIN','BUFE','33758792','20337587926','2059',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33758792','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(301,'YASMIN NAHIR','BUFE','41844359','27418443591','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41844359','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(302,'ADRIANA CRISTINA','BULACIO','17276922','27172769220','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17276922','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(303,'DANIEL EZEQUIEL','BULACIOS','28172559','23281725599','1085',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172559','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(304,'HECTOR HUGO','BULACIOS','16058619','20160586193','970',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16058619','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(305,'JOSE ALEJANDRO','BULACIOS','30504927','20305049272','173',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30504927','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(306,'MARIA DELIA DEL CARMEN','BULACIOS','22751193','27227511937','1435',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751193','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(307,'SILVIA ESTELA DEL VALLE','BULACIOS','23309226','27233092261','1146',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309226','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(308,'ARIEL SEBASTIAN','BURGOS','30375794','20303757946','1030',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30375794','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(309,'CRISTIAN HUGO ARTURO','BURGOS','23095198','20230951986','994',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23095198','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(310,'MILAGROS NATALY','BURGOS','40926790','23409267904','200',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40926790','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(311,'NOELIA ANTONELLA','BURGOS','33360713','27333607137','2004',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33360713','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(312,'EDGARDO ÓSCAR','BUSTAMANTE','18570504','20185705049','1086',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18570504','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(313,'GABRIEL EDUARDO','BUSTAMANTE','30805692','23308056929','1078',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30805692','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(314,'HUMBERTO RAMON','BUSTAMANTE','43141033','20431410339','1903',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43141033','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(315,'JORGE DANTE','BUSTAMANTE','29158940','20291589406','263',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29158940','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(316,'PATRICIA DEL VALLE','BUSTAMANTE','17890255','27178902550','180',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17890255','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(317,'ARGAÑARAZ MARIA PIA','BUSTOS','25746433','23257464334','1512',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746433','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(318,'MARÍA CELESTE','BUSTOS','26625462','27266254623','1087',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26625462','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(319,'GABRIELA DEL CARMEN','BUTELER','17216729','27172167298','342',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17216729','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(320,'ALICIA ELIZABETH','CABANILLAS','17765812','27177658125','616',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17765812','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(321,'AUGIER MARIA LUZ','CABRERA','34005189','27340051896','1957',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34005189','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(322,'JAVIER HUMBERTO','CABRERA','23779265','20237792654','2049',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23779265','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(323,'JOSE MARTIN','CABRERA','34915431','20349154316','904',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34915431','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(324,'JUAN JOSE','CABRERA','42217230','20422172301','2031',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42217230','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(325,'MARIA BELEN','CABRERA','37167904','27371679044','289',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37167904','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(326,'MARIA GUADALUPE','CABRERA','30805807','27308058072','951',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30805807','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(327,'OSCAR FACUNDO','CABRERA','26118189','24261181890','1596',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26118189','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(328,'SERGIO SALOMON','CABRERA','24349705','20243497052','109',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24349705','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(329,'DARIO LEOPOLDO','CACERES','29060500','20290605009','1593',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29060500','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(330,'JOSE RICARDO','CACERES','06962232','20069622322','3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'06962232','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(331,'MARIA EMILIA','CACERES','29917450','27299174501','1370',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917450','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(332,'ROBERTO FERNANDO','CACERES','21326522','23213265229','550',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21326522','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(333,'ANABELLA','CADO','28885666','23288856664','1216',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885666','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(334,'NESTOR ALEJANDRO','CAGLIERO','31608616','20316086161','1818',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31608616','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(335,'MARCOS NICOLAS','CAISSO','27833294','20278332943','152',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27833294','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(336,'MARIA ELENA','CAJAL','16283429','27162834296','524',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16283429','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(337,'CLAUDIA MARIA INES','CALDERON','25117183','27251171837','1438',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117183','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(338,'GIULIANA INES','CALLAFA','42047561','27420475611','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42047561','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(339,'JOHANA ELISA','CALLAFA','35501652','27355016523','1699',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35501652','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(340,'LAURA SALOME','CALLAFA','37482739','27374827397','1839',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37482739','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(341,'ALEJANDRO LUIS','CALLIERO','18188348','20181883481','279',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18188348','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(342,'ANALIA LAURA','CALLIERO','23854078','27238540785','1057',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23854078','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(343,'MANUEL JOSE','CALVIMONTE','26870321','20268703218','1102',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26870321','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(344,'JUAN MANUEL','CAMPOS','24574505','20245745053','1271',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24574505','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(345,'MARIA SILVINA','CAMPOS','34187562','27341875620','1649',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187562','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(346,'MARTIN','CAMPS','34129549','20341295492','1763',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34129549','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(347,'DOLORES','CAMUSSI','20282040','27202820404','375',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20282040','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(348,'MAURICIO CEFERINO','CANCINO','18060598','20180605984','70',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18060598','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(349,'JUAN PABLO ALEJANDRO','CANGI','31208734','20312087341','1260',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31208734','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(350,'ADRIANA','CANIL','38752802','23387528024','614',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38752802','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(351,'CARLOS LUIS GASTON','CANO','24830445','20248304457','365',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830445','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(352,'HECTOR DARIO','CANO','35389123','20353891236','1608',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35389123','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(353,'JOSE NICOLAS','CANO','38224298','20382242980','1658',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38224298','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(354,'MARIA ELIZABETH','CANO','25746250','27257462507','1247',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746250','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(355,'MARIA LUCIA','CANO','34029510','27340295108','246',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34029510','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(356,'MARIA VIRGINIA','CANO','30844793','27308447931','1380',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30844793','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(357,'ROSA ANDREA','CANO','28647259','27286472597','782',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28647259','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(358,'SAEZ MARIA SOLEDAD','CANO','23309759','23233097594','316',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309759','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(359,'SILVIA CECILIA','CANO','29414051','23294140514','958',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414051','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(360,'ACOSTA IVO NAHUEL','CAPILLA','30676762','20306767624','1986',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676762','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(361,'VIOLETA ELGA','CAPPIELLO','29527157','23295271574','1301',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29527157','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,3,2,1,1,2,2,NULL),(362,'PABLO ADRIAN','CARABAJAL','28486533','20284865333','905',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28486533','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(363,'KARINA VANESSA','CARABUS','35388027','27353880271','1720',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35388027','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(364,'ROCIO INES','CARABUS','29786908','27297869081','1145',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29786908','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(365,'AYLEN STEFANIA','CARDENAS PAJON','37732846','27377328464','1744',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37732846','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(366,'CECILIA RITA DEL VALLE','CARDENES','16758989','27167589893','466',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16758989','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(367,'PATRICIA SUSANA','CARDENES','14899165','27148991656','581',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14899165','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(368,'CYNTHIA MARIELA','CARDOSO','26637811','23266378114','1479',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26637811','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(369,'CYNTHIA NATALIA','CARDOSO','31037802','27310378025','990',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31037802','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(370,'MARIANA DE LOS ANGELES','CARDOSO','28309654','27283096543','929',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309654','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(371,'NATALIA BEATRIZ','CARDOSO','30504621','27305046219','926',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30504621','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(372,'DANIELA LUCIA','CARDOZO','31736635','27317366359','1627',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31736635','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(373,'MARCIO AUGUSTO','CARDOZO','31864825','20318648256','2033',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31864825','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(374,'SOFIA','CARDOZO','43059242','23430592424','826',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43059242','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(375,'MARIA JOSE','CARMA','33758633','27337586339','1620',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33758633','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(376,'JULIO CESAR','CARMINATI','21937255','20219372559','465',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21937255','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(377,'PABLO ANDRES','CARPIO','32681050','23326810509','1477',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32681050','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(378,'QUINTAR LUCIA SOLEDAD DEL','CARPIO','29254637','27292546373','1399',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29254637','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(379,'JORGE DAVID','CARRAM','23869298','23238692989','620',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23869298','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(380,'MOISES NAIM','CARRAM','23456743','20234567439','1573',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23456743','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(381,'EUGENIA MILAGRO','CARRANZA','34187962','27341879626','1562',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187962','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(382,'MARCELO MAXIMILIANO','CARRASCO','36844787','20368447871','1792',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844787','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(383,'VALERIA BEATRIZ','CARRASCO','30327903','24303279039','394',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30327903','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(384,'CARLOS MARCELO','CARRAZANA','22219185','20222191859','901',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219185','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(385,'ELIANA ELIZABETH','CARRAZANA','32774858','27327748586','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32774858','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(386,'ALEJANDRINA MARISEL','CARRERAS','29838086','27298380868','1985',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29838086','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(387,'GASTON JORGE','CARRERAS','29452226','20294522264','879',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29452226','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(388,'NERIO RAMON ARIEL','CARRERAS','16636165','20166361657','364',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16636165','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(389,'ANDRES LEONARDO','CARREÑO','31130706','24311307068','1258',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31130706','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(390,'MARIA FLORENCIA','CARREÑO REYES','37089736','27370897366','1731',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37089736','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(391,'ERICA ELIZABETH','CARRION','26259044','27262590440','1693',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26259044','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(392,'CARLOS EXEQUIEL','CARRION QUEVEDO','33049456','20330494566','1586',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049456','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(393,'ANGEL GUSTAVO','CARRIZO','16758926','20167589260','320',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16758926','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(394,'CARLOS IVAN','CARRIZO','31268893','20312688930','2041',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31268893','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(395,'DANIEL ADRIÁN','CARRIZO','25511614','20255116143','1089',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511614','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(396,'DANIEL JORGE','CARRIZO','16670468','20166704686','250',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16670468','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(397,'DANIEL NESTOR MATIAS','CARRIZO','34029573','20340295731','268',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34029573','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(398,'ENZO RAUL','CARRIZO','42843830','20428438303','1826',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42843830','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(399,'EULOGIA AZUCENA','CARRIZO','22949100','27229491003','525',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22949100','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(400,'EVELIN PAMELA','CARRIZO','37167625','27371676258','1901',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37167625','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(401,'FRANCISCA LUCIA','CARRIZO','17890272','27178902720','287',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17890272','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(402,'GABRIELA EDITH','CARRIZO','30949929','27309499293','1073',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949929','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(403,'GUSTAVO ROLANDO','CARRIZO','25302145','20253021455','634',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302145','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(404,'DANIEL EDUARDO','CARRIZO HERRERA','25511307','20255113071','838',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511307','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(405,'JORGE DANIEL','CARRIZO HERRERA','26433194','20264331944','793',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433194','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(406,'JOSE CARLOS','CARRIZO','25482810','20254828107','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25482810','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(407,'JUAN GABRIEL','CARRIZO','17313802','20173138025','521',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17313802','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(408,'JUAN PABLO','CARRIZO','37641986','20376419860','238',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37641986','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(409,'LUISA ROMINA','CARRIZO','33260369','27332603693','151',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33260369','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(410,'LUISA STELLA','CARRIZO','17763099','27177630999','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17763099','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(411,'MARCO DAMIAN','CARRIZO','39541704','20395417046','1868',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39541704','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(412,'MARIA FLORENCIA','CARRIZO','36504257','27365042573','1713',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504257','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(413,'MARIA GABRIELA','CARRIZO','22488970','23224889704','203',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22488970','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(414,'MARIA PAULA','CARRIZO','36339103','27363391031','83',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36339103','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(415,'RAMON ARIEL','CARRIZO','29414363','20294143638','950',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414363','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(416,'SILVIO RAUL','CARRIZO','23221207','20232212072','285',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23221207','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(417,'YESICA KARINA','CARRIZO','30033161','27300331616','1577',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30033161','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(418,'ARMANDO JOSE','CASAS','23765476','20237654766','1411',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23765476','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(419,'ALBERTO MIGUEL','CASASNOVAS','17216951','20172169512','479',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17216951','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(420,'LAURA VERONICA','CASO FILIPPIN','34777659','27347776594','374',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34777659','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(421,'SANDRA CARINA 1457','CASTAGNO','27837685','27278376856','1457',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27837685','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(422,'LUIS HERNAN','CASTELLANO','37637984','20376379842','1576',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37637984','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(423,'ADRIANA ISABEL','CASTELLANOS','16193377','27161933770','209',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16193377','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(424,'ANA MARIA','CASTELLANOS','24757905','27247579058','1007',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24757905','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(425,'FRANCO','CASTELLANOS','34187574','23341875749','1164',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187574','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(426,'CLAUDIA SILVIA','CASTELLARI','24562752','27245627527','868',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24562752','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(427,'ANDREA VERONICA','CASTILLO','32681116','20326811166','359',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32681116','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(428,'FABIAN EDGARDO','CASTILLO','28995496','20289954962','900',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28995496','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(429,'GUSTAVO','CASTILLO FARIAS','28652608','20286526080','680',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28652608','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(430,'GUSTAVO ADOLFO','CASTILLO','28647331','20286473319','317',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28647331','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(431,'LEANDRO MARTIN','CASTILLO','37089462','20370894621','1600',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37089462','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(432,'LUCAS IVAN','CASTILLO','33758890','20337588906','1326',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33758890','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(433,'LUCIANO MARTIN','CASTILLO','38628416','20386284165','191',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38628416','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(434,'RAMON ATILIO','CASTILLO MOLAS','27351063','20273510630','824',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351063','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(435,'FERNANDO JESUS','CASTILLO NUGHES','34323620','20343236205','1659',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34323620','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(436,'SONIA CAROLINA','CASTILLO','29414485','23294144854','2072',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414485','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(437,'ADRIAN','CASTRO','20588159','20205881590','798',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588159','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(438,'CARLOS EDUARDO','CASTRO','31279238','23312792389','1442',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31279238','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(439,'MARCELO GABRIEL','CASTRO','38203079','20382030797','110',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38203079','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(440,'MARÍA GABRIELA','CASTRO','25511950','27255119503','1235',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511950','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(441,'PABLO FERNANDO','CASTRO','34783315','20347833151','1661',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34783315','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(442,'ROBERTO ALEJANDRO','CASTRO','23032622','20230326224','1321',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23032622','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(443,'RUTH','CASTRO','17216903','27172169037','1865',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17216903','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(444,'ALDANA GISEL','CATIVA','37464257','27374642575','1256',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37464257','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(445,'ERIC RICARDO','CATIVIELA','29062528','23290625289','1189',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29062528','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(446,'FLAVIA LORENA','CAU LOUREYRO','33627803','27336278037','2017',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33627803','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(447,'EMMANUEL MATIAS','CAVAGLIA','33550465','20335504659','1371',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33550465','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(448,'GUILLERMO CARLOS','CAVIEDES','22515767','20225157678','1294',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515767','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(449,'HUGO RICARDO','CAVIEDES','26187125','20261871255','1300',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26187125','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(450,'MARCELA GLADYS','CAYAFA','34312450','27343124509','1614',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34312450','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(451,'MARIA ALEJANDRA','CEBALLOS','37643474','27376434740','1645',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37643474','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(452,'MARCIA ANDREA DEL VALLE','CEJAS','24513974','27245139743','711',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24513974','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(453,'SILVIA EDITH DEL VALLE','CEJAS','26531303','27265313030','361',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26531303','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(454,'DEBORA JANET','CENTURION MOLINA','39015631','27390156311','1916',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39015631','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(455,'BRAIAN DANIEL','CERDAN','36844070','20368440702','1762',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844070','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(456,'JUAN IGNACIO CARLOS','CEREZO','33360056','20333600561','1524',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33360056','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(457,'JUSTINIANO CARLOS HUG','CESPEDES','17937805','20179378052','129',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17937805','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(458,'GLORIA BEATRIZ','CHAILE','21922284','27219222845','739',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21922284','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(459,'VALERIA SILVINA','CHAILE','28745397','27287453979','197',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28745397','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(460,'FANNY ELIZABETH','CHALIN','21799084','27217990845','1433',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21799084','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(461,'PATRICIA MONICA DEL V','CHANAMPA','16276176','27162761760','588',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16276176','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(462,'JUAN JOSÉ','CHASAMPI','30157848','20301578483','1522',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30157848','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(463,'COSTILLA DIEGO ROBERTO','CHAYLE','23311650','20233116506','354',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23311650','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(464,'FRANCISCO ANTONIO','CHAYLE','14645490','23146454909','325',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14645490','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(465,'MARIA ESTELA','CHAYLE','26637857','27266378578','1561',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26637857','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(466,'ROSANA DEL VALLE','CHAZARRETA','23561793','27235617930','529',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561793','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(467,'MARIO ELIAS DEL VALLE','CHEBEL','34443451','23344434514','1463',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34443451','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(468,'MATILDE DEL CARMEN','CHEHUEN','26433716','27264337165','1474',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433716','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(469,'SILVANA MARIEL','CHOQUE','38739911','27387399114','64',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38739911','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(470,'DEBORA GISELA','CIANCIO','32772472','27327724725','1272',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32772472','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(471,'GONZALO IGNACIO','CIPPITELLI','31310380','20313103804','1324',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31310380','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(472,'RITA VANESA','CIRILLO','28172349','27281723494','767',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172349','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(473,'HERNÁN LUIS','CISNERO','24830326','20248303264','1090',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830326','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(474,'NARA MACARENA','CISNEROS MORENO','37168206','24371682062','347',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37168206','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(475,'HUGO FEDERICO','CISNEROS SANCHEZ','32756163','20327561635','1973',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32756163','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(476,'SANTIAGO','CISNEROS','41668499','20416684996','1834',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41668499','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(477,'RENE EDUARDO','CISTERNA','14058013','23140580139','187',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14058013','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(478,'ANA BEATRIZ','CISTERNAS','28309790','27283097906','916',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309790','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(479,'MARIA PAULA','CISTERNAS','27900667','23279006674','105',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900667','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(480,'MARIA ROSARIO','CISTERNAS','24830192','27248301924','992',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830192','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(481,'MARIA SALOME','CISTERNAS','33049131','27330491316','1938',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049131','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(482,'RITA DEL CARMEN','CISTERNAS','26856340','27268563402','865',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26856340','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(483,'SOLEDAD PAOLA DEL VALLE','CISTERNAS','31814391','27318143914','1961',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814391','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(484,'ADRIANA JULIA','CLARAMONTE','17544047','27175440475','1334',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17544047','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(485,'CALLIERO JUAN CRUZ','CLARK','41618129','20416181293','328',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41618129','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(486,'VERONICA EVANGELINA','CLAVERO','28885585','23288855854','2023',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885585','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(487,'MARIA GABRIELA','CODEVILLA','18060898','27180608988','182',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18060898','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(488,'MARIA LAURA','CODEVILLA','29651378','23296513784','2061',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29651378','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(489,'GUSTAVO RAÚL','CODIGONI','30207288','20302072885','1091',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30207288','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(490,'ALEJANDRO EMMANUEL','COLACIURI','37905119','20379051198','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37905119','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(491,'MARIA LUCIANA','COLLARD BORSOTTI','29110354','20291103546','39',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29110354','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(492,'EDUARDO BRUNO','COLLIVA','31037815','20310378152','1989',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31037815','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(493,'ADRIANA CECILIA','COLOMBRES','17529664','27175296641','372',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17529664','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(494,'ANGEL MARIO','COLQUE','16780163','20167801634','549',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16780163','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(495,'MAURICIO MIGUEL','COMBA','32803853','20328038537','1340',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32803853','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(496,'LUIS FERNANDO','COMELLI','26187681','20261876818','891',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26187681','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(497,'OSCAR ALBERTO','CONDORI','18418227','20184182271','541',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18418227','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(498,'ANA MARIA','CONTRERAS','32308620','27323086201','2081',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32308620','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(499,'CARLOS LAUREANO','CONTRERAS','26029166','20260291662','7',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26029166','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(500,'HUGO ARTURO','CONTRERAS','18272968','20182729680','922',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18272968','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(501,'JULIANA MARIBEL','CONTRERAS','34783940','27347839405','451',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34783940','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(502,'MARIA PAULA','CONTRERAS','39996407','27399964070','1914',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39996407','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(503,'MARÍA MARTHA','CONTRERAS PAZ','29259724','27292597245','1092',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259724','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(504,'ROSANA MARIA DEL VALLE','CONTRERAS','26492707','27264927078','2030',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26492707','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(505,'IVANNA KARINA','CORDERO','27496272','27274962726','93',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27496272','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(506,'SANDRA RAFAELA','CORDERO','21685220','27216852201','707',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21685220','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(507,'ADA GABRIELA','CORDOBA','27717605','27277176055','1094',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27717605','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(508,'AMALIA VIRGINIA','CORDOBA','14899408','27148994086','124',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14899408','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(509,'ANA FLORENCIA','CORDOBA','35387822','27353878226','397',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35387822','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(510,'LUIS EDUARDO','CORDOBA ANDREATTA','25511849','20255118499','1093',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511849','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(511,'RICARDO ANDRES','CORDOBA ANDREATTA','31814481','20318144819','1568',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814481','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(512,'DIAZ MARIA JIMENA','CORDOBA','24065561','27240655611','973',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065561','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(513,'LETICIA','CORDOBA','31450573','27314505730','142',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31450573','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(514,'MARIA JULIETA','CORDOBA','31126141','27311261415','163',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31126141','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(515,'RAFAELA EVANGELINA','CORDOBA','33289130','27332891303','554',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33289130','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(516,'RICARDO MATIAS','CORDOBA','29414352','20294143522','913',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414352','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(517,'GLADYS ELIZABETH','CORDOBA RUSSO','22751629','27227516297','723',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751629','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(518,'RAUL ALFREDO','CORDOBA RUSSO','21325191','20213251911','486',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325191','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(519,'','CORDOBA VAZQUEZ FERNANDO OSCAR','32282658','20322826584','6',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282658','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(520,'CRISTIAN SEBASTIAN','CORNEJO','25302641','20253026414','1280',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302641','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(521,'FELIPE RICARDO','CORNEJO','21682525','20216825250','439',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682525','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(522,'DANTE SERGIO','CORONEL','22515286','20225152862','714',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515286','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(523,'DIEGO RUBEN','CORONEL','30768631','20307686318','788',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30768631','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(524,'ENZO SEBASTIAN','CORONEL','35389288','20353892887','198',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35389288','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(525,'HECTOR MARCELO','CORONEL','20588188','20205881884','175',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588188','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(526,'MARIA LAURA','CORONEL','32415350','27324153506','1755',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32415350','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(527,'CARLOS MARIA','CORREA','14058152','20140581527','86',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14058152','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(528,'CELIA DENISE','CORREA','37377554','27373775547','1876',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37377554','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(529,'JUAN CARLOS','CORTEZ','14324162','23143241629','195',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14324162','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(530,'CLAUDIO CESAR','CORZO','21002874','23210028749','257',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21002874','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(531,'MARA FATIMA ANAHI','COSMI','31126362','27311263620','708',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31126362','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(532,'DOMINGO ANTONIO','COSTA','26956121','20269561212','1749',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26956121','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(533,'CAMILA ANTONELLA','COSTELLO ROSS','39013025','27390130258','1934',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39013025','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(534,'SERGIO DANIEL','COSTELLO','44117820','20441178205','1894',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'44117820','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(535,'VICTOR ARTURO','COSTELLO','22515553','20225155535','1366',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515553','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(536,'HUGO LEANDRO','COSTILLA','27341329','20273413295','881',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27341329','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(537,'JULIO ALEJANDRO','COSTILLA','26187372','23261873729','855',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26187372','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(538,'MAXIMILIANO DAMIÁN','COVARO','31310325','20313103251','1095',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31310325','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(539,'ADRIAN PABLO','CRESCENTE','32080347','20320803471','1103',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32080347','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(540,'MARIANO OMAR NICOLAS','CRESPIN','40961786','20409617868','1766',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40961786','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(541,'NOELIA DEL VALLE','CRIADO','28482729','27284827290','1635',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28482729','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(542,'AGUSTINA','CROOK','31126129','27311261296','168',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31126129','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(543,'JORGE EDUARDO (H)','CROOK','33049218','20330492180','410',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049218','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(544,'VERONICA','CROOK','16058824','27160588247','613',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16058824','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(545,'NORMA NORA','CRUZ','22392532','23223925324','534',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22392532','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(546,'ROQUE ANTONIO','CRUZ','26804739','20268047396','2037',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26804739','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(547,'SELVA AURORA','CRUZ','22602775','27226027756','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22602775','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(548,'TERESITA LILIANA','CUBAS','17216819','27172168197','49',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17216819','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(549,'DIEGO ALEJANDRO','CUELLO','27341390','20273413902','623',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27341390','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(550,'FABIAN ALFREDO','CUELLO','23765360','20237653603','606',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23765360','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(551,'MARIA KARINA','CUELLO','17988852','27179888527','653',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17988852','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(552,'YAEL AYELEN','CULLIU','31524055','27315240552','1776',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31524055','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(553,'RENATA LISI','CUNDARI','31033529','27310335296','484',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31033529','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(554,'RAMON AUGUSTO','CUNEO','16667143','20166671435','134',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16667143','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(555,'FACUNDO NAHUEL ERNESTO','CUTULI ROJAS','30676399','20306763998','1096',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676399','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(556,'EDUARDO RAMON','DABATE','20397366','20203973668','128',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20397366','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(557,'ALEJANDRO C','DALLALASTA BARONI','22751247','20227512475','162',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751247','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(558,'DANIEL ALBERTO','DALMAIDA','30949540','20309495404','1602',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949540','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(559,'MARIA LAURA','DAUD','26833339','27268333393','954',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26833339','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(560,'MARIA LAURA','DE KESSERU','20355331','27203553310','1515',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20355331','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(561,'MARIA SOLEDAD','DE LA BARRERA','24830798','27248307981','1908',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830798','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(562,'DANIELA VALERIA','DE LA COLINA','25302843','27253028438','1214',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302843','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(563,'EVELYN GLADYS','DE LA FUENTE','29917340','27299173408','13',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917340','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(564,'VICTOR EMMANUEL','DE LA FUENTE','31647132','20316471324','1813',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31647132','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(565,'ALEJANDRA MERCEDES','DE LA MOTA','21913931','23219139314','676',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21913931','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(566,'NATALIA BEATRIZ','DE LA PEYRE','29259725','27292597253','2078',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259725','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(567,'MAXIMILIANO RICARDO','DE LA SILVA','33360694','20333606942','1964',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33360694','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(568,'MARIA LILIA ANA','DE LA VEGA','18572919','27185729198','622',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18572919','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(569,'TAPIA MARIANA','DE LA VEGA','21944920','27219449203','580',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21944920','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(570,'ADRIANA GABRIELA','DE MARCOS','26433043','27264330438','1230',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433043','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(571,'PATRICIA DANIELA','DE MARCOS','29651037','27296510373','993',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29651037','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(572,'ALICIA DEL CARMEN','DEL PINO','16283381','27162833818','1097',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16283381','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(573,'CESAR OMAR','DEL PINO','17529928','23175299289','583',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17529928','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(574,'INGRID NATALIA','DEL VISO','30676318','27306763186','1569',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676318','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(575,'CECILIA DEL CARMEN','DELGADO','20308187','27203081877','26',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308187','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(576,'DIMAS MAXIMILIANO','DELGADO','25746287','20257462871','944',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746287','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(577,'GIMENA DEL VALLE','DELGADO','33616577','27336165771','1955',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33616577','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(578,'ISABEL DEL VALLE','DELGADO','16353493','27163534938','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16353493','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(579,'MELISA ANAHI','DELGADO','34915361','27349153616','357',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34915361','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(580,'LAURA DEL VALLE','DELPODIO','25782744','27257827440','1698',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25782744','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(581,'ANDRES VALENTIN','DEMELCHORI','28456467','20284564678','776',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28456467','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(582,'MARIA ELENA','DENETT','25639798','27256397981','822',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25639798','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(583,'ROXANA EMILCE','DI DOI','27351572','27273515726','1377',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351572','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(584,'MILENA','DI GIACOMO','29104242','27291042428','2088',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29104242','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(585,'CAMILA ANTONELLA','DI GIOVANNI','40931057','27409310570','2063',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40931057','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(586,'MARIA INES','DI MARCO','18583482','23185834824','807',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18583482','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(587,'KAREN INGRID','DIAMANTE','30006185','27300061856','1942',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30006185','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(588,'ALEJANDRA MABEL','DIAZ','17763192','27177631928','336',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17763192','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(589,'ARIAS MARTA AZUCENA','DIAZ','21619332','27216193321','641',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21619332','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(590,'ZAIDA CECILIA','DIAZ ASSAD','29972170','27299721707','959',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29972170','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(591,'BALTAZAR DEL VALLE','DIAZ','28885568','20288855685','1315',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885568','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(592,'GRACIELA DEL VALLE','DIAZ','25928558','27259285580','1098',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928558','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(593,'HERNAN ADOLFO','DIAZ','23024921','20230249211','834',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024921','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(594,'JOSE ARNALDO','DIAZ','21944926','20219449268','663',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21944926','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(595,'KARINA DEL MILAGRO','DIAZ','24065271','23240652714','1236',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065271','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(596,'LETICIA DEL VALLE','DIAZ','18060688','27180606888','977',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18060688','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(597,'LORENA CECILIA','DIAZ','32415005','27324150051','218',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32415005','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(598,'LUJAN MARIA AGOSTINA','DIAZ','41520026','27415200264','265',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41520026','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(599,'MARIA DEL HUERTO','DIAZ','25414178','27254141785','1011',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25414178','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(600,'MARIANA','DIAZ','33049874','23330498749','144',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049874','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(601,'MARINA NAZARENA','DIAZ','43878138','27438781388','1881',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43878138','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(602,'MAXIMILIANO NAHUEL','DIAZ','36504064','20365040649','1900',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504064','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(603,'NADIA AGUSTINA','DIAZ','39012784','27390127842','1974',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39012784','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(604,'NATALIA KARINA','DIAZ','29697650','23296976504','1441',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29697650','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(605,'NATALIA SOLEDAD','DIAZ','33820055','27338200558','1735',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33820055','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(606,'REYNA JESSICA','DIAZ','34407062','20344070629','1999',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34407062','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(607,'RUBEN ANTONIO','DIAZ','29414329','20294143298','1976',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414329','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(608,'VICTOR EMMANUEL','DIAZ','35387707','24353877077','1747',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35387707','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(609,'YESICA MARIANA','DIAZ','33049614','27330496148','225',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049614','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(610,'MARIANELA','DIOLI','31233049','27312330496','1723',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31233049','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(611,'ANGELA SELENA','DOMINGUEZ','44978783','27449787833','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'44978783','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(612,'ANA BEATRIZ','DOUGLAS','26336203','27263362034','502',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26336203','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(613,'VIRGINIA ALICIA','DUARTE ACOSTA','21682676','27216826766','1434',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682676','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(614,'HERNAN ALEJANDRO','DUPRAZ','28852083','20288520837','978',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28852083','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(615,'ADRIANA MATILDE','ELIZALDE','21325608','23213256084','497',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325608','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(616,'MARIA VICTORIA','ELIZALDE','26638766','27266387666','1469',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26638766','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(617,'LEIVA DANTE FABRIZIO','ENDRIZZI','43141171','20431411718','310',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43141171','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(618,'CARLOS ERNESTO DEL VALLE','ERAZU','36504342','20365043427','388',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504342','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(619,'PAOLA LORENA','ERAZU','28885574','27288855744','55',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885574','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(620,'NOELIA DEL VALLE','EROLES','32367876','27323678761','1210',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32367876','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(621,'MARIA ALEJANDRA','ESCARLATA','23011815','27230118154','1252',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23011815','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(622,'CARLOS','ESPECHE BARRIONUEVO','42992489','20429924899','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42992489','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(623,'CLAUDIA VERONICA','ESPECHE','25117024','27251170245','1607',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117024','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(624,'EVELINA RUTH DEL VALLE','ESPECHE','29742706','27297427062','2011',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29742706','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(625,'MARIA EUGENIA','ESPECHE','30949738','23309497384','1389',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949738','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(626,'MARISTELA NATALIA','ESPECHE','26804616','27268046165','1968',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26804616','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(627,'ADRIANA NOEMI','ESPINOSA','25305799','27253057993','706',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25305799','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(628,'CLAUDIA MARIELA','ESPINOZA','23203538','27232035388','1015',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23203538','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(629,'RUBEN DARIO','ESPOSTO','32628104','20326281043','1330',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32628104','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(630,'FERNANDO DAMIAN','ESTEBAN','21847771','20218477713','628',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21847771','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(631,'PATRICIA','ESTRADA','28884414','27288844149','1761',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28884414','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(632,'IVAN LAZARO','FABRIZIO','33298511','20332985117','1617',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33298511','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(633,'ANGEL OSVALDO','FADEL','31126439','20311264398','101',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31126439','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(634,'ANA CAROLINA','FADEL CORDOBA','30949668','27309496685','746',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949668','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(635,'FERNANDO RAUL','FADEL','27900899','20279008996','794',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900899','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(636,'MARIA MILAGRO','FADEL','28607210','27286072106','420',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28607210','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(637,'CANO DANIELA','FAERMAN','22751708','27227517080','1154',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751708','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(638,'DANA LELIS','FERNANDEZ PHOEBE','41266034','27412660345','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41266034','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(639,'SERGIO GABRIEL','FERNANDEZ','27900609','20279006098','1578',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900609','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(640,'CLAUDIA ANALIA','FERRADAS','17428161','27174281616','158',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17428161','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(641,'JULIO RICARDO','FERREYRA','29105704','20291057048','1277',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29105704','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(642,'MARCOS AGUSTIN','FERREYRA','27053123','20270531238','1760',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27053123','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(643,'MARCOS JOEL','FERREYRA','36504344','20365043443','1871',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504344','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(644,'NATALIA','FERREYRA','28885785','27288857852','1793',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885785','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(645,'RAMONA LUISA','FERREYRA','25150013','23251500134','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25150013','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(646,'YAMILA NOEMI','FERREYRA TAPIA','35387666','20353876660','1722',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35387666','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(647,'MARIA AGUSTINA DEL VALLE','FERRIOLI PONESSA','38628886','27386288866','2066',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38628886','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(648,'BRENDA AYELEN','FIGUEROA','38755360','27387553601','215',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38755360','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(649,'BETSABE J','FIGUEROA BUSTAMANTE','24377089','27243770896','860',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24377089','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(650,'DIANA VIRGINIA','FIGUEROA','17216991','27172169916','690',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17216991','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(651,'GABRIEL RODRIGO','FIGUEROA','36348217','20363482172','1810',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36348217','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(652,'IVAN LEANDRO','FIGUEROA','34783402','20347834026','230',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34783402','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(653,'MARCELO','FIGUEROA','31398323','20313983235','177',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31398323','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(654,'MARTIN ANTONIO','FIGUEROA','24132381','20241323812','892',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24132381','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(655,'MILAGROS GABRIELA','FIGUEROA','43141094','27431410945','136',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43141094','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(656,'CARLOS JAVIER','FIGUEROA PAEZ','27155534','20271555343','1313',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27155534','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(657,'MARCELA ANDREA','FIGUEROA RIOS','22219832','27222198327','646',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219832','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(658,'MARIA GRACIELA','FIGUEROA RIOS','20588803','27205888034','662',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588803','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(659,'ROSALIA ANALIA','FIGUEROA','37164464','23371644644','2005',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37164464','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(660,'RUTH FABIANA','FIGUEROA','20613292','27206132928','483',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20613292','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(661,'ANA CAROLINA','FIGUEROA VICARIO','24605582','27246055829','726',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605582','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(662,'CARLOS MIGUEL','FIGUEROA VICARIO','22219482','20222194823','286',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219482','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(663,'VICTOR ARIEL','FIGUEROA','25302279','20253022796','1018',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302279','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(664,'IRMA GRACIELA','FILIPPIN','14602134','23146021344','456',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14602134','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(665,'PIERO ANGELO','FILIPPIN MIRANDA','37307420','24373074205','658',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37307420','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(666,'CLAUDIA JOSEFINA DEL VALLE','FLORES','17927001','27179270019','491',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17927001','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(667,'CLAUDIA PATRICIA','FLORES','21325486','27213254869','740',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325486','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(668,'EVARISTO','FLORES','06951897','20069518975','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'06951897','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(669,'IRINA MARIEL','FLORES','41038858','27410388583','806',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41038858','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(670,'MARIA FLORENCIA','FLORES','37632101','27376321016','637',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37632101','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(671,'RAFAEL ERNESTO','FLORES','20308987','20203089873','629',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308987','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(672,'SONIA MARIEL','FLORES','25415337','27254153376','121',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25415337','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(673,'MARIA SOLEDAD','FLORES VOLARIK','27351062','27273510627','1369',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351062','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(674,'SONIA BEATRIZ','FLORIS','18258997','27182589972','429',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18258997','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(675,'VANESA GABRIELA DEL CARMEN','FOGONZA','31766530','27317665305','1534',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31766530','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(676,'ANA VERONICA','FOLQUER','24065799','27240657991','1062',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065799','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(677,'MARIA LAURA','FORESSI BARROS','29414448','27294144485','1719',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414448','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(678,'CECILIA VERÓNICA','FORMOSO','27900862','27279008621','1099',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900862','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(679,'MARCELO MIGUEL','FORNER','17313824','20173138246','510',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17313824','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(680,'CARLOS DANIEL','FREDDOLINO','24830099','20248300990','585',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830099','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(681,'MARCELO NAHUEL','FREGENAL REYNOSO','40927153','20409271538','924',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40927153','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(682,'ANA CONSTANZA','FRIPP JOZAMI','25117166','27251171667','1450',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117166','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(683,'CLAUDIO NICOLAS','FUENTES','25302021','20253020211','1567',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302021','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(684,'RITA CECILIA','FUENTES','17313782','27173137821','1764',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17313782','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(685,'MARIA LORENA','FUENZALIDA','25140994','27251409949','1466',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25140994','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(686,'MARIANA NOELIA','FUENZALIDA','29917433','27299174331','1907',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917433','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(687,'SILVINA ANDREA','FULLANA','29414187','27294141877','239',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414187','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(688,'JUAN CARLOS','FUNES','16568994','20165689942','705',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16568994','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(689,'KLAUS','FUNK','33695089','23336950899','1293',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33695089','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(690,'LOBO ADRIANA ESTHER','FURLAN','24362587','23243625874','696',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24362587','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(691,'MARCELINA ALEJA','GAIBISO ALLES','17529873','27175298733','334',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17529873','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(692,'JORGE MARCELO','GAITAN','17216753','20172167536','76',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17216753','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(693,'MARCELA ROSSANA','GALIAN','16758960','27167589605','226',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16758960','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(694,'XIMENA AGUSTINA','GALINDEZ','43532723','27435327236','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43532723','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(695,'PABLO ALEJANDRO','GALLARDO','23024867','20230248673','201',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024867','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(696,'SILVINA ALEJANDRA','GALLARDO','28087192','27280871929','258',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28087192','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(697,'GUSTAVO ADOLFO','GALLEGUILLO','26804796','20268047965','1192',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26804796','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(698,'IRIS DANIELA','GALLO','26373316','27263733164','1100',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26373316','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(699,'MARIA LAURA','GALVAN','27351622','27273516226','1632',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351622','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(700,'CLAUDIO FERNANDO','GAMBARELLA','25302061','20253020610','228',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302061','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(701,'FRANCO MARCELO','GAMBARELLA','28782437','20287824379','942',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28782437','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(702,'ANA DANIELA','GAMBINO','29964030','27299640308','1622',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29964030','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(703,'FIGUEROA VALENTINA','GANDINI','40433645','27404336458','530',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40433645','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(704,'MAICO JAVIER','GARAY','42308549','20423085496','2021',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42308549','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(705,'GUADALUPE','GARBE','34723986','27347239866','1358',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34723986','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(706,'EDITH BEATRIZ','GARCIA','18604619','27186046191','540',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18604619','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(707,'FRANCO DAVID','GARCIA','37961866','23379618669','1768',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37961866','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(708,'LEANDRO VALENTIN','GARCIA','41038983','20410389836','1804',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41038983','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(709,'LILIANA MARIA DEL VALLE','GARCIA','17890449','27178904499','492',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17890449','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(710,'MONICA BEATRIZ','GARCIA','18357784','27183577846','100',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18357784','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(711,'NICOLAS ALBERTO','GARCIA','21997206','20219972068','854',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21997206','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(712,'OMAR ESTEBAN','GARCIA','06965119','20069651190','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'06965119','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(713,'PABLO JAVIER','GARCIA','26433370','23264333709','1101',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433370','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(714,'SAAVEDRA CARLOS HERNAN','GARCIA','31814129','20318141291','1485',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814129','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(715,'RODRIGO ALEJANDRO','GARECA','34029829','20340298293','1488',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34029829','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(716,'DANIEL BENJAMIN','GARRIBIA','45457607','20454576072','2053',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'45457607','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(717,'MARIA DE LOS ANGELES','GARRIGA','20588584','27205885841','571',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588584','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(718,'ROMINA DEL VALLE','GARRIGA','29259666','27292596664','306',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259666','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(719,'PATRICIA VIVIANA','GASPAROTTO','21654526','27216545260','574',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21654526','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(720,'VICTOR HUGO','GERLOFF','13936854','20139368542','710',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13936854','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(721,'TAMARA','GERONIMO ISIS','33929827','27339298276','444',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33929827','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(722,'FABRICIO IVAN','GERSHANI QUESADA','28647511','20286475117','1223',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28647511','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(723,'DAIANA YASMIN','GHANEM','31770204','27317702049','130',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31770204','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(724,'JORGE ARIEL','GIGANTINO','37167970','20371679708','167',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37167970','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(725,'JORGE HORACIO','GIL','28885654','20288856541','914',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885654','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(726,'LUCAS EMMANUEL','GIL','32628613','20326286134','1410',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32628613','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(727,'ORELLANA SERGIO MARTIN','GIL','32628076','20326280764','1537',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32628076','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(728,'ANDREA GISELLE','GIMENEZ','38354345','27383543458','2026',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38354345','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(729,'MARIANA DEL VALLE','GIMENEZ','39541201','27395412014','725',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39541201','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(730,'JORGE LUIS','GIORDANI','29927357','20299273572','1104',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29927357','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(731,'MARIA FLORENCIA','GIORGI STATI','27651818','27276518181','1889',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27651818','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(732,'ALEJANDRO AGUSTÍN','GOBER','22223497','20222234973','1105',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22223497','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(733,'GABRIEL ALBERTO','GODOY','31736709','20317367091','1500',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31736709','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(734,'NESTOR FABRICIO','GODOY','37554013','20375540135','390',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37554013','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(735,'CARLOS DANIEL','GOLDMAN','20570237','20205702378','149',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20570237','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(736,'MIGUEL MARTIN','GOMEZ AMIGOTT','28647598','20286475982','1215',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28647598','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(737,'ARIEL GUILLERMO','GOMEZ','22751037','20227510375','1436',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751037','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(738,'MARIA BELEN','GOMEZ BELLO','34783163','27347831633','1630',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34783163','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(739,'MARIA INES','GOMEZ BULACIOS','39390947','27393909477','1910',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39390947','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(740,'FABIANA EDITH','GOMEZ','28651781','27286517817','166',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28651781','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(741,'HECTOR ELIAS','GOMEZ','38203054','20382030541','1788',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38203054','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(742,'JORGE DANIEL','GOMEZ','20588467','20205884670','566',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588467','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(743,'JUAN ANTONIO','GOMEZ','18188024','20181880245','148',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18188024','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(744,'JUAN JOSE','GOMEZ','22751379','23227513799','1527',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751379','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(745,'JULIO ALEJANDRO','GOMEZ','25117093','20251170933','1988',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117093','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(746,'MABEL DEL CARMEN','GOMEZ','21327257','27213272573','591',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21327257','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(747,'MARIA CRISTINA','GOMEZ','16276271','27162762716','1193',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16276271','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(748,'MARTIN ALEJANDRO','GOMEZ','39014317','20390143177','1827',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39014317','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(749,'MAURICIO NICOLAS','GOMEZ MARTINEZ','39541680','20395416805','2045',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39541680','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(750,'NORA SUSANA','GOMEZ','20308026','27203080269','836',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308026','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(751,'OMAR ALEJANDRO','GOMEZ','22291116','20222911169','755',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22291116','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(752,'PABLO EXEQUIEL','GOMEZ','28647461','20286474617','1863',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28647461','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(753,'RAFAEL EDGARDO','GOMEZ','14601492','20146014926','841',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14601492','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(754,'RAMON AUGUSTO','GOMEZ','20308314','23203083149','59',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308314','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(755,'ROCIO AYELEN','GOMEZ','38752953','27387529530','1967',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38752953','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(756,'ROXANA MABEL','GOMEZ','24930377','27249303777','1465',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24930377','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(757,'RUBEN ANTONIO','GOMEZ','23831871','20238318719','545',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23831871','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(758,'VIRGINIA LOURDES','GOMEZ','41534440','27415344401','478',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41534440','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(759,'LUCIANA','GOMEZ VIZZONI','28456023','27284560235','1059',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28456023','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(760,'BRUNO ESTEBAN','GONZALEZ ARCE','25746766','20257467660','765',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746766','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(761,'JOSE SEBASTIAN','GONZALEZ ARCE','24605687','24246056877','532',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605687','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(762,'ATILIO FERNANDO','GONZALEZ','21682444','20216824440','1106',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682444','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(763,'LISANDRO','GONZALEZ BALDERRAMAS','44688252','20446882520','462',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'44688252','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(764,'FERNANDO DANIEL','GONZALEZ CANO','37531245','20375312450','1801',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37531245','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(765,'CLAUDIO RUBEN','GONZALEZ','17915188','20179151880','404',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17915188','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(766,'CRSTHIAN EMILIO','GONZALEZ','42641270','20426412706','2083',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42641270','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(767,'ELSA CAROLINA','GONZALEZ','21117109','27211171095','601',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21117109','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(768,'HUGO DANIEL','GONZALEZ','25746001','20257460011','1190',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746001','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(769,'JORGE CARLOS','GONZALEZ','24830402','20248304023','1195',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830402','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(770,'JORGELINA MACARENA','GONZALEZ','38627017','27386270177','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38627017','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(771,'JOSE FEDERICO','GONZALEZ','16276309','20162763092','270',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16276309','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(772,'MACARENA','GONZALEZ','39070823','27390708233','1893',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39070823','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(773,'MARCELO EDUARDO','GONZALEZ','16193273','20161932737','272',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16193273','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(774,'MARIA ESTER','GONZALEZ','18357714','27183577145','315',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18357714','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(775,'MARIANO IGNACIO','GONZALEZ','42047501','20420475013','1824',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42047501','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(776,'DANIELA','GONZALEZ MARTINEZ','28309535','27283095350','1044',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309535','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(777,'NORA DEL VALLE','GONZALEZ','16667745','27166677454','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16667745','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(778,'OSCAR ADRIAN','GONZALEZ','31648792','20316487921','760',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31648792','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(779,'PABLO HUGO','GONZALEZ','25928243','20259282439','1108',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928243','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(780,'PAULA VIRGINIA','GONZALEZ','36844385','27368443854','1651',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844385','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(781,'FLORENCIA LAURA','GONZALEZ PINTO','31485230','27314852309','1231',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31485230','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(782,'PAOLA DANIELA','GONZALEZ PINTO','27676012','27276760128','87',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27676012','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(783,'ROBERTO OSCAR MARCELO','GONZALEZ','24605266','20246052663','823',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605266','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(784,'NADIR EMILIANO','GONZALEZ RODRIGUEZ','43691663','23436916639','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43691663','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(785,'AGUSTIN EDUARDO','GONZALEZ RUZO','31648393','20316483934','1625',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31648393','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(786,'JOSEFINA','GONZALEZ RUZO','26373250','27263732508','858',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26373250','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(787,'ZULEMA MARIEL','GONZALEZ','21799663','27217996630','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21799663','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(788,'LUZ GISELE','GORDILLO','34187417','27341874179','1509',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187417','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(789,'OMAR SANTIAGO','GORDILLO','31691350','20316913505','1709',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31691350','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(790,'RODOLFO GONZALO','GORDILLO','32282471','20322824719','1514',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282471','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(791,'ERICA','GORKIEWICZ MORONI','23212137','27232121373','18',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23212137','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(792,'IVANA VALERIA','GOROSITO','29712943','27297129436','728',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29712943','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(793,'AGUSTIN MARIO MANUEL','GOZZANO','32681329','20326813290','1535',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32681329','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(794,'ESTEBAN FRANCISCO','GOZZANO','31037621','20310376214','1674',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31037621','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(795,'MARIA LAURA','GRAMAJO FRANSINELLI','24770496','27247704960','1751',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24770496','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(796,'MARIA ZENAIDA','GRECO','24309238','27243092383','996',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24309238','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(797,'MARÍA FLORENCIA','GRECO','26187172','27261871721','1109',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26187172','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(798,'RODRIGO SANTOS OSCAR','GRIGERA','26290847','20262908470','1309',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26290847','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(799,'DIEGO ALBERTO','GUAITIMALT','25117789','23251177899','940',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117789','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(800,'ANDREA ROMINA','GUANANJAY','31691333','23316913334','1581',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31691333','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(801,'REBECA MELISA','GUANANJAY CASTELLANOS','37167350','23371673504','557',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37167350','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(802,'NIALA DEL VALLE','GUANCA','33168869','27331688695','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33168869','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(803,'ROJO ELIANA','GUARAS','42743723','27427437235','118',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42743723','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(804,'ROJO EVANGELINA','GUARAS','38203150','23382031504','1675',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38203150','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(805,'ROJO MIGUEL ALBERTO','GUARAS','37167884','20371678841','1718',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37167884','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(806,'SERGIO JAVIER','GUARAZ','23024829','20230248290','1482',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024829','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(807,'OSMAR RAFAEL','GUARDO','22071664','20220716644','127',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22071664','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(808,'MARQUEZ JUAN JOSE','GUCHEA','14351544','20143515444','535',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14351544','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(809,'MIGUEL ALFREDO','GUERRERO','27547638','20275476383','1196',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27547638','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(810,'VIVIANA','GUERRERO','31310100','27313101008','1781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31310100','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(811,'RODRIGO IVAN','GUEVARA','32027180','20320271801','1110',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027180','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(812,'LUIS RAUL','GUILLAMONDEGUI','21754976','20217549761','577',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21754976','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(813,'MARIANO ESTEBAN','GUILLAMONDEGUI','29786750','20297867505','1437',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29786750','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(814,'VALERIA MARIANA','GUILLAMONDEGUI','26685008','27266850080','809',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26685008','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(815,'GONZALO EDUARDO','GUIÑAZU','36340759','20363407596','724',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36340759','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(816,'CLAUDIA MARCELA PATRICIA','GURVIN','25522494','27255224943','1633',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25522494','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(817,'CINTHYA NATALIA','GUTIERREZ','35500845','27355008458','1430',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35500845','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(818,'DANIELA ANTONIA','GUTIERREZ','38753308','27387533082','1972',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38753308','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(819,'FRANCO SEBASTIAN','GUTIERREZ','29259999','20292599995','1029',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259999','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(820,'HUGO LEONARDO','GUTIERREZ','22219191','20222191913','222',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219191','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(821,'HUGO LEONARDO (H)','GUTIERREZ','37168170','20371681702','1975',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37168170','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(822,'IVANA VALERIA DEL V','GUTIERREZ','28172557','27281725578','1111',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172557','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(823,'LORENA PAOLA','GUTIERREZ','30006035','27300060353','1473',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30006035','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(824,'MANUEL HUGO','GUTIERREZ','20588275','20205882759','413',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588275','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(825,'MARIA DE LOS ANGELE','GUTIERREZ','23324104','27233241046','548',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23324104','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(826,'SUSAN ETELVINA','GUTIERREZ MOLINA','33917118','27339171187','1351',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33917118','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(827,'ROXANA ELIZABETH','GUTIERREZ','27717668','27277176683','1861',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27717668','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(828,'WALTER DARIO','GUTIERREZ','32282122','20322821221','1507',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282122','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(829,'ACUÑA AGUSTIN ADOLFO','GUZMAN','34029027','20340290276','1679',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34029027','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(830,'CELESTE CAROLINA','GUZMAN BIZE','27351820','27273518202','1274',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351820','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(831,'FACUNDO ALBERTO','GUZMAN','34187264','20341872643','214',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187264','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(832,'GUILLERMO MARTIN','GUZMAN','29414334','20294143344','327',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414334','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(833,'LUCIANA PAOLA','GUZMAN','26994729','27269947298','1001',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26994729','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(834,'MARIA VICTORIA','GUZMAN','30676429','27306764298','391',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676429','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(835,'MARIA PIA','GUZMAN RODRIGUEZ','31691306','27316913062','1413',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31691306','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(836,'LUCIANA MARIA','HANSEN','27651192','27276511926','1219',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27651192','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(837,'ALEJANDRO DAVID','HAUY','25928794','20259287945','1341',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928794','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(838,'AGUEDA MARCELA','HEREDIA','17028581','27170285811','511',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17028581','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(839,'ANGELA BEATRIZ','HEREDIA','21944337','23219443374','811',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21944337','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(840,'MARIA DE LOS ANGELES','HEREDIA','30375431','27303754313','1308',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30375431','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(841,'MARIA JULIETA','HEREDIA','37167558','27371675588','1960',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37167558','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(842,'MARTIN ENRIQUE','HEREDIA','30107824','20301078243','991',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30107824','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(843,'NELSON RUBEN O','HEREDIA','13494689','20134946890','61',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13494689','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(844,'ROMINA ELENA','HEREDIA','32282633','27322826333','1006',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282633','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(845,'ERNESTO DANIEL','HERNANDEZ','18357699','20183576993','232',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18357699','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(846,'MARCELO FABIAN','HERNANDEZ','20308277','20203082771','925',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308277','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(847,'RITA ROMINA','HERNANDEZ','34915120','27349151206','1800',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34915120','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(848,'SABINA NOELIA','HERNANDEZ','32027719','27320277197','245',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027719','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(849,'SILVIA MARIA','HERRERA ACUÑA','21682263','27216822639','115',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682263','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(850,'ADRIAN DARIO','HERRERA','20018544','20200185448','895',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20018544','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(851,'GISELLE AGUSTINA','HERRERA AGUIRRE','36844848','27368448481','1845',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844848','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(852,'ALBERTO MARTIN','HERRERA','25780383','20257803830','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25780383','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(853,'ALBA ALEJANDRA','HERRERA AYBAR','27351090','27273510902','1742',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351090','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(854,'RUBEN IGNACIO','HERRERA CASTILLO','33695166','20336951667','547',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33695166','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(855,'CECILIA MARIA BELEN','HERRERA','30032849','27300328496','1840',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30032849','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(856,'CRISTIAN MARTIN','HERRERA','35518497','20355184979','282',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35518497','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(857,'DANIELA YESSICA','HERRERA','27341352','27273413524','1610',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27341352','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(858,'DANTE ALBERTO','HERRERA','17927633','20179276330','500',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17927633','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(859,'DIEGO HERNAN','HERRERA','31310373','20313103731','997',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31310373','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(860,'DIEGO JORGE','HERRERA','14058810','20140588106','283',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14058810','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(861,'ERIKA','HERRERA','31310241','27313102411','233',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31310241','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(862,'FATIMA NICOLASA ALEJAN','HERRERA','21326048','27213260486','382',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21326048','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(863,'GORDILLO MARIA VICTORIA','HERRERA','21682666','27216826669','377',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682666','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(864,'GUILLERMO BENJAMIN','HERRERA','28076539','20280765393','953',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076539','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(865,'HECTOR EDGARDO','HERRERA','24728440','20247284401','476',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24728440','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(866,'IVANNA INES','HERRERA','27341421','27273414210','1891',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27341421','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(867,'JAIRO NICOLAS','HERRERA','37532833','20375328330','2034',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37532833','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(868,'JOHANA YANEL','HERRERA','36504443','27365044436','1787',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504443','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(869,'MARIA MACARENA','HERRERA','39015861','27390158616','2018',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39015861','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(870,'MARIA PIA','HERRERA','32681972','27326819722','1452',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32681972','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(871,'MATIAS','HERRERA','44220358','20442203580','2071',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'44220358','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(872,'MONICA DEL VALLE','HERRERA','39214949','27392149495','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39214949','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(873,'NATALIA ROCIO','HERRERA','37637439','23376374394','1816',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37637439','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(874,'PAULA','HERRERA','39013738','27390137384','643',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39013738','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(875,'RICARDO ELOY','HERRERA','30676604','20306766040','863',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676604','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(876,'RICARDO JAVIER','HERRERA','25873818','20258738188','839',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25873818','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(877,'RUBENS GONZALO','HERRERA','26685236','20266852364','1114',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26685236','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(878,'SEBASTIAN ANDRES','HERRERA','26433862','20264338620','1556',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433862','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(879,'SONIA DELICIA','HERRERA ZAR','24830434','27248304346','1113',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830434','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(880,'ERIKA DANIELA','HIDALGO','26373498','27263734985','2087',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26373498','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(881,'JAVIER FERNANDO','HIDALGO','29414465','20294144650','1646',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414465','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(882,'GERMAN','HOFFMANN','41223678','20412236786','1952',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41223678','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(883,'ROBERTO ADOLFO','HOFFMANN','18256856','20182568563','1115',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18256856','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(884,'NADIA VERONICA','HUPPI','31920103','27319201039','1671',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31920103','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(885,'CLAUDIA SILVANA','IBARRA','25117127','27251171276','808',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117127','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(886,'JORGE LUIS','IBARRA','32367935','20323679356','1758',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32367935','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(887,'MARILIN ROSALBA','IBARRA','25831736','27258317365','949',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25831736','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(888,'ROJAS JUAN MANUEL','IBARRA','37306992','20373069923','1959',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37306992','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(889,'EMMANUEL ARTURO','IBAÑEZ','35501140','20355011403','495',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35501140','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(890,'HUGO ROBERTO','IBAÑEZ','16318605','20163186056','507',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16318605','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(891,'JUAN ARIEL','IBAÑEZ','22515335','20225153354','1283',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515335','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(892,'MARIANGEL','IBAÑEZ','34716928','27347169280','52',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34716928','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(893,'HORACIO EDGARDO','IDIARTE','23854228','20238542287','353',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23854228','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(894,'NORMA BEATRIZ','IGNES','22482561','27224825612','1249',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22482561','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(895,'ENZO JAVIER','IRAMAY','30504818','20305048187','366',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30504818','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(896,'ADRIAN RODRIGO','IREBA','32681990','20326819906','1832',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32681990','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(897,'PABLO GABRIEL','ISASMENDI','29073931','20290739315','1687',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29073931','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(898,'RUBEN HORACIO','ISASMENDI','21713014','20217130140','773',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21713014','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(899,'RUBEN HORACIO(H)','ISASMENDI','35869477','20358694773','741',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35869477','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(900,'ALBERTO JOSE','ISI','20924054','20209240549','48',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20924054','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(901,'JOSE SALOMON','ISI','34723426','20347234266','1612',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34723426','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(902,'LAURA VIVIANA','ISI','26856274','27268562740','722',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26856274','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(903,'MARIA GUADALUPE','ISI','27917141','27279171417','938',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27917141','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(904,'MARIA HERMINIA','ISI','23423158','27234231583','12',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23423158','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(905,'MARIO BRAIAN','ISI','38487338','20384873384','1902',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38487338','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(906,'EMELINA DEL CARMEN','JAIS','14837330','27148373308','363',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14837330','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(907,'LILIAN SOAD','JAIS','25014549','27250145492','1051',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25014549','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(908,'MARIA ZAIDA','JAIS','28392540','23283925404','2002',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28392540','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(909,'MARIA AGUSTINA','JALIL','35500518','27355005181','1069',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35500518','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(910,'SANDRA DEL VALLE','JALIL','18520489','27185204893','403',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18520489','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(911,'LUIS RICARDO','JALILE','32415024','20324150243','1704',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32415024','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(912,'PATRICIA EUGENIA','JALILE OGAS','30676481','27306764816','1511',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676481','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(913,'PAULA ELSA','JALILE OGAS','32681758','27326817584','1692',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32681758','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(914,'PABLO CESAR','JALILE','26373389','20263733895','2048',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26373389','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(915,'ANDREA VALERIA','JEREZ','35286369','27352863691','1743',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35286369','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(916,'CELIA NATALIA','JEREZ BELLIDO','26259062','27262590629','1068',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26259062','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(917,'HECTOR GONZALO','JEREZ','37089399','20370893994','206',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37089399','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(918,'MARIA SARA','JEREZ','03767286','27037672861','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'03767286','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(919,'CARLOS GUSTAVO','JIMENEZ','21896506','20218965068','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21896506','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(920,'FRANCO TADEO','JIMENEZ','43362375','20433623755','423',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43362375','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(921,'MERCEDES BEATRIZ','JIMENEZ','22429646','27224296466','844',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22429646','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(922,'BLANCA GUILLERMINA','JOULIA FIGUEROA','29537351','27295373518','271',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29537351','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(923,'FABIANA DEL VALLE','JUAREZ','23751010','27237510106','1361',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23751010','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(924,'MARIANO ALBERTO','JUAREZ','39996843','20399968438','1918',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39996843','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(925,'NOELIA VANESA','JUAREZ','34160211','23341602114','615',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34160211','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(926,'ANDREA DEL VALLE','JUAREZ VARELA','31310362','27313103620','1708',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31310362','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(927,'MARCELO DOMINGO','JUAREZ VARELA','25511815','20255118154','827',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511815','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(928,'GUILLERMO IVAN','JULIO','28503835','23285038359','1860',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28503835','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(929,'WALTER ALEJANDRO','KAUFMAN','23198887','20231988875','821',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23198887','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(930,'GERONIMO PEDRO','KLOSTER','06449916','20064499166','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'06449916','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(931,'ANTONELLA','KRANEVITTER','32027851','27320278517','1518',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027851','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(932,'SERNA JUAN MANUEL','LA','20997093','20209970938','731',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20997093','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(933,'JOSE','LABAQUE','31814097','23318140979','161',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814097','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(934,'ALANIZ MAYA LUCRECIA','LABORDE','38627203','23386272034','333',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38627203','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(935,'ALBA LILIANA','LAGORIA','24097216','27240972161','31',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24097216','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(936,'RICARDO ARIEL','LAGORIA','23031706','20230317063','542',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23031706','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(937,'ORLANDO DAVID','LARA','31814617','23318146179','301',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814617','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(938,'MELANIE MABEL','LARCHER BOTTURI','39014547','27390145476','1773',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39014547','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(939,'STEPHANIE ALEJ','LARCHER BOTTURI','35269155','27352691556','178',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35269155','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(940,'ELSA GRACIELA','LARCHER','16449785','27164497858','594',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16449785','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(941,'MARTIN NESTOR HUGO','LEDESMA','29290903','23292909039','2032',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29290903','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(942,'JUAN CARLOS','LEGUIZAMON ALMENDRA','29187373','20291873732','1703',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29187373','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(943,'CARLOS DARIO','LEGUIZAMON','28176560','20281765605','1531',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28176560','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(944,'FABIO ROMAN','LEGUIZAMON','35389197','23353891979','50',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35389197','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(945,'MARIA SOLEDAD','LEGUIZAMON','33289167','27332891672','1555',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33289167','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(946,'MARIA SOLEDAD','LEIVA','29553100','27295531008','1904',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29553100','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(947,'MARIA SOLEDAD (LIC','LEIVA','27053010','27270530104','28',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27053010','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(948,'ANDREA ELENA','LEIVA SOTO','35387954','27353879540','412',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35387954','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(949,'STELLA MARIS','LEIVA','27155817','27271558177','267',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27155817','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(950,'VERONICA ELIZABETH','LEIVA','31397478','27313974788','1736',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31397478','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(951,'CECILIA','LENCINA','26804848','27268048486','131',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26804848','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(952,'FLORES ANA CECILIA','LENCINA','16058871','27160588719','278',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16058871','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(953,'HUGO ARMANDO','LENCINA','32027908','23320279089','1198',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027908','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(954,'MIRIAN LAURA','LENCINA','23315051','27233150512','939',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23315051','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(955,'PABLO ALBERTO','LENCINA','26433583','20264335834','1117',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433583','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(956,'DEBORA PAULA','LESCHINSKY','17216885','27172168855','309',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17216885','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(957,'ALEJANDRO MIGUEL','LESIW ARAOZ','34029206','20340292066','1538',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34029206','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(958,'ALEJANDRA SOLEDAD','LEUCA','24751423','27247514231','1053',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24751423','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(959,'GONZALEZ IVANA KARINA','LEYRIA','29390341','27293903412','207',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29390341','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(960,'ELIAS FABRICIO','LEZANA','26736669','20267366692','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26736669','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(961,'MARIA LAURA','LIENDO','30504996','23305049964','1700',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30504996','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(962,'ANDREA NATALIA','LINDOW','28995344','27289953448','1299',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28995344','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(963,'WILSON PABLO ALEJANDRO','LINDOW','25302625','20253026252','1118',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302625','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(964,'SEBASTIAN ANDRES','LIPARI','25858729','20258587295','1311',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25858729','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(965,'CECILIA CONSTANZA','LLANCE','31126493','27311264937','1201',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31126493','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(966,'MARIA FLORENCIA','LLANCE','34915028','27349150285','1712',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34915028','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(967,'ALEJANDRO','LOAIZA','36053385','23360533859','1774',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36053385','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(968,'BRENDA ROMINA','LOBO','29917384','23299173844','1058',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917384','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(969,'HUGO ALBERTO','LOBO','17638122','20176381222','181',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17638122','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(970,'HUGO RAUL ISIDRO','LOBO','22515738','20225157384','389',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515738','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(971,'LINA RAQUEL','LOBO','20925360','27209253602','642',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20925360','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(972,'LOPEZ MARTIN ALEJANDRO','LOBO','28309626','20283096263','941',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309626','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(973,'LOURDES MILAGROS','LOBO','31648652','27316486520','1392',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31648652','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(974,'LUCAS MAXIMILIANO','LOBO','30805505','20308055052','1237',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30805505','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(975,'MARCELA','LOBO','18188105','23181881054','587',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18188105','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(976,'RAMON ALEJANDRO','LOBO','30676513','20306765133','1716',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676513','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(977,'SANDRA CECILIA','LOBO','34187239','27341872397','275',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187239','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(978,'SANTILLAN PAULA DANIELA','LOBO','35389119','27353891192','434',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35389119','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(979,'AGUSTIN','LOBO TRISTAN','24770675','20247706756','1897',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24770675','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(980,'JAVIER GUSTAVO','LOBOS CENTENO','31221643','20312216435','1349',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31221643','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(981,'JOHANA VANESA','LOBOS','28995449','27289954495','1119',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28995449','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(982,'MARIO JOSE ANTONIO','LOBOS','17428478','20174284785','330',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17428478','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(983,'SILVIA CAROLINA','LOBOS','28076409','23280764094','1273',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076409','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(984,'ACUÑA SEBASTIAN ERNESTO','LOPEZ','25609654','20256096545','825',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25609654','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(985,'ANA REBECA','LOPEZ','37165132','27371651328','1854',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37165132','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(986,'CYNTHIA LORENA','LOPEZ','29071224','27290712241','251',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29071224','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(987,'DANIELA ANA','LOPEZ','28384912','27283849126','303',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28384912','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(988,'DIEGO ALEJANDRO','LOPEZ','28885794','20288857947','1332',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885794','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(989,'FLORENCIA ANAHI','LOPEZ','38224049','27382240494','41',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38224049','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(990,'FRANKLIN ENRIQUE','LOPEZ','24309943','23243099439','1225',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24309943','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(991,'ANA MATILDE','LOPEZ GAFFET','22751912','27227519121','908',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751912','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(992,'SANDRA GRACIELA D','LOPEZ GARDEL','18238727','23182387274','319',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18238727','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(993,'JORGELINA ANDREA','LOPEZ','24902267','27249022670','1120',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24902267','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(994,'JOSE DANIEL','LOPEZ','27532284','23275322849','38',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27532284','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(995,'JOSE MARIA','LOPEZ','25117090','20251170909','266',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117090','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(996,'LILIA EGLE','LOPEZ','27547648','27275476485','1921',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27547648','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(997,'LUCIANA ESTHER DEL ROSARIO','LOPEZ','40724859','27407248592','1969',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40724859','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(998,'MARCELA TERESITA','LOPEZ','24065727','27240657274','872',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065727','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(999,'MARIA BELEN','LOPEZ','26570868','23265708684','1188',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26570868','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1000,'MARIA VICTORIA','LOPEZ','29773716','27297737169','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29773716','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1001,'MIRIAM CECILIA','LOPEZ','27015295','27270152959','321',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27015295','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1002,'RAFAEL ALEJANDRO','LOPEZ','32282062','20322820624','1539',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282062','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1003,'MARIA FABIANA','LOPEZ SABATINI','18476077','27184760776','562',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18476077','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1004,'SERGIO EDUARDO','LOPEZ','27351231','20273512315','1032',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351231','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1005,'SERGIO FABIAN','LOPEZ','20924652','20209246520','299',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20924652','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1006,'SONIA ALEJANDRA','LOPEZ','23309884','27233098847','672',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309884','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1007,'VERONICA JUDITH','LOPEZ','20925029','27209250298','369',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20925029','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1008,'WALTER DIEGO','LOPEZ','28456387','20284563876','447',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28456387','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1009,'YANINA','LOPEZ','36844765','27368447655','1591',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844765','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1010,'ROBERTO ALEXIS','LOYOLA','31691173','20316911731','1639',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31691173','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1011,'SERGIO MARIANO','LOYOLA','32027224','20320272247','1551',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027224','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1012,'FIGUEROA MARCIA ALICIA','LOZADA','21325424','27213254249','644',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325424','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1013,'MORENO NORMA CECILIA','LOZADA','24309158','27243091581','853',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24309158','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1014,'MIGUEL ANGEL','LOZANO GILYAM','22958898','20229588983','2015',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22958898','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1015,'MARÍA DE LOS ANGELES','LUCENA','24260361','27242603619','1122',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24260361','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1016,'JUAN ALBERTO','LUCERO','25746114','23257461149','691',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746114','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1017,'GUSTAVO MARCELO','LUDUEÑA','27717810','23277178109','1123',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27717810','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1018,'SONIA ALEJANDRA','LUDUEÑA','18477520','23184775204','84',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18477520','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1019,'BARBARA ROMINA','LUJAN','30207119','27302071190','910',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30207119','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1020,'BARRIENTOS ERICA ANALIA','LUJAN','27060620','27270606208','828',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27060620','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1021,'AGUERO CAROLINA NOE','LUNA','37306991','23373069914','1808',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37306991','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1022,'AGUERO JONATHAN ARON','LUNA','35388566','23353885669','1966',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35388566','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1023,'ANIBAL GERMAN','LUNA','29786527','20297865278','1491',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29786527','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1024,'EMILCE DEL VALLE','LUNA CASTRO','37307186','27373071868','1954',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37307186','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1025,'CLARA NANCY','LUNA','17879101','27178791015','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17879101','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1026,'DANIEL ALBERTO','LUNA','20588005','20205880055','45',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588005','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1027,'GRISELDA ELIZABETH','LUNA','28718360','27287183602','1020',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28718360','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1028,'IRIS FABIOLA','LUNA','26804604','27268046041','1558',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26804604','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1029,'JAVIER ERNESTO','LUNA','23854908','20238549087','679',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23854908','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1030,'JORGE ARIEL','LUNA','27053268','20270532684','748',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27053268','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1031,'JULIO EDGARDO','LUNA','20588916','20205889168','586',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588916','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1032,'KARINA DEL VALLE','LUNA','33049371','27330493718','1965',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049371','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1033,'LUCAS MIGUEL','LUNA','40433398','20404333985','406',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40433398','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1034,'LUIS ALBERTO','LUNA','25928143','20259281432','174',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928143','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1035,'MARIA IVANA','LUNA','30375421','27303754216','459',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30375421','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1036,'MARTINA','LUNA','29714978','23297149784','1629',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29714978','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1037,'NESTOR HUGO','LUNA','16276577','23162765779','636',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16276577','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1038,'RODOLFO ANTONIO','LUNA','25050873','20250508736','972',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25050873','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1039,'VIOLETA DEL VALLE','LUNA','22515081','27225150813','185',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515081','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1040,'MARIA CONSTANZA','MACEDO','30949824','27309498246','1314',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949824','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1041,'DANILO LEONARDO','MACIAS','33289135','23332891359','1733',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33289135','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1042,'MARIA ALEJANDRA','MACIAS','21758685','27217586858','752',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21758685','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1043,'OSCAR ALEXIS','MACIAS','31814663','20318146633','1525',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814663','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1044,'MARIA CECILIA','MAGAQUIAN','31868420','27318684206','373',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31868420','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1045,'BRIZUELA MIRNA JULIETA','MAIDANA','25928929','27259289292','1347',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928929','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1046,'HECTOR RODOLFO','MAIDANA','13604109','20136041097','98',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13604109','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1047,'MARIA ALEJANDRA','MAIDANA','27351486','23273514864','999',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351486','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1048,'MARISOL DE VALLE','MAIDANA','25111060','27251110609','666',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25111060','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1049,'CINTHIA SOLEDAD','MAINERO ISI','33049621','27330496210','51',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049621','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1050,'ALEJANDRO GABRIEL','MALANO','20539887','20205398873','1050',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20539887','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1051,'MARIANO GUILLERMO','MALDONADO','17638168','20176381680','584',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17638168','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1052,'NELSON MARCELO','MALDONADO','16643147','20166431477','477',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16643147','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1053,'NESTOR GABRIEL','MALDONADO','26804728','20268047280','1667',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26804728','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1054,'ROMINA ANDREA','MALDONADO','34443567','27344435672','339',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34443567','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1055,'ULISES NAHUEL','MALDONADO','40724803','20407248032','122',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40724803','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1056,'CARMEN DALILA','MAMANI','28873125','27288731255','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28873125','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1057,'HEBE ELIZABETH','MAMANI','24574604','27245746046','852',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24574604','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1058,'JONATAN JAVIER','MAMANI','34001607','20340016077','2044',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34001607','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1059,'MARIA EMILIA','MAMANI LEGUIZAMON','35934848','27359348482','1407',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35934848','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1060,'NESTOR EDUARDO','MAMANI','21531078','20215310788','543',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21531078','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1061,'SILVA JOSE EMILIO','MAMANI','23561032','23235610329','719',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561032','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1062,'TAMARA ZOÉ','MAMANI','42217147','27422171474','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42217147','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1063,'LUCAS EMMANUEL','MANDATORI','28383052','20283830528','1648',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28383052','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1064,'CRISTINA BEATRIZ','MANFREDI','20308564','27203085643','519',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308564','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1065,'LORENA ALICIA','MANFREDI','27496338','27274963382','1056',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27496338','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1066,'SILVIA ELISA','MANFREDI','22751673','27227516734','575',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751673','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1067,'STELLA MARIS','MANFREDI','17890091','27178900914','558',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17890091','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1068,'MARIA JOSE','MANRIQUE EYZAGUIRRE','30325757','27303257573','312',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30325757','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1069,'DANIELA','MANSILLA','37637319','27376373199','1721',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37637319','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1070,'KARINA ELIZABETH','MANSILLA','37306437','27373064373','1890',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37306437','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1071,'MATIAS','MANSILLA','32755953','20327559533','1357',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32755953','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1072,'OLIVA MARIA FERNANDA','MANSILLA','39693638','27396936386','1288',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39693638','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1073,'MARIA MERCEDES','MANZI','32681243','27326812434','1516',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32681243','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1074,'FERNANDO RUBEN','MARCHIOLI','23024135','20230241350','1303',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'123','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,3,2,1,1,4,2,NULL),(1075,'AGUSTIN JAVIER','MARCIAL','21326439','20213264398','665',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21326439','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1076,'CRISTIAN MARCELO','MARCIAL','26256784','20262567843','188',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26256784','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1077,'LISANDRO','MARCOLLI','29917371','20299173713','311',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917371','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1078,'MARIA EUGENIA','MARCOLLI','25928906','27259289063','1039',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928906','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1079,'MARÍA CELESTE','MARENCO','26853334','27268533341','1124',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26853334','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1080,'ARTURO HIPOLITO','MARGRINA','29481894','20294818945','1636',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29481894','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1081,'JORGE IVAN','MARIN','26433131','20264331316','919',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433131','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1082,'JAZMIN NOEMI','MARTEL','39063749','27390637492','10',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39063749','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1083,'NESTOR HERNAN','MARTEL','22751387','20227513870','75',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751387','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1084,'MARIA JOSE','MARTIN','26118135','27261181350','1688',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26118135','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1085,'MARIA MORAIMA','MARTIN','25555527','27255555273','1365',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25555527','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1086,'IGNACIO NICOLAS','MARTINEZ ABRATTE','37637634','20376376347','241',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37637634','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1087,'ANA BEATRIZ','MARTINEZ','33049056','27330490565','1729',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049056','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1088,'CAROLINA DEL','MARTINEZ ANDUJAR','22688136','27226881366','1255',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22688136','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1089,'JUAN IGNACIO','MARTINEZ AZAR','37482773','20374827732','2007',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37482773','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1090,'MARIA FLORENCIA','MARTINEZ AZAR','34443692','23344436924','156',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34443692','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1091,'MARIA CANDELARIA','MARTINEZ BERRIER','43532365','27435323656','418',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43532365','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1092,'MARIA SOL','MARTINEZ BOMBELLI','31310415','27313104155','1390',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31310415','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1093,'GASTON UCIEL','MARTINEZ BUSTOS','40433675','20404336755','2025',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40433675','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1094,'CARLOS ERNESTO','MARTINEZ','28172532','20281725328','835',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172532','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1095,'ELIANA GISELA','MARTINEZ','38223693','27382236934','1991',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38223693','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1096,'GUSTAVO FEDERICO JOSE','MARTINEZ','12103781','20121037816','467',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'12103781','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1097,'JORGE RAUL ENRIQUE','MARTINEZ','25302996','20253029960','1322',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302996','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1098,'JOSE LEANDRO','MARTINEZ','18539250','20185392504','329',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18539250','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1099,'JUAN LUCAS','MARTINEZ','36839921','20368399214','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36839921','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1100,'MARCELA BEATRIZ','MARTINEZ','33889581','27338895815','896',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33889581','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1101,'MARIA CONSTANZA','MARTINEZ','31310010','27313100109','1401',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31310010','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1102,'MARIA FLORENCIA','MARTINEZ','34129632','27341296329','338',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34129632','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1103,'MARIA JULIA','MARTINEZ','17134453','27171344536','37',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17134453','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1104,'MARIA NATALIA','MARTINEZ','24309212','23243092124','1395',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24309212','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1105,'MAXIMILIANO JULIAN','MARTINEZ','33534468','20335344686','1421',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33534468','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1106,'OCTAVIA NOEL','MARTINEZ','37532757','20375327571','1730',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37532757','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1107,'RAUL ALBERTO','MARTINEZ','17313872','20173138726','820',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17313872','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1108,'SALAZAR GUILLERMO ALB','MARTINEZ','23959884','20239598847','1199',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23959884','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1109,'SERGIO RAUL','MARTINEZ','16127683','23161276839','596',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16127683','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1110,'VALENTINO RAFAEL','MARTINEZ','43449018','23434490189','2003',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43449018','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1111,'EDUARDO DANTE','MARTOCCIA','23561480','20235614805','56',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561480','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1112,'SILVIO','MARTOCCIA','31182391','20311823915','34',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31182391','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1113,'VIRGINIA LUZ','MARTOCCIA','40961770','27409617706','1779',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40961770','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1114,'SAADI MARIA CECILIA','MAS','29786732','27297867321','1374',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29786732','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1115,'NADIA GISELLE','MASCAREÑO RIOS','39015078','23390150784','2036',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39015078','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1116,'LUDMILA','MATORRAS ORNELLA','30984665','27309846651','1481',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30984665','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1117,'GABRIEL FEDERICO','MATURANO','27568311','20275683117','1394',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27568311','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1118,'LOURDES JEANETTE','MATURANO','32018668','23320186684','717',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32018668','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1119,'MARTIN GUILLERMO','MATURANO WAGNER','27975644','20279756445','1993',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27975644','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1120,'DANIEL ALBERTO','MAUBECIN','32027928','20320279284','1498',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027928','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1121,'MIGUEL ANDRES','MAUVECIN','16283325','20162833252','454',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16283325','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1122,'MARIA LUCRECIA','MAYORGA DE MARCOS','28995160','27289951607','2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28995160','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1123,'LUCIA DEL VALLE','MAZA','25117660','23251176604','1043',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117660','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1124,'SONIA ELIZABETH','MAZA','17578933','27175789338','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17578933','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1125,'JORGE LUIS','MAZZUCCO','25302819','20253028190','1048',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302819','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1126,'VICTOR HUGO','MEDIAVILLA','25124865','20251248657','1565',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25124865','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1127,'ALFREDO DEL VALLE','MEDINA','16283936','20162839366','356',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16283936','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1128,'ANA ILSE','MEDINA','31648796','27316487969','1400',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31648796','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1129,'GRACIELA ALEJANDRA','MEDINA','23309415','27233094159','398',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309415','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1130,'GUSTAVO GABRIEL','MEDINA','31323452','20313234526','360',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31323452','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1131,'JOSEFINA MARIA','MEDINA','35388208','27353882088','1717',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35388208','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1132,'JULIO ROGELIO','MEDINA','30805973','20308059732','1588',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30805973','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1133,'LUANA CANDELA','MEDINA','42710771','27427107715','77',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42710771','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1134,'MARCELA PAOLA','MEDINA','31468787','27314687871','1014',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31468787','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1135,'MARIA CECILIA','MEDINA','24065948','23240659484','744',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065948','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1136,'MARIA EMILIA','MEDINA','29527305','23295273054','2080',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29527305','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1137,'SOFIA GISEL','MEDINA ORELLA','41624304','27416243048','2086',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41624304','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1138,'MARIA DEL CARM','MEDINA PALACIOS','22068478','23220684784','1013',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22068478','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1139,'WALTER FERNANDO','MEDINA','23561838','23235618389','1318',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561838','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1140,'MAVI','MELNIK','31205037','23312050374','1875',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31205037','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1141,'VERONICA','MELNIK','27053240','27270532409','1496',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27053240','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1142,'LUIS MARIA','MENA TAPIA','32678370','20326783707','1475',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32678370','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1143,'ALINA','MENDEZ','25380732','27253807321','1125',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25380732','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1144,'CARLOS MARIA DAMIAN','MENDEZ','24504041','20245040416','183',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24504041','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1145,'MELISA','MENDEZ','24671392','27246713923','882',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24671392','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1146,'PEDRO SEBASTIAN','MENDOZA','37464120','20374641205','395',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37464120','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1147,'SARA LIA DEL VALLE','MENDOZA','34444074','27344440749','1780',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34444074','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1148,'CARLOS ANTONIO','MERCADO','32681684','20326816842','1846',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32681684','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1149,'ENZO RICARDO','MERCADO','31814489','20318144894','1690',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814489','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1150,'IGNACIO BENJAMIN','MERCADO','40598164','24405981641','1819',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40598164','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1151,'JOSELINA ALEJANDRA','MERCADO','36347664','27363476649','1472',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36347664','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1152,'LUIS GUILLERMO SEGUNDO','MERCADO','32282519','20322825197','1342',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282519','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1153,'MARIA MARGARITA','MERCADO','28076456','27280764561','1061',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076456','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1154,'MARIA VERONICA','MERCADO','20588401','27205884012','572',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588401','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1155,'MIGUEL ANGEL','MERCADO','22664040','20226640402','1200',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22664040','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1156,'PABLO ALEJANDRO','MERCADO','30676443','20306764439','1544',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676443','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1157,'PABLO EMANUEL','MERCADO','37306627','20373066274','1911',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37306627','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1158,'ROBERTO EDUARDO','MERCADO','30364615','23303646159','1319',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30364615','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1159,'ALEJANDRO HECTOR DANIEL','MERELES','32519359','20325193590','1583',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32519359','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1160,'LERY ELIANA','MERELES','27256196','27272561961','1227',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27256196','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1161,'DANIEL ESTEBAN','MIGUEL','23618785','20236187854','750',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23618785','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1162,'MARIO DUILIO','MILLAN','35501019','20355010199','1594',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35501019','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1163,'SILVINA MONICA','MILLAN','17313927','27173139271','192',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17313927','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1164,'RUBEN BERNARDO','MILSTEIN','25872632','20258726325','1054',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25872632','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1165,'MARIA FERNANDA','MINOTTO','31287306','27312873066','1669',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31287306','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1166,'ALCIDES ISAURO','MIRANDA','22219298','20222192987','1246',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219298','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1167,'ANA CAROLINA','MIRANDA','28995046','27289950465','1660',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28995046','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1168,'ANA VERONICA','MIRANDA','28885567','27288855671','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885567','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1169,'FELIX LORENZO','MIRANDA','18041233','20180412337','878',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18041233','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1170,'FLAVIA AGUSTINA','MIRANDA','06212136','27062121365','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'06212136','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1171,'LISA FABIOLA','MIRANDA LEIVA','31814802','27318148029','1805',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814802','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1172,'MARIA DE LAS NIEVES','MIRANDA','38203524','27382035246','355',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38203524','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1173,'MATHIAS BERNABE','MIRANDA','35934276','20359342765','1595',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35934276','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1174,'MELINA DEL CARMEN','MIRANDA','39541298','27395412987','2040',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39541298','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1175,'ROMANO ARIANA','MIRANDA','42268138','27422681383','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42268138','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1176,'YESICA ANDREA','MIRANDA','29104319','23291043194','1238',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29104319','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1177,'VALENTINA','MOGETTA PREVEDELLO','30949593','23309495934','975',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949593','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1178,'MAGDALENA EDITH','MOHADED AYBAR','27900624','27279006246','1933',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900624','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1179,'MARCELA ANALIA','MOHADED AYBAR','27900623','27279006238','1657',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900623','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1180,'','MOLAS JALIL MELISSA SOLANGE','43140758','20431407583','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43140758','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1181,'MIRIAM SILVINA','MOLAS','27351878','27273518784','1426',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351878','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1182,'ANA LILIA','MOLINA','25302771','27253027717','176',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302771','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1183,'FERNANDO EDUARDO','MOLINA','34723425','20347234258','1571',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34723425','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1184,'LUIS ALEJANDRO','MOLINA','23854361','20238543615','503',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23854361','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1185,'LUIS JAVIER','MOLINA','28172522','20281725220','763',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172522','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1186,'MARIA CANDELA','MOLINA','35388179','27353881790','78',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35388179','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1187,'MARIA DE LOS ANGELES','MOLINA','28435778','27284357782','60',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28435778','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1188,'MARIA LAURA','MOLINA','28647383','27286473836','1355',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28647383','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1189,'MARIA OLGA','MOLINA','24156956','27241569565','1467',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24156956','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1190,'PAULA','MOLINA','30657782','24306577820','11',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30657782','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1191,'VILMA NELLY','MOLINA','16283250','27162832501','344',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16283250','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1192,'MARCELO ALEJANDRO','MOLL','22370444','20223704442','813',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22370444','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1193,'VALERIA INES ROS','MOLTO LASCANO','25511017','27255110174','1363',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511017','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1194,'MARCELO J','MONASTERIO BORDON','24605546','20246055468','1126',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605546','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1195,'CARLOS ANTONIO','MONASTERIO','28745286','20287452862','1393',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28745286','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1196,'JULIETA','MONASTERIO FIGUEROA','27552196','27275521960','1336',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27552196','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1197,'LORENZO MARTIN','MONASTERIO','28885800','20288858005','449',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885800','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1198,'JUAN FRANCISCO','MONFERRAN','29414034','20294140345','1067',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414034','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1199,'JUAN JOSE','MONFERRAN','34032913','23340329139','1738',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34032913','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1200,'JOSE MARCELO','MONGES','22408846','23224088469','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22408846','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1201,'ELIANA VANINA','MONJES','33695249','27336952498','667',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33695249','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1202,'ADOLFO MARCELO','MONLLAU GRIMA','21944255','20219442557','1650',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21944255','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1203,'MARIA SILVIA','MONTALVAN','36348392','27363483920','1924',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36348392','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1204,'NICOLAS DIRCEO','MONTENEGRO','36504817','20365048178','1885',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504817','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1205,'GUILLERMO','MONTERO','33415198','20334151981','1997',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33415198','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1206,'SERGIO DANIEL','MONTIVERO','20346668','20203466685','4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20346668','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1207,'ANDREA CAROLINA','MONTOYA','32629658','27326296584','1626',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32629658','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1208,'CELIA FERNANDA','MONTOYA','37307376','27373073763','1702',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37307376','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1209,'LEANDRO AGUSTIN','MORABITO','39691567','20396915678','1811',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39691567','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1210,'MARIO RODRIGO','MORABITO','26180970','20261809703','633',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26180970','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1211,'ALEJANDRA DEL CARMEN','MORALES','20588948','27205889480','624',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588948','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1212,'OSWALDO WILFREDO NADIR','MORALES APAZA','19072398','20190723985','1794',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'159357','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,1,3,1,1,2,1,NULL),(1213,'CRISTIAN EXEQUIEL','MORALES','38754329','20387543296','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38754329','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1214,'DAYANA LUTMILA','MORALES','43821560','27438215609','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43821560','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1215,'ELVIO ORLANDO','MORALES','26155144','20261551447','1476',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26155144','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1216,'GIMENA GUADALUPE','MORALES','41038953','27410389539','1951',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41038953','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1217,'HECTOR DANIEL','MORALES','28147331','20281473310','1140',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28147331','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1218,'JOSE MARIANO','MORALES','37307588','20373075885','1623',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37307588','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1219,'JUAN MANUEL','MORALES','41749315','20417493159','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41749315','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1220,'LEON AGUSTIN','MORALES','36348309','20363483098','1977',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36348309','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1221,'MARIA CLAUDIA','MORAN','20302079','27203020797','605',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20302079','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1222,'CARLOS ROLANDO','MORCOS','24605392','20246053929','419',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605392','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1223,'CESAR RENE','MORCOS','25511608','20255116089','1282',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511608','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1224,'EFRAIN JOSE','MORCOS','29259511','20292595116','1298',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259511','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1225,'JUAN IGNACIO','MORCOS','28172324','20281723244','887',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172324','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1226,'LUCIANO FEDERICO','MORCOS','35934425','20359344253','1543',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35934425','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1227,'ZAMORA CARLA ZENAIDA','MORCOS','41038758','27410387587','1882',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41038758','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1228,'LUISA ELVIRA','MOREIRA','14324570','27143245700','453',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14324570','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1229,'ARIANA ELISABETH','MORENO','42991960','27429919601','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42991960','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1230,'DORA EDITH','MORENO','31450516','27314505161','2082',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31450516','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1231,'EVELYN YANEL','MORENO','34160444','27341604449','414',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34160444','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1232,'FRANCO DANIEL','MORENO','28606738','20286067388','104',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28606738','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1233,'JODITH DEL VALLE','MORENO','22187662','27221876623','17',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22187662','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1234,'JUAN JOSE','MORENO','35286315','20352863158','1696',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35286315','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1235,'JUAN MANUEL','MORENO','14837222','20148372226','261',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14837222','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1236,'JUDITH DE LOS ANGELES','MORENO','14601594','27146015943','331',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14601594','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1237,'LUCAS MARTIN','MORENO','39015164','20390151641','1932',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39015164','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1238,'GABRIELA DEL','MORENO MERCADO','35934454','27359344541','79',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35934454','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1239,'RENE MARCELO','MORENO','18583667','20185836674','446',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18583667','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1240,'SONIA LEONOR','MORENO','25570361','27255703612','80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25570361','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1241,'CARLOS ALBERTO','MORENO VASQUEZ','23024830','20230248304','1287',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024830','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1242,'SONIA DEL VALLE','MORENO YUNIS','25746855','27257468556','409',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746855','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1243,'MARIA EUGENIA','MORETA CONSTAN','35387735','27353877351','351',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35387735','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1244,'SERGIO DANIEL','MOREYRA','35388481','20353884817','2038',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35388481','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1245,'NESTOR SEBASTIAN','MOYA AVALO','36504711','20365047112','2010',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504711','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1246,'CARLOS ALBERTO','MOYA','29651144','20296511448','969',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29651144','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1247,'GERMAN ANDRES','MOYA','32027328','20320273286','1487',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027328','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1248,'GONZALEZ FLAVIA FLOR DEBORA','MOYA','34716974','27347169744','1317',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34716974','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1249,'HECTOR CORNELIO','MOYA','33550198','20335501986','1640',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33550198','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1250,'HUGO FERNANDO','MOYA','26433607','20264336075','1127',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433607','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1251,'JORGE ORLANDO','MOYA','21325657','20213256573','805',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325657','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1252,'JOSE LUIS','MOYA','18432163','20184321638','5',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18432163','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1253,'JULIO RUBEN','MOYA','22219504','20222195048','2068',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219504','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1254,'MARCELO ALEJANDRO','MOYA','18060968','20180609688','291',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18060968','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1255,'MARIA DEL PILAR','MOYA','21994214','27219942147','527',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21994214','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1256,'PATRICIA FERNANDA','MOYA','24830168','27248301681','1129',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830168','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1257,'RAUL EDGARDO','MOYA','22751986','20227519860','323',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751986','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1258,'LAURA CAROLINA','MOYA SALAS','27717535','27277175350','1128',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27717535','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1259,'VERÓNICA SOLEDAD','MOYA','27351567','23273515674','1130',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351567','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1260,'WALTER MAXIMILIANO','MOYA','32027257','20320272573','1923',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027257','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1261,'AGUSTINA GIULIANA','MOYANO','39621134','27396211349','1909',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39621134','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1262,'VERONICA DEL VALLE','MOYANO','23203529','27232035299','661',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23203529','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1263,'JORGE ARTURO','MURER','13732790','20137327903','485',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13732790','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1264,'FERNANDO RUBEN','MURO','21682466','20216824661','499',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682466','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1265,'LUIS EDGARDO','MURO','20924872','20209248728','815',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20924872','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1266,'MARCOS','MUSELLA','39016170','20390161701','448',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'marcos112233','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,2,2,1,1,2,1,NULL),(1267,'RENATO PABLO MIGUEL','MUSELLA','20588329','20205883291','402',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588329','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1268,'MARTHA LOURDES','MUSELLA VELAZCO','38627758','27386277589','1888',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38627758','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1269,'RUBEN EDGARDO','MUSRI','16276221','20162762215','1295',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16276221','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1270,'MARIA ALEJANDRA','MUSSO','25761096','27257610964','1220',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25761096','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1271,'MARCELO DANIEL','MUZZUPAPPA','29119233','20291192336','1132',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29119233','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1272,'ROMINA LETICIA','MUZZUPAPPA','26642824','27266428249','956',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26642824','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1273,'KARINA IVONNE','NAAME','22071353','27220713534','1049',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22071353','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1274,'SILVINA DEL VALLE','NADAL','20070955','27200709557','730',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20070955','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1275,'JORGE LUIS','NAHUM','36486375','20364863757','1849',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36486375','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1276,'HUGO HERNAN','NANNI','34029762','20340297629','438',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34029762','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1277,'ROMINA ANAHI','NANNI','32027458','27320274589','1454',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027458','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1278,'AGUSTIN IVAN','NARVAEZ','41015131','20410151317','2077',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41015131','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1279,'GUILLERMO EDGARDO','NARVAEZ','21682086','20216820860','1290',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682086','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1280,'MARIA VICTORIA','NARVAEZ','13707706','27137077065','386',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13707706','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1281,'PABLO CESAR','NARVAEZ','33758817','20337588175','488',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33758817','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1282,'EMILIANO','NASIFF','39689190','20396891906','345',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39689190','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1283,'ADOLFO ESTEBAN','NAVARRO','32282030','20322820306','1605',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282030','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1284,'CARLOS EXEQUIEL','NAVARRO','40814313','20408143137','1946',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40814313','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1285,'LORENA','NAVARRO COLOMBO','25746953','27257469536','1752',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746953','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1286,'ERNESTO AUGUSTO','NAVARRO','25302377','20253023776','1202',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302377','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1287,'FERNANDO NICOLAS','NAVARRO','34783390','20347833909','247',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34783390','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1288,'MAURICIO DAVID','NAVARRO FORESSI','24065671','20240656710','399',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065671','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1289,'GABRIEL ALEJANDRO','NAVARRO','30805605','20308056059','116',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30805605','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1290,'CARLOS MARIA','NAVARRO ISOLA','12433751','20124337519','40',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'12433751','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1291,'HECTOR JOSE','NAVARRO ISOLA','14058181','20140581810','376',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14058181','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1292,'JESUS FERNANDO','NAVARRO','28172461','20281724615','1074',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172461','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1293,'JOSE LUIS','NAVARRO','27016917','20270169172','1748',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27016917','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1294,'JUAN JOSE','NAVARRO','24830308','20248303086','720',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830308','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1295,'KARINA SOLEDAD','NAVARRO','28309580','27283095806','625',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309580','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1296,'LUIS MARCELO','NAVARRO','27053405','20270534059','988',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27053405','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1297,'MANUEL JOSE','NAVARRO','24605301','20246053015','777',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605301','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1298,'MARIA FLORENCIA','NAVARRO','33049673','27330496733','1769',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049673','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1299,'HECTOR NAHUEL','NAVARRO MIRANDA','39012499','20390124997','1706',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39012499','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1300,'RENE EDGARDO','NAVARRO','21944748','20219447486','494',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21944748','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1301,'SILVIA NANCY','NAVARRO','28518181','27285181815','1445',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28518181','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1302,'PABLO CARLOS ANTONIO','NAZAR','21682782','20216827822','63',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682782','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1303,'ADRIANA DEL CARMEN','NIETO','20924443','27209244433','249',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20924443','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1304,'BRENDA FABIANA','NIETO','35501891','27355018917','367',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35501891','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1305,'GUZMAN KAREN SOFIA','NIETO','39013610','27390136108','1856',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39013610','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1306,'LUIS RICARDO','NIETO','20588426','20205884263','890',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588426','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1307,'MARCOS ANTONIO','NIETO','20285042','20202850422','660',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20285042','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1308,'ORTIZ MANUEL ANTONIO','NIETO','28076377','20280763773','1112',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076377','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1309,'CARLOS ALEJANDRO','NIEVA','18060505','20180605054','687',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18060505','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1310,'FRANCISCO MARTIN ANTONIO','NIEVA','45080496','20450804968','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'45080496','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1311,'JORGE ESTEBAN','NIEVA','37164491','20371644912','202',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37164491','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1312,'NOELIA DEL VALLE','NIEVA LARCHER','27341034','27273410347','1133',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27341034','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1313,'LUIS MIGUEL NICOLAS','NIEVA','31182316','20311823168','1830',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31182316','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1314,'MARCOS IVAN EDUARDO','NIEVA','26856447','20268564471','1613',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26856447','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1315,'MARIA DEL VALLE','NIEVA','18548984','27185489847','559',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18548984','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1316,'MARIA FLORENCIA','NIEVA','36447660','23364476604','2019',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36447660','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1317,'NORA ALEJANDRA','NIEVA','23203532','27232035329','170',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23203532','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1318,'RAMON RODOLFO','NIEVA','21325805','20213258053','155',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325805','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1319,'RODRIGO JULIAN','NIEVA','35518547','20355185479','1529',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35518547','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1320,'ROXANA DEL VALLE','NIEVA','26433110','27264331108','1493',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433110','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1321,'HUGO FERNANDO','NOBLEGA','29217549','20292175494','1203',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29217549','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1322,'MARIA ELENA','NOBLEGA','17992058','27179920587','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17992058','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1323,'NADIN CAMILA','NOBLEGA','41774119','23417741194','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41774119','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1324,'DIEGO ARMANDO','NORIEGA','27900908','20279009089','906',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900908','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1325,'MARIA SOLEDAD DEL VALL','NORIEGA','23024909','27230249097','775',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024909','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1326,'MARIO FERNANDO','NOTARFRANCESCO','23316934','20233169340','1682',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23316934','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1327,'MAURO GABRIEL','NUÑEZ','29414066','20294140663','533',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414066','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1328,'NILDA DEL VALLE','NUÑEZ','24605234','23246052344','1134',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605234','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1329,'RAMIRO','NUÑEZ','27961398','20279613989','1458',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27961398','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1330,'ROXANA ELDA','NUÑEZ','29414012','27294140129','893',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414012','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1331,'AGUERO ULISES','OCAMPO','43141086','23431410869','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43141086','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1332,'SERLE NATALIA SOLEDAD','OCAMPO FARRAN','27717774','27277177744','1269',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27717774','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1333,'LUCAS MAXIMILIANO','OCAMPO','34160311','20341603111','108',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34160311','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1334,'MARIA VERONICA','OCARANZA','34777894','27347778945','307',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34777894','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1335,'FACUNDO MAXIMILIANO','OGAS','35286473','20352864731','1677',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35286473','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1336,'JESICA NATALIA','OGAS','29369435','23293694354','1382',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29369435','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1337,'PATRICIA VIVIANA','OGAS','25928894','27259288946','742',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928894','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1338,'FERNANDO ARIEL','OJEDA','34187690','20341876908','1297',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187690','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1339,'VALERIA JUDITH','OJEDA','32367814','27323678141','960',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32367814','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1340,'YANINA SOLEDAD','OLARTE','31401355','27314013552','1807',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31401355','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1341,'CHRISTIAN ARIEL ALEJAN','OLARTES','24138489','20241384897','831',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24138489','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1342,'MANUEL ANTONIO','OLAS','24605399','20246053996','688',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605399','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1343,'HORACIO MIGUEL','OLEA','30949665','20309496656','1425',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949665','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1344,'MARIA ALEJANDRA','OLEAS','20071030','23200710304','713',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20071030','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1345,'ALCIRA INES','OLIMA','18187936','27181879365','652',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18187936','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1346,'MARTA ADRIANA','OLIMA','22515257','27225152573','1429',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515257','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1347,'EUGENIA AUDELINA','OLIVERA HAUSBERGER','27351677','27273516773','1136',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351677','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1348,'VALERIA DEL VALLE','OLIVERA HAUSBERGER','28309841','27283098414','1388',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309841','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1349,'LUIS ALBERTO','OLIVERA','21325982','20213259823','504',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325982','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1350,'LUIS EMILIO','OLIVERA','36844772','20368447723','639',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844772','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1351,'MANUEL EXEQUIEL','OLIVERA','35388143','20353881435','1750',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35388143','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1352,'PAULA MICAELA','OLIVERA','39017051','27390170519','2090',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39017051','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1353,'ZURITA MARTHA BEATRIZ','OLIVERA','21936344','27219363449','1412',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21936344','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1354,'DANIELA GEMA','OLMEDO','23331806','27233318065','1137',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23331806','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1355,'PICO MARIA PIA','OLMEDO','32415367','27324153670','1468',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32415367','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1356,'SONIA VALERIA','OLMEDO','27900821','27279008214','1291',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900821','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1357,'PATRICIA RAQUEL HERMINIA','OLMI','17313812','27173138127','179',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17313812','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1358,'ANA BEATRIZ','OLMOS','14601575','27146015757','297',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14601575','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1359,'ANA LILIAN','OLMOS','30676525','27306765251','1740',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676525','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1360,'CESAR MARCELO','OLMOS','32282332','20322823321','35',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282332','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1361,'HORTENCIA DEL CARMEN','OLMOS','20072186','27200721867','1005',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20072186','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1362,'PAULO CESAR','ONTIVERO','26685087','20266850876','1502',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26685087','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1363,'CECILIA DEL VALLE','ONTIVEROS','17939401','23179394014','25',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17939401','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1364,'NANCY','ORDOÑEZ','18188087','27181880878','871',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18188087','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1365,'DIEGO FERNANDO','ORELLANA','28172726','20281727266','987',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172726','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1366,'MARIA EUGENIA','ORELLANA','25511260','27255112606','845',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511260','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1367,'MAURO HORACIO','ORELLANA','24743269','20247432699','1409',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24743269','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1368,'RICARDO GABRIEL','ORELLANA OCAMPO','30949622','20309496222','1756',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949622','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1369,'RITA LILIANA','ORELLANA','21944054','27219440540','617',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21944054','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1370,'RODRIGO NAHUEL','ORELLANA','37167460','20371674609','463',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37167460','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1371,'MARIA CELESTE','ORQUERA','27640801','27276408017','231',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27640801','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1372,'MAXIMILIANO','ORQUERA','33023192','20330231921','632',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33023192','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1373,'JUAN FACUNDO','ORTEGA','29494950','20294949500','1950',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29494950','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1374,'MARIO NORBERTO','ORTEGA','22515426','20225154261','792',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515426','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1375,'YANINA CELESTE','ORTEGA','34443700','27344437004','631',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34443700','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1376,'FRANCO MATIAS','ORTIZ','35286440','20352864405','392',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35286440','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1377,'LUIS SEBASTIAN','ORTIZ','28490433','20284904339','1138',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28490433','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1378,'MARIA AGUSTINA','ORTIZ','35501614','27355016140','371',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35501614','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1379,'ELIAS MOISES','OSRE','40432607','20404326075','2008',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40432607','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1380,'COLLA ELIANA DEL VALLE','OVEJERO','39996354','27399963546','2084',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39996354','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1381,'FACUNDO ALBERTO','OVEJERO','37464290','20374642902','1862',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37464290','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1382,'FELIPE SANTIAGO','OVEJERO','28995117','20289951173','2051',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28995117','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1383,'JORGE RUBEN','OVEJERO','21682147','20216821476','1346',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682147','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1384,'MARIA CELESTE','OVEJERO','28172629','27281726299','1417',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172629','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1385,'ZULLY JAQUELIN','OVEJERO','25736545','27257365455','1191',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25736545','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1386,'FERNANDO MAXIMILIANO','OVIEDO','37482794','20374827945','1663',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37482794','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1387,'RAUL ARMANDO','OVIEDO','08043687','20080436875','3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'08043687','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1388,'RAUL ERNESTO','OVIEDO','28076281','20280762815','1310',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076281','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1389,'RODRIGO NICOLAS','OVIEDO','23024434','20230244341','602',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024434','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1390,'ANDREA GISELLA','OYHENART','36504971','27365049713','612',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504971','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1391,'CORONEL RAMÓN RICARDO','PACHECO','31736734','20317367342','1141',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31736734','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1392,'JORGE DANIEL','PACHECO GERSHANI','24522717','20245227176','405',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24522717','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1393,'JULIO JAVIER','PACHECO GERSHANI','28780725','20287807253','1142',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28780725','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1394,'MARIA DEL CAR','PACHECO GERSHANI','18583476','27185834765','221',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18583476','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1395,'JOHANA VANESA','PACHECO','30949717','27309497177','1841',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949717','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1396,'ADELINA ANTONIETA','PAEZ','32308660','27323086600','1546',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32308660','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1397,'LUIS ROBERTO','PAEZ','23854387','20238543879','1329',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23854387','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1398,'CRISTIAN ALBERTO VICE','PALACIO','29104270','20291042709','1143',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29104270','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1399,'JUAN PABLO','PALACIO','36913227','20369132270','2022',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36913227','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1400,'MARIA PIA','PALACIO','40434227','23404342274','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40434227','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1401,'ELIANA LUZ','PALACIOS','34783088','27347830882','274',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34783088','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1402,'HECTOR ALEJANDRO','PALACIOS','23309460','23233094609','918',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309460','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1403,'ISA MARIA DE LUJAN','PALACIOS','29436834','27294368340','647',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29436834','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1404,'JAVIER RICARDO','PALACIOS','24830598','20248305984','955',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830598','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1405,'JORGE DARIO','PALACIOS','36504926','20365049263','1745',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504926','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1406,'JORGE ROLANDO','PALACIOS','17529805','20175298054','570',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17529805','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1407,'LAUREANO RICARDO','PALACIOS','34029369','20340293690','621',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34029369','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1408,'MARIA SOLEDAD','PALACIOS','20308110','27203081109','335',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308110','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1409,'MATIAS IGNACIO','PALACIOS','37167709','20371677098','36',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37167709','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1410,'GABRIELA SOLEDAD','PALAVECINO','34323713','27343237133','903',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34323713','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1411,'CARLA NAZARENA','PALAZOLO','37962094','27379620944','1943',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37962094','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1412,'MAXIMILIANO NAHUEL','PALAZOLO','35389199','20353891996','1530',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35389199','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1413,'CANDELA GUADALUPE','PALOMEQUE','42992133','27429921339','2009',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42992133','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1414,'GRACIELA FERNANDA','PALOMEQUE','21325371','27213253714','898',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21325371','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1415,'VARELA KARINA ALEJAND','PANDOLFI','26433048','27264330489','1304',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433048','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1416,'PAOLA ROSA','PARADI','21799008','23217990084','976',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21799008','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1417,'MATIAS EMMANUEL','PAREDES TOLOTTI','33695018','20336950180','1883',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33695018','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1418,'VEGA DANILA','PARLA','35388072','27353880727','440',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35388072','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1419,'CRUZ LUCIANA ANTONELLA','PARODI','37741320','27377413208','1289',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37741320','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1420,'MARIA JULIA','PARODI','42992085','27429920855','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42992085','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1421,'CAMILA','PAROLI','35500974','27355009748','1724',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35500974','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1422,'MARIA LORENA','PASCHETTA','27132899','27271328996','1204',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27132899','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1423,'ADRIANA MARCELA','PASQUALIS','22123321','27221233218','1267',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22123321','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1424,'ALICIA NOELIA','PASTORELLI','29092300','27290923005','1261',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29092300','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1425,'FERNANDO RAUL','PASTRANA','31814730','20318147303','490',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814730','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1426,'REYNA ARGENTINA','PATO','24169631','27241696311','704',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24169631','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1427,'VALERIA','PATOCCHI','29651321','27296513216','300',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29651321','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1428,'CLAUDIO FEDERICO','PEDERNERA','24065213','20240652138','1003',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065213','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1429,'JUAN JESUS','PEDRAZA','27717701','20277177014','1047',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27717701','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1430,'MARIANA RUTH','PEDRAZA','34129466','27341294660','1785',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34129466','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1431,'EDUARDO ESTEBAN','PELISARI','29104102','20291041028','1356',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29104102','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1432,'MARCELO SEBASTIAN','PELISARI','26433492','20264334927','1147',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433492','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1433,'RAMÓN ALEJANDRO','PELOSO','23561612','20235616123','1148',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561612','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1434,'MIGUEL ANGEL','PELUDERO','24065826','20240658268','1017',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065826','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1435,'ANA GABRIELA','PERACCA','22219462','27222194623','645',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219462','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1436,'JOSE ALEJANDRO','PERALTA','20588251','20205882511','902',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588251','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1437,'ALEX MAXIMILIANO','PERDIGUERO','35269181','20352691810','1710',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35269181','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1438,'ESTELA INES','PERDIGUERO','30504522','27305045220','427',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30504522','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1439,'JORGE PASCUAL','PEREA','23765457','23237654579','1320',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23765457','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1440,'MARCELA VIVIANA','PEREA','24253190','27242531901','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24253190','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1441,'SANTILLAN CAROLINA DEL CARMEN','PEREA','37962057','23379620574','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37962057','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1442,'SILVANA KARINA','PEREA','27155566','27271555666','576',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27155566','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1443,'VANESA INES','PEREA','34031025','27340310255','199',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34031025','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1444,'JOSE ROLANDO','PEREIRA','28647336','23286473369','1603',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28647336','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1445,'RAMON CESAR OSVALDO','PEREIRA','17240380','20172403809','428',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17240380','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1446,'ANGELA LUZ','PERESSONI','38628784','27386287843','1828',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38628784','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1447,'MARIA DE LOS ANGELES','PERETO','25958383','27259583832','1521',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25958383','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1448,'MARIA DEL MAR','PERETO','27040519','27270405199','1842',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27040519','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1449,'MAYLEN','PEREYRA GERRARD','40927141','27409271419','870',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40927141','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1450,'MABEL DEL VALLE','PEREYRA NAVARRO','23854476','27238544764','830',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23854476','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1451,'RAUL ERNESTO','PEREYRA','28856648','20288566489','1647',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28856648','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1452,'SANTIAGO MARCELO','PEREYRA','24605849','20246058491','1222',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605849','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1453,'VALERIA BEATRIZ','PEREYRA','23908593','27239085933','236',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23908593','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1454,'VANESA CECILIA','PEREYRA','28863412','27288634128','1286',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28863412','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1455,'SANDRA NATALIA','PEREZ CASASNOVAS','18060763','27180607639','700',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18060763','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1456,'CORINA NANCY','PEREZ','24237774','27242377740','1042',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24237774','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1457,'HECTOR ARIEL','PEREZ','23024164','20230241644','159',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024164','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1458,'JOSE CARLOS','PEREZ','28172424','20281724240','957',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172424','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1459,'MARIA GUADALUPE DE','PEREZ LLANO','23116644','27231166446','1767',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23116644','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1460,'MAGALI','PEREZ','33746044','27337460440','1899',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33746044','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1461,'MARIA VIRGINIA','PEREZ','31450558','27314505587','1838',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31450558','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1462,'ROXANA TERESITA DEL VALL','PEREZ','25415401','27254154011','769',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25415401','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1463,'RUBEN OSCAR','PEREZ','18188326','20181883260','603',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18188326','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1464,'SOLEDAD RUFINA','PEREZ','30364756','27303647568','1480',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30364756','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1465,'MARIA DE LOS MILAGROS','PERNA','40105818','23401058184','1847',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40105818','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1466,'JOSE HORACIO','PESCI','21391669','20213916697','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21391669','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1467,'MARIANO GERMAN AUREL','PESSOLANO','27964445','20279644450','995',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27964445','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1468,'ALEJANDRO','PETEK','22219028','20222190283','909',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219028','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1469,'GERARDO RENE','PEÑAFLOR','26187532','20261875323','766',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26187532','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1470,'MAGDALENA','PICCO CASOLLA','36131249','27361312495','1542',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36131249','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1471,'CARLA ANDREA','PICCONE','23086851','23230868514','1149',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23086851','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1472,'LUCIANA','PILATTI','31126281','27311262810','1378',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31126281','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1473,'HERNAN PABLO','PINETTA','21682835','20216828357','473',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682835','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1474,'MARIA LAURA','PINETTA','20924393','27209243933','1139',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20924393','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1475,'RODRIGO EDUARDO','PINETTA','25117461','20251174610','812',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117461','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1476,'VICTOR HUGO','PINETTA','25117953','20251179531','154',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117953','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1477,'CARLOS EMMANUEL','PINTOS','35934585','20359345853','350',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35934585','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1478,'MIGUEL','PIOVANO ORESTE','28819914','20288199141','318',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28819914','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1479,'LUIS FEDERICO','PIZARRO','34187743','20341877432','1563',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187743','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1480,'MARIANA DEL VALLE','PIÑEIRO','28032963','27280329636','1239',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28032963','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1481,'ANA CLAUDIA','PONCE','24605395','27246053958','1150',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605395','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1482,'GIMENA AGUSTINA','PONCE','42443837','27424438370','2035',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'gimena','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,2,2,1,1,3,1,NULL),(1483,'MARTINEZ IVANA NOELIA','PONCE','29259705','27292597059','1431',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259705','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1484,'MATIAS EMMANUEL','PONCE','32282465','20322824654','1444',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282465','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1485,'OSCAR DIEGO','PONCE','27351559','20273515594','1505',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351559','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1486,'RAÚL SILVERIO','PONCE','31126191','20311261917','1151',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31126191','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1487,'SARA DANIELA','PONCE','37089195','27370891953','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37089195','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1488,'SINTIA MARIA CESILIA','PONCE','28178416','27281784167','952',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28178416','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1489,'MARCELO JOAQUIN','PONFERRADA','20071110','20200711107','472',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20071110','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1490,'BURGOS MARIA DEL VALLE','PORTUGAL','37463536','27374635366','656',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37463536','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1491,'ANDREA ELIZABETH','PRENOL','27341283','27273412838','460',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27341283','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1492,'SILVANA','PREVEDELLO','27015280','27270152800','1194',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27015280','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1493,'DANIEL FRANCISCO','PUCHETA','24853101','20248531011','1406',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24853101','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1494,'JUAN RAMON','PUCHETA','25796439','20257964397','1917',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25796439','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1495,'CARLOTA ISABEL','PURULLA','23727984','27237279846','302',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23727984','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1496,'FRANCO DANIEL','QUARIN','32681201','20326812014','1448',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32681201','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1497,'MARIA SOLEDAD','QUARIN','27843062','27278430621','715',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27843062','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1498,'JUAN JOSE','QUEVEDO','28782423','20287824239','1038',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28782423','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1499,'PABLO MARCELO','QUEVEDO','29786628','20297866282','1604',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29786628','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1500,'SERGIO ALBERTO','QUILLOTAY','22515696','20225156965','73',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515696','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1501,'ANA KARINA','QUINTAR','22621599','27226215994','1414',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22621599','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1502,'ANALY YASMIN','QUINTAR','33376495','23333764954','1478',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33376495','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1503,'ARMANDO RAUL','QUINTAR','26637805','20266378050','1284',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26637805','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1504,'GERARDO MIGUEL DAVID','QUINTAR','35565818','20355658180','1384',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35565818','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1505,'JOSE ABRAHAM','QUINTAR','28198244','20281982444','732',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28198244','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1506,'ANA JAZMIN','QUINTAR TRAPEYAS','36489521','27364895211','1853',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36489521','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1507,'DANTE DAVID','QUINTERO','38628254','20386282545','1949',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38628254','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1508,'JUANA DEL ROSARIO','QUINTERO','31412613','27314126136','1852',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31412613','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1509,'MARICEL DEL VALLE','QUINTERO','30364683','27303646839','1404',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30364683','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1510,'MARÍA EVANGELINA','QUINTERO','27882235','23278822354','1152',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27882235','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1511,'MIGUEL ALBERTO','QUINTERO','26433342','20264333424','1644',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433342','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1512,'SILVANA ROSA','QUINTERO','25270621','27252706211','1266',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25270621','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1513,'ARTURO GERMAN','QUINTEROS','34118320','20341183201','1770',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34118320','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1514,'BEATRIZ DEL CARMEN','QUINTEROS','28394793','27283947934','1912',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28394793','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1515,'DUILIO','QUINTEROS','13469349','24134693491','82',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13469349','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1516,'GUILLERNO ORLANDO','QUINTEROS','24830504','20248305046','358',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830504','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1517,'JULIETA','QUINTEROS','42285171','27422851718','1926',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42285171','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1518,'LUCAS EXEQUIEL','QUINTEROS','36347982','20363479821','1585',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36347982','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1519,'MARTHA NELIDA DEL','QUINTEROS','17642406','27176424066','917',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17642406','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1520,'MONICA GRACIELA','QUINTEROS','26506661','27265066610','998',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26506661','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1521,'OLGA ELIZABETH','QUINTEROS','29917152','27299171529','850',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917152','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1522,'OSCAR ALEXIS','QUINTEROS','35934137','20359341378','340',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35934137','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1523,'SANDRA DEL VALLE','QUINTEROS','21935207','27219352072','1153',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21935207','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1524,'VANINA PAOLA','QUINTEROS','33758926','27337589265','94',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33758926','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1525,'AGUIRRE EBER JOEL','QUIROGA','33360443','20333604435','1592',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33360443','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1526,'ANAHI JULIANA','QUIROGA','35269395','27352693958','1753',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35269395','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1527,'BRUNO GONZALO','QUIROGA','27923462','20279234627','1107',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27923462','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1528,'GLADYS AZUCENA','QUIROGA','18266204','27182662041','442',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18266204','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1529,'RAUL OSCAR','QUIROGA','26433074','20264330743','1240',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433074','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1530,'SONIA PATRICIA','QUIROGA','21682436','27216824364','937',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682436','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1531,'CESAR PIO TERCERO','QUIROS','34716645','20347166457','1971',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34716645','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1532,'ROCIO','QUIROS','33758882','23337588824','212',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33758882','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1533,'PABLO ANDRES','RACHID FLORIT','25928465','20259284652','281',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928465','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1534,'ENRIQUE LEONARDO','RAMALLO','25117680','23251176809','1268',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117680','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1535,'CECILIA AMALIA','RAMAYO','37164405','27371644054','424',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37164405','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1536,'ILEANA PAULINA','RAMAYO','29917412','27299174129','1606',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917412','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1537,'FACUNDO','RAMIREZ','34187136','20341871361','1368',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187136','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1538,'MARIA CECILIA','RAMIREZ','28780800','27287808009','102',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28780800','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1539,'MARIA DEL CARMEN','RAMIREZ','29167464','27291674645','1547',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29167464','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1540,'MARIO ALEJANDRO','RAMON','31338197','20313381979','277',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31338197','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1541,'ARAYA MARIA LETICIA','RAMOS','23441056','27234410569','655',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23441056','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1542,'DARIO GUSTAVO','RAMOS','32834930','20328349303','1732',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32834930','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1543,'MARIA EUGENIA','RAMOS DE LA PEÑA','31814136','27318141369','1998',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814136','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1544,'DEIDAMIA MACARENA','RAMOS','32282132','27322821323','253',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32282132','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1545,'ENRIQUE EMILIANO','RAMOS','31450578','20314505787','1590',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31450578','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1546,'ESTER CAROLINA','RAMOS','32414355','27324143551','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32414355','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1547,'GLORIA DEL CARMEN','RAMOS','18705944','27187059440','46',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18705944','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1548,'HECTOR OMAR','RAMOS','14004445','20140044459','362',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14004445','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1549,'INGRID YASMIN','RAMOS','44220812','27442208129','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'44220812','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1550,'PATRICIA DEL VALLE','RAMOS','34323925','23343239254','422',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34323925','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1551,'PAULA JIMENA','RAMOS','39608562','27396085629','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39608562','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1552,'RODOLFO','RAMOS','06946267','20069462678','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'06946267','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1553,'VANESA ROSA','RAMOS','28873496','27288734963','401',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28873496','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1554,'ARIEL VALENTIN','RASCON','22515828','20225158283','111',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515828','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1555,'ALVARO HERNAN','RASJIDO','31450905','20314509057','1499',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31450905','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1556,'YESICA PAOLA','RASJIDO','37741462','23377414624','508',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37741462','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1557,'ANTONIO MARIO HECTOR','REALES','23561626','20235616263','886',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561626','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1558,'CARLOS ALBERTO','REALES','07854554','20078545543','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'07854554','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1559,'MICAELA AGUSTINA','REALES','37089647','27370896475','1821',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37089647','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1560,'TAMARA GUADALUPE','REALES','34716690','27347166907','415',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34716690','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1561,'ELVIO ENRIQUE','REARTE','32628051','20326280519','1528',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32628051','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1562,'JULIO MARCELO','REARTES','18478442','20184784425','797',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18478442','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1563,'MARIA FLORENCIA','REARTES SESTO','26903386','24269033866','1052',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26903386','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1564,'SANTIAGO IGNACIO','REARTES SESTO','25858328','20258583281','1443',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25858328','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1565,'TOMAS','REARTES','42285440','20422854402','2070',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42285440','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1566,'DANIELA RITA','REBELO','20723682','27207236824','47',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20723682','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1567,'FACUNDO EXEQUIEL','REDENO','39014338','23390143389','441',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39014338','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1568,'MARIA DE LOS ANGELES','REGINA','20588046','27205880467','81',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588046','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1569,'ESTANISLAO','REINOSO GANDINI','30078082','20300780823','1796',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30078082','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1570,'KAREN ANTONELLA','REINOSO','35390267','27353902674','1796',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35390267','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1571,'LUCIA MERCEDES LORENA','REINOSO','26463635','27264636359','1155',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26463635','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1572,'MIGUEL ANGEL','REINOSO','30364757','20303647571','2001',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30364757','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1573,'MOLINA JUAN ALBERTO','REINOSO','20109377','20201093776','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20109377','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1574,'PABLO EZEQUIEL','REINOSO','29259850','20292598506','1789',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259850','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1575,'ROMINA ELIZABETH','REINOSO','33049441','27330494412','1587',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049441','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1576,'VALERIA DEL VALLE','REINOSO','27005512','27270055120','337',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27005512','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1577,'FIGUEROA CHRISTIAN GABRIEL','RETAMOZA','33831742','20338317426','1879',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33831742','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1578,'LEANDRO ARIEL','RETAMOZO','27155870','20271558709','348',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27155870','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1579,'VALERIA NOELIA','RETAMOZO','29917474','27299174749','1483',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917474','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1580,'EDUARDO ARIEL','REYES','32367987','20323679879','1641',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32367987','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1581,'VALERIA DEOLINDA','REYES','24527620','27245276201','1533',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24527620','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1582,'LUIS ADOLFO','REYNAGA','25302855','20253028557','819',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302855','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1583,'BLANCA SABINA','REYNOSO','37097007','27370970071','1691',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37097007','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1584,'JAVIER NICOLAS','REYNOSO','34777863','20347778630','539',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34777863','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1585,'JOHANA FANY','REYNOSO','30676323','27306763232','2069',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676323','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1586,'MARCOS GABRIEL','REYNOSO','37643520','20376435203','1962',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37643520','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1587,'MARIA ESTHER','RIOS BREPPE','36127619','27361276197','2056',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36127619','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1588,'CLAUDINA CARINA','RIOS','26124823','27261248234','1157',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26124823','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1589,'DARIO HERNAN','RIOS','33610051','20336100519','384',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33610051','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1590,'EMILIANO','RIOS','39071898','20390718986','1737',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39071898','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1591,'JUAN JOSE','RIOS','23734129','20237341296','837',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23734129','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1592,'LAURA PATRICIA','RIOS','23561219','23235612194','846',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561219','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1593,'ROSA RAMONA','RIOS','25685643','27256856439','1439',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25685643','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1594,'IGNACIO ALBERTO','RIVADENEIRA RIZZI','34187104','20341871043','1541',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187104','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1595,'GIMENA ROCIO','RIVAROLA','37164466','27371644666','71',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37164466','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1596,'JOSE LUIS','RIVAROLA','29901084','20299010849','2047',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29901084','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1597,'HECTOR','RIVAS','16353487','20163534879','411',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16353487','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1598,'ELBA CAROLINA','RIVAS LOPEZ','23561177','27235611770','1913',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561177','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1599,'MARTIN ARIEL','RIVAS LOPEZ','25511870','20255118707','255',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511870','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1600,'ROMINA MARGOT','RIVAS','32328932','27323289323','2043',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32328932','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1601,'MARIA JULIA','RIVAS RUZO','31648542','27316485427','2027',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31648542','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1602,'DANIEL ALEJANDRO','RIVERA','34129098','20341290989','1844',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34129098','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1603,'ETEL PAOLA','RIVERA','29786783','27297867836','194',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29786783','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1604,'MARIA JIMENA','RIVERA','33049418','27330494188','1523',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049418','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1605,'ENZO JOSE','RIVERO','38628507','20386285072','1920',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38628507','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1606,'ISABEL DEL CARMEN','RIVERO','18060536','27180605369','407',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18060536','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1607,'JUAN ALEJANDRO','RIVERO','25511744','20255117441','1597',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511744','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1608,'MARCOS ALEJO','RIZO','22935449','20229354494','1156',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22935449','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1609,'LUCAS ESTEBAN','RIZZARDO MAZA','28885572','20288855723','1778',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885572','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1610,'MARIA ALEJANDRA','ROBERT','27351496','27273514967','1460',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351496','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1611,'OSCAR EDUARDO','ROBERT','14058638','20140586383','814',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14058638','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1612,'VERONICA','ROBERT','20924125','27209241256','471',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20924125','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1613,'ANDREA DEL VALLE','ROBLEDO','25511022','27255110220','961',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511022','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1614,'ANGEL JULIAN','ROBLEDO','36051310','20360513107','1694',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36051310','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1615,'CARLOS ALBERTO','ROBLEDO','14324726','20143247261','381',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14324726','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1616,'CESAR ALBERTO','ROBLEDO','27633842','20276338421','1158',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27633842','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1617,'HERRERA ANGEL FERNANDO','ROBLEDO','23765499','20237654995','1327',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23765499','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1618,'IVANA EMILSE DEL VALLE','ROBLEDO','31906347','27319063477','96',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31906347','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1619,'JOSE RICARDO','ROBLEDO','28272688','20282726883','877',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28272688','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1620,'LAURA LUCIANA','ROBLEDO','28309726','27283097264','1159',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309726','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1621,'MIGUEL ANGEL','ROBLEDO','14324514','20143245145','437',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14324514','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1622,'SERGIO ALBERTO','ROBLEDO','27964051','23279640519','1857',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27964051','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1623,'SONIA BEATRIZ','ROBLEDO','40599807','27405998071','2055',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40599807','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1624,'ELIANA LAURA','ROBLES','28106534','27281065349','2091',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28106534','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1625,'MARIA VERONICA','ROBLES','21944188','27219441881','1420',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21944188','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1626,'CARLOS EDUARDO','ROCHA','24981931','20249819310','743',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24981931','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1627,'ESTEFANIA MARIANA','ROCHA','38339120','27383391208','749',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38339120','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1628,'SABRINA RAQUEL','RODAS TIZON','22969761','27229697612','1339',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22969761','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1629,'VICTOR DAMIAN','RODAS','28076477','23280764779','1281',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076477','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1630,'ALDANA','RODRIGUEZ','34187317','27341873172','380',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187317','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1631,'ANA VERONICA','RODRIGUEZ','26433636','27264336363','1471',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433636','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1632,'ANALIA SOLEDAD','RODRIGUEZ','30805886','27308058862','1948',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30805886','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1633,'BOLILLO ANTONIO','RODRIGUEZ','43448724','20434487243','2076',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'43448724','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1634,'CARLOS IVAN','RODRIGUEZ','17567987','20175679872','764',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17567987','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1635,'CARLOS OSVALDO','RODRIGUEZ','14239532','20142395321','568',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14239532','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1636,'CECILIA LUISA','RODRIGUEZ','31691073','23316910734','1312',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31691073','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1637,'ELSA MIRIAM','RODRIGUEZ','31814841','23318148414','20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31814841','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1638,'FERNANDEZ SEBASTIAN','RODRIGUEZ','23309658','20233096580','556',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309658','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1639,'GABRIELA ALEJANDRA','RODRIGUEZ','25122836','27251228367','712',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25122836','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1640,'GRACIELA VERONICA','RODRIGUEZ','23561847','27235618473','1418',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561847','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1641,'GUADALUPE','RODRIGUEZ','20588692','27205886929','682',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588692','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1642,'IVAN ALFREDO','RODRIGUEZ','29259940','20292599405','1494',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259940','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1643,'IVAN DEL VALLE','RODRIGUEZ','36348024','20363480242','1548',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36348024','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1644,'JOSE GUILLERMO','RODRIGUEZ','30207124','24302071248','1385',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30207124','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1645,'JUAN MANUEL','RODRIGUEZ','31648714','23316487149','1987',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31648714','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1646,'LUCAS GERMAN','RODRIGUEZ','30966701','20309667019','1836',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30966701','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1647,'MARIA CELESTE','RODRIGUEZ','27194374','27271943747','1725',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27194374','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1648,'MARIA ELIZABETH','RODRIGUEZ','21324919','27213249199','759',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21324919','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1649,'MARTIN ESTEBAN','RODRIGUEZ','38223884','20382238843','1851',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38223884','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1650,'NATALIA LORENA','RODRIGUEZ','25117620','27251176200','859',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117620','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1651,'NOELIA ALEJANDRA','RODRIGUEZ','27917316','27279173169','2092',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27917316','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1652,'PABLO RAFAEL','RODRIGUEZ','28309551','20283095518','1205',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309551','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1653,'RAMON RAFAEL ROLANDO','RODRIGUEZ','23309179','20233091791','694',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309179','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1654,'RICARDO JAVIER','RODRIGUEZ','22699913','20226999133','1021',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22699913','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1655,'ROBERTO FRANCO','RODRIGUEZ','27351609','20273516094','1386',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351609','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1656,'RODOLFO ROMAN','RODRIGUEZ','29259842','20292598425','1034',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259842','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1657,'ROMINA JIMENA DEL VA','RODRIGUEZ','28456300','27284563005','1276',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28456300','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1658,'SILVANA PAOLA','RODRIGUEZ','27378947','27273789478','1685',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27378947','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1659,'SILVANA VALERIA','RODRIGUEZ','22515474','27225154746','599',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515474','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1660,'SOLEDAD DEL CARMEN','RODRIGUEZ','25293442','27252934427','16',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25293442','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1661,'VERONICA YANINA','RODRIGUEZ','30364735','27303647355','735',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30364735','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1662,'VICTOR JAVIER','RODRIGUEZ','32628002','20326280020','33',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32628002','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1663,'VICTORIA LORENA','RODRIGUEZ','31162554','27311625549','157',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31162554','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1664,'LORENA ELIZABETH','ROIG','25117560','27251175603','1670',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117560','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1665,'CECILIA CAROLINA','ROJANO','37643183','27376431830','1941',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37643183','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1666,'CARLOS SEBASTIAN','ROJAS','21633918','20216339186','1009',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21633918','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1667,'FABIAN MARCELO','ROJAS','23844075','20238440751','692',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23844075','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1668,'FRANCO EDUARDO','ROJAS','27351694','20273516949','883',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351694','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1669,'GASPAR FRANCISCO','ROJAS','27640099','20276400992','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27640099','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1670,'JUAN MANUEL','ROJAS','30805630','23308056309','14',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30805630','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1671,'RAFAEL ISAAC','ROJAS','36347812','20363478124','943',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36347812','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1672,'ROSA MARIA DE LOS ANGELE','ROJAS','17927022','27179270221','370',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17927022','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1673,'SILVIA ESTELA','ROJAS','12896039','27128960398','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'12896039','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1674,'SOFIA','ROJAS','35269380','23352693804','1631',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35269380','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1675,'CESAR MARCELO','ROJO','20072376','20200723768','243',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20072376','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1676,'DANIEL SEBASTIAN','ROJO','28885562','20288855626','800',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885562','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1677,'GABRIEL ESTEBAN','ROJO','20439573','20204395730','848',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20439573','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1678,'MABEL ADRIANA','ROJO','17529618','27175296188','184',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17529618','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1679,'ROBERTO MAURICIO','ROJO','23309593','20233095932','869',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309593','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1680,'IVAN EDUARDO','ROLDAN','27341349','23273413499','1160',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27341349','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1681,'LAURA YOLANDA','ROLDAN','23024629','27230246292','670',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024629','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1682,'LINDA VERONICA','ROLDAN','30207260','23302072604','146',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30207260','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1683,'OSCAR ALCIDES','ROLDAN','21944161','20219441615','971',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21944161','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1684,'VEGA MARIO MANUEL JACHAD','ROMAN','18832467','20188324674','771',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18832467','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1685,'LUIS ANTONIO','ROMANO','29837601','20298376017','1228',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29837601','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1686,'MARIO ANDRES','ROMANO','31736754','20317367547','1572',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31736754','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1687,'CLAUDIO ANDRES','ROMERO','28309827','20283098274','1552',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309827','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1688,'CYNTHIA ROMINA','ROMERO','34783276','27347832761','264',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34783276','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1689,'DANIEL MARCELO','ROMERO','26433148','24264331486','796',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433148','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1690,'ESTER DEL VALLE','ROMERO','20582922','27205829224','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20582922','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1691,'NICOLAS EMILIANO','ROMERO','23355971','20233559718','638',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23355971','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1692,'OSVALDO ALEJANDRO','ROMERO','25542296','20255422961','968',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25542296','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1693,'PAOLA LILIAN','ROMERO','39568513','27395685134','563',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ceni5319','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,2,2,1,1,3,1,NULL),(1694,'RAMON NICOLAS','ROMERO','21658320','20216583206','1345',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21658320','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1695,'RAUL ALBERTO','ROMERO','25775407','20257754074','1026',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25775407','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1696,'SEBASTIAN NICOLAS','ROMERO','29837658','20298376580','897',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29837658','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1697,'MARIA FERNANDA','ROSALES ANDREOTTI','24309619','27243096192','789',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24309619','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1698,'PABLO MARTIN','ROSALES ANDREOTTI','27351120','20273511203','1799',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351120','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1699,'JUAN ISAURO','ROSALES','30032879','20300328793','1825',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30032879','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1700,'ALEJANDRO','ROSELLO AGUIRRE','29259620','20292596201','678',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259620','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1701,'GABRIELA CAROL','ROSELLO AGUIRRE','26433710','27264337106','1379',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433710','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1702,'CARLOS ALEJANDRO','ROSS','23309751','23233097519','569',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309751','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1703,'CESAR AUGUSTO','ROSS','25302227','20253022273','873',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302227','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1704,'CLAUDIA BEATRIZ','ROSS','22751648','27227516483','470',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751648','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1705,'MARIANA FERNANDA','ROSSIANO','28434071','27284340715','699',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28434071','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1706,'HECTOR ALEJANDRO','RUBIO','34187867','20341878676','1757',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187867','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1707,'ROMINA','RUDMINSKY','32681434','27326814348','288',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32681434','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1708,'LETICIA DEL VALLE','RUFFINI','27054309','27270543095','1559',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27054309','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1709,'CARLOS FELIX','RUIZ','22751793','20227517930','1422',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751793','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1710,'FRANCO DAVID','RUIZ','41618366','20416183660','417',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41618366','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1711,'MARIA GABRIELA','RUIZ','26433527','27264335278','1656',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433527','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1712,'PABLO ALEJANDRO','RUIZ','28309565','20283095658','1513',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309565','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1713,'RAMON ALEJANDRO','RUIZ','28780517','23287805179','936',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28780517','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1714,'GENARO GABRIEL','RUSSO','18539241','20185392415','346',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18539241','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1715,'MARIA MARGARITA','RYSER','25302306','27253023061','1397',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302306','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1716,'MARIA DE LOS ANGELES','SAAVEDRA','20924824','27209248242','496',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20924824','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1717,'MONTOYA ANA BELEN','SAAVEDRA','39014689','27390146898','2012',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39014689','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1718,'GABRIELA LIZ','SABIR','27922853','27279228532','1065',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27922853','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1719,'ERICA WANDA','SACCHER MAIONE','31809690','27318096908','1060',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31809690','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1720,'GASTON ALEJANDRO','SACCHET','40432836','20404328361','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40432836','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1721,'GISELLE SALOME','SACCHET','41808232','27418082327','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41808232','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1722,'MATIAS SEBASTIAN','SACCO','32250884','24322508847','1008',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32250884','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1723,'CARLA SOLANGE','SAFE','34777788','27347777884','1665',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34777788','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1724,'VANESA GISELLE','SAFE','30594094','27305940947','787',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30594094','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1725,'MARIA SOLEDAD','SAGANIAS','25482831','27254828314','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25482831','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1726,'MARCELO HADEL','SAGO','20589305','23205893059','745',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20589305','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1727,'ROMINA DEL VALLE','SAHONERO','30364690','27303646901','1795',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30364690','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1728,'CHRISTIAN JAIR','SAIN','30107821','20301078219','1447',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30107821','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1729,'JUAN SEBASTIA','SALADINO ALMARAZ','28456016','20284560168','1046',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28456016','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1730,'MIGUEL AGUSTIN','SALAS CALLIERO','34029310','20340293100','498',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34029310','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1731,'MARIA GRACIELA','SALAS','30504574','27305045743','1655',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30504574','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1732,'MARIO ORLANDO','SALAS','16986680','20169866806','880',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16986680','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1733,'MARTIN ALEJANDRO','SALAS','38178573','20381785735','2075',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38178573','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1734,'CHRISTIAN IVAN','SALCEDO','26856479','23268564799','1579',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26856479','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1735,'LEANDRO MATIAS','SALCEDO ESTEBES','39014278','20390142782','452',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39014278','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1736,'JULIO NAPOLEON','SALCEDO','18233628','23182336289','393',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18233628','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1737,'MERCADO GABRIELA','SALCEDO','33328284','23333282844','457',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33328284','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1738,'MATIAS JOAQUIN','SALDAÑO','36936402','20369364023','106',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36936402','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1739,'RITA VERONICA','SALDAÑO','22247375','27222473751','1765',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22247375','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1740,'LUIS RAMON','SALGUERO','21326520','20213265203','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21326520','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1741,'SILVINA DEL VALLE','SALGUERO','29259978','27292599787','160',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259978','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1742,'ANA CAROLINA','SALI','27351877','24273518777','1161',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351877','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1743,'SILVINA DEL VALLE','SALIM','28456237','27284562378','1783',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28456237','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1744,'SILVINA DEL VALLE','SALINAS GOITEA','38224366','27382243663','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38224366','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1745,'ERIKA SUSANA ANAHI','SALTO ATALA','30657543','27306575436','430',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30657543','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1746,'FABIAN CANDIDA MERCEDES','SALVA','34778080','23347780804','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34778080','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1747,'ROSA ELENA A','SALVA','18060937','27180609372','383',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18060937','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1748,'IVANNA DANIELA','SALVADOR','26685041','27266850412','1739',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26685041','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1749,'ROBERTO LUIS','SALVATIERRA','06953701','20069537015','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'06953701','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1750,'JORGE JORGE A','SAN','06954247','20069542477','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'06954247','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1751,'ANIBAL HERNAN','SANCHEZ','24065097','20240650976','1484',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065097','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1752,'ANTONIO GABRIEL','SANCHEZ','38754239','20387542397','2065',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38754239','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1753,'CARLOS MIGUEL','SANCHEZ','24786655','20247866559','1023',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24786655','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1754,'CELINA MARIA','SANCHEZ','24134961','27241349611','1464',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24134961','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1755,'DANIELA DEL VALLE','SANCHEZ','21547133','27215471336','1381',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21547133','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1756,'EVANGELINA ESTER','SANCHEZ','22692071','23226920714','618',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22692071','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1757,'IVAN GABRIEL','SANCHEZ','32921838','20329218385','2079',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32921838','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1758,'LAGORIA ERICA ELIZABETH','SANCHEZ','32626818','27326268181','379',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32626818','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1759,'SERGIO DANIEL','SANCHEZ PESCHIUTTA','24830267','20248302675','1373',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830267','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1760,'RUIZ JUAN MANUEL','SANCHEZ','30763058','20307630584','1353',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30763058','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1761,'SARA GRACIELA FATIMA','SANCHEZ','14058429','27140584296','341',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14058429','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1762,'DANIEL ANTONIO','SANTILLAN BAZAN','30148911','20301489111','1405',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30148911','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1763,'BRENDA MARIQUENA','SANTILLAN','41223578','27412235784','1822',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41223578','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1764,'GUIDO MARTIN','SANTILLAN','16276548','20162765486','757',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16276548','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1765,'DIEGO ALFON','SANTILLAN ITURRES','20588744','20205887440','758',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588744','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1766,'JUAN RICARDO','SANTILLAN','24757913','20247579134','1328',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24757913','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1767,'MANUEL ARIEL','SANTILLAN','25746045','20257460453','1609',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746045','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1768,'MARIEL ELIZABETH','SANTILLAN','18041236','27180412366','727',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18041236','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1769,'MILAGROS','SANTILLAN','27053174','27270531747','864',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27053174','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1770,'VALERIA ELIZABETH','SANTILLAN','28309718','27283097183','1206',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309718','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1771,'VICTOR DANIEL','SANTILLAN','20302001','20203020016','69',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20302001','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1772,'ALDANA SOLEDAD','SANTISTEBAN','27351995','27273519950','1348',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351995','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1773,'ENRIQUE LEONARDO','SANTISTEBAN','29259864','20292598646','675',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259864','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1774,'AIXA AILEN','SARACHO','44219872','27442198727','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'44219872','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1775,'ALFREDO EFRAIN','SARACHO','31888517','20318885177','1415',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31888517','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1776,'RAMON ALFREDO','SARACHO','14622833','20146228330','368',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14622833','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1777,'LUIS ALBERTO','SARAVIA','38742975','20387429752','1707',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38742975','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1778,'MARIA BELEN','SARAVIA','37091515','27370915151','1915',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37091515','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1779,'MIRYAM VIVIANA DEL V','SARAVIA','13626209','27136262098','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13626209','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1780,'JOSE AUGUSTO','SARQUIS','27900634','20279006349','140',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900634','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1781,'JULIO GUILLERMO','SARQUIS','28885759','20288857599','1036',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885759','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1782,'LUIS FERNANDO','SARQUIS','28309776','20283097766','1459',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309776','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1783,'NELSON HERNAN','SARQUIS','28647394','20286473947','1270',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28647394','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1784,'PABLO ALFREDO','SARTOR','27870259','20278702597','196',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27870259','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1785,'JORGELINA','SASETA','37167732','27371677327','1520',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37167732','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1786,'MARIA PAULA','SASSOLA','33967144','27339671449','1833',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33967144','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1787,'PABLO CESAR','SASTRE SEGALI','22219479','20222194793','2016',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219479','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1788,'ENRIQUE FEDERICO','SAVIO','30311753','23303117539','1344',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30311753','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1789,'JUAN CARLOS','SAVIO','06960030','20069600302','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'06960030','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1790,'MARIA EUGENIA','SAYE MEDINA','25928953','27259289535','1510',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928953','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1791,'GABRIELA MARIA','SAYES','24954727','27249547277','531',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24954727','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1792,'RAMON EDGAR','SAYES','26657346','20266573465','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26657346','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1793,'SERGIO ARIEL','SAYES','27053109','20270531092','1343',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27053109','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1794,'JORGE ANDRES','SCHILLS','20103913','20201039135','651',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20103913','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1795,'MANUEL ALEJANDRO MAMERTO','SCIDA','20588126','20205881264','786',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588126','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1796,'MARÍA VERÓNICA','SCOTTO','27341337','27273413370','1241',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27341337','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1797,'JUAN PABLO','SECO AGUERO','24605814','20246058149','965',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605814','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1798,'JOSE FERNANDO','SECO AGÜERO','29414330','20294143301','1162',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414330','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1799,'DIEGO MARTIN','SECO','25511800','20255118006','1163',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511800','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1800,'ESTEBAN ADRIAN','SECO','32027017','20320270171','1601',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027017','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1801,'LIBIA NOEMI','SECO','33328281','27333282815','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33328281','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1802,'LUCIA','SECO','31310179','27313101792','295',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31310179','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1803,'LUIS EDUARDO','SECO','35286467','20352864677','2054',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35286467','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1804,'FERNANDO ALFREDO','SECO MAZA','22219698','20222196982','468',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219698','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1805,'PABLO NICOLAS','SECO MAZA','27053012','20270530126','966',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27053012','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1806,'MARIA AGUSTINA','SECO MEDINA','37532924','27375329242','1814',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37532924','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1807,'RAMON ANGEL','SECO','28601342','20286013423','967',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28601342','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1808,'STELLA MARIEL','SECO ZAR','29414267','27294142679','193',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29414267','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1809,'ADRIANA DEL VALLE','SEDAN','17284291','27172842912','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17284291','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1810,'CRISTIAN SEBASTIAN','SEDAN','28172563','20281725638','761',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172563','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1811,'GUSTAVO ARIEL','SEDAN','26391599','20263915993','1557',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26391599','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1812,'FEDERICO FERNANDO','SEGOVIA','26450724','20264507244','1637',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26450724','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1813,'ANA PATRICIA','SEGURA','31126167','27311261679','1683',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31126167','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1814,'DIEGO SIMON','SEGURA','30371584','20303715844','1850',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30371584','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1815,'EMILIO ANTONIO','SEGURA','26187911','20261879116','1131',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26187911','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1816,'EUGENIA DEL VALLE','SEGURA','38203066','23382030664','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38203066','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1817,'JONATHAN GERMAN','SEGURA','37164457','20371644572','1859',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37164457','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1818,'SILVIA CLARIBEL','SEGURA MARIN','35934547','27359345475','435',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35934547','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1819,'RAUL EDUARDO','SEGURA','20588702','20205887025','1354',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588702','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1820,'ROXANA VANESA','SEGURA','25768826','27257688262','186',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25768826','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1821,'CLAUDIO JUAN CELESTINO','SELEME','14920107','20149201077','609',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14920107','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1822,'DANTE OMAR','SELEME','16569045','20165690452','22',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16569045','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1823,'ARIEL ESTEBAN','SELEMIN','22834569','20228345696','1165',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22834569','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1824,'SANTIAGO ANDRES','SEQUEIRA','24605414','20246054143','308',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605414','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1825,'SANTIAGO EZEQUIEL','SERRA DONATO','39012929','20390129298','213',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39012929','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1826,'ARMANDO GUILLERMO','SESTO','23765259','20237652593','235',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23765259','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1827,'LUCIANA ELIZABETH','SESTO','33360028','27333600280','1451',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33360028','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1828,'PABLO','SEVERINI','31648624','20316486240','322',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31648624','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1829,'CARLA DAHIANA','SIAREZ','37532767','27375327673','2042',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37532767','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1830,'ROBERTO','SIEDE HEBER','27341445','20273414453','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27341445','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1831,'MARIA CLAUDIA','SIEDE','29917328','27299173289','227',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917328','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1832,'CECILIA INES','SIERRA','25928292','27259282921','72',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928292','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1833,'CELINDA MARIA','SIERRA','33695396','27336953966','1662',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33695396','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1834,'DIEGO ARIEL','SIERRALTA','29651344','20296513440','1226',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29651344','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1835,'EUGENIA SOLEDAD','SIERRALTA','24065426','27240654267','1681',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065426','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1836,'ANTONIO CESAR','SILVA','20071970','20200719701','378',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20071970','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1837,'BRENDA ESTEFANIA','SILVA','37463860','27374638608','23',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37463860','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1838,'DURAN LEILA MARICEL','SILVA','29786457','27297864578','68',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29786457','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1839,'MARIA JIMENA','SILVA','30504684','27305046847','1532',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30504684','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1840,'MOLINA AGUSTINA','SILVA','34716528','27347165285','1715',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34716528','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1841,'MONICA VALERIA','SILVA','27271318','27272713184','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27271318','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1842,'SONIA CAROLINA','SIR','26685090','27266850900','907',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26685090','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1843,'GRACIELA JORGELINA','SOBH','21547855','27215478551','62',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21547855','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1844,'MARTIN GASTON','SOBRE','27173405','20271734051','981',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27173405','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1845,'EMILIO ORLANDO','SOBRECASA','27844869','20278448690','1166',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27844869','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1846,'SANTIAGO','SOFIA','35259530','20352595307','1858',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35259530','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1847,'NELIDA SILVIA','SOLER','16425055','27164250550','597',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16425055','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1848,'EDUARDO ANDRES','SOLOHAGA','27547605','20275476057','1167',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27547605','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1849,'LORENA ELIZABETH','SOLOHAGA','26856172','27268561728','1956',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26856172','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1850,'WALTHER EDUARDO','SOLOHAGA','25117995','20251179957','1307',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117995','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1851,'PABLO GABRIEL','SORAIRE','25663945','23256639459','795',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25663945','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1852,'ACUÑA MARCELA ISABEL','SORIA','22515783','27225157834','1229',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515783','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1853,'MARIA SILVINA','SORIA CANO','25928652','27259286528','1575',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928652','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1854,'CESAR MARCELO','SORIA','17217057','23172170579','458',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17217057','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1855,'CESAR ROBERTO','SORIA','22751042','20227510421','137',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22751042','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1856,'FELICIANO ALFREDO','SORIA','29207484','20292074841','421',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29207484','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1857,'FRANCO LUCIANO','SORIA','27900998','20279009984','1169',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900998','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1858,'JAVIER ALEJANDRO','SORIA','30949817','20309498179','1416',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949817','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1859,'JUAN ANDRES','SORIA','28780855','20287808551','1170',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28780855','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1860,'JUDITH NATALIA','SORIA','24605196','27246051963','1526',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605196','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1861,'JULIO CESAR','SORIA','20356778','20203567783','1171',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20356778','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1862,'NAIRA MICAELA','SORIA','36504857','27365048571','1701',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504857','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1863,'CESAR JESUS ALEJANDRO','SORIA OVEJERO','41279159','20412791593','445',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41279159','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1864,'MARCELA ELIZABETH','SORIA PEDRAZA','20924922','27209249222','1251',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20924922','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1865,'RAMOS MARCELA','SORIA','32027912','27320279122','1168',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027912','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1866,'GIMENA DE LA CRUZ','SORIA SECO','25511669','27255116695','1088',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511669','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1867,'SERGIO PABLO','SORIA','22219377','20222193770','817',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219377','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1868,'ANTONIO RAFAEL DEL JESUS','SOSA','13141493','20131414936','314',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13141493','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1869,'ROSA ADRIANA','SOSA ARGINA','17313819','27173138194','260',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17313819','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1870,'AYLEN SOLEDAD','SOSA','37463555','27374635552','2024',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37463555','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1871,'CARLOS ARIEL','SOSA','30157881','20301578815','884',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30157881','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1872,'EDUARDO GASTON','SOSA','35500444','23355004449','2067',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35500444','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1873,'FLORENCIA ANAHI','SOSA','39014643','24390146430','2062',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39014643','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1874,'GABRIEL EDGARDO','SOSA','24309025','20243090254','1402',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24309025','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1875,'GUZMAN ANA RITA','SOSA','17638303','27176383033','112',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17638303','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1876,'GUZMAN PABLO FERNANDO','SOSA','20308056','20203080566','648',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308056','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1877,'LUNA TOMAS ALEXANDER','SOSA','35201440','20352014401','290',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35201440','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1878,'MARCELO DANIEL','SOSA','35087028','20350870289','754',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35087028','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1879,'MARIA DE LOS ANGELES','SOSA','31412684','24314126846','2039',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31412684','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1880,'MARIANA ANAHI','SOSA','42519411','27425194114','560',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14324987','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,1,3,1,1,3,1,NULL),(1881,'PABLO MAURICIO','SOSA','28885698','20288856983','1172',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885698','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1882,'ARACELI SOLANGE','SOSA SCARPONETTI','36880084','27368800843','1996',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36880084','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1883,'JUAN JOSE','SOTERO','24865549','20248655497','1323',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24865549','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1884,'JOHANA CAROLINA','SOTO ESCOTORIN','30805936','27308059362','1884',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30805936','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1885,'ANDREA LORENA','SOTO ESCOTTORIN','26685036','27266850366','1775',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26685036','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1886,'GERMAN EMILIO','SOTO ESCOTTORIN','29917085','20299170854','1582',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917085','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1887,'DIEGO SEBASTIAN','SOTO MOYA','29075060','20290750602','1387',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29075060','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1888,'PABLO YAMIL','SOTO','33049538','20330495384','1673',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33049538','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1889,'SERGIO MARCELO','SOTO','25746531','20257465315','1306',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746531','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1890,'CRISTIAN EMMANUEL','SPOLIDOR ARISMENDI','34915128','20349151287','237',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34915128','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1891,'GUILLERMO ANDRÉS','SQUIRE','23561347','20235613477','1173',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561347','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1892,'ANA SILVIA','STUCCHI','25755794','23257557944','1264',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25755794','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1893,'VALERIA LOURDES','STUCCHI','31087267','27310872674','1598',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31087267','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1894,'DÁMARIS GISELA','SUAREZ BERGAGNA','31637592','27316375923','1262',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31637592','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1895,'MARINA CORAL','SUAREZ CECENARRO','35934817','27359348172','861',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35934817','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1896,'DE LA MOTA MARIA DANIELA','SUAREZ','33695012','27336950126','1063',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33695012','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1897,'MARIA EUGENIA','SUAREZ','30805889','27308058897','1207',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30805889','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1898,'MARIA JOSEFINA','SUAREZ','34029162','27340291625','1940',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34029162','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1899,'LOURDES DANIELA','SUAREZ ROSALES','39013213','27390132137','1887',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39013213','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1900,'SEBASTIAN EDUARDO','SUAREZ','30443396','20304433966','1549',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30443396','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1901,'KEVIN MAXIMILIANO','SUAYA','34777551','20347775518','1643',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34777551','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1902,'MARIA DEL PILAR','SVENDSEN','28005794','27280057946','1455',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28005794','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1903,'LUCAS ARMANDO','TADDEO','16216101','20162161017','982',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16216101','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1904,'WALTHER MARIA FLORENCIA','TADDEO','35269376','27352693761','90',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35269376','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1905,'OMAR EDGAR','TAIRE','16934547','20169345474','1174',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16934547','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1906,'ALEJANDRO JAVIER','TAPIA','21944183','20219441836','217',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21944183','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1907,'ANDREA YOLANDA','TAPIA','23561700','27235617000','989',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561700','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1908,'CORONEL CELESTE ANAHI','TAPIA','39012907','27390129071','1979',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39012907','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1909,'EDUARDO JOSE GASTON','TAPIA','24605248','20246052485','349',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605248','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1910,'EMILIO HERNAN','TAPIA','31126008','20311260082','1878',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31126008','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1911,'FRANCO RAUL','TAPIA','28394798','20283947980','1654',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28394798','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1912,'HUGO ENRIQUE','TAPIA','18520444','20185204449','223',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18520444','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1913,'JUAN CARLOS','TAPIA','27877337','20278773370','876',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27877337','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1914,'MARIELA DEL VALLE','TAPIA','21682373','27216823732','114',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21682373','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1915,'MARIA AGUSTINA','TAPIA OVIEDO','37306603','27373066031','1995',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37306603','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1916,'PABLO MIGUEL','TAPIA','29527366','20295273667','1490',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29527366','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1917,'RICARDO ALBERTO','TAPIA','30504976','20305049760','1208',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30504976','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1918,'ROCIO ALEJANDRA','TAPIA','32415189','27324151899','1831',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32415189','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1919,'ROCIO LUCIANA','TAPIA','42519121','27425191212','781',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42519121','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1920,'MAURICIO','TAPIA ROQUE','25746557','20257465579','635',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746557','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1921,'SOFIA ANA MARINA','TAPIA','40907990','27409079909','1927',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40907990','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1922,'MARIA DEL VALLE','TAPIA VARGAS','17780941','27177809417','551',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17780941','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1923,'CARLOS ROLANDO','TARIFA ACOSTA','31069186','20310691861','1896',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31069186','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1924,'JULIO ALEJANDRO','TEJADA','17917137','20179171377','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17917137','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1925,'LORENA PAOLA','TEJADA','30676688','27306766886','305',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30676688','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1926,'PABLO MARCELO','TEJADA','25746719','20257467199','1175',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746719','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1927,'GLADYS BEATRIZ','TEJEDA','26433103','27264331035','332',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433103','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1928,'HUGO FEDERICO','TEJEDA','37740681','20377406819','1684',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37740681','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1929,'JUAN ANDRES','TEJEDA','27496392','20274963922','1302',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27496392','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1930,'MARIO RODOLFO','TEJEDA','26373376','24263733769','1035',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26373376','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1931,'RICARDO ALEJANDRO','TELLO','23765223','20237652232','770',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23765223','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1932,'MARIA CONSTANZA','TEME','28076128','27280761287','1045',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076128','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1933,'MARINA BELEN','TEME','29917225','27299172258','832',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917225','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1934,'CARLOS MARTIN','TERAN','36844115','20368441156','1935',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844115','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1935,'JUAN CARLOS','TERAN','22219697','20222196974','610',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219697','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1936,'LILIANA ITATI','TOBIAS','13940762','27139407623','986',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13940762','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1937,'LEONARDO','TOLEDO ARAGON','35388213','23353882139','1982',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35388213','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1938,'ARAGON MAXIMILIANO','TOLEDO','38203799','20382037996','2052',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38203799','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1939,'CLARA FELISA','TOLEDO','24786614','27247866146','27',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24786614','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1940,'SILVIA ADRIANA','TOLEDO GALLO','18017924','27180179246','685',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18017924','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1941,'MARIA JACQUELINA','TOLEDO','32628870','27326288700','1676',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32628870','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1942,'MARIA ROMINA','TOLEDO','29919024','27299190248','1037',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29919024','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1943,'MARTHA EVANGELINA','TOLEDO','26208119','27262081198','1209',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26208119','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1944,'LUIS HERNAN','TOLOSA','34129644','20341296448','1144',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34129644','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1945,'ROXANA DEL VALLE','TOLOTTI','14602049','27146020491','229',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14602049','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1946,'ALEJANDRA MARCELA','TOLOZA','18060725','27180607256','1014',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18060725','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1947,'NAHUEL','TOLOZA','33574027','20335740271','1772',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33574027','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1948,'NELSON GONZALO','TOLOZA','27491967','20274919672','1176',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27491967','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1949,'ANA CAROLINA','TOMASSI','28172800','27281728003','1872',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28172800','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1950,'IVANNA INES','TOMASSI','30773661','27307736611','1362',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30773661','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1951,'LAURA FERNANDA','TOMASSI','28540450','27285404504','1843',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28540450','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1952,'ELBA','TORINO','04226924','27042269242','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'04226924','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1953,'CARLOS IVAN','TORRENTE','24154848','20241548482','607',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24154848','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1954,'GUAJARDO SANDRA MONICA','TORRES','18804553','27188045532','1016',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18804553','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1955,'NOELIA TRINIDAD','TORRES','32027780','27320277804','1584',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027780','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1956,'RODRIGO NAHUEL','TORRES','24823269','20248232693','1403',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24823269','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1957,'RODRIGO NAHUEL (PJ)','TORRES','35104602','20351046024','2046',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35104602','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1958,'JUDIT AVELINA','TREJO','30949686','27309496863','450',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30949686','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1959,'RUTH MARCELA','TRIGO','22621501','27226215013','718',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22621501','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1960,'GUSTAVO ERNESTO','TRONCOSO','29554353','20295543532','1741',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29554353','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1961,'MARÍA FLORENCIA','TRUEBA','26771435','27267714350','1177',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26771435','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1962,'DIEGO ANTONIO','TULA','28309698','20283096980','762',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309698','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1963,'MIGUEL ANGEL','TULA GIMENEZ','14058137','20140581373','240',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14058137','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1964,'MARIA FLORENCIA','TULA','37554004','27375540040','1944',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37554004','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1965,'NILDA DEL ROSARIO','TULA','17763187','27177631871','385',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17763187','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1966,'RAUL ALEXANDER','TULA','31860480','20318604801','89',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31860480','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1967,'VERONICA NATALIA','TULA','29838080','27298380809','1653',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29838080','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1968,'WALTER AGUSTIN','TULA','40724485','20407244851','2073',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40724485','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1969,'DIEGO EMILIO','UBAID','28076103','20280761037','1242',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076103','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1970,'ADOLFO MIGUEL','UBEID','17080140','20170801408','1253',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17080140','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1971,'NATALIA','UBELHARTT','32027211','23320272114','1243',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027211','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1972,'ROMINA INES','UNZAGA','26856064','27268560640','1680',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26856064','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1973,'SOFIA DEL CARMEN','UNZAGA','41886786','27418867863','1835',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41886786','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1974,'IMANOL','URIARTE BUTELER','34129439','20341294399','1350',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34129439','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1975,'CASTILLO MARIA SOLEDAD','URIBURU','28681038','27286810387','657',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28681038','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1976,'MIRYAN LOURDES','URIOSTE','18477517','23184775174','659',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18477517','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1977,'LUCAS TOMAS','VACCARONI','36504832','20365048321','600',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504832','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1978,'MARCELA EDITH','VALDERRAMA','20308532','27203085325','480',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308532','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1979,'FIGUEROA JULIO MART','VALDERRAMA','26433174','23264331749','737',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433174','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1980,'ESTER DEL VALLE','VALDEZ','22515871','27225158717','582',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515871','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1981,'IVANNA DANIELA','VALDEZ','30375461','27303754615','1244',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30375461','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1982,'JOSE MARIA','VALDEZ','36051330','20360513301','88',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36051330','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1983,'LOPEZ MARIA CARLA','VALDEZ','27341202','27273412021','1178',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27341202','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1984,'LOPEZ MARIO RAUL','VALDEZ','28309660','20283096603','1179',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28309660','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1985,'MARTHA BEATRIZ','VALDEZ','28076164','27280761643','1180',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076164','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1986,'RAMONA BEATRIZ','VALDEZ','18644501','27186445010','702',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18644501','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1987,'SANDRA EDITH','VALDEZ','27491998','27274919987','843',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27491998','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1988,'MARIA JOSE','VALLEJOS','24605999','27246059999','1004',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605999','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1989,'SERGIO MANUEL','VALLICA','13039332','20130393323','729',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13039332','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1990,'FACUNDO DANIEL','VALVERDI','31037895','20310378950','1906',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31037895','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1991,'LIA NATACHA','VALVERDI','28885707','27288857070','1331',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885707','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1992,'ALBA INES','VAQUEL','27900551','27279005517','686',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27900551','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1993,'MARIA MAGDALENA','VAQUEL','04652744','27046527440','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'04652744','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1994,'JOSE FERNANDO','VARAS','28780952','20287809523','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28780952','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1995,'ROSA HILDA','VARAS','11716057','27117160578','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'11716057','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1996,'AGUSTIN','VARELA','26187757','20261877571','693',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26187757','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1997,'CELESTE DEL HUERTO','VARELA','29651444','27296514441','1375',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29651444','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1998,'CLAUDIA BEATRIZ','VARELA','20308356','23203083564','123',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20308356','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(1999,'ELIAS RONALD','VARELA','28701177','20287011777','984',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28701177','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2000,'HECTOR HUGO RAMON','VARELA','16643179','20166431795','933',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16643179','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2001,'HECTOR JOSE FERNANDO','VARELA','24309864','20243098646','697',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24309864','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2002,'JULIETA DEL VALLE','VARELA','39014905','27390149056','1905',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39014905','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2003,'MARCELA CLAUDIA BEATRIZ','VARELA','23561812','27235618120','698',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561812','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2004,'MARIA DEL VALLE','VARELA','32027882','27320278827','1517',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027882','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2005,'MIGUEL ANGEL','VARELA','26373192','20263731922','113',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26373192','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2006,'MORALES LUIS ARNALDO','VARELA','32681111','20326811115','1553',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32681111','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2007,'ROSANA DEL CARMEN','VARELA','22325171','23223251714','1022',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22325171','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2008,'LUCIANA MARIA','VARELA TRETTEL','26187748','27261877487','875',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26187748','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2009,'ALBA ROSA','VARGAS','21531095','27215310952','552',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21531095','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2010,'ANALIA MARISEL','VARGAS','35153327','27351533272','172',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35153327','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2011,'ANGEL ALEJANDRO','VARGAS','16283205','20162832051','408',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16283205','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2012,'CASTRO MARIANA ESTELA','VARGAS','22515621','27225156218','912',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22515621','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2013,'DANIEL EDGARDO','VARGAS','14058122','20140581225','565',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14058122','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2014,'EDGARDO DAVID','VARGAS','35500931','23355009319','400',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35500931','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2015,'LUDMILA ANTONELLA','VARGAS LIBERTI','35516128','27355161280','1925',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35516128','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2016,'TATIANA JAEL','VARGAS LIBERTI','33579486','23335794869','1945',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33579486','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2017,'MARCOS EXEQUIEL','VARGAS','37089329','20370893293','2060',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37089329','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2018,'MARIA SILVIA','VAZQUEZ BESTARD','23024107','23230241074','681',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23024107','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2019,'CESAR DANIEL','VAZQUEZ','30157818','20301578181','1066',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30157818','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2020,'EMILIO HORACIO','VAZQUEZ','14422486','20144224869','164',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14422486','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2021,'GUILLERMO FEDERICO','VAZQUEZ','41223548','20412235488','1848',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'41223548','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2022,'GUSTAVO EDUARDO','VAZQUEZ','25302626','20253026260','1383',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302626','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2023,'LUCIANO ESTEBAN','VAZQUEZ','34067850','20340678509','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34067850','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2024,'LUCIANO SEBASTIAN','VAZQUEZ','27525395','20275253953','1248',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27525395','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2025,'LUIS ADRIAN','VAZQUEZ','23011831','20230118311','630',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23011831','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2026,'MARIELA GRACIANA','VAZQUEZ','21944239','23219442394','455',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21944239','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2027,'PABLO SERGIO','VAZQUEZ','25796889','20257968899','1181',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25796889','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2028,'ACEVEDO IVANNA JUDITH','VEGA','27155611','27271556115','1714',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27155611','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2029,'ALDANA MONSERRAT','VEGA','24065643','23240656434','862',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24065643','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2030,'CARLOS ALBERTO','VEGA','14602300','20146023003','736',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14602300','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2031,'CAROLINA PATRICIA','VEGA','24030510','27240305106','1864',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24030510','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2032,'CINTHIA DANIELA','VEGA','30589117','27305891172','1440',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30589117','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2033,'CORDOBA BEATRIZ DE LOS','VEGA','23309167','27233091672','1182',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309167','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2034,'DANIEL SEBASTIAN','VEGA','29837705','20298377056','139',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29837705','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2035,'ENZO MARTIN','VEGA','31736638','20317366389','298',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31736638','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2036,'FRANCO DAVID','VEGA','38627781','20386277819','1618',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38627781','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2037,'GABRIELA STEFANIA','VEGA','34723921','27347239211','1930',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34723921','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2038,'HELIO SEBASTIAN','VEGA','30107830','20301078308','1666',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30107830','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2039,'HERRERA CARLOS FABIAN','VEGA','21681086','20216810865','1259',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21681086','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2040,'HUGO DANIEL','VEGA','16934181','20169341819','962',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16934181','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2041,'IRMA MARIANA','VEGA','31813155','23318131554','1892',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31813155','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2042,'MARCELA DE LOS ANGELES','VEGA','17113976','27171139762','857',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17113976','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2043,'MARIA ANGELES','VEGA','36504514','27365045149','1978',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504514','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2044,'MARIA BELEN','VEGA','31544035','27315440357','2064',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31544035','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2045,'MARINA DEL VALLE','VEGA','35388063','27353880638','1419',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35388063','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2046,'MARIO INDALECIO','VEGA','39016739','20390167394','2089',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39016739','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2047,'NAHUEL DARIO','VEGA','37168160','20371681605','1503',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37168160','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2048,'NELSON ADOLFO','VEGA','33758700','20337587004','1980',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33758700','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2049,'PAOLA SUSANA','VEGA','29917451','23299174514','1453',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29917451','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2050,'NESTOR HUMBERTO','VEGA ROLANDO','30157820','20301578203','1922',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30157820','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2051,'MARIA SOLEDAD','VEGA ROMERO','28647229','27286472295','29',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28647229','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2052,'JORGE OMAR','VELARDEZ','13707124','20137071240','343',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13707124','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2053,'ENRIQUE OMAR','VELAZCO','25746593','20257465935','513',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25746593','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2054,'VERONICA SABINA','VELAZCO','23561887','27235618872','1396',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23561887','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2055,'ALEJANDRO PATROCINIO','VELAZQUEZ','16668015','20166680159','147',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16668015','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2056,'GABRIELA DEL VALLE','VELAZQUEZ','22793100','27227931006','790',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22793100','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2057,'GERARDO NELSON','VELIZ','27496308','20274963086','1211',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27496308','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2058,'JORGE DAVID','VELIZ','31126054','20311260546','1550',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31126054','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2059,'SERGIO DANIEL','VELIZ','24309193','20243091935','1798',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24309193','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2060,'ANA GUADALUPE','VERA','32027977','27320279777','1619',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32027977','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2061,'ANALIA','VERA','16505926','27165059269','674',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16505926','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2062,'GABRIELA MELINA','VERA','36844443','27368444435','1727',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36844443','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2063,'JOSÉ LUIS','VERA','25511709','20255117093','1245',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25511709','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2064,'MARIA JOSE','VERA','37637921','27376379219','169',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37637921','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2065,'NORMA BEATRIZ','VERA','23309294','27233092946','627',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309294','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2066,'RUBEN ARMANDO','VERA','14602028','20146020284','443',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14602028','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2067,'RUBEN EDUARDO','VERA','34187705','23341877059','1545',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187705','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2068,'GABRIELA ALEJANDRA','VERAZAY','35390726','27353907269','464',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'35390726','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2069,'CARLOS ANIBAL','VERGARA','28076301','20280763013','980',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28076301','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2070,'CLAUDIA VALERIA','VERGARA','29259862','27292598624','791',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29259862','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2071,'DUILIO OSCAR','VERGARA','14960332','20149603329','829',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'14960332','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2072,'ELIZALDE JUAN CRUZ','VERGARA','42208442','20422084429','1931',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'42208442','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2073,'FABIO GERARDO','VERGARA','17670569','20176705699','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'17670569','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2074,'JAVIER ORLANDO','VERGARA','32367962','20323679623','1333',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'32367962','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2075,'MARIA EUGENIA','VERGARA','24309905','27243099051','42',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24309905','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2076,'MIGUEL ANGEL','VERGARA','25302305','20253023059','1638',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302305','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2077,'MARIANA DEL VALLE','VERON PONCE','36504981','27365049810','313',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504981','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2078,'JOSE IGNACIO','VIALE AMUCHASTEGUI','28656728','20286567283','1983',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28656728','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2079,'MARIA FERNANDA','VIAN','20925237','27209252371','126',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20925237','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2080,'PUGLIERIN AMILCAR','VICARIO','44804657','20448046576','117',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'44804657','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2081,'MELO MERCEDES','VILA','37637032','27376370327','262',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'37637032','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2082,'NESTOR ADRIAN','VILDOZA','20924123','20209241235','778',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20924123','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2083,'WALTER HERNAN','VILDOZA','26187049','20261870496','1372',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26187049','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2084,'HERNAN RAMON','VILLACORTA','31126303','20311263030','1877',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31126303','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2085,'LUIS FERNANDO','VILLACORTA','29275520','20292755202','1212',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29275520','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2086,'MARIA FERNANDA','VILLACORTA','31412676','27314126764','120',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31412676','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2087,'ALEXIS DAMIAN','VILLAFAÑE','31450931','20314509316','818',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31450931','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2088,'CARMEN SILVIA','VILLAFAÑE','18401864','27184018646','1183',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18401864','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2089,'GRISEL VANINA','VILLAFAÑE','26982835','27269828353','65',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26982835','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2090,'JOSE AUGUSTO','VILLAFAÑE','21748387','20217483876','671',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21748387','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2091,'MIGUEL ARCANGEL','VILLAFAÑE','23309078','20233090787','1031',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309078','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2092,'RIGOBERTO EDUARDO','VILLAFAÑE','27917022','24279170225','1184',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27917022','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2093,'SERGIO LEANDRO','VILLAFAÑE','36348068','20363480684','1668',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36348068','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2094,'DAMIAN HERNAN','VILLAFAÑEZ','34129527','24341295277','1360',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34129527','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2095,'MARIO ANGEL A','VILLAFAÑEZ','06967721','20069677216','.NULL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'06967721','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2096,'NELSON DAVID','VILLAFAÑEZ MIRANDA','36682639','20366826395','208',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36682639','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2097,'GUIDO ARIEL','VILLAGRA','23309558','20233095584','677',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309558','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2098,'LUIS ALEJANDRO','VILLAGRA','28896548','20288965480','1726',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28896548','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2099,'MARINA DALILA','VILLAGRA','25322950','27253229506','1456',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25322950','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2100,'LUIS HERNAN','VILLAGRAN','18555572','20185555721','546',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18555572','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2101,'CLAUDIA GABRIELA','VILLALBA','20658705','27206587054','608',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20658705','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2102,'SANTIAGO EMILIO','VILLALBA','24605318','23246053189','833',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24605318','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2103,'NOELIA MAGALI','VILLANUEVA','31412529','27314125296','352',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31412529','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2104,'VICTORIA DEL CARMEN','VILLANUEVA','18594691','27185946911','461',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18594691','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2105,'MARIA ALEJANDRA','VILLARROEL','16283430','23162834304','143',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'16283430','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2106,'IVAN LEONEL','VILLARRUEL','28885509','23288855099','928',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'28885509','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2107,'CARLOS SANTIAGO GREGORIO','VISÑOVEZKY','34323951','20343239514','1947',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34323951','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2108,'PAOLA ANDREA','VITTORE','26035491','23260354914','785',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26035491','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2109,'FRANCO JAVIER','VIVANCO','26433664','20264336644','1599',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26433664','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2110,'GUSTAVO ENRIQUE','VIVANCO','20588607','23205886079','425',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20588607','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2111,'MARIA GRACIELA','VIVANCO','21776373','27217763733','578',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21776373','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2112,'ANA LAURA','VOGET','26187692','27261876928','626',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26187692','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2113,'AMALIA MARIA','VOZZA','24173032','27241730323','851',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24173032','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2114,'MONICA LILIANA','WAINSTEIN','22219942','27222199420','1335',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'22219942','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2115,'CAROLINA','WALTHER','25117077','27251170776','946',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25117077','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2116,'IVAN ERNESTO','WERNER','27351859','20273518593','259',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27351859','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2117,'MARCELA SILVINA','WHITAKER','25608444','27256084444','1185',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25608444','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2118,'SILVINA MARCELA','WILLBERGER','21929296','27219292967','590',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'21929296','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2119,'CAMILA','WILLIAMS','38628119','27386281195','1786',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'38628119','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2120,'LEONARDO JAVIER','YAPURA BARRIENTOS','26373464','20263734646','1628',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26373464','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2121,'FABIO ROLANDO','YAPURA','31864871','23318648719','1461',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'31864871','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2122,'ZULMA MARINA DEL VALLE','YAPURA','26982898','27269828981','948',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'26982898','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2123,'PATRICIA LILIANA','YEBRA','20809508','27208095086','733',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'20809508','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2124,'MIRIAM DEL VALLE','ZABALA','18373667','27183736677','8',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18373667','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2125,'JOFRE MARIO FERNANDO','ZALAZAR','39807015','20398070152','1812',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'39807015','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2126,'LUCIANA YANINA','ZALAZAR','36504247','27365042476','1338',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36504247','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2127,'LUIS DANIEL','ZALAZAR','29127760','20291277609','1540',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29127760','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2128,'RAMON ALEJANDRO','ZAMORANO','40434287','20404342879','2006',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'40434287','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2129,'GUIDO HECTOR','ZARATE','25302302','20253023024','133',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25302302','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2130,'JORGE SEBASTIAN','ZARATE','29104279','20291042792','802',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'29104279','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2131,'DIEGO','ZAVALETA','24830772','20248307723','1186',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'24830772','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2132,'MARIA JOSE','ZAYA','23588940','23235889404','1580',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23588940','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2133,'JOSE MARTIN','ZELARAYAN','27053087','20270530878','1213',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'27053087','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2134,'VEGA CARLOS FEDERICO','ZELARAYAN','30207369','20302073695','1187',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'30207369','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2135,'ANTONIO EDUARDO','ZUCCON','07659750','20076597503','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'07659750','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2136,'GABRIELA ISABEL','ZURITA','18463380','27184633804','153',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'18463380','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2137,'IRIS ANAHI','ZURITA','34187583','27341875833','1990',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'34187583','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2138,'OSCAR SERAFIN','ZURITA','23309018','20233090183','911',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'23309018','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2139,'SARA EDITH','ZURITA','25928525','27259285254','58',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25928525','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2140,'YANINA ALEJANDRA','ZURITA','33260512','27332605122','119',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'33260512','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL),(2141,'DANIEL AGUSTIN','MALDONADO SALVADOR','43141252','20431412528','97',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'123456','https://devpruebaslicencia.juscatamarca.gob.ar/mobile/img_foto_perfil/pred.png',NULL,NULL,2,2,1,1,4,1,NULL);
/*!40000 ALTER TABLE `usuario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `version`
--

DROP TABLE IF EXISTS `version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `version` (
  `version_id` int NOT NULL AUTO_INCREMENT,
  `version_descripcion` int NOT NULL,
  `version_fecha_lanzamiento` text COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`version_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `version`
--

LOCK TABLES `version` WRITE;
/*!40000 ALTER TABLE `version` DISABLE KEYS */;
INSERT INTO `version` VALUES (1,2,'2023-11-14 10:25:01');
/*!40000 ALTER TABLE `version` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-07-24 23:18:21
